(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof define === 'function' && define.amd ? define(factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, global.bootstrap = factory());
})(this, (function () { 'use strict';

    (function() {
        const env = {"NODE_ENV":"production"};
        try {
            if (process) {
                process.env = Object.assign({}, process.env);
                Object.assign(process.env, env);
                return;
            }
        } catch (e) {} // avoid ReferenceError: process is not defined
        globalThis.process = { env:env };
    })();

    const loadPlugin=o=>{};

    const DATA_MOUSE_FOCUS="data-focus-mouse";class TrackFocus{constructor(){this._usingMouse=!1,this._bindEvents();}_bindEvents(){["keydown","mousedown"].forEach((t=>{document.addEventListener(t,(t=>{this._usingMouse="mousedown"===t.type;}));})),document.addEventListener("focusin",(t=>{this._usingMouse&&t.target&&(t.target.classList.add("focus--mouse"),t.target.setAttribute(DATA_MOUSE_FOCUS,!0));})),document.addEventListener("focusout",(t=>{t.target&&(t.target.classList.remove("focus--mouse"),t.target.setAttribute(DATA_MOUSE_FOCUS,!1));}));}}new TrackFocus;const TrackFocus$1 = TrackFocus;

    const BOOTSTRAP_ITALIA_VERSION = "2.3.5";

    const init=()=>{window.BOOTSTRAP_ITALIA_VERSION||(new TrackFocus$1,window.BOOTSTRAP_ITALIA_VERSION=BOOTSTRAP_ITALIA_VERSION);};const init$1 = init;init();

    const loadFonts = (t="dist/fonts")=>{const i=document.createElement("style"),o=window.__PUBLIC_PATH__?window.__PUBLIC_PATH__:t;i.innerHTML=`\n  /* Titillium+Web:300,400,600,700 */\n\n  /* titillium-web-300 - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: normal;\n    font-weight: 300;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* titillium-web-300italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: italic;\n    font-weight: 300;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-300italic.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* titillium-web-regular - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: normal;\n    font-weight: 400;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-regular.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* titillium-web-italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: italic;\n    font-weight: 400;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-italic.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* titillium-web-700 - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: normal;\n    font-weight: 700;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* titillium-web-700italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: italic;\n    font-weight: 700;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-700italic.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n  /* titillium-web-600 - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: normal;\n    font-weight: 600;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* titillium-web-600italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Titillium Web';\n    font-style: italic;\n    font-weight: 600;\n    font-display: swap;\n    src: url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Titillium_Web/titillium-web-v10-latin-ext_latin-600italic.svg#TitilliumWeb') format('svg'); /* Legacy iOS */\n  }\n\n  /* Lora:400,700 */\n\n  /* lora-regular - latin-ext_latin */\n  @font-face {\n    font-family: 'Lora';\n    font-style: normal;\n    font-weight: 400;\n    font-display: swap;\n    src: url('${o}/Lora/lora-v20-latin-ext_latin-regular.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Lora/lora-v20-latin-ext_latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Lora/lora-v20-latin-ext_latin-regular.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-regular.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Lora/lora-v20-latin-ext_latin-regular.svg#Lora') format('svg'); /* Legacy iOS */\n  }\n\n  /* lora-700 - latin-ext_latin */\n  @font-face {\n    font-family: 'Lora';\n    font-style: normal;\n    font-weight: 700;\n    font-display: swap;\n    src: url('${o}/Lora/lora-v20-latin-ext_latin-700.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Lora/lora-v20-latin-ext_latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700.svg#Lora') format('svg'); /* Legacy iOS */\n  }\n\n  /* lora-italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Lora';\n    font-style: italic;\n    font-weight: 400;\n    font-display: swap;\n    src: url('${o}/Lora/lora-v20-latin-ext_latin-italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Lora/lora-v20-latin-ext_latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Lora/lora-v20-latin-ext_latin-italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Lora/lora-v20-latin-ext_latin-italic.svg#Lora') format('svg'); /* Legacy iOS */\n  }\n\n  /* lora-700italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Lora';\n    font-style: italic;\n    font-weight: 700;\n    font-display: swap;\n    src: url('${o}/Lora/lora-v20-latin-ext_latin-700italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Lora/lora-v20-latin-ext_latin-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Lora/lora-v20-latin-ext_latin-700italic.svg#Lora') format('svg'); /* Legacy iOS */\n  }\n\n  /* Roboto+Mono:400,700 */\n\n  /* roboto-mono-regular - latin-ext_latin */\n  @font-face {\n    font-family: 'Roboto Mono';\n    font-style: normal;\n    font-weight: 400;\n    font-display: swap;\n    src: url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-regular.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-regular.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-regular.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-regular.svg#RobotoMono') format('svg'); /* Legacy iOS */\n  }\n\n  /* roboto-mono-700 - latin-ext_latin */\n  @font-face {\n    font-family: 'Roboto Mono';\n    font-style: normal;\n    font-weight: 700;\n    font-display: swap;\n    src: url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700.svg#RobotoMono') format('svg'); /* Legacy iOS */\n  }\n\n  /* roboto-mono-italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Roboto Mono';\n    font-style: italic;\n    font-weight: 400;\n    font-display: swap;\n    src: url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-italic.svg#RobotoMono') format('svg'); /* Legacy iOS */\n  }\n\n  /* roboto-mono-700italic - latin-ext_latin */\n  @font-face {\n    font-family: 'Roboto Mono';\n    font-style: italic;\n    font-weight: 700;\n    font-display: swap;\n    src: url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700italic.eot'); /* IE9 Compat Modes */\n    src: local(''),\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700italic.woff2') format('woff2'), /* Super Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700italic.woff') format('woff'), /* Modern Browsers */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700italic.ttf') format('truetype'), /* Safari, Android, iOS */\n        url('${o}/Roboto_Mono/roboto-mono-v13-latin-ext_latin-700italic.svg#RobotoMono') format('svg'); /* Legacy iOS */\n  }\n  `,document.getElementsByTagName("head")[0].appendChild(i);};

    function it25Header(){function e(){var e,t,n,l=document.getElementById("menu-hamburger");"block"===l.style.display?l.style.display="none":l.style.display="block",e=document.getElementById("menu-hamburger"),t=document.getElementById("btn-hamburger"),n=document.getElementsByClassName("it25-close-div"),"none"==e.style.display?(t.style.display="block",n.length>0&&(n[0].style.display="none")):(t.style.display="none",n.length>0&&(n[0].style.display="block"));}document.querySelector("bd-example")||document.getElementById("btn-hamburger")&&document.getElementById("btn-hamburger-close")&&(document.getElementById("btn-hamburger").addEventListener("click",e),document.getElementById("btn-hamburger-close").addEventListener("click",e)),document.getElementById("btn-hamburger-mobile")&&(document.getElementById("btn-hamburger-mobile").addEventListener("click",(function(){document.getElementById("it25-nav-hamburger").style.width="100%";})),document.getElementById("it25-close-hamburger").addEventListener("click",(function(){document.getElementById("it25-nav-hamburger").style.width="0%";})));}

    var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

    function unwrapExports (x) {
    	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
    }

    function createCommonjsModule(fn, module) {
    	return module = { exports: {} }, fn(module, module.exports), module.exports;
    }

    var rangeslider_umd_min=createCommonjsModule((function(e,a){var t;t=()=>{return e={265:function(e){e.exports=(e,a={})=>{const t=e=>!isNaN(e)&&+e+""==e+"",n=(e=0,a=0)=>({min:e,max:a}),i=e=>{[N,M].forEach(e);},r=(e,a,t)=>{if(e)return a;t();},s=(e,a,t="")=>{e.setAttribute(a,t);},m=(e,a)=>{e.removeAttribute(a);},l=(e,a,t,n=!0)=>{e.addEventListener(a,t,n?{passive:!1,capture:!0}:{});},d=(e,a,t,n=!0)=>{e.removeEventListener(a,t,n?{passive:!1,capture:!0}:{});},o=(e,t)=>{a[e]={}.hasOwnProperty.call(a,e)?a[e]:t;},u=(e,t)=>a.orientation===F?e:t,b=e=>1===e?Q.max:Q.min,p=()=>{let e=!1;t(a.min)&&t(a.max)||(e=!0),a.min=e?1:+a.min,a.max=e?1:+a.max;},g=()=>{a.thumbsDisabled instanceof Array?(1===a.thumbsDisabled.length&&a.thumbsDisabled.push(!1),1!==a.thumbsDisabled.length&&2!==a.thumbsDisabled.length&&(a.thumbsDisabled=[!1,!1])):a.thumbsDisabled=[a.thumbsDisabled,a.thumbsDisabled],a.thumbsDisabled[0]=!!a.thumbsDisabled[0],a.thumbsDisabled[1]=!!a.thumbsDisabled[1];},h=(e,t=!1,i=!0,r=!0)=>{const l=n(me[Q.min].value,me[Q.max].value);e=e||l,me[Q.min].value=e.min,me[Q.max].value=ie||t?e.max:e.min+te,c(),K.min>K.max&&(Q.min=+!Q.min,Q.max=+!Q.max,m(le[Q.min],V),m(le[Q.max],P),s(le[Q.min],P),s(le[Q.max],V),ie&&(ie=ie===N?M:N),c()),ee=t?K:e;let d=!1;(l.min!==me[Q.min].value||t)&&(d=!0),(l.max!==me[Q.max].value||t)&&(d=!0),d&&(i&&a.onInput&&a.onInput([K.min,K.max],r),$(),x(),v(),f());},c=()=>{i((e=>{K[e]=+me[Q[e]].value;}));},x=()=>{i((e=>{le[Q[e]].style[u("top","left")]=`calc(${(K[e]-a.min)/ae*100}% + ${(.5-(K[e]-a.min)/ae)*u(W,U)[e]}px)`;}));},v=()=>{const t=e.getBoundingClientRect(),n=(.5-(K.min-a.min)/ae)*u(W,U).min/u(t.bottom-t.top,t.right-t.left),i=(.5-(K.max-a.min)/ae)*u(W,U).max/u(t.bottom-t.top,t.right-t.left);se.style[u("top","left")]=100*((K.min-a.min)/ae+n)+"%",se.style[u("height","width")]=100*((K.max-a.min)/ae-(K.min-a.min)/ae-n+i)+"%";},_=()=>{i(((e,t)=>{Z[e]=a.thumbsDisabled[t]?K[e]:a[e];}));},D=()=>{i(((e,t)=>{a.disabled||a.thumbsDisabled[t]?m(le[b(t)],O):s(le[b(t)],O,0);}));},f=()=>{i((e=>{s(le[Q[e]],"aria-valuemin",a.min),s(le[Q[e]],"aria-valuemax",a.max),s(le[Q[e]],"aria-valuenow",K[e]),s(le[Q[e]],"aria-valuetext",K[e]);}));},w=()=>{a.disabled?s(e,J):m(e,J);},y=()=>{a.thumbsDisabled.forEach(((e,a)=>{const t=b(a);e?(s(le[t],J),s(le[t],"aria-disabled",!0)):(m(le[t],J),s(le[t],"aria-disabled",!1));}));},S=(e,t=!1)=>{a[e]=t,p(),i((e=>{me[0][e]=a[e],me[1][e]=a[e];})),ae=a.max-a.min,h("",!0,!0,!1),_();},E=()=>{a.orientation===F?s(e,Y):m(e,Y),se.style[u("left","top")]="",se.style[u("width","height")]="",le[0].style[u("left","top")]="",le[1].style[u("left","top")]="";},$=()=>{i((e=>{U[e]=H(q(le[Q[e]]).width),W[e]=H(q(le[Q[e]]).height);}));},k=(t,n)=>{const i=e.getBoundingClientRect(),r=n.getBoundingClientRect(),s=(u(r.top-i.top,r.left-i.left)+(t[`client${u("Y","X")}`]-n.getBoundingClientRect()[u("top","left")])-(ie?(.5-(K[ie]-a.min)/ae)*u(W,U)[ie]:0))/u(i.bottom-i.top,i.right-i.left)*ae+a.min;return s<a.min?a.min:s>a.max?a.max:s},j=(e,a)=>!e.target.classList.contains(a),R=(e,t=!0)=>{let i=!1;if(!a.disabled&&(j(e,"range-slider__thumb")&&j(e,"range-slider__range")||a.rangeSlideDisabled&&j(e,"range-slider__thumb"))&&(i=!0),i&&a.thumbsDisabled[0]&&a.thumbsDisabled[1]&&(i=!1),i){const i=k(e,se),r=B(K.min-i),s=B(K.max-i);if(a.thumbsDisabled[0])i>=K.min&&(h(n(K.min,i),!0,!t),C(e,Q.max,le[Q.max],!t));else if(a.thumbsDisabled[1])i<=K.max&&(h(n(i,K.max),!0,!t),C(e,Q.min,le[Q.min],!t));else {let a=Q.max;r===s?h(n(K.min,i),!0,!t):(h(n(r<s?i:K.min,s<r?i:K.max),!0,!t),a=r<s?Q.min:Q.max),C(e,a,le[a],!t);}t&&R(e,!1);}},z=(e,a)=>{$(),s(a,X),re=k(e,a),ne=!0;},C=(e,t,n,i=!0)=>{a.disabled||a.thumbsDisabled[b(t)]||(z(e,n),ie=Q.min===t?N:M,i&&a.onThumbDragStart&&a.onThumbDragStart());},T=e=>{if(ne){const t=k(e,se),i=t-re;let r=K.min,s=K.max;const m=ie?Z.min:a.min,l=ie?Z.max:a.max;ie&&ie!==N||(r=ie?t:ee.min+i),ie&&ie!==M||(s=ie?t:ee.max+i),r>=m&&r<=l&&s>=m&&s<=l?(h({min:r,max:s}),re=t):(r>l&&ie&&(h(n(l,l)),re=t),s<m&&ie&&(h(n(m,m)),re=t),r<m&&(h(n(m,ie?K.max:K.max-K.min+m)),re=t),s>l&&(h(n(ie?K.min:K.min-K.max+l,l)),re=t)),ie||_();}},A=()=>{ne&&(m(le[0],X),m(le[1],X),m(se,X),ne=!1,ie?a.onThumbDragEnd&&a.onThumbDragEnd():a.onRangeDragEnd&&a.onRangeDragEnd());},I=()=>{$(),x(),v();},L=()=>{const e=H(me[0].step);return me[0].step===G?G:0===e||isNaN(e)?1:e},B=Math.abs,H=parseFloat,q=window.getComputedStyle,N="min",M="max",G="any",F="vertical",O="tabindex",P="data-lower",V="data-upper",X="data-active",Y="data-vertical",J="data-disabled",K=n(),Q=n(0,1),U=n(),W=n(),Z=n();let ee=n(),ae=0,te=0,ne=!1,ie=!1,re=0;if(!this.cssInjected){const e=document.createElement("style");e.textContent=".range-slider{touch-action:none;-webkit-tap-highlight-color:transparent;-webkit-user-select:none;user-select:none;cursor:pointer;display:block;position:relative;width:100%;height:8px;background:#ddd;border-radius:4px}.range-slider[data-vertical]{height:100%;width:8px}.range-slider[data-disabled]{opacity:.5;cursor:not-allowed}.range-slider .range-slider__thumb{position:absolute;z-index:3;top:50%;width:24px;height:24px;transform:translate(-50%,-50%);border-radius:50%;background:#2196f3}.range-slider .range-slider__thumb:focus-visible{outline:0;box-shadow:0 0 0 6px rgba(33,150,243,.5)}.range-slider[data-vertical] .range-slider__thumb{left:50%}.range-slider .range-slider__thumb[data-disabled]{z-index:2}.range-slider .range-slider__range{position:absolute;z-index:1;transform:translate(0,-50%);top:50%;width:100%;height:100%;background:#51adf6}.range-slider[data-vertical] .range-slider__range{left:50%;transform:translate(-50%,0)}.range-slider input[type=range]{-webkit-appearance:none;pointer-events:none;position:absolute;z-index:2;top:0;left:0;width:0;height:0;background-color:transparent}.range-slider input[type=range]::-webkit-slider-thumb{-webkit-appearance:none;appearance:none}.range-slider input[type=range]::-moz-range-thumb{width:0;height:0;border:0}.range-slider input[type=range]:focus{outline:0}";const a=document.head,t=document.querySelector("head>style,head>link");t?a.insertBefore(e,t):a.appendChild(e),this.cssInjected=!0;}o("rangeSlideDisabled",!1),o("thumbsDisabled",[!1,!1]),o("orientation","horizontal"),o("disabled",!1),o("onThumbDragStart",!1),o("onRangeDragStart",!1),o("onThumbDragEnd",!1),o("onRangeDragEnd",!1),o("onInput",!1),o("value",[25,75]),o("step",1),o("min",0),o("max",100),p(),g(),e.innerHTML=`<input type="range" min="${a.min}" max="${a.max}" step="${a.step}" value="${a.value[0]}" disabled><input type="range" min="${a.min}" max="${a.max}" step="${a.step}" value="${a.value[1]}" disabled><div role="slider" class="range-slider__thumb" ${P}></div><div role="slider" class="range-slider__thumb" ${V}></div><div class="range-slider__range"></div>`,e.classList.add("range-slider");const se=e.querySelector(".range-slider__range"),me=e.querySelectorAll("input"),le=e.querySelectorAll(".range-slider__thumb");return ae=a.max-a.min,h("",!0,!1),_(),w(),y(),D(),E(),l(e,"pointerdown",(e=>{R(e);})),Array.from(le).forEach(((e,t)=>{l(e,"pointerdown",(a=>{C(a,t,e);})),l(e,"keydown",(e=>{e.which>=37&&e.which<=40&&(e.preventDefault(),((e,t)=>{const n=(37===t||40===t?-1:1)*u(-1,1);if(!a.disabled&&!a.thumbsDisabled[b(e)]){let a=L();a=a===G?1:a;let t=K.min+a*(Q.min===e?n:0),i=K.max+a*(Q.max===e?n:0);t>Z.max&&(t=Z.max),i<Z.min&&(i=Z.min),h({min:t,max:i},!0);}})(t,e.which));}));})),l(se,"pointerdown",(e=>{(e=>{a.disabled||a.rangeSlideDisabled||(z(e,se),te=K.max-K.min,ie=!1,a.onRangeDragStart&&a.onRangeDragStart());})(e);})),l(document,"pointermove",T),l(document,"pointerup",A),l(window,"resize",I),{min:(e=!1)=>r(!e&&0!==e,a.min,(()=>{S(N,e);})),max:(e=!1)=>r(!e&&0!==e,a.max,(()=>{S(M,e);})),step:(e=!1)=>r(!e,L(),(()=>{me[0].step=e,me[1].step=e,h("",!0,!0,!1);})),value:(e=!1)=>r(!e,[K.min,K.max],(()=>{h(n(e[0],e[1]),!0,!0,!1),_();})),orientation:(e=!1)=>r(!e,a.orientation,(()=>{a.orientation=e,E(),h("",!0,!0,!1);})),disabled:(e=!0)=>{a.disabled=!!e,w();},thumbsDisabled:(e=[!0,!0])=>{a.thumbsDisabled=e,g(),_(),D(),y();},rangeSlideDisabled:(e=!0)=>{a.rangeSlideDisabled=!!e;},currentValueIndex:()=>ie?ie===N?0:1:-1,removeGlobalEventListeners:()=>{d(document,"pointermove",T),d(document,"pointerup",A),d(window,"resize",I);}}};}},a={},function t(n){var i=a[n];if(void 0!==i)return i.exports;var r=a[n]={exports:{}};return e[n].call(r.exports,r,r.exports,t),r.exports}(265);var e,a;},e.exports=t();}));rangeslider_umd_min.rangeSlider;

    /*! grudus-timepicker | (c) 2017-2017
     grudus | Apache-2.0 license (see LICENSE) */var hoursRegex=/^([0-1]?[0-9]|2[0-3])$/,minutesRegex=/^([0-5]?[0-9])$/,regex=/^([0-1]?[0-9]|2[0-3]):([0-5][0-9])$/;function extractTime(e){if(e){if(e instanceof Date)return fromDate(e);if(hoursRegex.test(e.hours)&&minutesRegex.test(e.minutes))return {hours:parseInt(e.hours),minutes:parseInt(e.minutes)};if(regex.test(e))return fromRegex(e);throw new TypeError("INVALID FORMAT: {"+JSON.stringify(e)+"}.\n            Time must be a Date or 'hh:MM' string or object with 'hours' and 'minutes' fields")}return fromDate(new Date)}function fromRegex(e){var t=regex.exec(e);return {hours:parseInt(t[1]),minutes:parseInt(t[2])}}function fromDate(e){return {hours:e.getHours(),minutes:e.getMinutes()}}var formatTime=function(e){var t=extractTime(e);return (t.hours<10?"0"+t.hours:t.hours)+":"+(t.minutes<10?"0"+t.minutes:t.minutes)},clockHtml="<section class='g-time-wrapper'>\n    <header class='g-head g-flex' id='g-head'>\n        <section class='g-head-content'>\n            <span class='g-current g-hour g-active g-pointer' id='g-hours'>21</span>\n            <span class='g-current'>:</span>\n            <span class='g-current g-minute g-pointer' id='g-minutes'>37</span>\n        </section>\n    </header>\n\n\n    <section class='g-clock-wrapper g-flex' id='g-clock-wrapper'>\n        <div class='g-clock' id='g-clock'>            <span class='g-middle-dot' id='g-middle-dot'></span>\n            <div class='g-hand-of-a-clock' id='g-hand-of-a-clock'></div>\n            <div class='g-clock g-clock-inner' id='g-clock-inner'></div>\n        </div>\n    </section>\n\n\n    <footer class='g-buttons g-flex' id='g-buttons'>\n        <button id='g-time-cancel' class='g-button g-cancel g-pointer'>CANCEL</button>\n        <button id='g-time-submit' class='g-button g-submit g-pointer'>OK</button>\n    </footer>\n\n</section>",clockId="grudus-clock",defaultConfig={onSubmit:function(){},onCancel:function(){},headerBackground:"#1976D2",headerColor:"#c7d6e1",headerSelected:"#ffffff",wrapperBackground:"#f0fff0",footerBackground:"#f0fff0",submitColor:"#1976D2",cancelColor:"#1976D2",clockBackground:"#CFD8DC",clockItemColor:"#212121",clockItemInnerColor:"#212121",handColor:"#1976D2"},FaceType={HOURS:"hours",MINUTES:"minutes"},css={clock:"g-clock",clockItem:"g-clock-item",inner:"g-clock-inner",outer:"g-clock-outer",item:"g-clock-item",hand:"g-hand-of-a-clock",fadeOut:"g-fade-out",selected:"g-selected",active:"g-active",submit:"g-submit",cancel:"g-cancel",hour:"g-hour",minute:"g-minute"},DOM={headerId:"g-head",hoursId:"g-hours",minutesId:"g-minutes",clockId:"g-clock",innerId:"g-clock-inner",wrapperId:"g-clock-wrapper",dotId:"g-middle-dot",handId:"g-hand-of-a-clock",buttonsId:"g-buttons",submitId:"g-time-submit",cancelId:"g-time-cancel"},Config$1={clockId:clockId,clockConfig:defaultConfig,FaceType:FaceType},classCallCheck=function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")},createClass=function(){function e(e,t){for(var i=0;i<t.length;i++){var s=t[i];s.enumerable=s.enumerable||!1,s.configurable=!0,"value"in s&&(s.writable=!0),Object.defineProperty(e,s.key,s);}}return function(t,i,s){return i&&e(t.prototype,i),s&&e(t,s),t}}(),ClockHeader=function(){function e(t){classCallCheck(this,e),this.options=t.options,this.time=t.time,this.onHourClicked=t.onHourClicked,this.onMinutesClicked=t.onMinutesClicked,this.initView();}return createClass(e,[{key:"initView",value:function(){var e=this;this.headerHours=document.getElementById(DOM.hoursId),this.headerHours.onclick=function(){e.toggleActiveToHours(),e.onHourClicked();},this.headerMinutes=document.getElementById(DOM.minutesId),this.headerMinutes.onclick=function(){e.toggleActiveToMinutes(),e.onMinutesClicked();},this.updateDisplayedTime(),this.toggleActiveToHours();}},{key:"toggleActiveToMinutes",value:function(){this.toggleActive(this.headerHours,this.headerMinutes);}},{key:"toggleActiveToHours",value:function(){this.toggleActive(this.headerMinutes,this.headerHours);}},{key:"toggleActive",value:function(e,t){e.style.color=this.options.headerColor,t.style.color=this.options.headerSelected;}},{key:"updateDisplayedTime",value:function(){e.doUpdateDisplayedTime(this.headerHours,this.time.hours),e.doUpdateDisplayedTime(this.headerMinutes,this.time.minutes);}}],[{key:"doUpdateDisplayedTime",value:function(e,t){e.innerText=t<10?"0"+t:t;}}]),e}(),MinutesFace=function(){function e(t,i,s){classCallCheck(this,e),this.displayed=["00","05","10","15","20","25","30","35","40","45","50","55"],this.options=t.options,this.type=Config$1.FaceType.MINUTES,this.selected=void 0,this.items=t,this.minutes=i,this.updateMinutes=s;}return createClass(e,[{key:"onEnter",value:function(){this.selected=this.findSelected(this.minutes),this.colorSelected(),this.updateMinutes(this.minutes,6*this.minutes);}},{key:"onLeave",value:function(){this.selected&&(this.removeSelected(),this.selected=void 0);}},{key:"selectTime",value:function(e){this.selected&&this.removeSelected();var t=Math.round(e/6)%60;this.selected=this.findSelected(t),this.colorSelected(),this.minutes=t,this.updateMinutes(this.minutes,e);}},{key:"findSelected",value:function(e){return e%5==0?this.items.clockItems[e/5]:this.items.outerClockItems[e]}},{key:"colorSelected",value:function(){this.isOuter()?this.selected.classList.add(css.selected):(this.selected.style.background=this.options.handColor,this.selected.style.color="whitesmoke");}},{key:"removeSelected",value:function(){this.isOuter()?this.selected.classList.remove(css.selected):(this.selected.style.background="transparent",this.selected.style.color=this.options.clockItemColor);}},{key:"isOuter",value:function(){return this.items.outerClockItems.indexOf(this.selected)>-1}}]),e}(),HoursFace=function(){function e(t,i,s){classCallCheck(this,e),this.displayed=["12","1","2","3","4","5","6","7","8","9","10","11"],this.displayedInner=["00","13","14","15","16","17","18","19","20","21","22","23"],this.type=Config$1.FaceType.MINUTES,this.selected=void 0,this.options=t.options,this.items=t,this.hours=i,this.updateHours=s;}return createClass(e,[{key:"onEnter",value:function(){this.items.innerClockElem.style.display="block";var e=this.hours<13&&0!==this.hours,t=this.hours%12;this.selected=e?this.items.clockItems[t]:this.items.innerClockItems[t],this.colorSelected(),this.updateHours(this.hours,30*t,e?this.items.radius:this.items.radius-50);}},{key:"onLeave",value:function(){this.items.innerClockElem.style.display="none",this.selected&&(this.removeSelected(),this.selected=void 0);}},{key:"selectTime",value:function(e,t){this.selected&&this.removeSelected();var i=Math.round(e/30)%12;this.selected=(t===this.items.innerClockElem?this.items.innerClockItems:this.items.clockItems)[i],this.colorSelected(),this.hours=parseInt(this.selected.innerText);var s=30*Math.round(e/30);this.updateHours(this.hours,s,t===this.items.innerClockElem?this.items.radius-50:this.items.radius);}},{key:"colorSelected",value:function(){this.selected.style.background=this.options.handColor,this.selected.style.color="#ffffff";}},{key:"removeSelected",value:function(){this.selected.style.background="transparent",this.selected.style.color=this.isInner()?this.options.clockItemInnerColor:this.options.clockItemColor;}},{key:"isInner",value:function(){return Array.from(this.items.innerClockItems).indexOf(this.selected)>-1}}]),e}();function toRadians(e){return e*(Math.PI/180)}function toDegrees(e){return e*(180/Math.PI)}function findMousePosition(e,t){var i=t.getBoundingClientRect();return {x:e.clientX-i.left,y:e.clientY-i.top}}function delay(e){return new Promise((function(t){setTimeout(t,e);}))}Promise.delay=function(e,t){return t||(t=e,e=function(){}),delay(t).then(e)},Promise.prototype.delay=function(e,t){return this.then((function(){return Promise.delay(e,t)}))};var Utils={toRadians:toRadians,toDegrees:toDegrees,findMousePosition:findMousePosition},ClockFaceCreator=function(){function e(t,i){classCallCheck(this,e),this.clockElem=t,this.innerClockElem=i,this.size={},this.middle={};}return createClass(e,[{key:"create",value:function(t,i,s,n){e.doCreate(t,this.clockElem,(function(e){return e.classList.add(css.item)})),e.doCreate(i,this.innerClockElem,(function(e,t){e.classList.add(css.item,css.inner),e.innerText=n.displayedInner[t];}));for(var o=0;o<60;o++){var c=document.createElement("span");c.classList.add(css.outer),s.push(c),this.clockElem.appendChild(c);}}},{key:"calculateSize",value:function(t,i,s){this.size.width=this.clockElem.offsetWidth,this.size.height=this.clockElem.offsetHeight,this.middle.x=this.size.width/2,this.middle.y=this.size.height/2,this.itemsRadius=this.size.width/2-20;var n=this.innerClockElem.offsetWidth/2,o=this.innerClockElem.offsetHeight/2;e.doCalculateSize(this.middle.x,this.middle.y,this.itemsRadius,t),e.doCalculateSize(n,o,this.itemsRadius-40,i),e.doCalculateSize(this.middle.x,this.middle.y,this.itemsRadius,s);}}],[{key:"doCreate",value:function(e,t,i){for(var s=0;s<12;s++){var n=document.createElement("span");i(n,s),e.push(n),t.appendChild(n);}}},{key:"doCalculateSize",value:function(e,t,i,s){for(var n=360/s.length,o=0;o<s.length;o++){var c=Utils.toRadians(o*n),l=s[o],r=l.offsetWidth,a=l.offsetHeight;l.style.left=e+Math.sin(c)*i-r/2+"px",l.style.bottom=t+Math.cos(c)*i-a/2+"px";}}}]),e}(),ClockFace=function(){function e(t,i,s){classCallCheck(this,e),this.options=t,this.time=i,this.onTimeUpdate=s,this.isMouseDown=!1,this.clockItems=[],this.innerClockItems=[],this.outerClockItems=[],this.size={},this.middle={},this.initViews(),this.initTimeFaces(i),this.createFace(),this.hoursFace.items.radius=this.itemsRadius,this.currentFace=this.hoursFace,this.changeDisplayed(this.currentFace.displayed);}return createClass(e,[{key:"initViews",value:function(){var e=this;this.clockElem=document.getElementById(DOM.clockId),this.innerClockElem=document.getElementById(DOM.innerId),this.handOfAClock=document.getElementById(DOM.handId),this.clockElem.onmousedown=function(){return e.isMouseDown=!0},this.clockElem.onmouseup=function(){e.isMouseDown=!1,e.toggleToMinutes();},this.handOfAClock.onmouseup=function(e){return e.stopPropagation()},this.handOfAClock.onmousemove=function(e){return e.stopPropagation()},this.handOfAClock.onclick=function(e){return e.stopPropagation()},this.clockElem.onmousemove=function(t){return e.selectTime(t,!1,e.clockElem)},this.clockElem.onclick=function(t){return e.selectTime(t,!0,e.clockElem)},this.innerClockElem.onmousemove=function(t){return e.selectTime(t,!1,e.innerClockElem)},this.innerClockElem.onclick=function(t){return e.selectTime(t,!0,e.innerClockElem)};}},{key:"initTimeFaces",value:function(e){var t=this;this.minutesFace=new MinutesFace({options:this.options,clockItems:this.clockItems,outerClockItems:this.outerClockItems},e.minutes,(function(e,i){return t.updateMinutes(e,i)})),this.hoursFace=new HoursFace({options:this.options,innerClockItems:this.innerClockItems,clockItems:this.clockItems,innerClockElem:this.innerClockElem},e.hours,(function(e,i,s){return t.updateHours(e,i,s)}));}},{key:"onStart",value:function(){this.currentFace.onEnter();}},{key:"createFace",value:function(){var e=new ClockFaceCreator(this.clockElem,this.innerClockElem);e.create(this.clockItems,this.innerClockItems,this.outerClockItems,this.hoursFace),e.calculateSize(this.clockItems,this.innerClockItems,this.outerClockItems),this.size=e.size,this.middle=e.middle,this.itemsRadius=e.itemsRadius;}},{key:"selectTime",value:function(e,t,i){if(t||this.isMouseDown){var s=Utils.findMousePosition(e,this.clockElem),n=s.x-this.middle.x,o=this.middle.y-s.y,c=90-Utils.toDegrees(Math.atan(o/n));n<0&&(c+=180),this.currentFace.selectTime(c,i),e.stopPropagation();}}},{key:"changeDisplayed",value:function(e){for(var t=0;t<this.clockItems.length;t++)this.clockItems[t].innerText=e[t];}},{key:"onEachClockElement",value:function(e){[].forEach.call(this.clockItems,(function(t){return e(t)}));}},{key:"updateMinutes",value:function(e,t){this.time.minutes=e,this.calculateHandOfTheClock(t,this.itemsRadius),this.onTimeUpdate(this.time,Config$1.FaceType.MINUTES);}},{key:"updateHours",value:function(e,t,i){this.time.hours=e,this.calculateHandOfTheClock(t,i),this.onTimeUpdate(this.time,Config$1.FaceType.HOURS);}},{key:"calculateHandOfTheClock",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:this.itemsRadius;this.handOfAClock.style.transform="rotate("+(e-90)+"deg)",this.handOfAClock.style.width=t+"px";}},{key:"toggleToHours",value:function(){this.minutesFace.onLeave(),this.toggleTime(this.hoursFace);}},{key:"toggleToMinutes",value:function(){this.hoursFace.onLeave(),this.toggleTime(this.minutesFace);}},{key:"toggleTime",value:function(e){var t=this;this.currentFace!==e&&(this.onEachClockElement((function(e){return e.classList.add(css.fadeOut)})),this.handOfAClock.classList.add(css.fadeOut),Promise.delay((function(){t.onEachClockElement((function(e){return e.classList.remove(css.fadeOut)})),t.handOfAClock.classList.remove(css.fadeOut),t.changeDisplayed(e.displayed),t.currentFace=e,t.onEachClockElement((function(e){return t.removeSelected(e)})),e.onEnter();}),300));}},{key:"removeSelected",value:function(e){e.classList.remove(css.selected),e.style.background="transparent",e.style.color=this.options.clockItemColor;}}]),e}(),Clock=function(){function e(t,i){classCallCheck(this,e),this.options=t,this.initView(),this.time=i,this.initElements();}return createClass(e,[{key:"initView",value:function(){var t=this;this.submitButton=document.getElementById(DOM.submitId),this.submitButton.onclick=function(){var i=t.time;i.formatted=function(){return formatTime(i)},t.options.onSubmit(i),e.dispose();},this.cancelButton=document.getElementById(DOM.cancelId),this.cancelButton.onclick=function(){t.options.onCancel(),e.dispose();};}},{key:"initElements",value:function(){var e=this;this.header=new ClockHeader({options:this.options,time:this.time,onHourClicked:function(){return e.toggleToHours()},onMinutesClicked:function(){return e.toggleToMinutes()}}),this.clockFace=new ClockFace(this.options,this.time,(function(t,i){return e.onTimeUpdate(t,i)}));}},{key:"onStart",value:function(){this.clockFace.onStart();}},{key:"toggleToHours",value:function(){this.clockFace.toggleToHours();}},{key:"toggleToMinutes",value:function(){this.clockFace.toggleToMinutes();}},{key:"onTimeUpdate",value:function(e,t){this.time=e,this.header.time=e,this.header.updateDisplayedTime(),t===Config$1.FaceType.MINUTES&&this.header.toggleActiveToMinutes();}}],[{key:"dispose",value:function(){document.body.removeChild(document.getElementById(Config$1.clockId));}}]),e}();function styleColors(e){document.getElementById(DOM.headerId).style.background=e.headerBackground,document.getElementById(DOM.headerId).style.color=e.headerColor,document.getElementById(DOM.wrapperId).style.background=e.wrapperBackground,document.getElementById(DOM.clockId).style.background=e.clockBackground,document.getElementById(DOM.handId).style.background=e.handColor,document.getElementById(DOM.dotId).style.background=e.handColor,document.getElementById(DOM.buttonsId).style.background=e.footerBackground,document.getElementById(DOM.submitId).style.color=e.submitColor,document.getElementById(DOM.cancelId).style.color=e.cancelColor,changeColor(css.clockItem,e.clockItemColor),changeColor(css.inner,e.clockItemInnerColor),changeColor(css.outer,e.handColor,"borderColor");}function changeColor(e,t){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"color",s=Array.from(document.getElementsByClassName(e)),n=!0,o=!1,c=void 0;try{for(var l,r=s[Symbol.iterator]();!(n=(l=r.next()).done);n=!0){l.value.style[i]=t;}}catch(e){o=!0,c=e;}finally{try{!n&&r.return&&r.return();}finally{if(o)throw c}}}function showPicker(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};createDom();var t=Object.assign({},Config$1.clockConfig,e),i=extractTime(t.time),s=new Clock(t,i);styleColors(t),s.onStart();}function createDom(){if(document.getElementById(Config$1.clockId))throw Error("There is already one running grudus-timepicker instance!");var e=document.createElement("div");e.id=Config$1.clockId,e.innerHTML=clockHtml,document.body.appendChild(e);}var index={showPicker:function(e){return showPicker(e)},format:function(e){return formatTime(e)}};

    class it25{gooeyRangeSlider(e,t={},r=0,l){if(null==e)return;const n=e.querySelector(".slider"),o=e.querySelector(".blobs"),c=e.querySelector(".value-text");let u=[];const i=()=>{const e=(()=>{const e=d.currentValueIndex();return -1===e?r:e})(),t=(u[e]-d.min())/(d.max()-d.min()),n=`calc(${100*t}% + ${30*(.5-t)}px)`;o.style.left=n,c.style.left=n,c.textContent=u[e],null!=l&&l(u[e]);},d=rangeslider_umd_min(n,{...t,onInput:e=>{u=e,i();},onThumbDragStart:()=>{o.classList.add("active"),i();},onThumbDragEnd:()=>{o.classList.remove("active");}});u=d.value(),i();}clockpicker(e){e.addEventListener("click",(function(t){index.showPicker({time:e.value,handColor:"#2a7a38",onSubmit:t=>{e.value=t.formatted(),document.getElementById("grudus-clock").parentNode.removeChild(document.getElementById("grudus-clock"));},onClose:()=>{document.getElementById("grudus-clock").parentNode.removeChild(document.getElementById("grudus-clock"));}});var r=document.getElementById("grudus-clock");null!=r&&t.target.after(r);}),!1);}}const it25$1 = it25;

    var flatpickr=createCommonjsModule((function(e,n){
    /* flatpickr v4.6.13, @license MIT */var t;t=function(){/*! *****************************************************************************
        Copyright (c) Microsoft Corporation.

        Permission to use, copy, modify, and/or distribute this software for any
        purpose with or without fee is hereby granted.

        THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
        REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
        AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
        INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
        LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
        OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
        PERFORMANCE OF THIS SOFTWARE.
        ***************************************************************************** */var e=function(){return e=Object.assign||function(e){for(var n,t=1,a=arguments.length;t<a;t++)for(var i in n=arguments[t])Object.prototype.hasOwnProperty.call(n,i)&&(e[i]=n[i]);return e},e.apply(this,arguments)};function n(){for(var e=0,n=0,t=arguments.length;n<t;n++)e+=arguments[n].length;var a=Array(e),i=0;for(n=0;n<t;n++)for(var o=arguments[n],r=0,l=o.length;r<l;r++,i++)a[i]=o[r];return a}var t=["onChange","onClose","onDayCreate","onDestroy","onKeyDown","onMonthChange","onOpen","onParseConfig","onReady","onValueUpdate","onYearChange","onPreCalendarPosition"],a={_disable:[],allowInput:!1,allowInvalidPreload:!1,altFormat:"F j, Y",altInput:!1,altInputClass:"form-control input",animate:"object"==typeof window&&-1===window.navigator.userAgent.indexOf("MSIE"),ariaDateFormat:"F j, Y",autoFillDefaultTime:!0,clickOpens:!0,closeOnSelect:!0,conjunction:", ",dateFormat:"Y-m-d",defaultHour:12,defaultMinute:0,defaultSeconds:0,disable:[],disableMobile:!1,enableSeconds:!1,enableTime:!1,errorHandler:function(e){return "undefined"!=typeof console&&console.warn(e)},getWeek:function(e){var n=new Date(e.getTime());n.setHours(0,0,0,0),n.setDate(n.getDate()+3-(n.getDay()+6)%7);var t=new Date(n.getFullYear(),0,4);return 1+Math.round(((n.getTime()-t.getTime())/864e5-3+(t.getDay()+6)%7)/7)},hourIncrement:1,ignoredFocusElements:[],inline:!1,locale:"default",minuteIncrement:5,mode:"single",monthSelectorType:"dropdown",nextArrow:"<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 17 17'><g></g><path d='M13.207 8.472l-7.854 7.854-0.707-0.707 7.146-7.146-7.146-7.148 0.707-0.707 7.854 7.854z' /></svg>",noCalendar:!1,now:new Date,onChange:[],onClose:[],onDayCreate:[],onDestroy:[],onKeyDown:[],onMonthChange:[],onOpen:[],onParseConfig:[],onReady:[],onValueUpdate:[],onYearChange:[],onPreCalendarPosition:[],plugins:[],position:"auto",positionElement:void 0,prevArrow:"<svg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' viewBox='0 0 17 17'><g></g><path d='M5.207 8.471l7.146 7.147-0.707 0.707-7.853-7.854 7.854-7.853 0.707 0.707-7.147 7.146z' /></svg>",shorthandCurrentMonth:!1,showMonths:1,static:!1,time_24hr:!1,weekNumbers:!1,wrap:!1},i={weekdays:{shorthand:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],longhand:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"]},months:{shorthand:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],longhand:["January","February","March","April","May","June","July","August","September","October","November","December"]},daysInMonth:[31,28,31,30,31,30,31,31,30,31,30,31],firstDayOfWeek:0,ordinal:function(e){var n=e%100;if(n>3&&n<21)return "th";switch(n%10){case 1:return "st";case 2:return "nd";case 3:return "rd";default:return "th"}},rangeSeparator:" to ",weekAbbreviation:"Wk",scrollTitle:"Scroll to increment",toggleTitle:"Click to toggle",amPM:["AM","PM"],yearAriaLabel:"Year",monthAriaLabel:"Month",hourAriaLabel:"Hour",minuteAriaLabel:"Minute",time_24hr:!1},o=function(e,n){return void 0===n&&(n=2),("000"+e).slice(-1*n)},r=function(e){return !0===e?1:0};function l(e,n){var t;return function(){var a=this,i=arguments;clearTimeout(t),t=setTimeout((function(){return e.apply(a,i)}),n);}}var c=function(e){return e instanceof Array?e:[e]};function s(e,n,t){if(!0===t)return e.classList.add(n);e.classList.remove(n);}function d(e,n,t){var a=window.document.createElement(e);return n=n||"",t=t||"",a.className=n,void 0!==t&&(a.textContent=t),a}function u(e){for(;e.firstChild;)e.removeChild(e.firstChild);}function f(e,n){return n(e)?e:e.parentNode?f(e.parentNode,n):void 0}function m(e,n){var t=d("div","numInputWrapper"),a=d("input","numInput "+e),i=d("span","arrowUp"),o=d("span","arrowDown");if(-1===navigator.userAgent.indexOf("MSIE 9.0")?a.type="number":(a.type="text",a.pattern="\\d*"),void 0!==n)for(var r in n)a.setAttribute(r,n[r]);return t.appendChild(a),t.appendChild(i),t.appendChild(o),t}function g(e){try{return "function"==typeof e.composedPath?e.composedPath()[0]:e.target}catch(n){return e.target}}var p=function(){},h=function(e,n,t){return t.months[n?"shorthand":"longhand"][e]},v={D:p,F:function(e,n,t){e.setMonth(t.months.longhand.indexOf(n));},G:function(e,n){e.setHours((e.getHours()>=12?12:0)+parseFloat(n));},H:function(e,n){e.setHours(parseFloat(n));},J:function(e,n){e.setDate(parseFloat(n));},K:function(e,n,t){e.setHours(e.getHours()%12+12*r(new RegExp(t.amPM[1],"i").test(n)));},M:function(e,n,t){e.setMonth(t.months.shorthand.indexOf(n));},S:function(e,n){e.setSeconds(parseFloat(n));},U:function(e,n){return new Date(1e3*parseFloat(n))},W:function(e,n,t){var a=parseInt(n),i=new Date(e.getFullYear(),0,2+7*(a-1),0,0,0,0);return i.setDate(i.getDate()-i.getDay()+t.firstDayOfWeek),i},Y:function(e,n){e.setFullYear(parseFloat(n));},Z:function(e,n){return new Date(n)},d:function(e,n){e.setDate(parseFloat(n));},h:function(e,n){e.setHours((e.getHours()>=12?12:0)+parseFloat(n));},i:function(e,n){e.setMinutes(parseFloat(n));},j:function(e,n){e.setDate(parseFloat(n));},l:p,m:function(e,n){e.setMonth(parseFloat(n)-1);},n:function(e,n){e.setMonth(parseFloat(n)-1);},s:function(e,n){e.setSeconds(parseFloat(n));},u:function(e,n){return new Date(parseFloat(n))},w:p,y:function(e,n){e.setFullYear(2e3+parseFloat(n));}},D={D:"",F:"",G:"(\\d\\d|\\d)",H:"(\\d\\d|\\d)",J:"(\\d\\d|\\d)\\w+",K:"",M:"",S:"(\\d\\d|\\d)",U:"(.+)",W:"(\\d\\d|\\d)",Y:"(\\d{4})",Z:"(.+)",d:"(\\d\\d|\\d)",h:"(\\d\\d|\\d)",i:"(\\d\\d|\\d)",j:"(\\d\\d|\\d)",l:"",m:"(\\d\\d|\\d)",n:"(\\d\\d|\\d)",s:"(\\d\\d|\\d)",u:"(.+)",w:"(\\d\\d|\\d)",y:"(\\d{2})"},w={Z:function(e){return e.toISOString()},D:function(e,n,t){return n.weekdays.shorthand[w.w(e,n,t)]},F:function(e,n,t){return h(w.n(e,n,t)-1,!1,n)},G:function(e,n,t){return o(w.h(e,n,t))},H:function(e){return o(e.getHours())},J:function(e,n){return void 0!==n.ordinal?e.getDate()+n.ordinal(e.getDate()):e.getDate()},K:function(e,n){return n.amPM[r(e.getHours()>11)]},M:function(e,n){return h(e.getMonth(),!0,n)},S:function(e){return o(e.getSeconds())},U:function(e){return e.getTime()/1e3},W:function(e,n,t){return t.getWeek(e)},Y:function(e){return o(e.getFullYear(),4)},d:function(e){return o(e.getDate())},h:function(e){return e.getHours()%12?e.getHours()%12:12},i:function(e){return o(e.getMinutes())},j:function(e){return e.getDate()},l:function(e,n){return n.weekdays.longhand[e.getDay()]},m:function(e){return o(e.getMonth()+1)},n:function(e){return e.getMonth()+1},s:function(e){return e.getSeconds()},u:function(e){return e.getTime()},w:function(e){return e.getDay()},y:function(e){return String(e.getFullYear()).substring(2)}},b=function(e){var n=e.config,t=void 0===n?a:n,o=e.l10n,r=void 0===o?i:o,l=e.isMobile,c=void 0!==l&&l;return function(e,n,a){var i=a||r;return void 0===t.formatDate||c?n.split("").map((function(n,a,o){return w[n]&&"\\"!==o[a-1]?w[n](e,i,t):"\\"!==n?n:""})).join(""):t.formatDate(e,n,i)}},C=function(e){var n=e.config,t=void 0===n?a:n,o=e.l10n,r=void 0===o?i:o;return function(e,n,i,o){if(0===e||e){var l,c=o||r,s=e;if(e instanceof Date)l=new Date(e.getTime());else if("string"!=typeof e&&void 0!==e.toFixed)l=new Date(e);else if("string"==typeof e){var d=n||(t||a).dateFormat,u=String(e).trim();if("today"===u)l=new Date,i=!0;else if(t&&t.parseDate)l=t.parseDate(e,d);else if(/Z$/.test(u)||/GMT$/.test(u))l=new Date(e);else {for(var f=void 0,m=[],g=0,p=0,h="";g<d.length;g++){var w=d[g],b="\\"===w,C="\\"===d[g-1]||b;if(D[w]&&!C){h+=D[w];var M=new RegExp(h).exec(e);M&&(f=!0)&&m["Y"!==w?"push":"unshift"]({fn:v[w],val:M[++p]});}else b||(h+=".");}l=t&&t.noCalendar?new Date((new Date).setHours(0,0,0,0)):new Date((new Date).getFullYear(),0,1,0,0,0,0),m.forEach((function(e){var n=e.fn,t=e.val;return l=n(l,t,c)||l})),l=f?l:void 0;}}if(l instanceof Date&&!isNaN(l.getTime()))return !0===i&&l.setHours(0,0,0,0),l;t.errorHandler(new Error("Invalid date provided: "+s));}}};function M(e,n,t){return void 0===t&&(t=!0),!1!==t?new Date(e.getTime()).setHours(0,0,0,0)-new Date(n.getTime()).setHours(0,0,0,0):e.getTime()-n.getTime()}var y=function(e,n,t){return e>Math.min(n,t)&&e<Math.max(n,t)},x=function(e,n,t){return 3600*e+60*n+t},E=function(e){var n=Math.floor(e/3600),t=(e-3600*n)/60;return [n,t,e-3600*n-60*t]},k={DAY:864e5};function T(e){var n=e.defaultHour,t=e.defaultMinute,a=e.defaultSeconds;if(void 0!==e.minDate){var i=e.minDate.getHours(),o=e.minDate.getMinutes(),r=e.minDate.getSeconds();n<i&&(n=i),n===i&&t<o&&(t=o),n===i&&t===o&&a<r&&(a=e.minDate.getSeconds());}if(void 0!==e.maxDate){var l=e.maxDate.getHours(),c=e.maxDate.getMinutes();(n=Math.min(n,l))===l&&(t=Math.min(c,t)),n===l&&t===c&&(a=e.maxDate.getSeconds());}return {hours:n,minutes:t,seconds:a}}"function"!=typeof Object.assign&&(Object.assign=function(e){for(var n=[],t=1;t<arguments.length;t++)n[t-1]=arguments[t];if(!e)throw TypeError("Cannot convert undefined or null to object");for(var a=function(n){n&&Object.keys(n).forEach((function(t){return e[t]=n[t]}));},i=0,o=n;i<o.length;i++)a(o[i]);return e});var I=300;function S(p,v){var w={config:e(e({},a),O.defaultConfig),l10n:i};function S(){var e;return (null===(e=w.calendarContainer)||void 0===e?void 0:e.getRootNode()).activeElement||document.activeElement}function _(e){return e.bind(w)}function F(){var e=w.config;!1===e.weekNumbers&&1===e.showMonths||!0!==e.noCalendar&&window.requestAnimationFrame((function(){if(void 0!==w.calendarContainer&&(w.calendarContainer.style.visibility="hidden",w.calendarContainer.style.display="block"),void 0!==w.daysContainer){var n=(w.days.offsetWidth+1)*e.showMonths;w.daysContainer.style.width=n+"px",w.calendarContainer.style.width=n+(void 0!==w.weekWrapper?w.weekWrapper.offsetWidth:0)+"px",w.calendarContainer.style.removeProperty("visibility"),w.calendarContainer.style.removeProperty("display");}}));}function A(e){if(0===w.selectedDates.length){var n=void 0===w.config.minDate||M(new Date,w.config.minDate)>=0?new Date:new Date(w.config.minDate.getTime()),t=T(w.config);n.setHours(t.hours,t.minutes,t.seconds,n.getMilliseconds()),w.selectedDates=[n],w.latestSelectedDateObj=n;}void 0!==e&&"blur"!==e.type&&function(e){e.preventDefault();var n="keydown"===e.type,t=g(e),a=t;void 0!==w.amPM&&t===w.amPM&&(w.amPM.textContent=w.l10n.amPM[r(w.amPM.textContent===w.l10n.amPM[0])]);var i=parseFloat(a.getAttribute("min")),l=parseFloat(a.getAttribute("max")),c=parseFloat(a.getAttribute("step")),s=parseInt(a.value,10),d=e.delta||(n?38===e.which?1:-1:0),u=s+c*d;if(void 0!==a.value&&2===a.value.length){var f=a===w.hourElement,m=a===w.minuteElement;u<i?(u=l+u+r(!f)+(r(f)&&r(!w.amPM)),m&&B(void 0,-1,w.hourElement)):u>l&&(u=a===w.hourElement?u-l-r(!w.amPM):i,m&&B(void 0,1,w.hourElement)),w.amPM&&f&&(1===c?u+s===23:Math.abs(u-s)>c)&&(w.amPM.textContent=w.l10n.amPM[r(w.amPM.textContent===w.l10n.amPM[0])]),a.value=o(u);}}(e);var a=w._input.value;N(),ke(),w._input.value!==a&&w._debouncedChange();}function N(){if(void 0!==w.hourElement&&void 0!==w.minuteElement){var e,n,t=(parseInt(w.hourElement.value.slice(-2),10)||0)%24,a=(parseInt(w.minuteElement.value,10)||0)%60,i=void 0!==w.secondElement?(parseInt(w.secondElement.value,10)||0)%60:0;void 0!==w.amPM&&(e=t,n=w.amPM.textContent,t=e%12+12*r(n===w.l10n.amPM[1]));var o=void 0!==w.config.minTime||w.config.minDate&&w.minDateHasTime&&w.latestSelectedDateObj&&0===M(w.latestSelectedDateObj,w.config.minDate,!0),l=void 0!==w.config.maxTime||w.config.maxDate&&w.maxDateHasTime&&w.latestSelectedDateObj&&0===M(w.latestSelectedDateObj,w.config.maxDate,!0);if(void 0!==w.config.maxTime&&void 0!==w.config.minTime&&w.config.minTime>w.config.maxTime){var c=x(w.config.minTime.getHours(),w.config.minTime.getMinutes(),w.config.minTime.getSeconds()),s=x(w.config.maxTime.getHours(),w.config.maxTime.getMinutes(),w.config.maxTime.getSeconds()),d=x(t,a,i);if(d>s&&d<c){var u=E(c);t=u[0],a=u[1],i=u[2];}}else {if(l){var f=void 0!==w.config.maxTime?w.config.maxTime:w.config.maxDate;(t=Math.min(t,f.getHours()))===f.getHours()&&(a=Math.min(a,f.getMinutes())),a===f.getMinutes()&&(i=Math.min(i,f.getSeconds()));}if(o){var m=void 0!==w.config.minTime?w.config.minTime:w.config.minDate;(t=Math.max(t,m.getHours()))===m.getHours()&&a<m.getMinutes()&&(a=m.getMinutes()),a===m.getMinutes()&&(i=Math.max(i,m.getSeconds()));}}Y(t,a,i);}}function P(e){var n=e||w.latestSelectedDateObj;n&&n instanceof Date&&Y(n.getHours(),n.getMinutes(),n.getSeconds());}function Y(e,n,t){void 0!==w.latestSelectedDateObj&&w.latestSelectedDateObj.setHours(e%24,n,t||0,0),w.hourElement&&w.minuteElement&&!w.isMobile&&(w.hourElement.value=o(w.config.time_24hr?e:(12+e)%12+12*r(e%12==0)),w.minuteElement.value=o(n),void 0!==w.amPM&&(w.amPM.textContent=w.l10n.amPM[r(e>=12)]),void 0!==w.secondElement&&(w.secondElement.value=o(t)));}function j(e){var n=g(e),t=parseInt(n.value)+(e.delta||0);(t/1e3>1||"Enter"===e.key&&!/[^\d]/.test(t.toString()))&&ae(t);}function H(e,n,t,a){return n instanceof Array?n.forEach((function(n){return H(e,n,t,a)})):e instanceof Array?e.forEach((function(e){return H(e,n,t,a)})):(e.addEventListener(n,t,a),void w._handlers.push({remove:function(){return e.removeEventListener(n,t,a)}}))}function L(){Ce("onChange");}function R(e,n){var t=void 0!==e?w.parseDate(e):w.latestSelectedDateObj||(w.config.minDate&&w.config.minDate>w.now?w.config.minDate:w.config.maxDate&&w.config.maxDate<w.now?w.config.maxDate:w.now),a=w.currentYear,i=w.currentMonth;try{void 0!==t&&(w.currentYear=t.getFullYear(),w.currentMonth=t.getMonth());}catch(e){e.message="Invalid date supplied: "+t,w.config.errorHandler(e);}n&&w.currentYear!==a&&(Ce("onYearChange"),V()),!n||w.currentYear===a&&w.currentMonth===i||Ce("onMonthChange"),w.redraw();}function W(e){var n=g(e);~n.className.indexOf("arrow")&&B(e,n.classList.contains("arrowUp")?1:-1);}function B(e,n,t){var a=e&&g(e),i=t||a&&a.parentNode&&a.parentNode.firstChild,o=Me("increment");o.delta=n,i&&i.dispatchEvent(o);}function J(e,n,t,a){var i=ie(n,!0),o=d("span",e,n.getDate().toString());return o.dateObj=n,o.$i=a,o.setAttribute("aria-label",w.formatDate(n,w.config.ariaDateFormat)),-1===e.indexOf("hidden")&&0===M(n,w.now)&&(w.todayDateElem=o,o.classList.add("today"),o.setAttribute("aria-current","date")),i?(o.tabIndex=-1,ye(n)&&(o.classList.add("selected"),w.selectedDateElem=o,"range"===w.config.mode&&(s(o,"startRange",w.selectedDates[0]&&0===M(n,w.selectedDates[0],!0)),s(o,"endRange",w.selectedDates[1]&&0===M(n,w.selectedDates[1],!0)),"nextMonthDay"===e&&o.classList.add("inRange")))):o.classList.add("flatpickr-disabled"),"range"===w.config.mode&&function(e){return !("range"!==w.config.mode||w.selectedDates.length<2)&&M(e,w.selectedDates[0])>=0&&M(e,w.selectedDates[1])<=0}(n)&&!ye(n)&&o.classList.add("inRange"),w.weekNumbers&&1===w.config.showMonths&&"prevMonthDay"!==e&&a%7==6&&w.weekNumbers.insertAdjacentHTML("beforeend","<span class='flatpickr-day'>"+w.config.getWeek(n)+"</span>"),Ce("onDayCreate",o),o}function K(e){e.focus(),"range"===w.config.mode&&ce(e);}function U(e){for(var n=e>0?0:w.config.showMonths-1,t=e>0?w.config.showMonths:-1,a=n;a!=t;a+=e)for(var i=w.daysContainer.children[a],o=e>0?0:i.children.length-1,r=e>0?i.children.length:-1,l=o;l!=r;l+=e){var c=i.children[l];if(-1===c.className.indexOf("hidden")&&ie(c.dateObj))return c}}function q(e,n){var t=S(),a=oe(t||document.body),i=void 0!==e?e:a?t:void 0!==w.selectedDateElem&&oe(w.selectedDateElem)?w.selectedDateElem:void 0!==w.todayDateElem&&oe(w.todayDateElem)?w.todayDateElem:U(n>0?1:-1);void 0===i?w._input.focus():a?function(e,n){for(var t=-1===e.className.indexOf("Month")?e.dateObj.getMonth():w.currentMonth,a=n>0?w.config.showMonths:-1,i=n>0?1:-1,o=t-w.currentMonth;o!=a;o+=i)for(var r=w.daysContainer.children[o],l=t-w.currentMonth===o?e.$i+n:n<0?r.children.length-1:0,c=r.children.length,s=l;s>=0&&s<c&&s!=(n>0?c:-1);s+=i){var d=r.children[s];if(-1===d.className.indexOf("hidden")&&ie(d.dateObj)&&Math.abs(e.$i-s)>=Math.abs(n))return K(d)}w.changeMonth(i),q(U(i),0);}(i,n):K(i);}function $(e,n){for(var t=(new Date(e,n,1).getDay()-w.l10n.firstDayOfWeek+7)%7,a=w.utils.getDaysInMonth((n-1+12)%12,e),i=w.utils.getDaysInMonth(n,e),o=window.document.createDocumentFragment(),r=w.config.showMonths>1,l=r?"prevMonthDay hidden":"prevMonthDay",c=r?"nextMonthDay hidden":"nextMonthDay",s=a+1-t,u=0;s<=a;s++,u++)o.appendChild(J("flatpickr-day "+l,new Date(e,n-1,s),0,u));for(s=1;s<=i;s++,u++)o.appendChild(J("flatpickr-day",new Date(e,n,s),0,u));for(var f=i+1;f<=42-t&&(1===w.config.showMonths||u%7!=0);f++,u++)o.appendChild(J("flatpickr-day "+c,new Date(e,n+1,f%i),0,u));var m=d("div","dayContainer");return m.appendChild(o),m}function G(){if(void 0!==w.daysContainer){u(w.daysContainer),w.weekNumbers&&u(w.weekNumbers);for(var e=document.createDocumentFragment(),n=0;n<w.config.showMonths;n++){var t=new Date(w.currentYear,w.currentMonth,1);t.setMonth(w.currentMonth+n),e.appendChild($(t.getFullYear(),t.getMonth()));}w.daysContainer.appendChild(e),w.days=w.daysContainer.firstChild,"range"===w.config.mode&&1===w.selectedDates.length&&ce();}}function V(){if(!(w.config.showMonths>1||"dropdown"!==w.config.monthSelectorType)){var e=function(e){return !(void 0!==w.config.minDate&&w.currentYear===w.config.minDate.getFullYear()&&e<w.config.minDate.getMonth()||void 0!==w.config.maxDate&&w.currentYear===w.config.maxDate.getFullYear()&&e>w.config.maxDate.getMonth())};w.monthsDropdownContainer.tabIndex=-1,w.monthsDropdownContainer.innerHTML="";for(var n=0;n<12;n++)if(e(n)){var t=d("option","flatpickr-monthDropdown-month");t.value=new Date(w.currentYear,n).getMonth().toString(),t.textContent=h(n,w.config.shorthandCurrentMonth,w.l10n),t.tabIndex=-1,w.currentMonth===n&&(t.selected=!0),w.monthsDropdownContainer.appendChild(t);}}}function z(){var e,n=d("div","flatpickr-month"),t=window.document.createDocumentFragment();w.config.showMonths>1||"static"===w.config.monthSelectorType?e=d("span","cur-month"):(w.monthsDropdownContainer=d("select","flatpickr-monthDropdown-months"),w.monthsDropdownContainer.setAttribute("aria-label",w.l10n.monthAriaLabel),H(w.monthsDropdownContainer,"change",(function(e){var n=g(e),t=parseInt(n.value,10);w.changeMonth(t-w.currentMonth),Ce("onMonthChange");})),V(),e=w.monthsDropdownContainer);var a=m("cur-year",{tabindex:"-1"}),i=a.getElementsByTagName("input")[0];i.setAttribute("aria-label",w.l10n.yearAriaLabel),w.config.minDate&&i.setAttribute("min",w.config.minDate.getFullYear().toString()),w.config.maxDate&&(i.setAttribute("max",w.config.maxDate.getFullYear().toString()),i.disabled=!!w.config.minDate&&w.config.minDate.getFullYear()===w.config.maxDate.getFullYear());var o=d("div","flatpickr-current-month");return o.appendChild(e),o.appendChild(a),t.appendChild(o),n.appendChild(t),{container:n,yearElement:i,monthElement:e}}function Z(){u(w.monthNav),w.monthNav.appendChild(w.prevMonthNav),w.config.showMonths&&(w.yearElements=[],w.monthElements=[]);for(var e=w.config.showMonths;e--;){var n=z();w.yearElements.push(n.yearElement),w.monthElements.push(n.monthElement),w.monthNav.appendChild(n.container);}w.monthNav.appendChild(w.nextMonthNav);}function Q(){w.weekdayContainer?u(w.weekdayContainer):w.weekdayContainer=d("div","flatpickr-weekdays");for(var e=w.config.showMonths;e--;){var n=d("div","flatpickr-weekdaycontainer");w.weekdayContainer.appendChild(n);}return X(),w.weekdayContainer}function X(){if(w.weekdayContainer){var e=w.l10n.firstDayOfWeek,t=n(w.l10n.weekdays.shorthand);e>0&&e<t.length&&(t=n(t.splice(e,t.length),t.splice(0,e)));for(var a=w.config.showMonths;a--;)w.weekdayContainer.children[a].innerHTML="\n      <span class='flatpickr-weekday'>\n        "+t.join("</span><span class='flatpickr-weekday'>")+"\n      </span>\n      ";}}function ee(e,n){void 0===n&&(n=!0);var t=n?e:e-w.currentMonth;t<0&&!0===w._hidePrevMonthArrow||t>0&&!0===w._hideNextMonthArrow||(w.currentMonth+=t,(w.currentMonth<0||w.currentMonth>11)&&(w.currentYear+=w.currentMonth>11?1:-1,w.currentMonth=(w.currentMonth+12)%12,Ce("onYearChange"),V()),G(),Ce("onMonthChange"),xe());}function ne(e){return w.calendarContainer.contains(e)}function te(e){if(w.isOpen&&!w.config.inline){var n=g(e),t=ne(n),a=!(n===w.input||n===w.altInput||w.element.contains(n)||e.path&&e.path.indexOf&&(~e.path.indexOf(w.input)||~e.path.indexOf(w.altInput))||t||ne(e.relatedTarget)),i=!w.config.ignoredFocusElements.some((function(e){return e.contains(n)}));a&&i&&(w.config.allowInput&&w.setDate(w._input.value,!1,w.config.altInput?w.config.altFormat:w.config.dateFormat),void 0!==w.timeContainer&&void 0!==w.minuteElement&&void 0!==w.hourElement&&""!==w.input.value&&void 0!==w.input.value&&A(),w.close(),w.config&&"range"===w.config.mode&&1===w.selectedDates.length&&w.clear(!1));}}function ae(e){if(!(!e||w.config.minDate&&e<w.config.minDate.getFullYear()||w.config.maxDate&&e>w.config.maxDate.getFullYear())){var n=e,t=w.currentYear!==n;w.currentYear=n||w.currentYear,w.config.maxDate&&w.currentYear===w.config.maxDate.getFullYear()?w.currentMonth=Math.min(w.config.maxDate.getMonth(),w.currentMonth):w.config.minDate&&w.currentYear===w.config.minDate.getFullYear()&&(w.currentMonth=Math.max(w.config.minDate.getMonth(),w.currentMonth)),t&&(w.redraw(),Ce("onYearChange"),V());}}function ie(e,n){var t;void 0===n&&(n=!0);var a=w.parseDate(e,void 0,n);if(w.config.minDate&&a&&M(a,w.config.minDate,void 0!==n?n:!w.minDateHasTime)<0||w.config.maxDate&&a&&M(a,w.config.maxDate,void 0!==n?n:!w.maxDateHasTime)>0)return !1;if(!w.config.enable&&0===w.config.disable.length)return !0;if(void 0===a)return !1;for(var i=!!w.config.enable,o=null!==(t=w.config.enable)&&void 0!==t?t:w.config.disable,r=0,l=void 0;r<o.length;r++){if("function"==typeof(l=o[r])&&l(a))return i;if(l instanceof Date&&void 0!==a&&l.getTime()===a.getTime())return i;if("string"==typeof l){var c=w.parseDate(l,void 0,!0);return c&&c.getTime()===a.getTime()?i:!i}if("object"==typeof l&&void 0!==a&&l.from&&l.to&&a.getTime()>=l.from.getTime()&&a.getTime()<=l.to.getTime())return i}return !i}function oe(e){return void 0!==w.daysContainer&&-1===e.className.indexOf("hidden")&&-1===e.className.indexOf("flatpickr-disabled")&&w.daysContainer.contains(e)}function re(e){var n=e.target===w._input,t=w._input.value.trimEnd()!==Ee();!n||!t||e.relatedTarget&&ne(e.relatedTarget)||w.setDate(w._input.value,!0,e.target===w.altInput?w.config.altFormat:w.config.dateFormat);}function le(e){var n=g(e),t=w.config.wrap?p.contains(n):n===w._input,a=w.config.allowInput,i=w.isOpen&&(!a||!t),o=w.config.inline&&t&&!a;if(13===e.keyCode&&t){if(a)return w.setDate(w._input.value,!0,n===w.altInput?w.config.altFormat:w.config.dateFormat),w.close(),n.blur();w.open();}else if(ne(n)||i||o){var r=!!w.timeContainer&&w.timeContainer.contains(n);switch(e.keyCode){case 13:r?(e.preventDefault(),A(),pe()):he(e);break;case 27:e.preventDefault(),pe();break;case 8:case 46:t&&!w.config.allowInput&&(e.preventDefault(),w.clear());break;case 37:case 39:if(r||t)w.hourElement&&w.hourElement.focus();else {e.preventDefault();var l=S();if(void 0!==w.daysContainer&&(!1===a||l&&oe(l))){var c=39===e.keyCode?1:-1;e.ctrlKey?(e.stopPropagation(),ee(c),q(U(1),0)):q(void 0,c);}}break;case 38:case 40:e.preventDefault();var s=40===e.keyCode?1:-1;w.daysContainer&&void 0!==n.$i||n===w.input||n===w.altInput?e.ctrlKey?(e.stopPropagation(),ae(w.currentYear-s),q(U(1),0)):r||q(void 0,7*s):n===w.currentYearElement?ae(w.currentYear-s):w.config.enableTime&&(!r&&w.hourElement&&w.hourElement.focus(),A(e),w._debouncedChange());break;case 9:if(r){var d=[w.hourElement,w.minuteElement,w.secondElement,w.amPM].concat(w.pluginElements).filter((function(e){return e})),u=d.indexOf(n);if(-1!==u){var f=d[u+(e.shiftKey?-1:1)];e.preventDefault(),(f||w._input).focus();}}else !w.config.noCalendar&&w.daysContainer&&w.daysContainer.contains(n)&&e.shiftKey&&(e.preventDefault(),w._input.focus());}}if(void 0!==w.amPM&&n===w.amPM)switch(e.key){case w.l10n.amPM[0].charAt(0):case w.l10n.amPM[0].charAt(0).toLowerCase():w.amPM.textContent=w.l10n.amPM[0],N(),ke();break;case w.l10n.amPM[1].charAt(0):case w.l10n.amPM[1].charAt(0).toLowerCase():w.amPM.textContent=w.l10n.amPM[1],N(),ke();}(t||ne(n))&&Ce("onKeyDown",e);}function ce(e,n){if(void 0===n&&(n="flatpickr-day"),1===w.selectedDates.length&&(!e||e.classList.contains(n)&&!e.classList.contains("flatpickr-disabled"))){for(var t=e?e.dateObj.getTime():w.days.firstElementChild.dateObj.getTime(),a=w.parseDate(w.selectedDates[0],void 0,!0).getTime(),i=Math.min(t,w.selectedDates[0].getTime()),o=Math.max(t,w.selectedDates[0].getTime()),r=!1,l=0,c=0,s=i;s<o;s+=k.DAY)ie(new Date(s),!0)||(r=r||s>i&&s<o,s<a&&(!l||s>l)?l=s:s>a&&(!c||s<c)&&(c=s));Array.from(w.rContainer.querySelectorAll("*:nth-child(-n+"+w.config.showMonths+") > ."+n)).forEach((function(n){var i=n.dateObj.getTime(),o=l>0&&i<l||c>0&&i>c;if(o)return n.classList.add("notAllowed"),void["inRange","startRange","endRange"].forEach((function(e){n.classList.remove(e);}));r&&!o||(["startRange","inRange","endRange","notAllowed"].forEach((function(e){n.classList.remove(e);})),void 0!==e&&(e.classList.add(t<=w.selectedDates[0].getTime()?"startRange":"endRange"),a<t&&i===a?n.classList.add("startRange"):a>t&&i===a&&n.classList.add("endRange"),i>=l&&(0===c||i<=c)&&y(i,a,t)&&n.classList.add("inRange")));}));}}function se(){!w.isOpen||w.config.static||w.config.inline||me();}function de(e){return function(n){var t=w.config["_"+e+"Date"]=w.parseDate(n,w.config.dateFormat),a=w.config["_"+("min"===e?"max":"min")+"Date"];void 0!==t&&(w["min"===e?"minDateHasTime":"maxDateHasTime"]=t.getHours()>0||t.getMinutes()>0||t.getSeconds()>0),w.selectedDates&&(w.selectedDates=w.selectedDates.filter((function(e){return ie(e)})),w.selectedDates.length||"min"!==e||P(t),ke()),w.daysContainer&&(ge(),void 0!==t?w.currentYearElement[e]=t.getFullYear().toString():w.currentYearElement.removeAttribute(e),w.currentYearElement.disabled=!!a&&void 0!==t&&a.getFullYear()===t.getFullYear());}}function ue(){return w.config.wrap?p.querySelector("[data-input]"):p}function fe(){"object"!=typeof w.config.locale&&void 0===O.l10ns[w.config.locale]&&w.config.errorHandler(new Error("flatpickr: invalid locale "+w.config.locale)),w.l10n=e(e({},O.l10ns.default),"object"==typeof w.config.locale?w.config.locale:"default"!==w.config.locale?O.l10ns[w.config.locale]:void 0),D.D="("+w.l10n.weekdays.shorthand.join("|")+")",D.l="("+w.l10n.weekdays.longhand.join("|")+")",D.M="("+w.l10n.months.shorthand.join("|")+")",D.F="("+w.l10n.months.longhand.join("|")+")",D.K="("+w.l10n.amPM[0]+"|"+w.l10n.amPM[1]+"|"+w.l10n.amPM[0].toLowerCase()+"|"+w.l10n.amPM[1].toLowerCase()+")",void 0===e(e({},v),JSON.parse(JSON.stringify(p.dataset||{}))).time_24hr&&void 0===O.defaultConfig.time_24hr&&(w.config.time_24hr=w.l10n.time_24hr),w.formatDate=b(w),w.parseDate=C({config:w.config,l10n:w.l10n});}function me(e){if("function"!=typeof w.config.position){if(void 0!==w.calendarContainer){Ce("onPreCalendarPosition");var n=e||w._positionElement,t=Array.prototype.reduce.call(w.calendarContainer.children,(function(e,n){return e+n.offsetHeight}),0),a=w.calendarContainer.offsetWidth,i=w.config.position.split(" "),o=i[0],r=i.length>1?i[1]:null,l=n.getBoundingClientRect(),c=window.innerHeight-l.bottom,d="above"===o||"below"!==o&&c<t&&l.top>t,u=window.pageYOffset+l.top+(d?-t-2:n.offsetHeight+2);if(s(w.calendarContainer,"arrowTop",!d),s(w.calendarContainer,"arrowBottom",d),!w.config.inline){var f=window.pageXOffset+l.left,m=!1,g=!1;"center"===r?(f-=(a-l.width)/2,m=!0):"right"===r&&(f-=a-l.width,g=!0),s(w.calendarContainer,"arrowLeft",!m&&!g),s(w.calendarContainer,"arrowCenter",m),s(w.calendarContainer,"arrowRight",g);var p=window.document.body.offsetWidth-(window.pageXOffset+l.right),h=f+a>window.document.body.offsetWidth,v=p+a>window.document.body.offsetWidth;if(s(w.calendarContainer,"rightMost",h),!w.config.static)if(w.calendarContainer.style.top=u+"px",h)if(v){var D=function(){for(var e=null,n=0;n<document.styleSheets.length;n++){var t=document.styleSheets[n];if(t.cssRules){try{t.cssRules;}catch(e){continue}e=t;break}}return null!=e?e:(a=document.createElement("style"),document.head.appendChild(a),a.sheet);var a;}();if(void 0===D)return;var b=window.document.body.offsetWidth,C=Math.max(0,b/2-a/2),M=D.cssRules.length,y="{left:"+l.left+"px;right:auto;}";s(w.calendarContainer,"rightMost",!1),s(w.calendarContainer,"centerMost",!0),D.insertRule(".flatpickr-calendar.centerMost:before,.flatpickr-calendar.centerMost:after"+y,M),w.calendarContainer.style.left=C+"px",w.calendarContainer.style.right="auto";}else w.calendarContainer.style.left="auto",w.calendarContainer.style.right=p+"px";else w.calendarContainer.style.left=f+"px",w.calendarContainer.style.right="auto";}}}else w.config.position(w,e);}function ge(){w.config.noCalendar||w.isMobile||(V(),xe(),G());}function pe(){w._input.focus(),-1!==window.navigator.userAgent.indexOf("MSIE")||void 0!==navigator.msMaxTouchPoints?setTimeout(w.close,0):w.close();}function he(e){e.preventDefault(),e.stopPropagation();var n=f(g(e),(function(e){return e.classList&&e.classList.contains("flatpickr-day")&&!e.classList.contains("flatpickr-disabled")&&!e.classList.contains("notAllowed")}));if(void 0!==n){var t=n,a=w.latestSelectedDateObj=new Date(t.dateObj.getTime()),i=(a.getMonth()<w.currentMonth||a.getMonth()>w.currentMonth+w.config.showMonths-1)&&"range"!==w.config.mode;if(w.selectedDateElem=t,"single"===w.config.mode)w.selectedDates=[a];else if("multiple"===w.config.mode){var o=ye(a);o?w.selectedDates.splice(parseInt(o),1):w.selectedDates.push(a);}else "range"===w.config.mode&&(2===w.selectedDates.length&&w.clear(!1,!1),w.latestSelectedDateObj=a,w.selectedDates.push(a),0!==M(a,w.selectedDates[0],!0)&&w.selectedDates.sort((function(e,n){return e.getTime()-n.getTime()})));if(N(),i){var r=w.currentYear!==a.getFullYear();w.currentYear=a.getFullYear(),w.currentMonth=a.getMonth(),r&&(Ce("onYearChange"),V()),Ce("onMonthChange");}if(xe(),G(),ke(),i||"range"===w.config.mode||1!==w.config.showMonths?void 0!==w.selectedDateElem&&void 0===w.hourElement&&w.selectedDateElem&&w.selectedDateElem.focus():K(t),void 0!==w.hourElement&&void 0!==w.hourElement&&w.hourElement.focus(),w.config.closeOnSelect){var l="single"===w.config.mode&&!w.config.enableTime,c="range"===w.config.mode&&2===w.selectedDates.length&&!w.config.enableTime;(l||c)&&pe();}L();}}w.parseDate=C({config:w.config,l10n:w.l10n}),w._handlers=[],w.pluginElements=[],w.loadedPlugins=[],w._bind=H,w._setHoursFromDate=P,w._positionCalendar=me,w.changeMonth=ee,w.changeYear=ae,w.clear=function(e,n){if(void 0===e&&(e=!0),void 0===n&&(n=!0),w.input.value="",void 0!==w.altInput&&(w.altInput.value=""),void 0!==w.mobileInput&&(w.mobileInput.value=""),w.selectedDates=[],w.latestSelectedDateObj=void 0,!0===n&&(w.currentYear=w._initialDate.getFullYear(),w.currentMonth=w._initialDate.getMonth()),!0===w.config.enableTime){var t=T(w.config);Y(t.hours,t.minutes,t.seconds);}w.redraw(),e&&Ce("onChange");},w.close=function(){w.isOpen=!1,w.isMobile||(void 0!==w.calendarContainer&&w.calendarContainer.classList.remove("open"),void 0!==w._input&&w._input.classList.remove("active")),Ce("onClose");},w.onMouseOver=ce,w._createElement=d,w.createDay=J,w.destroy=function(){void 0!==w.config&&Ce("onDestroy");for(var e=w._handlers.length;e--;)w._handlers[e].remove();if(w._handlers=[],w.mobileInput)w.mobileInput.parentNode&&w.mobileInput.parentNode.removeChild(w.mobileInput),w.mobileInput=void 0;else if(w.calendarContainer&&w.calendarContainer.parentNode)if(w.config.static&&w.calendarContainer.parentNode){var n=w.calendarContainer.parentNode;if(n.lastChild&&n.removeChild(n.lastChild),n.parentNode){for(;n.firstChild;)n.parentNode.insertBefore(n.firstChild,n);n.parentNode.removeChild(n);}}else w.calendarContainer.parentNode.removeChild(w.calendarContainer);w.altInput&&(w.input.type="text",w.altInput.parentNode&&w.altInput.parentNode.removeChild(w.altInput),delete w.altInput),w.input&&(w.input.type=w.input._type,w.input.classList.remove("flatpickr-input"),w.input.removeAttribute("readonly")),["_showTimeInput","latestSelectedDateObj","_hideNextMonthArrow","_hidePrevMonthArrow","__hideNextMonthArrow","__hidePrevMonthArrow","isMobile","isOpen","selectedDateElem","minDateHasTime","maxDateHasTime","days","daysContainer","_input","_positionElement","innerContainer","rContainer","monthNav","todayDateElem","calendarContainer","weekdayContainer","prevMonthNav","nextMonthNav","monthsDropdownContainer","currentMonthElement","currentYearElement","navigationCurrentMonth","selectedDateElem","config"].forEach((function(e){try{delete w[e];}catch(e){}}));},w.isEnabled=ie,w.jumpToDate=R,w.updateValue=ke,w.open=function(e,n){if(void 0===n&&(n=w._positionElement),!0===w.isMobile){if(e){e.preventDefault();var t=g(e);t&&t.blur();}return void 0!==w.mobileInput&&(w.mobileInput.focus(),w.mobileInput.click()),void Ce("onOpen")}if(!w._input.disabled&&!w.config.inline){var a=w.isOpen;w.isOpen=!0,a||(w.calendarContainer.classList.add("open"),w._input.classList.add("active"),Ce("onOpen"),me(n)),!0===w.config.enableTime&&!0===w.config.noCalendar&&(!1!==w.config.allowInput||void 0!==e&&w.timeContainer.contains(e.relatedTarget)||setTimeout((function(){return w.hourElement.select()}),50));}},w.redraw=ge,w.set=function(e,n){if(null!==e&&"object"==typeof e)for(var a in Object.assign(w.config,e),e)void 0!==ve[a]&&ve[a].forEach((function(e){return e()}));else w.config[e]=n,void 0!==ve[e]?ve[e].forEach((function(e){return e()})):t.indexOf(e)>-1&&(w.config[e]=c(n));w.redraw(),ke(!0);},w.setDate=function(e,n,t){if(void 0===n&&(n=!1),void 0===t&&(t=w.config.dateFormat),0!==e&&!e||e instanceof Array&&0===e.length)return w.clear(n);De(e,t),w.latestSelectedDateObj=w.selectedDates[w.selectedDates.length-1],w.redraw(),R(void 0,n),P(),0===w.selectedDates.length&&w.clear(!1),ke(n),n&&Ce("onChange");},w.toggle=function(e){if(!0===w.isOpen)return w.close();w.open(e);};var ve={locale:[fe,X],showMonths:[Z,F,Q],minDate:[R],maxDate:[R],positionElement:[be],clickOpens:[function(){!0===w.config.clickOpens?(H(w._input,"focus",w.open),H(w._input,"click",w.open)):(w._input.removeEventListener("focus",w.open),w._input.removeEventListener("click",w.open));}]};function De(e,n){var t=[];if(e instanceof Array)t=e.map((function(e){return w.parseDate(e,n)}));else if(e instanceof Date||"number"==typeof e)t=[w.parseDate(e,n)];else if("string"==typeof e)switch(w.config.mode){case"single":case"time":t=[w.parseDate(e,n)];break;case"multiple":t=e.split(w.config.conjunction).map((function(e){return w.parseDate(e,n)}));break;case"range":t=e.split(w.l10n.rangeSeparator).map((function(e){return w.parseDate(e,n)}));}else w.config.errorHandler(new Error("Invalid date supplied: "+JSON.stringify(e)));w.selectedDates=w.config.allowInvalidPreload?t:t.filter((function(e){return e instanceof Date&&ie(e,!1)})),"range"===w.config.mode&&w.selectedDates.sort((function(e,n){return e.getTime()-n.getTime()}));}function we(e){return e.slice().map((function(e){return "string"==typeof e||"number"==typeof e||e instanceof Date?w.parseDate(e,void 0,!0):e&&"object"==typeof e&&e.from&&e.to?{from:w.parseDate(e.from,void 0),to:w.parseDate(e.to,void 0)}:e})).filter((function(e){return e}))}function be(){w._positionElement=w.config.positionElement||w._input;}function Ce(e,n){if(void 0!==w.config){var t=w.config[e];if(void 0!==t&&t.length>0)for(var a=0;t[a]&&a<t.length;a++)t[a](w.selectedDates,w.input.value,w,n);"onChange"===e&&(w.input.dispatchEvent(Me("change")),w.input.dispatchEvent(Me("input")));}}function Me(e){var n=document.createEvent("Event");return n.initEvent(e,!0,!0),n}function ye(e){for(var n=0;n<w.selectedDates.length;n++){var t=w.selectedDates[n];if(t instanceof Date&&0===M(t,e))return ""+n}return !1}function xe(){w.config.noCalendar||w.isMobile||!w.monthNav||(w.yearElements.forEach((function(e,n){var t=new Date(w.currentYear,w.currentMonth,1);t.setMonth(w.currentMonth+n),w.config.showMonths>1||"static"===w.config.monthSelectorType?w.monthElements[n].textContent=h(t.getMonth(),w.config.shorthandCurrentMonth,w.l10n)+" ":w.monthsDropdownContainer.value=t.getMonth().toString(),e.value=t.getFullYear().toString();})),w._hidePrevMonthArrow=void 0!==w.config.minDate&&(w.currentYear===w.config.minDate.getFullYear()?w.currentMonth<=w.config.minDate.getMonth():w.currentYear<w.config.minDate.getFullYear()),w._hideNextMonthArrow=void 0!==w.config.maxDate&&(w.currentYear===w.config.maxDate.getFullYear()?w.currentMonth+1>w.config.maxDate.getMonth():w.currentYear>w.config.maxDate.getFullYear()));}function Ee(e){var n=e||(w.config.altInput?w.config.altFormat:w.config.dateFormat);return w.selectedDates.map((function(e){return w.formatDate(e,n)})).filter((function(e,n,t){return "range"!==w.config.mode||w.config.enableTime||t.indexOf(e)===n})).join("range"!==w.config.mode?w.config.conjunction:w.l10n.rangeSeparator)}function ke(e){void 0===e&&(e=!0),void 0!==w.mobileInput&&w.mobileFormatStr&&(w.mobileInput.value=void 0!==w.latestSelectedDateObj?w.formatDate(w.latestSelectedDateObj,w.mobileFormatStr):""),w.input.value=Ee(w.config.dateFormat),void 0!==w.altInput&&(w.altInput.value=Ee(w.config.altFormat)),!1!==e&&Ce("onValueUpdate");}function Te(e){var n=g(e),t=w.prevMonthNav.contains(n),a=w.nextMonthNav.contains(n);t||a?ee(t?-1:1):w.yearElements.indexOf(n)>=0?n.select():n.classList.contains("arrowUp")?w.changeYear(w.currentYear+1):n.classList.contains("arrowDown")&&w.changeYear(w.currentYear-1);}return function(){w.element=w.input=p,w.isOpen=!1,function(){var n=["wrap","weekNumbers","allowInput","allowInvalidPreload","clickOpens","time_24hr","enableTime","noCalendar","altInput","shorthandCurrentMonth","inline","static","enableSeconds","disableMobile"],i=e(e({},JSON.parse(JSON.stringify(p.dataset||{}))),v),o={};w.config.parseDate=i.parseDate,w.config.formatDate=i.formatDate,Object.defineProperty(w.config,"enable",{get:function(){return w.config._enable},set:function(e){w.config._enable=we(e);}}),Object.defineProperty(w.config,"disable",{get:function(){return w.config._disable},set:function(e){w.config._disable=we(e);}});var r="time"===i.mode;if(!i.dateFormat&&(i.enableTime||r)){var l=O.defaultConfig.dateFormat||a.dateFormat;o.dateFormat=i.noCalendar||r?"H:i"+(i.enableSeconds?":S":""):l+" H:i"+(i.enableSeconds?":S":"");}if(i.altInput&&(i.enableTime||r)&&!i.altFormat){var s=O.defaultConfig.altFormat||a.altFormat;o.altFormat=i.noCalendar||r?"h:i"+(i.enableSeconds?":S K":" K"):s+" h:i"+(i.enableSeconds?":S":"")+" K";}Object.defineProperty(w.config,"minDate",{get:function(){return w.config._minDate},set:de("min")}),Object.defineProperty(w.config,"maxDate",{get:function(){return w.config._maxDate},set:de("max")});var d=function(e){return function(n){w.config["min"===e?"_minTime":"_maxTime"]=w.parseDate(n,"H:i:S");}};Object.defineProperty(w.config,"minTime",{get:function(){return w.config._minTime},set:d("min")}),Object.defineProperty(w.config,"maxTime",{get:function(){return w.config._maxTime},set:d("max")}),"time"===i.mode&&(w.config.noCalendar=!0,w.config.enableTime=!0),Object.assign(w.config,o,i);for(var u=0;u<n.length;u++)w.config[n[u]]=!0===w.config[n[u]]||"true"===w.config[n[u]];for(t.filter((function(e){return void 0!==w.config[e]})).forEach((function(e){w.config[e]=c(w.config[e]||[]).map(_);})),w.isMobile=!w.config.disableMobile&&!w.config.inline&&"single"===w.config.mode&&!w.config.disable.length&&!w.config.enable&&!w.config.weekNumbers&&/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent),u=0;u<w.config.plugins.length;u++){var f=w.config.plugins[u](w)||{};for(var m in f)t.indexOf(m)>-1?w.config[m]=c(f[m]).map(_).concat(w.config[m]):void 0===i[m]&&(w.config[m]=f[m]);}i.altInputClass||(w.config.altInputClass=ue().className+" "+w.config.altInputClass),Ce("onParseConfig");}(),fe(),w.input=ue(),w.input?(w.input._type=w.input.type,w.input.type="text",w.input.classList.add("flatpickr-input"),w._input=w.input,w.config.altInput&&(w.altInput=d(w.input.nodeName,w.config.altInputClass),w._input=w.altInput,w.altInput.placeholder=w.input.placeholder,w.altInput.disabled=w.input.disabled,w.altInput.required=w.input.required,w.altInput.tabIndex=w.input.tabIndex,w.altInput.type="text",w.input.setAttribute("type","hidden"),!w.config.static&&w.input.parentNode&&w.input.parentNode.insertBefore(w.altInput,w.input.nextSibling)),w.config.allowInput||w._input.setAttribute("readonly","readonly"),be()):w.config.errorHandler(new Error("Invalid input element specified")),function(){w.selectedDates=[],w.now=w.parseDate(w.config.now)||new Date;var e=w.config.defaultDate||("INPUT"!==w.input.nodeName&&"TEXTAREA"!==w.input.nodeName||!w.input.placeholder||w.input.value!==w.input.placeholder?w.input.value:null);e&&De(e,w.config.dateFormat),w._initialDate=w.selectedDates.length>0?w.selectedDates[0]:w.config.minDate&&w.config.minDate.getTime()>w.now.getTime()?w.config.minDate:w.config.maxDate&&w.config.maxDate.getTime()<w.now.getTime()?w.config.maxDate:w.now,w.currentYear=w._initialDate.getFullYear(),w.currentMonth=w._initialDate.getMonth(),w.selectedDates.length>0&&(w.latestSelectedDateObj=w.selectedDates[0]),void 0!==w.config.minTime&&(w.config.minTime=w.parseDate(w.config.minTime,"H:i")),void 0!==w.config.maxTime&&(w.config.maxTime=w.parseDate(w.config.maxTime,"H:i")),w.minDateHasTime=!!w.config.minDate&&(w.config.minDate.getHours()>0||w.config.minDate.getMinutes()>0||w.config.minDate.getSeconds()>0),w.maxDateHasTime=!!w.config.maxDate&&(w.config.maxDate.getHours()>0||w.config.maxDate.getMinutes()>0||w.config.maxDate.getSeconds()>0);}(),w.utils={getDaysInMonth:function(e,n){return void 0===e&&(e=w.currentMonth),void 0===n&&(n=w.currentYear),1===e&&(n%4==0&&n%100!=0||n%400==0)?29:w.l10n.daysInMonth[e]}},w.isMobile||function(){var e=window.document.createDocumentFragment();if(w.calendarContainer=d("div","flatpickr-calendar"),w.calendarContainer.tabIndex=-1,!w.config.noCalendar){if(e.appendChild((w.monthNav=d("div","flatpickr-months"),w.yearElements=[],w.monthElements=[],w.prevMonthNav=d("span","flatpickr-prev-month"),w.prevMonthNav.innerHTML=w.config.prevArrow,w.nextMonthNav=d("span","flatpickr-next-month"),w.nextMonthNav.innerHTML=w.config.nextArrow,Z(),Object.defineProperty(w,"_hidePrevMonthArrow",{get:function(){return w.__hidePrevMonthArrow},set:function(e){w.__hidePrevMonthArrow!==e&&(s(w.prevMonthNav,"flatpickr-disabled",e),w.__hidePrevMonthArrow=e);}}),Object.defineProperty(w,"_hideNextMonthArrow",{get:function(){return w.__hideNextMonthArrow},set:function(e){w.__hideNextMonthArrow!==e&&(s(w.nextMonthNav,"flatpickr-disabled",e),w.__hideNextMonthArrow=e);}}),w.currentYearElement=w.yearElements[0],xe(),w.monthNav)),w.innerContainer=d("div","flatpickr-innerContainer"),w.config.weekNumbers){var n=function(){w.calendarContainer.classList.add("hasWeeks");var e=d("div","flatpickr-weekwrapper");e.appendChild(d("span","flatpickr-weekday",w.l10n.weekAbbreviation));var n=d("div","flatpickr-weeks");return e.appendChild(n),{weekWrapper:e,weekNumbers:n}}(),t=n.weekWrapper,a=n.weekNumbers;w.innerContainer.appendChild(t),w.weekNumbers=a,w.weekWrapper=t;}w.rContainer=d("div","flatpickr-rContainer"),w.rContainer.appendChild(Q()),w.daysContainer||(w.daysContainer=d("div","flatpickr-days"),w.daysContainer.tabIndex=-1),G(),w.rContainer.appendChild(w.daysContainer),w.innerContainer.appendChild(w.rContainer),e.appendChild(w.innerContainer);}w.config.enableTime&&e.appendChild(function(){w.calendarContainer.classList.add("hasTime"),w.config.noCalendar&&w.calendarContainer.classList.add("noCalendar");var e=T(w.config);w.timeContainer=d("div","flatpickr-time"),w.timeContainer.tabIndex=-1;var n=d("span","flatpickr-time-separator",":"),t=m("flatpickr-hour",{"aria-label":w.l10n.hourAriaLabel});w.hourElement=t.getElementsByTagName("input")[0];var a=m("flatpickr-minute",{"aria-label":w.l10n.minuteAriaLabel});if(w.minuteElement=a.getElementsByTagName("input")[0],w.hourElement.tabIndex=w.minuteElement.tabIndex=-1,w.hourElement.value=o(w.latestSelectedDateObj?w.latestSelectedDateObj.getHours():w.config.time_24hr?e.hours:function(e){switch(e%24){case 0:case 12:return 12;default:return e%12}}(e.hours)),w.minuteElement.value=o(w.latestSelectedDateObj?w.latestSelectedDateObj.getMinutes():e.minutes),w.hourElement.setAttribute("step",w.config.hourIncrement.toString()),w.minuteElement.setAttribute("step",w.config.minuteIncrement.toString()),w.hourElement.setAttribute("min",w.config.time_24hr?"0":"1"),w.hourElement.setAttribute("max",w.config.time_24hr?"23":"12"),w.hourElement.setAttribute("maxlength","2"),w.minuteElement.setAttribute("min","0"),w.minuteElement.setAttribute("max","59"),w.minuteElement.setAttribute("maxlength","2"),w.timeContainer.appendChild(t),w.timeContainer.appendChild(n),w.timeContainer.appendChild(a),w.config.time_24hr&&w.timeContainer.classList.add("time24hr"),w.config.enableSeconds){w.timeContainer.classList.add("hasSeconds");var i=m("flatpickr-second");w.secondElement=i.getElementsByTagName("input")[0],w.secondElement.value=o(w.latestSelectedDateObj?w.latestSelectedDateObj.getSeconds():e.seconds),w.secondElement.setAttribute("step",w.minuteElement.getAttribute("step")),w.secondElement.setAttribute("min","0"),w.secondElement.setAttribute("max","59"),w.secondElement.setAttribute("maxlength","2"),w.timeContainer.appendChild(d("span","flatpickr-time-separator",":")),w.timeContainer.appendChild(i);}return w.config.time_24hr||(w.amPM=d("span","flatpickr-am-pm",w.l10n.amPM[r((w.latestSelectedDateObj?w.hourElement.value:w.config.defaultHour)>11)]),w.amPM.title=w.l10n.toggleTitle,w.amPM.tabIndex=-1,w.timeContainer.appendChild(w.amPM)),w.timeContainer}()),s(w.calendarContainer,"rangeMode","range"===w.config.mode),s(w.calendarContainer,"animate",!0===w.config.animate),s(w.calendarContainer,"multiMonth",w.config.showMonths>1),w.calendarContainer.appendChild(e);var i=void 0!==w.config.appendTo&&void 0!==w.config.appendTo.nodeType;if((w.config.inline||w.config.static)&&(w.calendarContainer.classList.add(w.config.inline?"inline":"static"),w.config.inline&&(!i&&w.element.parentNode?w.element.parentNode.insertBefore(w.calendarContainer,w._input.nextSibling):void 0!==w.config.appendTo&&w.config.appendTo.appendChild(w.calendarContainer)),w.config.static)){var l=d("div","flatpickr-wrapper");w.element.parentNode&&w.element.parentNode.insertBefore(l,w.element),l.appendChild(w.element),w.altInput&&l.appendChild(w.altInput),l.appendChild(w.calendarContainer);}w.config.static||w.config.inline||(void 0!==w.config.appendTo?w.config.appendTo:window.document.body).appendChild(w.calendarContainer);}(),function(){if(w.config.wrap&&["open","close","toggle","clear"].forEach((function(e){Array.prototype.forEach.call(w.element.querySelectorAll("[data-"+e+"]"),(function(n){return H(n,"click",w[e])}));})),w.isMobile)!function(){var e=w.config.enableTime?w.config.noCalendar?"time":"datetime-local":"date";w.mobileInput=d("input",w.input.className+" flatpickr-mobile"),w.mobileInput.tabIndex=1,w.mobileInput.type=e,w.mobileInput.disabled=w.input.disabled,w.mobileInput.required=w.input.required,w.mobileInput.placeholder=w.input.placeholder,w.mobileFormatStr="datetime-local"===e?"Y-m-d\\TH:i:S":"date"===e?"Y-m-d":"H:i:S",w.selectedDates.length>0&&(w.mobileInput.defaultValue=w.mobileInput.value=w.formatDate(w.selectedDates[0],w.mobileFormatStr)),w.config.minDate&&(w.mobileInput.min=w.formatDate(w.config.minDate,"Y-m-d")),w.config.maxDate&&(w.mobileInput.max=w.formatDate(w.config.maxDate,"Y-m-d")),w.input.getAttribute("step")&&(w.mobileInput.step=String(w.input.getAttribute("step"))),w.input.type="hidden",void 0!==w.altInput&&(w.altInput.type="hidden");try{w.input.parentNode&&w.input.parentNode.insertBefore(w.mobileInput,w.input.nextSibling);}catch(e){}H(w.mobileInput,"change",(function(e){w.setDate(g(e).value,!1,w.mobileFormatStr),Ce("onChange"),Ce("onClose");}));}();else {var e=l(se,50);if(w._debouncedChange=l(L,I),w.daysContainer&&!/iPhone|iPad|iPod/i.test(navigator.userAgent)&&H(w.daysContainer,"mouseover",(function(e){"range"===w.config.mode&&ce(g(e));})),H(w._input,"keydown",le),void 0!==w.calendarContainer&&H(w.calendarContainer,"keydown",le),w.config.inline||w.config.static||H(window,"resize",e),void 0!==window.ontouchstart?H(window.document,"touchstart",te):H(window.document,"mousedown",te),H(window.document,"focus",te,{capture:!0}),!0===w.config.clickOpens&&(H(w._input,"focus",w.open),H(w._input,"click",w.open)),void 0!==w.daysContainer&&(H(w.monthNav,"click",Te),H(w.monthNav,["keyup","increment"],j),H(w.daysContainer,"click",he)),void 0!==w.timeContainer&&void 0!==w.minuteElement&&void 0!==w.hourElement){var n=function(e){return g(e).select()};H(w.timeContainer,["increment"],A),H(w.timeContainer,"blur",A,{capture:!0}),H(w.timeContainer,"click",W),H([w.hourElement,w.minuteElement],["focus","click"],n),void 0!==w.secondElement&&H(w.secondElement,"focus",(function(){return w.secondElement&&w.secondElement.select()})),void 0!==w.amPM&&H(w.amPM,"click",(function(e){A(e);}));}w.config.allowInput&&H(w._input,"blur",re);}}(),(w.selectedDates.length||w.config.noCalendar)&&(w.config.enableTime&&P(w.config.noCalendar?w.latestSelectedDateObj:void 0),ke(!1)),F();var n=/^((?!chrome|android).)*safari/i.test(navigator.userAgent);!w.isMobile&&n&&me(),Ce("onReady");}(),w}function _(e,n){for(var t=Array.prototype.slice.call(e).filter((function(e){return e instanceof HTMLElement})),a=[],i=0;i<t.length;i++){var o=t[i];try{if(null!==o.getAttribute("data-fp-omit"))continue;void 0!==o._flatpickr&&(o._flatpickr.destroy(),o._flatpickr=void 0),o._flatpickr=S(o,n||{}),a.push(o._flatpickr);}catch(e){console.error(e);}}return 1===a.length?a[0]:a}"undefined"!=typeof HTMLElement&&"undefined"!=typeof HTMLCollection&&"undefined"!=typeof NodeList&&(HTMLCollection.prototype.flatpickr=NodeList.prototype.flatpickr=function(e){return _(this,e)},HTMLElement.prototype.flatpickr=function(e){return _([this],e)});var O=function(e,n){return "string"==typeof e?_(window.document.querySelectorAll(e),n):e instanceof Node?_([e],n):_(e,n)};return O.defaultConfig={},O.l10ns={en:e({},i),default:e({},i)},O.localize=function(n){O.l10ns.default=e(e({},O.l10ns.default),n);},O.setDefaults=function(n){O.defaultConfig=e(e({},O.defaultConfig),n);},O.parseDate=C({}),O.formatDate=b({}),O.compareDates=M,"undefined"!=typeof jQuery&&void 0!==jQuery.fn&&(jQuery.fn.flatpickr=function(e){return _(this,e)}),Date.prototype.fp_incr=function(e){return new Date(this.getFullYear(),this.getMonth(),this.getDate()+("string"==typeof e?parseInt(e,10):e))},"undefined"!=typeof window&&(window.flatpickr=O),O},e.exports=t();}));

    var it=createCommonjsModule((function(e,o){var r;r=function(e){var o="undefined"!=typeof window&&void 0!==window.flatpickr?window.flatpickr:{l10ns:{}},r={weekdays:{shorthand:["Dom","Lun","Mar","Mer","Gio","Ven","Sab"],longhand:["Domenica","Lunedì","Martedì","Mercoledì","Giovedì","Venerdì","Sabato"]},months:{shorthand:["Gen","Feb","Mar","Apr","Mag","Giu","Lug","Ago","Set","Ott","Nov","Dic"],longhand:["Gennaio","Febbraio","Marzo","Aprile","Maggio","Giugno","Luglio","Agosto","Settembre","Ottobre","Novembre","Dicembre"]},firstDayOfWeek:1,ordinal:function(){return "°"},rangeSeparator:" al ",weekAbbreviation:"Se",scrollTitle:"Scrolla per aumentare",toggleTitle:"Clicca per cambiare",time_24hr:!0};o.l10ns.it=r;var n=o.l10ns;e.Italian=r,e.default=n,Object.defineProperty(e,"__esModule",{value:!0});},r(o);}));const it$1 = unwrapExports(it);

    /*!
     * Splide.js
     * Version  : 3.6.12
     * License  : MIT
     * Copyright: 2022 Naotoshi Fujita
     */const PROJECT_CODE="splide",DATA_ATTRIBUTE=`data-${PROJECT_CODE}`,STATES={CREATED:1,MOUNTED:2,IDLE:3,MOVING:4,DESTROYED:5};function empty(t){t.length=0;}function isObject$1(t){return !isNull(t)&&"object"==typeof t}function isArray$1(t){return Array.isArray(t)}function isFunction$1(t){return "function"==typeof t}function isString$1(t){return "string"==typeof t}function isUndefined(t){return void 0===t}function isNull(t){return null===t}function isHTMLElement$1(t){return t instanceof HTMLElement}function toArray$1(t){return isArray$1(t)?t:[t]}function forEach(t,e){toArray$1(t).forEach(e);}function includes(t,e){return t.indexOf(e)>-1}function push(t,e){return t.push(...toArray$1(e)),t}const arrayProto=Array.prototype;function slice(t,e,n){return arrayProto.slice.call(t,e,n)}function find(t,e){return slice(t).filter(e)[0]}function toggleClass(t,e,n){t&&forEach(e,(e=>{e&&t.classList[n?"add":"remove"](e);}));}function addClass(t,e){toggleClass(t,isString$1(e)?e.split(" "):e,!0);}function append(t,e){forEach(e,t.appendChild.bind(t));}function before(t,e){forEach(t,(t=>{const n=e.parentNode;n&&n.insertBefore(t,e);}));}function matches(t,e){return isHTMLElement$1(t)&&(t.msMatchesSelector||t.matches).call(t,e)}function children(t,e){return t?slice(t.children).filter((t=>matches(t,e))):[]}function child(t,e){return e?children(t,e)[0]:t.firstElementChild}function forOwn(t,e,n){if(t){let i=Object.keys(t);i=n?i.reverse():i;for(let n=0;n<i.length;n++){const s=i[n];if("__proto__"!==s&&!1===e(t[s],s))break}}return t}function assign(t){return slice(arguments,1).forEach((e=>{forOwn(e,((n,i)=>{t[i]=e[i];}));})),t}function merge(t,e){return forOwn(e,((e,n)=>{isArray$1(e)?t[n]=e.slice():isObject$1(e)?t[n]=merge(isObject$1(t[n])?t[n]:{},e):t[n]=e;})),t}function removeAttribute(t,e){t&&forEach(e,(e=>{t.removeAttribute(e);}));}function setAttribute(t,e,n){isObject$1(e)?forOwn(e,((e,n)=>{setAttribute(t,n,e);})):isNull(n)?removeAttribute(t,e):t.setAttribute(e,String(n));}function create(t,e,n){const i=document.createElement(t);return e&&(isString$1(e)?addClass(i,e):setAttribute(i,e)),n&&append(n,i),i}function style(t,e,n){if(isUndefined(n))return getComputedStyle(t)[e];if(!isNull(n)){const{style:i}=t;n=`${n}`,i[e]!==n&&(i[e]=n);}}function display(t,e){style(t,"display",e);}function focus(t){t.setActive&&t.setActive()||t.focus({preventScroll:!0});}function getAttribute$1(t,e){return t.getAttribute(e)}function hasClass(t,e){return t&&t.classList.contains(e)}function rect(t){return t.getBoundingClientRect()}function remove(t){forEach(t,(t=>{t&&t.parentNode&&t.parentNode.removeChild(t);}));}function measure(t,e){if(isString$1(e)){const n=create("div",{style:`width: ${e}; position: absolute;`},t);e=rect(n).width,remove(n);}return e}function parseHtml(t){return child((new DOMParser).parseFromString(t,"text/html").body)}function prevent(t,e){t.preventDefault(),e&&(t.stopPropagation(),t.stopImmediatePropagation());}function query(t,e){return t&&t.querySelector(e)}function queryAll(t,e){return slice(t.querySelectorAll(e))}function removeClass(t,e){toggleClass(t,e,!1);}function unit(t){return isString$1(t)?t:t?`${t}px`:""}function assert(t,e=""){if(!t)throw new Error(`[${PROJECT_CODE}] ${e}`)}function nextTick(t){setTimeout(t);}const noop$1=()=>{};function raf(t){return requestAnimationFrame(t)}const{min:min$1,max:max$1,floor:floor,ceil:ceil,abs:abs}=Math;function approximatelyEqual(t,e,n){return abs(t-e)<n}function between(t,e,n,i){const s=min$1(e,n),o=max$1(e,n);return i?s<t&&t<o:s<=t&&t<=o}function clamp(t,e,n){const i=min$1(e,n),s=max$1(e,n);return min$1(max$1(i,t),s)}function sign(t){return +(t>0)-+(t<0)}function format$1(t,e){return forEach(e,(e=>{t=t.replace("%s",`${e}`);})),t}function pad(t){return t<10?`0${t}`:`${t}`}const ids={};function uniqueId(t){return `${t}${pad(ids[t]=(ids[t]||0)+1)}`}function EventBus(){let t={};function e(e,i){n(e,((e,n)=>{const s=t[e];t[e]=s&&s.filter((t=>t._key?t._key!==i:i||t._namespace!==n));}));}function n(t,e){toArray$1(t).join(" ").split(" ").forEach((t=>{const n=t.split(".");e(n[0],n[1]);}));}return {on:function(e,i,s,o=10){n(e,((e,n)=>{t[e]=t[e]||[],push(t[e],{_event:e,_callback:i,_namespace:n,_priority:o,_key:s}).sort(((t,e)=>t._priority-e._priority));}));},off:e,offBy:function(n){forOwn(t,((t,i)=>{e(i,n);}));},emit:function(e){(t[e]||[]).forEach((t=>{t._callback.apply(t,slice(arguments,1));}));},destroy:function(){t={};}}}const EVENT_MOVE="move",EVENT_MOVED="moved",EVENT_SHIFTED="shifted",EVENT_CLICK$9="click",EVENT_ACTIVE="active",EVENT_INACTIVE="inactive",EVENT_VISIBLE="visible",EVENT_HIDDEN$8="hidden",EVENT_SLIDE_KEYDOWN="slide:keydown",EVENT_REFRESH="refresh",EVENT_REPOSITIONED="repositioned",EVENT_SCROLLED="scrolled",EVENT_DESTROY="destroy",EVENT_NAVIGATION_MOUNTED="navigation:mounted";function EventInterface(t){const{event:e}=t,n={};let i=[];function s(t,e,n){o(t,e,((t,e)=>{i=i.filter((i=>!!(i[0]!==t||i[1]!==e||n&&i[2]!==n)||(t.removeEventListener(e,i[2],i[3]),!1)));}));}function o(t,e,n){forEach(t,(t=>{t&&e.split(" ").forEach(n.bind(null,t));}));}function r(){i=i.filter((t=>s(t[0],t[1]))),e.offBy(n);}return e.on(EVENT_DESTROY,r,n),{on:function(t,i,s){e.on(t,i,n,s);},off:function(t){e.off(t,n);},emit:e.emit,bind:function(t,e,n,s){o(t,e,((t,e)=>{i.push([t,e,n,s]),t.addEventListener(e,n,s);}));},unbind:s,destroy:r}}function RequestInterval(t,e,n,i){const{now:s}=Date;let o,r,c=0,u=!0,a=0;function l(){if(!u){const r=s()-o;if(r>=t?(c=1,o=s()):c=r/t,n&&n(c),1===c&&(e(),i&&++a>=i))return E();raf(l);}}function E(){u=!0;}function d(){cancelAnimationFrame(r),c=0,r=0,u=!0;}return {start:function(e){!e&&d(),o=s()-(e?c*t:0),u=!1,raf(l);},rewind:function(){o=s(),c=0,n&&n(c);},pause:E,cancel:d,set:function(e){t=e;},isPaused:function(){return u}}}function State(t){let e=t;return {set:function(t){e=t;},is:function(t){return includes(toArray$1(t),e)}}}function Throttle(t,e){let n;return function(){n||(n=RequestInterval(e||0,(()=>{t.apply(this,arguments),n=null;}),null,1),n.start());}}function Options(t,e,n){const i=Throttle(u);let s,o,r;function c(t){t&&removeEventListener("resize",i);}function u(){const e=find(o,(t=>t[1].matches))||[];e[0]!==r&&function(e){const i=n.breakpoints[e]||s;i.destroy?(t.options=s,t.destroy("completely"===i.destroy)):(t.state.is(5)&&(c(!0),t.mount()),t.options=i);}(r=e[0]);}return {setup:function(){try{merge(n,JSON.parse(getAttribute$1(t.root,DATA_ATTRIBUTE)));}catch(t){assert(!1,t.message);}s=merge({},n);const{breakpoints:e}=n;if(e){const t="min"===n.mediaQuery;o=Object.keys(e).sort(((e,n)=>t?+n-+e:+e-+n)).map((e=>[e,matchMedia(`(${t?"min":"max"}-width:${e}px)`)])),u();}},mount:function(){o&&addEventListener("resize",i);},destroy:c}}const RTL="rtl",TTB="ttb",ORIENTATION_MAP={marginRight:["marginBottom","marginLeft"],autoWidth:["autoHeight"],fixedWidth:["fixedHeight"],paddingLeft:["paddingTop","paddingRight"],paddingRight:["paddingBottom","paddingLeft"],width:["height"],left:["top","right"],right:["bottom","left"],x:["y"],X:["Y"],Y:["X"],ArrowLeft:["ArrowUp","ArrowRight"],ArrowRight:["ArrowDown","ArrowLeft"]};function Direction(t,e,n){return {resolve:function(t,e){const{direction:i}=n;return ORIENTATION_MAP[t][i!==RTL||e?i===TTB?0:-1:1]||t},orient:function(t){return t*(n.direction===RTL?1:-1)}}}const CLASS_ROOT=PROJECT_CODE,CLASS_SLIDER=`${PROJECT_CODE}__slider`,CLASS_TRACK=`${PROJECT_CODE}__track`,CLASS_LIST=`${PROJECT_CODE}__list`,CLASS_SLIDE=`${PROJECT_CODE}__slide`,CLASS_CLONE=`${CLASS_SLIDE}--clone`,CLASS_CONTAINER=`${CLASS_SLIDE}__container`,CLASS_ARROWS=`${PROJECT_CODE}__arrows`,CLASS_ARROW=`${PROJECT_CODE}__arrow`,CLASS_ARROW_PREV=`${CLASS_ARROW}--prev`,CLASS_ARROW_NEXT=`${CLASS_ARROW}--next`,CLASS_PAGINATION=`${PROJECT_CODE}__pagination`,CLASS_PAGINATION_PAGE=`${CLASS_PAGINATION}__page`,CLASS_PROGRESS=`${PROJECT_CODE}__progress`,CLASS_PROGRESS_BAR=`${CLASS_PROGRESS}__bar`,CLASS_AUTOPLAY=`${PROJECT_CODE}__autoplay`,CLASS_PLAY=`${PROJECT_CODE}__play`,CLASS_PAUSE=`${PROJECT_CODE}__pause`,CLASS_SPINNER=`${PROJECT_CODE}__spinner`,CLASS_ACTIVE="is-active",CLASS_PREV="is-prev",CLASS_NEXT="is-next",CLASS_VISIBLE="is-visible",STATUS_CLASSES=[CLASS_ACTIVE,CLASS_VISIBLE,CLASS_PREV,CLASS_NEXT,"is-loading"],CLASSES={slide:CLASS_SLIDE,clone:CLASS_CLONE,arrows:CLASS_ARROWS,arrow:CLASS_ARROW,prev:CLASS_ARROW_PREV,next:CLASS_ARROW_NEXT,pagination:CLASS_PAGINATION,page:CLASS_PAGINATION_PAGE,spinner:CLASS_SPINNER};function Elements(t,e,n){const{on:i}=EventInterface(t),{root:s}=t,o={},r=[];let c,u,a,l;function E(){!function(){u=child(s,`.${CLASS_SLIDER}`),a=query(s,`.${CLASS_TRACK}`),l=child(a,`.${CLASS_LIST}`),assert(a&&l,"A track/list element is missing."),push(r,children(l,`.${CLASS_SLIDE}:not(.${CLASS_CLONE})`));const t=A(`.${CLASS_AUTOPLAY}`),e=A(`.${CLASS_ARROWS}`);assign(o,{root:s,slider:u,track:a,list:l,slides:r,arrows:e,autoplay:t,prev:query(e,`.${CLASS_ARROW_PREV}`),next:query(e,`.${CLASS_ARROW_NEXT}`),bar:query(A(`.${CLASS_PROGRESS}`),`.${CLASS_PROGRESS_BAR}`),play:query(t,`.${CLASS_PLAY}`),pause:query(t,`.${CLASS_PAUSE}`)});}(),function(){const t=s.id||uniqueId(PROJECT_CODE);s.id=t,a.id=a.id||`${t}-track`,l.id=l.id||`${t}-list`;}(),addClass(s,c=_());}function d(){[s,a,l].forEach((t=>{removeAttribute(t,"style");})),empty(r),removeClass(s,c);}function S(){d(),E();}function f(){removeClass(s,c),addClass(s,c=_());}function A(t){return child(s,t)||child(u,t)}function _(){return [`${CLASS_ROOT}--${n.type}`,`${CLASS_ROOT}--${n.direction}`,n.drag&&`${CLASS_ROOT}--draggable`,n.isNavigation&&`${CLASS_ROOT}--nav`,CLASS_ACTIVE]}return assign(o,{setup:E,mount:function(){i(EVENT_REFRESH,S,8),i("updated",f);},destroy:d})}const ROLE="role",ARIA_CONTROLS="aria-controls",ARIA_CURRENT="aria-current",ARIA_LABEL="aria-label",ARIA_HIDDEN="aria-hidden",TAB_INDEX="tabindex",DISABLED="disabled",ARIA_ORIENTATION="aria-orientation",ALL_ATTRIBUTES=[ROLE,ARIA_CONTROLS,ARIA_CURRENT,ARIA_LABEL,ARIA_HIDDEN,ARIA_ORIENTATION,TAB_INDEX,DISABLED],SLIDE="slide",LOOP="loop",FADE="fade";function Slide$1(t,e,n,i){const{on:s,emit:o,bind:r,destroy:c}=EventInterface(t),{Components:u,root:a,options:l}=t,{isNavigation:E,updateOnMove:d}=l,{resolve:S}=u.Direction,f=getAttribute$1(i,"style"),A=n>-1,_=child(i,`.${CLASS_CONTAINER}`),T=l.focusableNodes&&queryAll(i,l.focusableNodes);let h;function p(){const s=A?n:e,o=format$1(l.i18n.slideX,s+1),r=t.splides.map((t=>t.splide.root.id)).join(" ");setAttribute(i,ARIA_LABEL,o),setAttribute(i,ARIA_CONTROLS,r),setAttribute(i,ROLE,"menuitem"),L(C());}function g(){h||R();}function R(){if(!h){const{index:n}=t;L(C()),function(t){const e=!t&&(!C()||A);setAttribute(i,ARIA_HIDDEN,e||null),setAttribute(i,TAB_INDEX,!e&&l.slideFocus?0:null),T&&T.forEach((t=>{setAttribute(t,TAB_INDEX,e?-1:null);}));t!==hasClass(i,CLASS_VISIBLE)&&(toggleClass(i,CLASS_VISIBLE,t),o(t?EVENT_VISIBLE:EVENT_HIDDEN$8,O));}(function(){if(t.is(FADE))return C();const e=rect(u.Elements.track),n=rect(i),s=S("left"),o=S("right");return floor(e[s])<=ceil(n[s])&&floor(n[o])<=ceil(e[o])}()),toggleClass(i,CLASS_PREV,e===n-1),toggleClass(i,CLASS_NEXT,e===n+1);}}function L(t){t!==hasClass(i,CLASS_ACTIVE)&&(toggleClass(i,CLASS_ACTIVE,t),E&&setAttribute(i,ARIA_CURRENT,t||null),o(t?EVENT_ACTIVE:EVENT_INACTIVE,O));}function C(){const{index:i}=t;return i===e||l.cloneStatus&&i===n}const O={index:e,slideIndex:n,slide:i,container:_,isClone:A,mount:function(){A||(i.id=`${a.id}-slide${pad(e+1)}`),r(i,"click keydown",(t=>{o("click"===t.type?EVENT_CLICK$9:EVENT_SLIDE_KEYDOWN,O,t);})),s([EVENT_REFRESH,EVENT_REPOSITIONED,EVENT_SHIFTED,EVENT_MOVED,EVENT_SCROLLED],R),s(EVENT_NAVIGATION_MOUNTED,p),d&&s(EVENT_MOVE,g);},destroy:function(){h=!0,c(),removeClass(i,STATUS_CLASSES),removeAttribute(i,ALL_ATTRIBUTES),setAttribute(i,"style",f);},update:R,style:function(t,e,n){style(n&&_||i,t,e);},isWithin:function(n,i){let s=abs(n-e);return A||!l.rewind&&!t.is(LOOP)||(s=min$1(s,t.length-s)),s<=i}};return O}function Slides(t,e,n){const{on:i,emit:s,bind:o}=EventInterface(t),{slides:r,list:c}=e.Elements,u=[];function a(){r.forEach(((t,e)=>{d(t,e,-1);}));}function l(){f((t=>{t.destroy();})),empty(u);}function E(){l(),a();}function d(e,n,i){const s=Slide$1(t,n,i,e);s.mount(),u.push(s);}function S(t){return t?A((t=>!t.isClone)):u}function f(t,e){S(e).forEach(t);}function A(t){return u.filter(isFunction$1(t)?t:e=>isString$1(t)?matches(e.slide,t):includes(toArray$1(t),e.index))}return {mount:function(){a(),i(EVENT_REFRESH,E),i(["mounted",EVENT_REFRESH],(()=>{u.sort(((t,e)=>t.index-e.index));}));},destroy:l,update:function(){f((t=>{t.update();}));},register:d,get:S,getIn:function(t){const{Controller:i}=e,s=i.toIndex(t),o=i.hasFocus()?1:n.perPage;return A((t=>between(t.index,s,s+o-1)))},getAt:function(t){return A(t)[0]},add:function(t,e){forEach(t,(t=>{if(isString$1(t)&&(t=parseHtml(t)),isHTMLElement$1(t)){const i=r[e];i?before(t,i):append(c,t),addClass(t,n.classes.slide),function(t,e){const n=queryAll(t,"img");let{length:i}=n;i?n.forEach((t=>{o(t,"load error",(()=>{--i||e();}));})):e();}(t,s.bind(null,"resize"));}})),s(EVENT_REFRESH);},remove:function(t){remove(A(t).map((t=>t.slide))),s(EVENT_REFRESH);},forEach:f,filter:A,style:function(t,e,n){f((i=>{i.style(t,e,n);}));},getLength:function(t){return t?r.length:u.length},isEnough:function(){return u.length>n.perPage}}}function Layout(t,e,n){const{on:i,bind:s,emit:o}=EventInterface(t),{Slides:r}=e,{resolve:c}=e.Direction,{root:u,track:a,list:l}=e.Elements,{getAt:E}=r;let d,S;function f(){S=null,d=n.direction===TTB,style(u,"maxWidth",unit(n.width)),style(a,c("paddingLeft"),_(!1)),style(a,c("paddingRight"),_(!0)),A();}function A(){const t=rect(u);S&&S.width===t.width&&S.height===t.height||(style(a,"height",function(){let t="";d&&(t=T(),assert(t,"height or heightRatio is missing."),t=`calc(${t} - ${_(!1)} - ${_(!0)})`);return t}()),r.style(c("marginRight"),unit(n.gap)),r.style("width",(n.autoWidth?"":unit(n.fixedWidth)||(d?"":h()))||null),r.style("height",unit(n.fixedHeight)||(d?n.autoHeight?"":h():T())||null,!0),S=t,o("resized"));}function _(t){const{padding:e}=n,i=c(t?"right":"left");return e&&unit(e[i]||(isObject$1(e)?0:e))||"0px"}function T(){return unit(n.height||rect(l).width*n.heightRatio)}function h(){const t=unit(n.gap);return `calc((100%${t&&` + ${t}`})/${n.perPage||1}${t&&` - ${t}`})`}function p(t,e){const n=E(t);if(n){const t=rect(n.slide)[c("right")],i=rect(l)[c("left")];return abs(t-i)+(e?0:g())}return 0}function g(){const t=E(0);return t&&parseFloat(style(t.slide,c("marginRight")))||0}return {mount:function(){f(),s(window,"resize load",Throttle(o.bind(this,"resize"))),i(["updated",EVENT_REFRESH],f),i("resize",A);},listSize:function(){return rect(l)[c("width")]},slideSize:function(t,e){const n=E(t||0);return n?rect(n.slide)[c("width")]+(e?0:g()):0},sliderSize:function(){return p(t.length-1,!0)-p(-1,!0)},totalSize:p,getPadding:function(t){return parseFloat(style(a,c("padding"+(t?"Right":"Left"))))||0}}}function Clones(t,e,n){const{on:i,emit:s}=EventInterface(t),{Elements:o,Slides:r}=e,{resolve:c}=e.Direction,u=[];let a;function l(){(a=f())&&(!function(e){const i=r.get().slice(),{length:s}=i;if(s){for(;i.length<e;)push(i,i);push(i.slice(-e),i.slice(0,e)).forEach(((c,a)=>{const l=a<e,E=function(e,i){const s=e.cloneNode(!0);return addClass(s,n.classes.clone),s.id=`${t.root.id}-clone${pad(i+1)}`,s}(c.slide,a);l?before(E,i[0].slide):append(o.list,E),push(u,E),r.register(E,a-e+(l?0:s),c.index);}));}}(a),s("resize"));}function E(){remove(u),empty(u);}function d(){E(),l();}function S(){a<f()&&s(EVENT_REFRESH);}function f(){let{clones:e}=n;if(t.is(LOOP)){if(!e){const i=measure(o.list,n[c("fixedWidth")]);e=(i&&ceil(rect(o.track)[c("width")]/i)||n[c("autoWidth")]&&t.length||n.perPage)*(n.drag?(n.flickMaxPages||1)+1:2);}}else e=0;return e}return {mount:function(){l(),i(EVENT_REFRESH,d),i(["updated","resize"],S);},destroy:E}}function Move(t,e,n){const{on:i,emit:s}=EventInterface(t),{slideSize:o,getPadding:r,totalSize:c,listSize:u,sliderSize:a}=e.Layout,{resolve:l,orient:E}=e.Direction,{list:d,track:S}=e.Elements;let f;function A(){L()||(e.Scroll.cancel(),_(t.index),s(EVENT_REPOSITIONED));}function _(t){T(p(t,!0));}function T(e,n){if(!t.is(FADE)){const i=n?e:function(e){if(t.is(LOOP)){const t=E(e-g()),n=C(!1,e)&&t<0,i=C(!0,e)&&t>0;(n||i)&&(e=h(e,i));}return e}(e);d.style.transform=`translate${l("X")}(${i}px)`,e!==i&&s(EVENT_SHIFTED);}}function h(t,e){const n=t-R(e),i=a();return t-=E(i*(ceil(abs(n)/i)||1))*(e?1:-1)}function p(e,i){const s=E(c(e-1)-function(t){const{focus:e}=n;return "center"===e?(u()-o(t,!0))/2:+e*o(t)||0}(e));return i?function(e){n.trimSpace&&t.is(SLIDE)&&(e=clamp(e,0,E(a()-u())));return e}(s):s}function g(){const t=l("left");return rect(d)[t]-rect(S)[t]+E(r(!1))}function R(t){return p(t?e.Controller.getEnd():0,!!n.trimSpace)}function L(){return t.state.is(4)&&n.waitForTransition}function C(t,e){e=isUndefined(e)?g():e;const n=!0!==t&&E(e)<E(R(!1)),i=!1!==t&&E(e)>E(R(!0));return n||i}return {mount:function(){f=e.Transition,i(["mounted","resized","updated",EVENT_REFRESH],A);},destroy:function(){removeAttribute(d,"style");},move:function(i,o,r,c){if(!L()){const{set:u}=t.state,a=g();i!==o&&(f.cancel(),T(h(a,i>o),!0)),u(4),s(EVENT_MOVE,o,r,i),f.start(o,(()=>{u(3),s(EVENT_MOVED,o,r,i),"move"===n.trimSpace&&i!==r&&a===g()?e.Controller.go(i>r?">":"<",!1,c):c&&c();}));}},jump:_,translate:T,shift:h,cancel:function(){T(g()),f.cancel();},toIndex:function(t){const n=e.Slides.get();let i=0,s=1/0;for(let e=0;e<n.length;e++){const o=n[e].index,r=abs(p(o,!0)-t);if(!(r<=s))break;s=r,i=o;}return i},toPosition:p,getPosition:g,getLimit:R,isBusy:L,exceededLimit:C}}function Controller(t,e,n){const{on:i}=EventInterface(t),{Move:s}=e,{getPosition:o,getLimit:r}=s,{isEnough:c,getLength:u}=e.Slides,a=t.is(LOOP),l=t.is(SLIDE);let E,d,S,f=n.start||0,A=f;function _(){E=u(!0),d=n.perMove,S=n.perPage,f=clamp(f,0,E-1);}function T(t,n,i,o,r){const c=n?t:m(t);e.Scroll.scroll(n||i?s.toPosition(c,!0):t,o,(()=>{I(s.toIndex(s.getPosition())),r&&r();}));}function h(t){return g(!1,t)}function p(t){return g(!0,t)}function g(t,e){const n=d||(y()?1:S),i=R(f+n*(t?-1:1),f);return -1===i&&l&&!approximatelyEqual(o(),r(!t),1)?t?0:L():e?i:C(i)}function R(t,e,i){if(c()){const s=L();t<0||t>s?t=between(0,t,e,!0)||between(s,e,t,!0)?O(N(t)):a?d||y()?t:t<0?-(E%S||S):E:n.rewind?t<0?s:0:-1:i||t===e||(t=d?t:O(N(e)+(t<e?-1:1)));}else t=-1;return t}function L(){let t=E-S;return (y()||a&&d)&&(t=E-1),max$1(t,0)}function C(t){return a?c()?t%E+(t<0?E:0):-1:t}function O(t){return clamp(y()?t:S*t,0,L())}function N(t){return y()||(t=between(t,E-S,E-1)?E-1:t,t=floor(t/S)),t}function m(t){const e=s.toIndex(t);return l?clamp(e,0,L()):e}function I(t){t!==f&&(A=f,f=t);}function y(){return !isUndefined(n.focus)||n.isNavigation}return {mount:function(){_(),i(["updated",EVENT_REFRESH],_,9);},go:function(t,e,i){const o=function(t){let e=f;if(isString$1(t)){const[,n,i]=t.match(/([+\-<>])(\d+)?/)||[];"+"===n||"-"===n?e=R(f+ +`${n}${+i||1}`,f,!0):">"===n?e=i?O(+i):h(!0):"<"===n&&(e=p(!0));}else e=a?t:clamp(t,0,L());return e}(t);if(n.useScroll)T(o,!0,!0,n.speed,i);else {const t=C(o);t>-1&&!s.isBusy()&&(e||t!==f)&&(I(t),s.move(o,t,A,i));}},scroll:T,getNext:h,getPrev:p,getAdjacent:g,getEnd:L,setIndex:I,getIndex:function(t){return t?A:f},toIndex:O,toPage:N,toDest:m,hasFocus:y}}const XML_NAME_SPACE="http://www.w3.org/2000/svg",PATH="m15.5 0.932-4.3 4.38 14.5 14.6-14.5 14.5 4.3 4.4 14.6-14.6 4.4-4.3-4.4-4.4-14.6-14.6z";function Arrows(t,e,n){const{on:i,bind:s,emit:o}=EventInterface(t),{classes:r,i18n:c}=n,{Elements:u,Controller:a}=e;let l,E=u.arrows,d=u.prev,S=u.next;const f={};function A(){if(n.arrows&&(d&&S||(E=create("div",r.arrows),d=_(!0),S=_(!1),l=!0,append(E,[d,S]),before(E,child("slider"===n.arrows&&u.slider||t.root)))),d&&S)if(f.prev)display(E,!1===n.arrows?"none":"");else {const{id:t}=u.track;setAttribute(d,ARIA_CONTROLS,t),setAttribute(S,ARIA_CONTROLS,t),f.prev=d,f.next=S,function(){const{go:t}=a;i(["mounted",EVENT_MOVED,"updated",EVENT_REFRESH,EVENT_SCROLLED],T),s(S,"click",(()=>{t(">",!0);})),s(d,"click",(()=>{t("<",!0);}));}(),o("arrows:mounted",d,S);}}function _(t){return parseHtml(`<button class="${r.arrow} ${t?r.prev:r.next}" type="button"><svg xmlns="${XML_NAME_SPACE}" viewBox="0 0 40 40" width="40" height="40"><path d="${n.arrowPath||PATH}" />`)}function T(){const e=t.index,n=a.getPrev(),i=a.getNext(),s=n>-1&&e<n?c.last:c.prev,r=i>-1&&e>i?c.first:c.next;d.disabled=n<0,S.disabled=i<0,setAttribute(d,ARIA_LABEL,s),setAttribute(S,ARIA_LABEL,r),o("arrows:updated",d,S,n,i);}return {arrows:f,mount:function(){A(),i("updated",A);},destroy:function(){l?remove(E):(removeAttribute(d,ALL_ATTRIBUTES),removeAttribute(S,ALL_ATTRIBUTES));}}}const INTERVAL_DATA_ATTRIBUTE=`${DATA_ATTRIBUTE}-interval`;function Autoplay(t,e,n){const{on:i,bind:s,emit:o}=EventInterface(t),r=RequestInterval(n.interval,t.go.bind(t,">"),(function(t){const{bar:e}=u;e&&style(e,"width",100*t+"%"),o("autoplay:playing",t);})),{isPaused:c}=r,{Elements:u}=e;let a,l,E;function d(t){const e=t?"pause":"play",i=u[e];i&&(setAttribute(i,ARIA_CONTROLS,u.track.id),setAttribute(i,ARIA_LABEL,n.i18n[e]),s(i,"click",t?f:S));}function S(){c()&&e.Slides.isEnough()&&(r.start(!n.resetProgress),l=a=E=!1,o("autoplay:play"));}function f(t=!0){c()||(r.pause(),o("autoplay:pause")),E=t;}function A(){E||(a||l?f(!1):S());}function _(){const i=e.Slides.getAt(t.index);r.set(i&&+getAttribute$1(i.slide,INTERVAL_DATA_ATTRIBUTE)||n.interval);}return {mount:function(){const{autoplay:t}=n;t&&(d(!0),d(!1),function(){const{root:t}=u;n.pauseOnHover&&s(t,"mouseenter mouseleave",(t=>{a="mouseenter"===t.type,A();}));n.pauseOnFocus&&s(t,"focusin focusout",(t=>{l="focusin"===t.type,A();}));i([EVENT_MOVE,"scroll",EVENT_REFRESH],r.rewind),i(EVENT_MOVE,_);}(),"pause"!==t&&S());},destroy:r.cancel,play:S,pause:f,isPaused:c}}function Cover(t,e,n){const{on:i}=EventInterface(t);function s(t){e.Slides.forEach((e=>{const n=child(e.container||e.slide,"img");n&&n.src&&o(t,n,e);}));}function o(t,e,n){n.style("background",t?`center/cover no-repeat url("${e.src}")`:"",!0),display(e,t?"none":"");}return {mount:function(){n.cover&&(i("lazyload:loaded",((t,e)=>{o(!0,t,e);})),i(["mounted","updated",EVENT_REFRESH],s.bind(null,!0)));},destroy:function(){s(!1);}}}function Scroll(t,e,n){const{on:i,emit:s}=EventInterface(t),{Move:o}=e,{getPosition:r,getLimit:c,exceededLimit:u}=o;let a,l;function E(e,i,f,A){const _=r();let T=1;var h;i=i||(h=abs(e-_),max$1(h/1.5,800)),l=f,S(),a=RequestInterval(i,d,(i=>{const s=r(),a=(_+(e-_)*function(t){const{easingFunc:e}=n;return e?e(t):1-Math.pow(1-t,4)}(i)-r())*T;var l;o.translate(s+a),t.is(SLIDE)&&!A&&u()&&(T*=.6,abs(a)<10&&(l=u(!1),E(c(!l),600,null,!0)));}),1),s("scroll"),a.start();}function d(){const e=r(),n=o.toIndex(e);between(n,0,t.length-1)||o.translate(o.shift(e,n>0),!0),l&&l(),s(EVENT_SCROLLED);}function S(){a&&a.cancel();}function f(){a&&!a.isPaused()&&(S(),d());}return {mount:function(){i(EVENT_MOVE,S),i(["updated",EVENT_REFRESH],f);},destroy:S,scroll:E,cancel:f}}const SCROLL_LISTENER_OPTIONS={passive:!1,capture:!0},POINTER_DOWN_EVENTS="touchstart mousedown",POINTER_MOVE_EVENTS="touchmove mousemove",POINTER_UP_EVENTS="touchend touchcancel mouseup";function Drag(t,e,n){const{on:i,emit:s,bind:o,unbind:r}=EventInterface(t),{Move:c,Scroll:u,Controller:a}=e,{track:l}=e.Elements,{resolve:E,orient:d}=e.Direction,{getPosition:S,exceededLimit:f}=c;let A,_,T,h,p,g,R,L,C,O=!1;function N(){const{drag:t}=n;w(!t),p="free"===t;}function m(t){if(!L){const{noDrag:e}=n,i=$(t),s=!e||!matches(t.target,e);R=!1,!s||!i&&t.button||(c.isBusy()?prevent(t,!0):(C=i?l:window,T=null,h=null,o(C,POINTER_MOVE_EVENTS,I,SCROLL_LISTENER_OPTIONS),o(C,POINTER_UP_EVENTS,y,SCROLL_LISTENER_OPTIONS),c.cancel(),u.cancel(),D(t)));}}function I(e){if(h||s("drag"),h=e,e.cancelable){const i=b(e)-b(_);if(g){c.translate(A+function(e){return e/(O&&t.is(SLIDE)?5:1)}(i));const n=P(e)-P(_)>200,o=O!==(O=f());(n||o)&&D(e),s("dragging"),R=!0,prevent(e);}else {let{dragMinThreshold:t}=n;t=isObject$1(t)?t:{mouse:0,touch:+t||10},g=abs(i)>($(e)?t.touch:t.mouse),v()&&prevent(e);}}}function y(i){r(C,POINTER_MOVE_EVENTS,I),r(C,POINTER_UP_EVENTS,y);const{index:o}=t;if(h){if(g||i.cancelable&&v()){const s=function(e){if(t.is(LOOP)||!O){const t=_===h&&T||_,n=b(h)-b(t),i=P(e)-P(t),s=P(e)-P(h)<200;if(i&&s)return n/i}return 0}(i),r=function(t){return S()+sign(t)*min$1(abs(t)*(n.flickPower||600),p?1/0:e.Layout.listSize()*(n.flickMaxPages||1))}(s);p?a.scroll(r):t.is(FADE)?a.go(o+d(sign(s))):a.go(a.toDest(r),!0),prevent(i);}s("dragged");}else p||S()===c.toPosition(o)||a.go(o,!0);g=!1;}function D(t){T=_,_=t,A=S();}function V(t){!L&&R&&prevent(t,!0);}function v(){return abs(b(h)-b(_))>abs(b(h,!0)-b(_,!0))}function b(t,e){return ($(t)?t.touches[0]:t)[`page${E(e?"Y":"X")}`]}function P(t){return t.timeStamp}function $(t){return "undefined"!=typeof TouchEvent&&t instanceof TouchEvent}function w(t){L=t;}return {mount:function(){o(l,POINTER_MOVE_EVENTS,noop$1,SCROLL_LISTENER_OPTIONS),o(l,POINTER_UP_EVENTS,noop$1,SCROLL_LISTENER_OPTIONS),o(l,POINTER_DOWN_EVENTS,m,SCROLL_LISTENER_OPTIONS),o(l,"click",V,{capture:!0}),o(l,"dragstart",prevent),i(["mounted","updated"],N);},disable:w,isDragging:function(){return g}}}const IE_ARROW_KEYS=["Left","Right","Up","Down"];function Keyboard(t,e,n){const{on:i,bind:s,unbind:o}=EventInterface(t),{root:r}=t,{resolve:c}=e.Direction;let u,a;function l(){const{keyboard:t}=n;t&&("focused"===t?(u=r,setAttribute(r,TAB_INDEX,0)):u=window,s(u,"keydown",f));}function E(){o(u,"keydown"),isHTMLElement$1(u)&&removeAttribute(u,TAB_INDEX);}function d(){const t=a;a=!0,nextTick((()=>{a=t;}));}function S(){E(),l();}function f(e){if(!a){const{key:n}=e,i=includes(IE_ARROW_KEYS,n)?`Arrow${n}`:n;i===c("ArrowLeft")?t.go("<"):i===c("ArrowRight")&&t.go(">");}}return {mount:function(){l(),i("updated",S),i(EVENT_MOVE,d);},destroy:E,disable:function(t){a=t;}}}const SRC_DATA_ATTRIBUTE=`${DATA_ATTRIBUTE}-lazy`,SRCSET_DATA_ATTRIBUTE=`${SRC_DATA_ATTRIBUTE}-srcset`,IMAGE_SELECTOR=`[${SRC_DATA_ATTRIBUTE}], [${SRCSET_DATA_ATTRIBUTE}]`;function LazyLoad(t,e,n){const{on:i,off:s,bind:o,emit:r}=EventInterface(t),c="sequential"===n.lazyLoad;let u=[],a=0;function l(){d(),E();}function E(){e.Slides.forEach((t=>{queryAll(t.slide,IMAGE_SELECTOR).forEach((e=>{const i=getAttribute$1(e,SRC_DATA_ATTRIBUTE),s=getAttribute$1(e,SRCSET_DATA_ATTRIBUTE);if(i!==e.src||s!==e.srcset){const o=n.classes.spinner,r=e.parentElement,c=child(r,`.${o}`)||create("span",o,r);setAttribute(c,ROLE,"presentation"),u.push({_img:e,_Slide:t,src:i,srcset:s,_spinner:c}),!e.src&&display(e,"none");}}));})),c&&A();}function d(){a=0,u=[];}function S(){u=u.filter((e=>{const i=n.perPage*((n.preloadPages||1)+1)-1;return !e._Slide.isWithin(t.index,i)||f(e)})),u.length||s(EVENT_MOVED);}function f(t){const{_img:e}=t;addClass(t._Slide.slide,"is-loading"),o(e,"load error",(e=>{!function(t,e){const{_Slide:n}=t;removeClass(n.slide,"is-loading"),e||(remove(t._spinner),display(t._img,""),r("lazyload:loaded",t._img,n),r("resize"));c&&A();}(t,"error"===e.type);})),["srcset","src"].forEach((n=>{t[n]&&(setAttribute(e,n,t[n]),removeAttribute(e,"src"===n?SRC_DATA_ATTRIBUTE:SRCSET_DATA_ATTRIBUTE));}));}function A(){a<u.length&&f(u[a++]);}return {mount:function(){n.lazyLoad&&(E(),i(EVENT_REFRESH,l),c||i(["mounted",EVENT_REFRESH,EVENT_MOVED,EVENT_SCROLLED],S));},destroy:d}}function Pagination(t,e,n){const{on:i,emit:s,bind:o,unbind:r}=EventInterface(t),{Slides:c,Elements:u,Controller:a}=e,{hasFocus:l,getIndex:E}=a,d=[];let S;function f(){A(),n.pagination&&c.isEnough()&&(!function(){const{length:e}=t,{classes:i,i18n:s,perPage:r}=n,a="slider"===n.pagination&&u.slider||u.root,E=l()?e:ceil(e/r);S=create("ul",i.pagination,a);for(let t=0;t<E;t++){const e=create("li",null,S),n=create("button",{class:i.page,type:"button"},e),u=c.getIn(t).map((t=>t.slide.id)),a=!l()&&r>1?s.pageX:s.slideX;o(n,"click",_.bind(null,t)),setAttribute(n,ARIA_CONTROLS,u.join(" ")),setAttribute(n,ARIA_LABEL,format$1(a,t+1)),d.push({li:e,button:n,page:t});}}(),s("pagination:mounted",{list:S,items:d},T(t.index)),h());}function A(){S&&(remove(S),d.forEach((t=>{r(t.button,"click");})),empty(d),S=null);}function _(t){a.go(`>${t}`,!0,(()=>{const e=c.getAt(a.toIndex(t));e&&focus(e.slide);}));}function T(t){return d[a.toPage(t)]}function h(){const t=T(E(!0)),e=T(E());t&&(removeClass(t.button,CLASS_ACTIVE),removeAttribute(t.button,ARIA_CURRENT)),e&&(addClass(e.button,CLASS_ACTIVE),setAttribute(e.button,ARIA_CURRENT,!0)),s("pagination:updated",{list:S,items:d},t,e);}return {items:d,mount:function(){f(),i(["updated",EVENT_REFRESH],f),i([EVENT_MOVE,EVENT_SCROLLED],h);},destroy:A,getAt:T,update:h}}const TRIGGER_KEYS=[" ","Enter","Spacebar"];function Sync(t,e,n){const{list:i}=e.Elements,s=[];function o(){t.splides.forEach((e=>{var n;!e.isParent&&(n=e.splide,[t,n].forEach((e=>{const i=EventInterface(e),o=e===t?n:t;i.on(EVENT_MOVE,((t,e,n)=>{o.go(o.is(LOOP)?n:t);})),s.push(i);})));})),n.isNavigation&&function(){const e=EventInterface(t),{on:n}=e;n(EVENT_CLICK$9,u),n(EVENT_SLIDE_KEYDOWN,a),n(["mounted","updated"],c),setAttribute(i,ROLE,"menu"),s.push(e),e.emit(EVENT_NAVIGATION_MOUNTED,t.splides);}();}function r(){removeAttribute(i,ALL_ATTRIBUTES),s.forEach((t=>{t.destroy();})),empty(s);}function c(){setAttribute(i,ARIA_ORIENTATION,n.direction!==TTB?"horizontal":null);}function u(e){t.go(e.index);}function a(t,e){includes(TRIGGER_KEYS,e.key)&&(u(t),prevent(e));}return {mount:o,destroy:r,remount:function(){r(),o();}}}function Wheel(t,e,n){const{bind:i}=EventInterface(t);function s(i){if(i.cancelable){const{deltaY:s}=i;if(s){const o=s<0;t.go(o?"<":">"),function(i){return !n.releaseWheel||t.state.is(4)||-1!==e.Controller.getAdjacent(i)}(o)&&prevent(i);}}}return {mount:function(){n.wheel&&i(e.Elements.track,"wheel",s,SCROLL_LISTENER_OPTIONS);}}}var ComponentConstructors=Object.freeze({__proto__:null,Options:Options,Direction:Direction,Elements:Elements,Slides:Slides,Layout:Layout,Clones:Clones,Move:Move,Controller:Controller,Arrows:Arrows,Autoplay:Autoplay,Cover:Cover,Scroll:Scroll,Drag:Drag,Keyboard:Keyboard,LazyLoad:LazyLoad,Pagination:Pagination,Sync:Sync,Wheel:Wheel});const I18N={prev:"Previous slide",next:"Next slide",first:"Go to first slide",last:"Go to last slide",slideX:"Go to slide %s",pageX:"Go to page %s",play:"Start autoplay",pause:"Pause autoplay"},DEFAULTS={type:"slide",speed:400,waitForTransition:!0,perPage:1,cloneStatus:!0,arrows:!0,pagination:!0,interval:5e3,pauseOnHover:!0,pauseOnFocus:!0,resetProgress:!0,keyboard:!0,easing:"cubic-bezier(0.25, 1, 0.5, 1)",drag:!0,direction:"ltr",slideFocus:!0,trimSpace:!0,focusableNodes:"a, button, textarea, input, select, iframe",classes:CLASSES,i18n:I18N};function Fade(t,e,n){const{on:i}=EventInterface(t);return {mount:function(){i(["mounted",EVENT_REFRESH],(()=>{nextTick((()=>{e.Slides.style("transition",`opacity ${n.speed}ms ${n.easing}`);}));}));},start:function(t,n){const{track:i}=e.Elements;style(i,"height",unit(rect(i).height)),nextTick((()=>{n(),style(i,"height","");}));},cancel:noop$1}}function Slide(t,e,n){const{bind:i}=EventInterface(t),{Move:s,Controller:o}=e,{list:r}=e.Elements;let c;function u(){a("");}function a(t){style(r,"transition",t);}return {mount:function(){i(r,"transitionend",(t=>{t.target===r&&c&&(u(),c());}));},start:function(e,i){const r=s.toPosition(e,!0),u=s.getPosition(),l=function(e){const{rewindSpeed:i}=n;if(t.is(SLIDE)&&i){const t=o.getIndex(!0),n=o.getEnd();if(0===t&&e>=n||t>=n&&0===e)return i}return n.speed}(e);abs(r-u)>=1&&l>=1?(a(`transform ${l}ms ${n.easing}`),s.translate(r,!0),c=i):(s.jump(e),i());},cancel:u}}const _Splide=class{constructor(t,e){this.event=EventBus(),this.Components={},this.state=State(1),this.splides=[],this._options={},this._Extensions={};const n=isString$1(t)?query(document,t):t;assert(n,`${n} is invalid.`),this.root=n,merge(DEFAULTS,_Splide.defaults),merge(merge(this._options,DEFAULTS),e||{});}mount(t,e){const{state:n,Components:i}=this;assert(n.is([1,5]),"Already mounted!"),n.set(1),this._Components=i,this._Transition=e||this._Transition||(this.is(FADE)?Fade:Slide),this._Extensions=t||this._Extensions;return forOwn(assign({},ComponentConstructors,this._Extensions,{Transition:this._Transition}),((t,e)=>{const n=t(this,i,this._options);i[e]=n,n.setup&&n.setup();})),forOwn(i,(t=>{t.mount&&t.mount();})),this.emit("mounted"),addClass(this.root,"is-initialized"),n.set(3),this.emit("ready"),this}sync(t){return this.splides.push({splide:t}),t.splides.push({splide:this,isParent:!0}),this.state.is(3)&&(this._Components.Sync.remount(),t.Components.Sync.remount()),this}go(t){return this._Components.Controller.go(t),this}on(t,e){return this.event.on(t,e,null,20),this}off(t){return this.event.off(t),this}emit(t){return this.event.emit(t,...slice(arguments,1)),this}add(t,e){return this._Components.Slides.add(t,e),this}remove(t){return this._Components.Slides.remove(t),this}is(t){return this._options.type===t}refresh(){return this.emit(EVENT_REFRESH),this}destroy(t=!0){const{event:e,state:n}=this;return n.is(1)?e.on("ready",this.destroy.bind(this,t),this):(forOwn(this._Components,(e=>{e.destroy&&e.destroy(t);}),!0),e.emit(EVENT_DESTROY),e.destroy(),t&&empty(this.splides),n.set(5)),this}get options(){return this._options}set options(t){const{_options:e}=this;merge(e,t),this.state.is(1)||this.emit("updated",e);}get length(){return this._Components.Slides.getLength(!0)}get index(){return this._Components.Controller.getIndex()}};let Splide=_Splide;Splide.defaults={},Splide.STATES=STATES;

    const elementMap=new Map;const Data = {set(e,t,n){elementMap.has(e)||elementMap.set(e,new Map);const a=elementMap.get(e);a.has(t)||0===a.size?a.set(t,n):console.error(`Bootstrap doesn't allow more than one instance per element. Bound instance: ${Array.from(a.keys())[0]}.`);},get:(e,t)=>elementMap.has(e)&&elementMap.get(e).get(t)||null,remove(e,t){if(!elementMap.has(e))return;const n=elementMap.get(e);n.delete(t),0===n.size&&elementMap.delete(e);}};

    const TRANSITION_END="transitionend",toType=e=>null==e?`${e}`:Object.prototype.toString.call(e).match(/\s([a-z]+)/i)[1].toLowerCase(),getUID=e=>{do{e+=Math.floor(1e6*Math.random());}while(document.getElementById(e));return e},getSelector=e=>{let t=e.getAttribute("data-bs-target");if(!t||"#"===t){let n=e.getAttribute("href");if(!n||!n.includes("#")&&!n.startsWith("."))return null;n.includes("#")&&!n.startsWith("#")&&(n=`#${n.split("#")[1]}`),t=n&&"#"!==n?n.trim():null;}return t},getSelectorFromElement=e=>{const t=getSelector(e);return t&&document.querySelector(t)?t:null},getElementFromSelector=e=>{const t=getSelector(e);return t?document.querySelector(t):null},getTransitionDurationFromElement=e=>{if(!e)return 0;let{transitionDuration:t,transitionDelay:n}=window.getComputedStyle(e);const o=Number.parseFloat(t),r=Number.parseFloat(n);return o||r?(t=t.split(",")[0],n=n.split(",")[0],1e3*(Number.parseFloat(t)+Number.parseFloat(n))):0},triggerTransitionEnd=e=>{e.dispatchEvent(new Event(TRANSITION_END));},isElement$2=e=>!(!e||"object"!=typeof e)&&(void 0!==e.jquery&&(e=e[0]),void 0!==e.nodeType),getElement=e=>isElement$2(e)?e.jquery?e[0]:e:"string"==typeof e&&e.length>0?document.querySelector(e):null,isVisible=e=>{if(!isElement$2(e)||0===e.getClientRects().length)return !1;const t="visible"===getComputedStyle(e).getPropertyValue("visibility"),n=e.closest("details:not([open])");if(!n)return t;if(n!==e){const t=e.closest("summary");if(t&&t.parentNode!==n)return !1;if(null===t)return !1}return t},isDisabled=e=>!e||e.nodeType!==Node.ELEMENT_NODE||(!!e.classList.contains("disabled")||(void 0!==e.disabled?e.disabled:e.hasAttribute("disabled")&&"false"!==e.getAttribute("disabled"))),findShadowRoot=e=>{if(!document.documentElement.attachShadow)return null;if("function"==typeof e.getRootNode){const t=e.getRootNode();return t instanceof ShadowRoot?t:null}return e instanceof ShadowRoot?e:e.parentNode?findShadowRoot(e.parentNode):null},noop=()=>{},reflow=e=>{e.offsetHeight;},getjQuery=()=>window.jQuery&&!document.body.hasAttribute("data-bs-no-jquery")?window.jQuery:null,DOMContentLoadedCallbacks=[],onDOMContentLoaded=e=>{"loading"===document.readyState?(DOMContentLoadedCallbacks.length||document.addEventListener("DOMContentLoaded",(()=>{for(const e of DOMContentLoadedCallbacks)e();})),DOMContentLoadedCallbacks.push(e)):e();},isRTL=()=>"rtl"===document.documentElement.dir,defineJQueryPlugin=e=>{onDOMContentLoaded((()=>{const t=getjQuery();if(t){const n=e.NAME,o=t.fn[n];t.fn[n]=e.jQueryInterface,t.fn[n].Constructor=e,t.fn[n].noConflict=()=>(t.fn[n]=o,e.jQueryInterface);}}));},execute=e=>{"function"==typeof e&&e();},executeAfterTransition=(e,t,n=!0)=>{if(!n)return void execute(e);const o=getTransitionDurationFromElement(t)+5;let r=!1;const i=({target:n})=>{n===t&&(r=!0,t.removeEventListener(TRANSITION_END,i),execute(e));};t.addEventListener(TRANSITION_END,i),setTimeout((()=>{r||triggerTransitionEnd(t);}),o);},getNextActiveElement=(e,t,n,o)=>{const r=e.length;let i=e.indexOf(t);return -1===i?!n&&o?e[r-1]:e[0]:(i+=n?1:-1,o&&(i=(i+r)%r),e[Math.max(0,Math.min(i,r-1))])};

    const namespaceRegex=/[^.]*(?=\..*)\.|.*/,stripNameRegex=/\..*/,stripUidRegex=/::\d+$/,eventRegistry={};let uidEvent=1;const customEvents={mouseenter:"mouseover",mouseleave:"mouseout"},nativeEvents=new Set(["click","dblclick","mouseup","mousedown","contextmenu","mousewheel","DOMMouseScroll","mouseover","mouseout","mousemove","selectstart","selectend","keydown","keypress","keyup","orientationchange","touchstart","touchmove","touchend","touchcancel","pointerdown","pointermove","pointerup","pointerleave","pointercancel","gesturestart","gesturechange","gestureend","focus","blur","change","reset","select","submit","focusin","focusout","load","unload","beforeunload","resize","move","DOMContentLoaded","readystatechange","error","abort","scroll"]);function makeEventUid(e,t){return t&&`${t}::${uidEvent++}`||e.uidEvent||uidEvent++}function getElementEvents(e){const t=makeEventUid(e);return e.uidEvent=t,eventRegistry[t]=eventRegistry[t]||{},eventRegistry[t]}function bootstrapHandler(e,t){return function n(r){return hydrateObj(r,{delegateTarget:e}),n.oneOff&&EventHandler.off(e,r.type,t),t.apply(e,[r])}}function bootstrapDelegationHandler(e,t,n){return function r(o){const a=e.querySelectorAll(t);for(let{target:l}=o;l&&l!==this;l=l.parentNode)for(const s of a)if(s===l)return hydrateObj(o,{delegateTarget:l}),r.oneOff&&EventHandler.off(e,o.type,t,n),n.apply(l,[o])}}function findHandler(e,t,n=null){return Object.values(e).find((e=>e.callable===t&&e.delegationSelector===n))}function normalizeParameters(e,t,n){const r="string"==typeof t,o=r?n:t||n;let a=getTypeEvent(e);return nativeEvents.has(a)||(a=e),[r,o,a]}function addHandler(e,t,n,r,o){if("string"!=typeof t||!e)return;let[a,l,s]=normalizeParameters(t,n,r);if(t in customEvents){const e=e=>function(t){if(!t.relatedTarget||t.relatedTarget!==t.delegateTarget&&!t.delegateTarget.contains(t.relatedTarget))return e.call(this,t)};l=e(l);}const i=getElementEvents(e),c=i[s]||(i[s]={}),u=findHandler(c,l,a?n:null);if(u)return void(u.oneOff=u.oneOff&&o);const d=makeEventUid(l,t.replace(namespaceRegex,"")),f=a?bootstrapDelegationHandler(e,n,l):bootstrapHandler(e,l);f.delegationSelector=a?n:null,f.callable=l,f.oneOff=o,f.uidEvent=d,c[d]=f,e.addEventListener(s,f,a);}function removeHandler(e,t,n,r,o){const a=findHandler(t[n],r,o);a&&(e.removeEventListener(n,a,Boolean(o)),delete t[n][a.uidEvent]);}function removeNamespacedHandlers(e,t,n,r){const o=t[n]||{};for(const a of Object.keys(o))if(a.includes(r)){const r=o[a];removeHandler(e,t,n,r.callable,r.delegationSelector);}}function getTypeEvent(e){return e=e.replace(stripNameRegex,""),customEvents[e]||e}const EventHandler={on(e,t,n,r){addHandler(e,t,n,r,!1);},one(e,t,n,r){addHandler(e,t,n,r,!0);},off(e,t,n,r){if("string"!=typeof t||!e)return;const[o,a,l]=normalizeParameters(t,n,r),s=l!==t,i=getElementEvents(e),c=i[l]||{},u=t.startsWith(".");if(void 0===a){if(u)for(const n of Object.keys(i))removeNamespacedHandlers(e,i,n,t.slice(1));for(const n of Object.keys(c)){const r=n.replace(stripUidRegex,"");if(!s||t.includes(r)){const t=c[n];removeHandler(e,i,l,t.callable,t.delegationSelector);}}}else {if(!Object.keys(c).length)return;removeHandler(e,i,l,a,o?n:null);}},trigger(e,t,n){if("string"!=typeof t||!e)return null;const r=getjQuery();let o=null,a=!0,l=!0,s=!1;t!==getTypeEvent(t)&&r&&(o=r.Event(t,n),r(e).trigger(o),a=!o.isPropagationStopped(),l=!o.isImmediatePropagationStopped(),s=o.isDefaultPrevented());let i=new Event(t,{bubbles:a,cancelable:!0});return i=hydrateObj(i,n),s&&i.preventDefault(),l&&e.dispatchEvent(i),i.defaultPrevented&&o&&o.preventDefault(),i}};function hydrateObj(e,t){for(const[n,r]of Object.entries(t||{}))try{e[n]=r;}catch{Object.defineProperty(e,n,{configurable:!0,get:()=>r});}return e}const EventHandler$1 = EventHandler;

    function normalizeData(t){if("true"===t)return !0;if("false"===t)return !1;if(t===Number(t).toString())return Number(t);if(""===t||"null"===t)return null;if("string"!=typeof t)return t;try{return JSON.parse(decodeURIComponent(t))}catch{return t}}function normalizeDataKey(t){return t.replace(/[A-Z]/g,(t=>`-${t.toLowerCase()}`))}const Manipulator={setDataAttribute(t,e,r){t.setAttribute(`data-bs-${normalizeDataKey(e)}`,r);},removeDataAttribute(t,e){t.removeAttribute(`data-bs-${normalizeDataKey(e)}`);},getDataAttributes(t){if(!t)return {};const e={},r=Object.keys(t.dataset).filter((t=>t.startsWith("bs")&&!t.startsWith("bsConfig")));for(const a of r){let r=a.replace(/^bs/,"");r=r.charAt(0).toLowerCase()+r.slice(1,r.length),e[r]=normalizeData(t.dataset[a]);}return e},getDataAttribute:(t,e)=>normalizeData(t.getAttribute(`data-bs-${normalizeDataKey(e)}`))};

    class Config{static get Default(){return {}}static get DefaultType(){return {}}static get NAME(){throw new Error('You have to implement the static method "NAME", for each component!')}_getConfig(t){return t=this._mergeConfigObj(t),t=this._configAfterMerge(t),this._typeCheckConfig(t),t}_configAfterMerge(t){return t}_mergeConfigObj(t,e){const o=isElement$2(e)?Manipulator.getDataAttribute(e,"config"):{};return {...this.constructor.Default,..."object"==typeof o?o:{},...isElement$2(e)?Manipulator.getDataAttributes(e):{},..."object"==typeof t?t:{}}}_typeCheckConfig(t,e=this.constructor.DefaultType){for(const o of Object.keys(e)){const r=e[o],n=t[o],i=isElement$2(n)?"element":toType(n);if(!new RegExp(r).test(i))throw new TypeError(`${this.constructor.NAME.toUpperCase()}: Option "${o}" provided type "${i}" but expected type "${r}".`)}}}

    class BaseComponent extends Config{constructor(t,e){super(),(t=getElement(t))&&(this._element=t,this._config=this._getConfig(e),Data.set(this._element,this.constructor.DATA_KEY,this));}dispose(){Data.remove(this._element,this.constructor.DATA_KEY),EventHandler$1.off(this._element,this.constructor.EVENT_KEY);for(const t of Object.getOwnPropertyNames(this))this[t]=null;}_queueCallback(t,e,n=!0){executeAfterTransition(t,e,n);}_getConfig(t){return t=this._mergeConfigObj(t,this._element),t=this._configAfterMerge(t),this._typeCheckConfig(t),t}static getInstance(t){return Data.get(getElement(t),this.DATA_KEY)}static getOrCreateInstance(t,e={}){return this.getInstance(t)||new this(t,"object"==typeof e?e:null)}static get VERSION(){return "5.2.3"}static get DATA_KEY(){return `bs.${this.NAME}`}static get EVENT_KEY(){return `.${this.DATA_KEY}`}static eventName(t){return `${t}${this.EVENT_KEY}`}}

    const SelectorEngine={find:(e,t=document.documentElement)=>[].concat(...Element.prototype.querySelectorAll.call(t,e)),findOne:(e,t=document.documentElement)=>Element.prototype.querySelector.call(t,e),children:(e,t)=>[].concat(...e.children).filter((e=>e.matches(t))),parents(e,t){const n=[];let i=e.parentNode.closest(t);for(;i;)n.push(i),i=i.parentNode.closest(t);return n},prev(e,t){let n=e.previousElementSibling;for(;n;){if(n.matches(t))return [n];n=n.previousElementSibling;}return []},next(e,t){let n=e.nextElementSibling;for(;n;){if(n.matches(t))return [n];n=n.nextElementSibling;}return []},focusableChildren(e){const t=["a","button","input","textarea","select","details","[tabindex]",'[contenteditable="true"]'].map((e=>`${e}:not([tabindex^="-"])`)).join(",");return this.find(t,e).filter((e=>!isDisabled(e)&&isVisible(e)))}};const SelectorEngine$1 = SelectorEngine;

    const NAME$C="carousel",DATA_KEY$r="bs.carousel",EVENT_KEY$s=`.${DATA_KEY$r}`,EVENT_LOAD_DATA_API$4=`load${EVENT_KEY$s}.data-api`,SELECTOR_CAROUSEL="[data-bs-carousel-splide]",CONFIG_DEFAULT$1={slideFocus:!0,i18n:{prev:"Slide precedente",next:"Slide successiva",first:"Vai alla prima slide",last:"Vai all’ultima slide",slideX:"Vai alla slide %s",pageX:"Vai a pagina %s",play:"Attiva autoplay",pause:"Pausa autoplay"}},CONFIGS={"it-carousel-landscape-abstract-three-cols":{type:"slide",perPage:3,gap:24,padding:{left:0,right:0},arrows:!1,breakpoints:{768:{perPage:1,gap:24,padding:{left:40,right:40},arrows:!1},992:{perPage:2,gap:24,padding:{left:40,right:40},arrows:!1}}},"it-carousel-landscape-abstract-three-cols-arrow-visible":{type:"slide",perPage:3,gap:24,padding:{left:0,right:0},arrows:!0,breakpoints:{768:{perPage:1,gap:24,padding:{left:40,right:40},arrows:!0},992:{perPage:2,gap:24,padding:{left:40,right:40},arrows:!0}}},"it-big-img":{type:"loop",perPage:1,gap:48,padding:{left:320,right:320},arrows:!1,breakpoints:{768:{perPage:1,gap:0,padding:{left:0,right:0},arrows:!1},992:{perPage:1,gap:24,padding:{left:160,right:160},arrows:!1}}},"it-standard-image":{type:"loop",perPage:3,gap:24,padding:{left:48,right:48},arrows:!1,breakpoints:{768:{perPage:1,gap:24,padding:{left:40,right:40},arrows:!1},992:{perPage:2,gap:24,padding:{left:48,right:48},arrows:!1}}},"it-carousel-landscape-abstract":{type:"slide",perPage:1,gap:24,padding:{left:0,right:0},arrows:!1,breakpoints:{768:{perPage:1,gap:24,padding:{left:0,right:0},arrows:!1},992:{perPage:1,gap:24,padding:{left:24,right:24},arrows:!1}}},"it-carousel-landscape-abstract-arrow":{type:"slide",perPage:1,gap:24,padding:{left:0,right:0},arrows:!0,breakpoints:{768:{perPage:1,gap:24,padding:{left:0,right:0},arrows:!0},992:{perPage:1,gap:24,padding:{left:24,right:24},arrows:!0}}},"it-calendar-wrapper":{type:"slide",perPage:4,gap:0,padding:{left:0,right:0},arrows:!1,breakpoints:{560:{perPage:1,gap:0,padding:{left:24,right:24},arrows:!1},768:{perPage:2,gap:0,padding:{left:0,right:0},arrows:!1},992:{perPage:3,gap:0,padding:{left:0,right:0},arrows:!1}}},"it-carousel-landscape-abstract-two-cols":{type:"slide",perPage:2,gap:24,padding:{left:0,right:0},arrows:!1,breakpoints:{768:{perPage:1,gap:24,padding:{left:40,right:40},arrows:!1},992:{perPage:2,gap:24,padding:{left:40,right:40},arrows:!1}}}};class CarouselBI extends BaseComponent{constructor(a){super(a),this._config=this._getConfig(),this._splide=new Splide(this._element,this._config),this._init();}dispose(){this._splide.destroy(),super.dispose();}static get NAME(){return NAME$C}_init(){this._splide.mount();}_getConfig(){let a=Object.assign({},CONFIG_DEFAULT$1);return Object.keys(CONFIGS).forEach((e=>{this._element.classList.contains(e)&&(a=Object.assign({},a,CONFIGS[e]));})),a}}EventHandler$1.on(window,EVENT_LOAD_DATA_API$4,(()=>{SelectorEngine$1.find(SELECTOR_CAROUSEL).forEach((a=>{CarouselBI.getOrCreateInstance(a);}));}));const CarouselBI$1 = CarouselBI;

    const NAME$B="inputlabel",DATA_KEY$q="bs.inputlabel",EVENT_KEY$r=`.${DATA_KEY$q}`,EVENT_FOCUS=`focus${EVENT_KEY$r}`,EVENT_BLUR=`blur${EVENT_KEY$r}`,EVENT_CHANGE$2=`change${EVENT_KEY$r}`;class InputLabel{constructor(e){this._element=e,this._init();}static get NAME(){return NAME$B}static getInputFromLabel=e=>document.querySelector("#"+e.getAttribute("for"));_init(){const e=this._getLabel();e&&!e.classList.contains("active")&&(this._labelOut(),this._labelOver()),this._bindEvents();}_bindEvents(){["date","time"].includes(this._element.getAttribute("type"))||("file"===this._element.getAttribute("type")?EventHandler$1.on(this._element,EVENT_BLUR,(()=>{this._labelOut();})):(EventHandler$1.on(this._element,EVENT_FOCUS,(()=>{this._labelOut();})),EventHandler$1.on(this._element,EVENT_BLUR,(()=>{this._labelOver();})),EventHandler$1.on(this._element,EVENT_CHANGE$2,(()=>{this._labelToggle();}))));}_getLabel(){return SelectorEngine$1.findOne('label[for="'+this._element.getAttribute("id")+'"]')}_isEmpty(){return !this._element.value&&!this._element.getAttribute("placeholder")}_labelOut(){const e=this._getLabel();e&&e.classList.add("active");}_labelOver(){if(this._isEmpty()){const e=this._getLabel();e&&e.classList.remove("active");}}_labelToggle(){this._isEmpty()?this._labelOver():this._labelOut();}}const InputLabel$1 = InputLabel;

    const NAME$A="inputnumber",DATA_KEY$p="bs.inputnumber",EVENT_KEY$q=`.${DATA_KEY$p}`,EVENT_CLICK$8=`click${EVENT_KEY$q}`,EVENT_CHANGE$1=`change${EVENT_KEY$q}`,EVENT_CLICK_DATA_API$g=`click${EVENT_KEY$q}.data-api`,EVENT_MOUSEDOWN_DATA_API$3=`mousedown${EVENT_KEY$q}.data-api`,EVENT_KEYUP_DATA_API$5=`keyup${EVENT_KEY$q}.data-api`,CLASS_NAME_ADAPTIVE="input-number-adaptive",CLASS_NAME_PERCENTAGE="input-number-percentage",CLASS_NAME_CURRENCY="input-number-currency",SELECTOR_INPUT='input[data-bs-input][type="number"]',SELECTOR_BTN='button[class^="input-number-"]';class InputNumber extends BaseComponent{constructor(e){super(e),this._wrapperElement=this._element.closest(".input-number"),this._label=new InputLabel$1(e),this._init(),this._bindEvents();}static get NAME(){return NAME$A}_init(){this._wrapperElement&&this._inputResize();}_bindEvents(){this._wrapperElement&&(SelectorEngine$1.find(SELECTOR_BTN,this._wrapperElement).forEach((e=>{EventHandler$1.on(e,EVENT_CLICK$8,(t=>{t.preventDefault(),this._incrDecr(e.classList.contains("input-number-sub"));}));})),EventHandler$1.on(this._element,EVENT_CHANGE$1,(()=>this._checkLimit())));}_inputResize(){if(this._wrapperElement.classList.contains(CLASS_NAME_ADAPTIVE)){let e=null;this._wrapperElement.classList.contains(CLASS_NAME_PERCENTAGE)||(e="calc(44px + "+this._element.value.length+"ch)"),this._wrapperElement.classList.contains(CLASS_NAME_CURRENCY)&&(e="calc(40px + 44px + "+this._element.value.length+"ch)"),e&&(this._element.style.width=e);}}_incrDecr(e){const t=parseFloat(this._element.value);if(!isNaN(t)){let n=parseFloat(this._element.getAttribute("step"));n||(n=1),this._element.value=t+n*(e?-1:1),EventHandler$1.trigger(this._element,EVENT_CHANGE$1);}}_checkLimit(){const e=parseFloat(this._element.value);if(!isNaN(e)){let t=e;const n=parseFloat(this._element.getAttribute("max")),E=parseFloat(this._element.getAttribute("min"));E&&e<E&&(t=E),n&&e>n&&(t=n),this._element.value=t;}this._inputResize();}}const createInput$4=e=>e&&e.matches(SELECTOR_INPUT)&&e.parentNode.querySelector(SELECTOR_BTN)?InputNumber.getOrCreateInstance(e):null;EventHandler$1.on(document,EVENT_MOUSEDOWN_DATA_API$3,SELECTOR_INPUT+", label",(function(){const e=InputLabel$1.getInputFromLabel(this)||this;createInput$4(e);})),EventHandler$1.on(document,EVENT_KEYUP_DATA_API$5,SELECTOR_INPUT+", label",(function(){const e=InputLabel$1.getInputFromLabel(this)||this,t=createInput$4(e);t&&t._label&&t._label._labelOut();})),EventHandler$1.on(document,EVENT_CLICK_DATA_API$g,SELECTOR_BTN,(function(){const e=this.closest(".input-number");if(e){const t=SelectorEngine$1.findOne(SELECTOR_INPUT,e);t&&InputNumber.getOrCreateInstance(t);}}));const InputNumber$1 = InputNumber;

    const NAME$z="dimmer",DATA_KEY$o="bs.dimmer",EVENT_KEY$p=`.${DATA_KEY$o}`,EVENT_CLICK_DATA_API$f=`click${EVENT_KEY$p}.data-api`,SELECTOR_DATA_TOGGLE$b='[data-bs-toggle="dimmer"]';class Dimmer extends BaseComponent{constructor(t){super(t),this._isShown=!t.matches("[aria-hidden=true]"),this._isTransitioning=!1;}static get NAME(){return NAME$z}show(){this._isShown||this._isTransitioning||(this._isShown=!0,this._isAnimated()&&(this._isTransitioning=!0),this._showElement());}hide(){if(!this._isShown||this._isTransitioning)return;this._isShown=!1;const t=this._isAnimated();t&&(this._isTransitioning=!0),this._element.classList.remove("show"),this._queueCallback((()=>this._hideElement()),this._element,t);}_isAnimated(){return this._element.classList.contains("fade")}_showElement(){const t=this._isAnimated();this._element.removeAttribute("aria-hidden"),t&&reflow(this._element),this._element.classList.add("show");this._queueCallback((()=>{this._isTransitioning=!1;}),this._element,t);}_hideElement(){this._element.setAttribute("aria-hidden",!0),this._isTransitioning=!1;}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$f,SELECTOR_DATA_TOGGLE$b,(function(){const t=getElementFromSelector(this),e=Dimmer.getOrCreateInstance(t);this.checked?e.show():e.hide();}));const Dimmer$1 = Dimmer;

    const enableDismissTrigger=(e,t="hide")=>{const s=`click.dismiss${e.EVENT_KEY}`,i=e.NAME;EventHandler$1.on(document,s,`[data-bs-dismiss="${i}"]`,(function(s){if(["A","AREA"].includes(this.tagName)&&s.preventDefault(),isDisabled(this))return;const n=getElementFromSelector(this)||this.closest(`.${i}`);e.getOrCreateInstance(n)[t]();}));};

    const NAME$y="notification",DATA_KEY$n="bs.notification",EVENT_KEY$o=`.${DATA_KEY$n}`,EVENT_CLICK_DATA_API$e=`click${EVENT_KEY$o}.data-api`,EVENT_HIDDEN$7=`hidden${EVENT_KEY$o}`,EVENT_SHOW$7=`show${EVENT_KEY$o}`,Default$l={timeout:0},SELECTOR_DATA_TOGGLE$a='[data-bs-toggle="notification"]';class Notification extends BaseComponent{constructor(t,i){super(t),this._config=this._getConfig(i),this._isShown=this._element.classList.contains("show"),this._isTransitioning=!1,this._toId=null;}static get NAME(){return NAME$y}show(t,i){if(this._isShown||this._isTransitioning)return;const e=t||this._getElementTimeout(i);this._isShown=!0,this._isAnimated()&&(this._isTransitioning=!0),this._showElement(e);}hide(){if(!this._isShown||this._isTransitioning)return;this._isShown=!1;const t=this._isAnimated();t&&(this._isTransitioning=!0),this._element.classList.remove("show"),this._queueCallback((()=>this._hideElement()),this._element,t);}toggle(t){this._isShown?this.hide():this.show(null,t);}_isAnimated(){return this._element.classList.contains("fade")}_showElement(t){const i=this._isAnimated();this._element.style.display="block",this._element.removeAttribute("aria-hidden"),i&&reflow(this._element),this._element.classList.add("show");this._queueCallback((()=>{this._isTransitioning=!1,t&&this._setTimeout(t,(()=>this.hide()));}),this._element,i);}_hideElement(){this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._isTransitioning=!1;}_getConfig(t){return t={...Default$l,...Manipulator.getDataAttributes(this._element),..."object"==typeof t?t:{}}}_getElementTimeout(t){const i=t?parseInt(t.getAttribute("data-bs-timeout")):null;return i>0?i:this._config.timeout}_setTimeout(t,i){this._clearTimeout(),setTimeout(i,t);}_clearTimeout(){this._toId&&(clearTimeout(this._toId),this._toId=null);}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$e,SELECTOR_DATA_TOGGLE$a,(function(t){const i=getElementFromSelector(this);["A","AREA"].includes(this.tagName)&&t.preventDefault(),EventHandler$1.one(i,EVENT_SHOW$7,(t=>{t.defaultPrevented||EventHandler$1.one(i,EVENT_HIDDEN$7,(()=>{isVisible(this)&&this.focus();}));}));Notification.getOrCreateInstance(i).toggle(this);})),enableDismissTrigger(Notification);const Notification$1 = Notification;

    const NAME$x="cookiebar",DATA_KEY$m="bs.cookiebar",EVENT_KEY$n=`.${DATA_KEY$m}`,COOKIE_NAME="cookies_consent",SELECTOR_ACCEPT='[data-bs-accept="cookiebar"]',EVENT_CLOSE$1=`close${EVENT_KEY$n}`,EVENT_CLOSED$1=`closed${EVENT_KEY$n}`,EVENT_LOAD_DATA_API$3=`load${EVENT_KEY$n}.data-api`,EVENT_CLICK_DATA_API$d=`click${EVENT_KEY$n}.data-api`;class Cookiebar extends BaseComponent{constructor(e){super(e),this._isShown=this._element.classList.contains("show"),this._isTransitioning=!1;}static get NAME(){return NAME$x}static get VERSION(){return "5.0.0"}show(){this._isShown||this._isTransitioning||(this._isShown=!0,this._isAnimated()&&(this._isTransitioning=!0),this._showElement());}hide(){if(!this._isShown||this._isTransitioning)return;this._isShown=!1;const e=this._isAnimated();e&&(this._isTransitioning=!0),this._element.classList.remove("show"),this._queueCallback((()=>this._hideElement()),this._element,e);}accept(e){e=e||this._element;const t=this._getRootElement(e);this._triggerCloseEvent(t).defaultPrevented||(this._setCookieEU(),this.hide());}static clearCookie(){document.cookie=COOKIE_NAME+"=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;";}_isAnimated(){return this._element.classList.contains("fade")}_showElement(){const e=this._isAnimated();this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-live","polite"),e&&reflow(this._element),this._element.classList.add("show");this._queueCallback((()=>{this._isTransitioning=!1;}),this._element,e);}_hideElement(){this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-live"),this._isTransitioning=!1;}_setCookieEU(){var e=new Date;e.setDate(e.getDate()+30);var t=escape("true")+"; expires="+e.toUTCString();document.cookie=COOKIE_NAME+"="+t+"; path=/";}_getRootElement(e){const t=getElementFromSelector(e);let i=null;return t&&(i=t),i||(i=e.closest(".cookiebar")),i}_triggerCloseEvent(e){return EventHandler$1.trigger(e,EVENT_CLOSE$1)}_removeElement(e){e.classList.remove("show"),e.setAttribute("aria-hidden","true"),e.setAttribute("aria-live","off"),EventHandler$1.trigger(e,EVENT_CLOSED$1),this.dispose();}static _handleAccept(e){return function(t){t&&t.preventDefault(),e.close(this);}}static _handleConsent(e){return function(t){t&&t.preventDefault(),e.close(this);}}static _getCookieEU(){var e,t,i,s=document.cookie.split(";");for(e=0;e<s.length;e++)if(t=s[e].substring(0,s[e].indexOf("=")),i=s[e].substring(s[e].indexOf("=")+1),(t=t.replace(/^\s+|\s+$/g,""))==COOKIE_NAME)return unescape(i)}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$d,SELECTOR_ACCEPT,(function(e){if(["A","AREA"].includes(this.tagName)&&e.preventDefault(),isDisabled(this))return;const t=getElementFromSelector(this)||this.closest(`.${NAME$x}`);Cookiebar.getOrCreateInstance(t).accept();})),EventHandler$1.on(window,EVENT_LOAD_DATA_API$3,(function(){if(!Cookiebar._getCookieEU()){document.querySelectorAll(".cookiebar").forEach((e=>{Cookiebar.getOrCreateInstance(e).show();}));}}));const Cookiebar$1 = Cookiebar;

    const MEDIA_MOBILE="(max-width: 991px)",isScreenMobile=()=>window.matchMedia(MEDIA_MOBILE).matches;

    const getElementIndex=(e,t)=>{let i=null;return t.forEach(((t,o)=>{t===e&&(i=o);})),i};const focusSimbling=(e,t,i)=>{i={isDirectionTop:!1,isLimit:!1,loop:!1,..."object"==typeof i?i:{}};const o=getElementIndex(e,t);let n=null;if(i.isLimit&&i.isDirectionTop&&o>0)n=t[0];else if(i.isLimit&&o<t.length-1)n=t[t.length-1];else if(i.isDirectionTop){if(!i.loop&&0===o)return;n=t[0===o?t.length-1:o-1];}else {if(!i.loop&&o===t.length-1)return;n=t[o===t.length-1?0:o+1];}n&&n.focus();};

    const CLASS_SCROLL_DISABLED="pagescroll-scroll-disabled";let disabled=!1,currentScrollPos=document.scrollingElement.scrollTop;const htmlContainer=document.querySelector("html");function disablePageScroll(){disabled=!0,currentScrollPos=document.scrollingElement.scrollTop,htmlContainer.classList.add(CLASS_SCROLL_DISABLED);}function enablePageScroll(){disabled=!1,htmlContainer.classList.remove(CLASS_SCROLL_DISABLED);}document.addEventListener("scroll",(()=>{disabled&&(document.scrollingElement.scrollTop=currentScrollPos);}));

    const NAME$w="navbarcollapsible",DATA_KEY$l="bs.navbarcollapsible",EVENT_KEY$m=`.${DATA_KEY$l}`,EVENT_CLICK_DATA_API$c=`click${EVENT_KEY$m}.data-api`,EVENT_CLICK$7=`click${EVENT_KEY$m}`,EVENT_KEYUP$2=`keyup${EVENT_KEY$m}`,EVENT_KEYDOWN$4=`keydown${EVENT_KEY$m}`,EVENT_HIDE$6=`hide${EVENT_KEY$m}`,EVENT_HIDDEN$6=`hidden${EVENT_KEY$m}`,EVENT_SHOW$6=`show${EVENT_KEY$m}`,EVENT_SHOWN$6=`shown${EVENT_KEY$m}`,EVENT_RESIZE$3=`resize${EVENT_KEY$m}`,SELECTOR_DATA_TOGGLE$9='[data-bs-toggle="navbarcollapsible"]',SELECTOR_BTN_CLOSE=".close-div button",SELECTOR_BTN_MENU_CLOSE=".close-menu",SELECTOR_NAVLINK="a.nav-link",SELECTOR_MEGAMENUNAVLINK=".nav-item .list-item";class NavBarCollapsible extends BaseComponent{constructor(e){super(e),this._isShown=this._element.classList.contains("expanded"),this._isTransitioning=!1,this._isMobile=isScreenMobile(),this._isKeyShift=!1,this._currItemIdx=0,this._btnClose=SelectorEngine$1.findOne(SELECTOR_BTN_CLOSE,this._element),this._btnBack=SelectorEngine$1.findOne(".it-back-button",this._element),this._menuWrapper=SelectorEngine$1.findOne(".menu-wrapper",this._element),this._overlay=null,this._setOverlay(),this._menuItems=SelectorEngine$1.find([SELECTOR_NAVLINK,SELECTOR_MEGAMENUNAVLINK,SELECTOR_BTN_MENU_CLOSE].join(","),this._element),this._bindEvents();}static get NAME(){return NAME$w}show(e){if(this._isShown||this._isTransitioning)return;EventHandler$1.trigger(this._element,EVENT_SHOW$6,{relatedTarget:e}).defaultPrevented||(this._btnBack&&this._btnBack.classList.add("show"),this._isShown=!0,disablePageScroll(),this._showElement());}hide(){if(!this._isShown||this._isTransitioning)return;if(EventHandler$1.trigger(this._element,EVENT_HIDE$6).defaultPrevented)return;this._isShown=!1;const e=this._isAnimated();e&&(this._isTransitioning=!0),this._btnBack&&this._btnBack.classList.remove("show"),this._overlay&&this._overlay.classList.remove("show"),this._element.classList.remove("expanded"),enablePageScroll(),this._queueCallback((()=>this._hideElement()),this._menuWrapper,e);}toggle(e){this._isShown?this.hide():this.show(e);}dispose(){EventHandler$1.off(window,EVENT_RESIZE$3),super.dispose();}_bindEvents(){EventHandler$1.on(window,EVENT_RESIZE$3,(()=>this._onResize())),this._overlay&&EventHandler$1.on(this._overlay,EVENT_CLICK$7,(()=>this.hide())),EventHandler$1.on(this._btnClose,EVENT_CLICK$7,(e=>{e.preventDefault(),this.hide();})),EventHandler$1.on(this._btnBack,EVENT_CLICK$7,(e=>{e.preventDefault(),this.hide();})),this._menuItems.forEach((e=>{EventHandler$1.on(e,EVENT_KEYDOWN$4,(e=>this._isMobile&&this._onMenuItemKeyDown(e))),EventHandler$1.on(e,EVENT_KEYUP$2,(e=>this._isMobile&&this._onMenuItemKeyUp(e))),EventHandler$1.on(e,EVENT_CLICK$7,(e=>this._isMobile&&this._onMenuItemClick(e)));}));}_onResize(){this._isMobile=isScreenMobile();}_onMenuItemKeyUp(e){"Shift"===e.key&&(this._isKeyShift=!1);}_onMenuItemKeyDown(e){"Shift"===e.key&&(this._isKeyShift=!0),"Tab"===e.key&&(e.preventDefault(),this._focusNext());}_onMenuItemClick(e){this.currItemIdx=getElementIndex(e.currentTarget,this._menuItems);}_isAnimated(){return !0}_isElementHidden(e){return null===e.offsetParent}_showElement(){const e=this._isAnimated();this._element.style.display="block",this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-expanded",!0),this._overlay&&(this._overlay.style.display="block"),e&&reflow(this._element),this._element.classList.add("expanded"),this._overlay&&this._overlay.classList.add("show");this._queueCallback((()=>{this._isTransitioning=!1;const e=this._getNextVisibleItem(0);e.item&&(e.item.focus(),this._currItemIdx=e.index),EventHandler$1.trigger(this._element,EVENT_SHOWN$6);}),this._menuWrapper,e);}_hideElement(){this._overlay&&(this._overlay.style.display="none"),this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-expanded"),this._isTransitioning=!1,EventHandler$1.trigger(this._element,EVENT_HIDDEN$6);}_setOverlay(){this._overlay=SelectorEngine$1.findOne(".overlay",this._element),this._isAnimated&&this._overlay.classList.add("fade");}_focusNext(){let e=this._currItemIdx+(this._isKeyShift?-1:1);e<0?e=this._menuItems.length-1:e>=this._menuItems.length&&(e=0);const t=this._getNextVisibleItem(e,this._isKeyShift);t.item&&(t.item.focus(),this._currItemIdx=t.index);}_getNextVisibleItem(e,t){let i=null,s=null,n=e,l=t?-1:1,E=!1;for(;!(i||n==e&&E);)n==e&&(E=!0),this._isElementHidden(this._menuItems[n])||(i=this._menuItems[n],s=n),n+=l,n<0?n=this._menuItems.length-1:n>=this._menuItems.length&&(n=0);return {item:i,index:s}}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$c,SELECTOR_DATA_TOGGLE$9,(function(e){const t=getElementFromSelector(this);["A","AREA"].includes(this.tagName)&&e.preventDefault(),EventHandler$1.one(t,EVENT_SHOW$6,(e=>{e.defaultPrevented||EventHandler$1.one(t,EVENT_HIDDEN$6,(()=>{isVisible(this)&&this.focus();}));}));NavBarCollapsible.getOrCreateInstance(t).toggle(this);}));const NavBarCollapsible$1 = NavBarCollapsible;

    const NAME$v="accordion",DATA_KEY$k="bs.accordion",EVENT_KEY$l=`.${DATA_KEY$k}`,EVENT_KEYDOWN$3=`keydown${EVENT_KEY$l}`,EVENT_KEYDOWN_DATA_API$1=`keydown${EVENT_KEY$l}.data-api`,SELECTOR_HEADBTN='.accordion-item > .accordion-header [data-bs-toggle="collapse"]';class Accordion extends BaseComponent{constructor(o){super(o),this._bindEvents();}static get NAME(){return NAME$v}handleKeyDown(o,t,e){const n={ArrowDown:o=>this._focusNext(o),ArrowUp:o=>this._focusPrev(o),Home:o=>this._focusFirst(o),End:o=>this._focusLast(o)};"function"==typeof n[o]&&(e&&e.preventDefault(),n[o](t));}_bindEvents(){SelectorEngine$1.find(SELECTOR_HEADBTN,this._element).forEach((o=>{EventHandler$1.on(o,EVENT_KEYDOWN$3,(o=>{this.handleKeyDown(o.key,o.currentTarget,o);}));}));}_getHeadButtons(){return SelectorEngine$1.find(":scope > "+SELECTOR_HEADBTN,this._element)}_focusNext(o){focusSimbling(o,this._getHeadButtons(),{loop:!0});}_focusPrev(o){focusSimbling(o,this._getHeadButtons(),{isDirectionTop:!0,loop:!0});}_focusFirst(o){focusSimbling(o,this._getHeadButtons(),{isDirectionTop:!0,isLimit:!0});}_focusLast(o){focusSimbling(o,this._getHeadButtons(),{isLimit:!0});}}EventHandler$1.on(document,EVENT_KEYDOWN_DATA_API$1,SELECTOR_HEADBTN,(function(o){const t=this.closest(".accordion");if(t){Accordion.getOrCreateInstance(t).handleKeyDown(o.key,this,o);}}));const Accordion$1 = Accordion;

    var getRandomValues,rnds8=new Uint8Array(16);function rng(){if(!getRandomValues&&!(getRandomValues="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return getRandomValues(rnds8)}

    const REGEX = /^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;

    function validate(t){return "string"==typeof t&&REGEX.test(t)}

    for(var byteToHex=[],i=0;i<256;++i)byteToHex.push((i+256).toString(16).substr(1));function stringify(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,o=(byteToHex[e[t+0]]+byteToHex[e[t+1]]+byteToHex[e[t+2]]+byteToHex[e[t+3]]+"-"+byteToHex[e[t+4]]+byteToHex[e[t+5]]+"-"+byteToHex[e[t+6]]+byteToHex[e[t+7]]+"-"+byteToHex[e[t+8]]+byteToHex[e[t+9]]+"-"+byteToHex[e[t+10]]+byteToHex[e[t+11]]+byteToHex[e[t+12]]+byteToHex[e[t+13]]+byteToHex[e[t+14]]+byteToHex[e[t+15]]).toLowerCase();if(!validate(o))throw TypeError("Stringified UUID is invalid");return o}

    function v4(r,n,i){var t=(r=r||{}).random||(r.rng||rng)();if(t[6]=15&t[6]|64,t[8]=63&t[8]|128,n){i=i||0;for(var o=0;o<16;++o)n[i+o]=t[o];return n}return stringify(t)}

    let ticking=!1,callbacks=[];class ScrollCallback{constructor(c,l){this.id=c,this._callback=l;}dispose(){removeCallBack(this.id);}_execute(c){this._callback(c);}}const removeCallBack=c=>{callbacks=callbacks.filter((l=>l.id!==c));},onDocumentScroll=c=>{if(callbacks.length||document.addEventListener("scroll",(c=>{ticking||(window.requestAnimationFrame((()=>{callbacks.forEach((l=>l.cb._execute(c))),ticking=!1;})),ticking=!0);})),"function"==typeof c){const l=new ScrollCallback(v4(),c);return callbacks.push({id:l.id,cb:l}),l}return console.error("[onDocumentScroll] the provided data has to be of type function"),null};const onDocumentScroll$1 = onDocumentScroll;

    var defaultInstanceSettings={update:null,begin:null,loopBegin:null,changeBegin:null,change:null,changeComplete:null,loopComplete:null,complete:null,loop:1,direction:"normal",autoplay:!0,timelineOffset:0},defaultTweenSettings={duration:1e3,delay:0,endDelay:0,easing:"easeOutElastic(1, .5)",round:0},validTransforms=["translateX","translateY","translateZ","rotate","rotateX","rotateY","rotateZ","scale","scaleX","scaleY","scaleZ","skew","skewX","skewY","perspective","matrix","matrix3d"],cache={CSS:{},springs:{}};function minMax(e,t,n){return Math.min(Math.max(e,t),n)}function stringContains(e,t){return e.indexOf(t)>-1}function applyArguments(e,t){return e.apply(null,t)}var is={arr:function(e){return Array.isArray(e)},obj:function(e){return stringContains(Object.prototype.toString.call(e),"Object")},pth:function(e){return is.obj(e)&&e.hasOwnProperty("totalLength")},svg:function(e){return e instanceof SVGElement},inp:function(e){return e instanceof HTMLInputElement},dom:function(e){return e.nodeType||is.svg(e)},str:function(e){return "string"==typeof e},fnc:function(e){return "function"==typeof e},und:function(e){return void 0===e},nil:function(e){return is.und(e)||null===e},hex:function(e){return /(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(e)},rgb:function(e){return /^rgb/.test(e)},hsl:function(e){return /^hsl/.test(e)},col:function(e){return is.hex(e)||is.rgb(e)||is.hsl(e)},key:function(e){return !defaultInstanceSettings.hasOwnProperty(e)&&!defaultTweenSettings.hasOwnProperty(e)&&"targets"!==e&&"keyframes"!==e}};function parseEasingParameters(e){var t=/\(([^)]+)\)/.exec(e);return t?t[1].split(",").map((function(e){return parseFloat(e)})):[]}function spring(e,t){var n=parseEasingParameters(e),r=minMax(is.und(n[0])?1:n[0],.1,100),a=minMax(is.und(n[1])?100:n[1],.1,100),i=minMax(is.und(n[2])?10:n[2],.1,100),o=minMax(is.und(n[3])?0:n[3],.1,100),s=Math.sqrt(a/r),u=i/(2*Math.sqrt(a*r)),c=u<1?s*Math.sqrt(1-u*u):0,l=1,g=u<1?(u*s-o)/c:-o+s;function f(e){var n=t?t*e/1e3:e;return n=u<1?Math.exp(-n*u*s)*(l*Math.cos(c*n)+g*Math.sin(c*n)):(l+g*n)*Math.exp(-n*s),0===e||1===e?e:1-n}return t?f:function(){var t=cache.springs[e];if(t)return t;for(var n=1/6,r=0,a=0;;)if(1===f(r+=n)){if(++a>=16)break}else a=0;var i=r*n*1e3;return cache.springs[e]=i,i}}function steps(e){return void 0===e&&(e=10),function(t){return Math.ceil(minMax(t,1e-6,1)*e)*(1/e)}}var bezier=function(){var e=.1;function t(e,t){return 1-3*t+3*e}function n(e,t){return 3*t-6*e}function r(e){return 3*e}function a(e,a,i){return ((t(a,i)*e+n(a,i))*e+r(a))*e}function i(e,a,i){return 3*t(a,i)*e*e+2*n(a,i)*e+r(a)}return function(t,n,r,o){if(0<=t&&t<=1&&0<=r&&r<=1){var s=new Float32Array(11);if(t!==n||r!==o)for(var u=0;u<11;++u)s[u]=a(u*e,t,r);return function(e){return t===n&&r===o||0===e||1===e?e:a(c(e),n,o)}}function c(n){for(var o=0,u=1;10!==u&&s[u]<=n;++u)o+=e;--u;var c=o+(n-s[u])/(s[u+1]-s[u])*e,l=i(c,t,r);return l>=.001?function(e,t,n,r){for(var o=0;o<4;++o){var s=i(t,n,r);if(0===s)return t;t-=(a(t,n,r)-e)/s;}return t}(n,c,t,r):0===l?c:function(e,t,n,r,i){var o,s,u=0;do{(o=a(s=t+(n-t)/2,r,i)-e)>0?n=s:t=s;}while(Math.abs(o)>1e-7&&++u<10);return s}(n,o,o+e,t,r)}}}(),penner=function(){var e={linear:function(){return function(e){return e}}},t={Sine:function(){return function(e){return 1-Math.cos(e*Math.PI/2)}},Circ:function(){return function(e){return 1-Math.sqrt(1-e*e)}},Back:function(){return function(e){return e*e*(3*e-2)}},Bounce:function(){return function(e){for(var t,n=4;e<((t=Math.pow(2,--n))-1)/11;);return 1/Math.pow(4,3-n)-7.5625*Math.pow((3*t-2)/22-e,2)}},Elastic:function(e,t){void 0===e&&(e=1),void 0===t&&(t=.5);var n=minMax(e,1,10),r=minMax(t,.1,2);return function(e){return 0===e||1===e?e:-n*Math.pow(2,10*(e-1))*Math.sin((e-1-r/(2*Math.PI)*Math.asin(1/n))*(2*Math.PI)/r)}}};return ["Quad","Cubic","Quart","Quint","Expo"].forEach((function(e,n){t[e]=function(){return function(e){return Math.pow(e,n+2)}};})),Object.keys(t).forEach((function(n){var r=t[n];e["easeIn"+n]=r,e["easeOut"+n]=function(e,t){return function(n){return 1-r(e,t)(1-n)}},e["easeInOut"+n]=function(e,t){return function(n){return n<.5?r(e,t)(2*n)/2:1-r(e,t)(-2*n+2)/2}},e["easeOutIn"+n]=function(e,t){return function(n){return n<.5?(1-r(e,t)(1-2*n))/2:(r(e,t)(2*n-1)+1)/2}};})),e}();function parseEasings(e,t){if(is.fnc(e))return e;var n=e.split("(")[0],r=penner[n],a=parseEasingParameters(e);switch(n){case"spring":return spring(e,t);case"cubicBezier":return applyArguments(bezier,a);case"steps":return applyArguments(steps,a);default:return applyArguments(r,a)}}function selectString(e){try{return document.querySelectorAll(e)}catch(e){return}}function filterArray(e,t){for(var n=e.length,r=arguments.length>=2?arguments[1]:void 0,a=[],i=0;i<n;i++)if(i in e){var o=e[i];t.call(r,o,i,e)&&a.push(o);}return a}function flattenArray(e){return e.reduce((function(e,t){return e.concat(is.arr(t)?flattenArray(t):t)}),[])}function toArray(e){return is.arr(e)?e:(is.str(e)&&(e=selectString(e)||e),e instanceof NodeList||e instanceof HTMLCollection?[].slice.call(e):[e])}function arrayContains(e,t){return e.some((function(e){return e===t}))}function cloneObject(e){var t={};for(var n in e)t[n]=e[n];return t}function replaceObjectProps(e,t){var n=cloneObject(e);for(var r in e)n[r]=t.hasOwnProperty(r)?t[r]:e[r];return n}function mergeObjects(e,t){var n=cloneObject(e);for(var r in t)n[r]=is.und(e[r])?t[r]:e[r];return n}function rgbToRgba(e){var t=/rgb\((\d+,\s*[\d]+,\s*[\d]+)\)/g.exec(e);return t?"rgba("+t[1]+",1)":e}function hexToRgba(e){var t=e.replace(/^#?([a-f\d])([a-f\d])([a-f\d])$/i,(function(e,t,n,r){return t+t+n+n+r+r})),n=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(t);return "rgba("+parseInt(n[1],16)+","+parseInt(n[2],16)+","+parseInt(n[3],16)+",1)"}function hslToRgba(e){var t,n,r,a=/hsl\((\d+),\s*([\d.]+)%,\s*([\d.]+)%\)/g.exec(e)||/hsla\((\d+),\s*([\d.]+)%,\s*([\d.]+)%,\s*([\d.]+)\)/g.exec(e),i=parseInt(a[1],10)/360,o=parseInt(a[2],10)/100,s=parseInt(a[3],10)/100,u=a[4]||1;function c(e,t,n){return n<0&&(n+=1),n>1&&(n-=1),n<1/6?e+6*(t-e)*n:n<.5?t:n<2/3?e+(t-e)*(2/3-n)*6:e}if(0==o)t=n=r=s;else {var l=s<.5?s*(1+o):s+o-s*o,g=2*s-l;t=c(g,l,i+1/3),n=c(g,l,i),r=c(g,l,i-1/3);}return "rgba("+255*t+","+255*n+","+255*r+","+u+")"}function colorToRgb(e){return is.rgb(e)?rgbToRgba(e):is.hex(e)?hexToRgba(e):is.hsl(e)?hslToRgba(e):void 0}function getUnit(e){var t=/[+-]?\d*\.?\d+(?:\.\d+)?(?:[eE][+-]?\d+)?(%|px|pt|em|rem|in|cm|mm|ex|ch|pc|vw|vh|vmin|vmax|deg|rad|turn)?$/.exec(e);if(t)return t[1]}function getTransformUnit(e){return stringContains(e,"translate")||"perspective"===e?"px":stringContains(e,"rotate")||stringContains(e,"skew")?"deg":void 0}function getFunctionValue(e,t){return is.fnc(e)?e(t.target,t.id,t.total):e}function getAttribute(e,t){return e.getAttribute(t)}function convertPxToUnit(e,t,n){if(arrayContains([n,"deg","rad","turn"],getUnit(t)))return t;var r=cache.CSS[t+n];if(!is.und(r))return r;var a=document.createElement(e.tagName),i=e.parentNode&&e.parentNode!==document?e.parentNode:document.body;i.appendChild(a),a.style.position="absolute",a.style.width=100+n;var o=100/a.offsetWidth;i.removeChild(a);var s=o*parseFloat(t);return cache.CSS[t+n]=s,s}function getCSSValue(e,t,n){if(t in e.style){var r=t.replace(/([a-z])([A-Z])/g,"$1-$2").toLowerCase(),a=e.style[t]||getComputedStyle(e).getPropertyValue(r)||"0";return n?convertPxToUnit(e,a,n):a}}function getAnimationType(e,t){return is.dom(e)&&!is.inp(e)&&(!is.nil(getAttribute(e,t))||is.svg(e)&&e[t])?"attribute":is.dom(e)&&arrayContains(validTransforms,t)?"transform":is.dom(e)&&"transform"!==t&&getCSSValue(e,t)?"css":null!=e[t]?"object":void 0}function getElementTransforms(e){if(is.dom(e)){for(var t,n=e.style.transform||"",r=/(\w+)\(([^)]*)\)/g,a=new Map;t=r.exec(n);)a.set(t[1],t[2]);return a}}function getTransformValue(e,t,n,r){var a=stringContains(t,"scale")?1:0+getTransformUnit(t),i=getElementTransforms(e).get(t)||a;return n&&(n.transforms.list.set(t,i),n.transforms.last=t),r?convertPxToUnit(e,i,r):i}function getOriginalTargetValue(e,t,n,r){switch(getAnimationType(e,t)){case"transform":return getTransformValue(e,t,r,n);case"css":return getCSSValue(e,t,n);case"attribute":return getAttribute(e,t);default:return e[t]||0}}function getRelativeValue(e,t){var n=/^(\*=|\+=|-=)/.exec(e);if(!n)return e;var r=getUnit(e)||0,a=parseFloat(t),i=parseFloat(e.replace(n[0],""));switch(n[0][0]){case"+":return a+i+r;case"-":return a-i+r;case"*":return a*i+r}}function validateValue(e,t){if(is.col(e))return colorToRgb(e);if(/\s/g.test(e))return e;var n=getUnit(e),r=n?e.substr(0,e.length-n.length):e;return t?r+t:r}function getDistance(e,t){return Math.sqrt(Math.pow(t.x-e.x,2)+Math.pow(t.y-e.y,2))}function getCircleLength(e){return 2*Math.PI*getAttribute(e,"r")}function getRectLength(e){return 2*getAttribute(e,"width")+2*getAttribute(e,"height")}function getLineLength(e){return getDistance({x:getAttribute(e,"x1"),y:getAttribute(e,"y1")},{x:getAttribute(e,"x2"),y:getAttribute(e,"y2")})}function getPolylineLength(e){for(var t,n=e.points,r=0,a=0;a<n.numberOfItems;a++){var i=n.getItem(a);a>0&&(r+=getDistance(t,i)),t=i;}return r}function getPolygonLength(e){var t=e.points;return getPolylineLength(e)+getDistance(t.getItem(t.numberOfItems-1),t.getItem(0))}function getTotalLength(e){if(e.getTotalLength)return e.getTotalLength();switch(e.tagName.toLowerCase()){case"circle":return getCircleLength(e);case"rect":return getRectLength(e);case"line":return getLineLength(e);case"polyline":return getPolylineLength(e);case"polygon":return getPolygonLength(e)}}function setDashoffset(e){var t=getTotalLength(e);return e.setAttribute("stroke-dasharray",t),t}function getParentSvgEl(e){for(var t=e.parentNode;is.svg(t)&&is.svg(t.parentNode);)t=t.parentNode;return t}function getParentSvg(e,t){var n=t||{},r=n.el||getParentSvgEl(e),a=r.getBoundingClientRect(),i=getAttribute(r,"viewBox"),o=a.width,s=a.height,u=n.viewBox||(i?i.split(" "):[0,0,o,s]);return {el:r,viewBox:u,x:u[0]/1,y:u[1]/1,w:o,h:s,vW:u[2],vH:u[3]}}function getPath(e,t){var n=is.str(e)?selectString(e)[0]:e,r=t||100;return function(e){return {property:e,el:n,svg:getParentSvg(n),totalLength:getTotalLength(n)*(r/100)}}}function getPathProgress(e,t,n){function r(n){void 0===n&&(n=0);var r=t+n>=1?t+n:0;return e.el.getPointAtLength(r)}var a=getParentSvg(e.el,e.svg),i=r(),o=r(-1),s=r(1),u=n?1:a.w/a.vW,c=n?1:a.h/a.vH;switch(e.property){case"x":return (i.x-a.x)*u;case"y":return (i.y-a.y)*c;case"angle":return 180*Math.atan2(s.y-o.y,s.x-o.x)/Math.PI}}function decomposeValue(e,t){var n=/[+-]?\d*\.?\d+(?:\.\d+)?(?:[eE][+-]?\d+)?/g,r=validateValue(is.pth(e)?e.totalLength:e,t)+"";return {original:r,numbers:r.match(n)?r.match(n).map(Number):[0],strings:is.str(e)||t?r.split(n):[]}}function parseTargets(e){return filterArray(e?flattenArray(is.arr(e)?e.map(toArray):toArray(e)):[],(function(e,t,n){return n.indexOf(e)===t}))}function getAnimatables(e){var t=parseTargets(e);return t.map((function(e,n){return {target:e,id:n,total:t.length,transforms:{list:getElementTransforms(e)}}}))}function normalizePropertyTweens(e,t){var n=cloneObject(t);if(/^spring/.test(n.easing)&&(n.duration=spring(n.easing)),is.arr(e)){var r=e.length;2===r&&!is.obj(e[0])?e={value:e}:is.fnc(t.duration)||(n.duration=t.duration/r);}var a=is.arr(e)?e:[e];return a.map((function(e,n){var r=is.obj(e)&&!is.pth(e)?e:{value:e};return is.und(r.delay)&&(r.delay=n?0:t.delay),is.und(r.endDelay)&&(r.endDelay=n===a.length-1?t.endDelay:0),r})).map((function(e){return mergeObjects(e,n)}))}function flattenKeyframes(e){for(var t=filterArray(flattenArray(e.map((function(e){return Object.keys(e)}))),(function(e){return is.key(e)})).reduce((function(e,t){return e.indexOf(t)<0&&e.push(t),e}),[]),n={},r=function(r){var a=t[r];n[a]=e.map((function(e){var t={};for(var n in e)is.key(n)?n==a&&(t.value=e[n]):t[n]=e[n];return t}));},a=0;a<t.length;a++)r(a);return n}function getProperties(e,t){var n=[],r=t.keyframes;for(var a in r&&(t=mergeObjects(flattenKeyframes(r),t)),t)is.key(a)&&n.push({name:a,tweens:normalizePropertyTweens(t[a],e)});return n}function normalizeTweenValues(e,t){var n={};for(var r in e){var a=getFunctionValue(e[r],t);is.arr(a)&&1===(a=a.map((function(e){return getFunctionValue(e,t)}))).length&&(a=a[0]),n[r]=a;}return n.duration=parseFloat(n.duration),n.delay=parseFloat(n.delay),n}function normalizeTweens(e,t){var n;return e.tweens.map((function(r){var a=normalizeTweenValues(r,t),i=a.value,o=is.arr(i)?i[1]:i,s=getUnit(o),u=getOriginalTargetValue(t.target,e.name,s,t),c=n?n.to.original:u,l=is.arr(i)?i[0]:c,g=getUnit(l)||getUnit(u),f=s||g;return is.und(o)&&(o=c),a.from=decomposeValue(l,f),a.to=decomposeValue(getRelativeValue(o,l),f),a.start=n?n.end:0,a.end=a.start+a.delay+a.duration+a.endDelay,a.easing=parseEasings(a.easing,a.duration),a.isPath=is.pth(i),a.isPathTargetInsideSVG=a.isPath&&is.svg(t.target),a.isColor=is.col(a.from.original),a.isColor&&(a.round=1),n=a,a}))}var setProgressValue={css:function(e,t,n){return e.style[t]=n},attribute:function(e,t,n){return e.setAttribute(t,n)},object:function(e,t,n){return e[t]=n},transform:function(e,t,n,r,a){if(r.list.set(t,n),t===r.last||a){var i="";r.list.forEach((function(e,t){i+=t+"("+e+") ";})),e.style.transform=i;}}};function setTargetsValue(e,t){getAnimatables(e).forEach((function(e){for(var n in t){var r=getFunctionValue(t[n],e),a=e.target,i=getUnit(r),o=getOriginalTargetValue(a,n,i,e),s=getRelativeValue(validateValue(r,i||getUnit(o)),o),u=getAnimationType(a,n);setProgressValue[u](a,n,s,e.transforms,!0);}}));}function createAnimation(e,t){var n=getAnimationType(e.target,t.name);if(n){var r=normalizeTweens(t,e),a=r[r.length-1];return {type:n,property:t.name,animatable:e,tweens:r,duration:a.end,delay:r[0].delay,endDelay:a.endDelay}}}function getAnimations(e,t){return filterArray(flattenArray(e.map((function(e){return t.map((function(t){return createAnimation(e,t)}))}))),(function(e){return !is.und(e)}))}function getInstanceTimings(e,t){var n=e.length,r=function(e){return e.timelineOffset?e.timelineOffset:0},a={};return a.duration=n?Math.max.apply(Math,e.map((function(e){return r(e)+e.duration}))):t.duration,a.delay=n?Math.min.apply(Math,e.map((function(e){return r(e)+e.delay}))):t.delay,a.endDelay=n?a.duration-Math.max.apply(Math,e.map((function(e){return r(e)+e.duration-e.endDelay}))):t.endDelay,a}var instanceID=0;function createNewInstance(e){var t=replaceObjectProps(defaultInstanceSettings,e),n=replaceObjectProps(defaultTweenSettings,e),r=getProperties(n,e),a=getAnimatables(e.targets),i=getAnimations(a,r),o=getInstanceTimings(i,n),s=instanceID;return instanceID++,mergeObjects(t,{id:s,children:[],animatables:a,animations:i,duration:o.duration,delay:o.delay,endDelay:o.endDelay})}var activeInstances=[],engine=function(){var e;function t(n){for(var r=activeInstances.length,a=0;a<r;){var i=activeInstances[a];i.paused?(activeInstances.splice(a,1),r--):(i.tick(n),a++);}e=a>0?requestAnimationFrame(t):void 0;}return "undefined"!=typeof document&&document.addEventListener("visibilitychange",(function(){anime.suspendWhenDocumentHidden&&(isDocumentHidden()?e=cancelAnimationFrame(e):(activeInstances.forEach((function(e){return e._onDocumentVisibility()})),engine()));})),function(){e||isDocumentHidden()&&anime.suspendWhenDocumentHidden||!(activeInstances.length>0)||(e=requestAnimationFrame(t));}}();function isDocumentHidden(){return !!document&&document.hidden}function anime(e){void 0===e&&(e={});var t,n=0,r=0,a=0,i=0,o=null;function s(e){var t=window.Promise&&new Promise((function(e){return o=e}));return e.finished=t,t}var u=createNewInstance(e);s(u);function c(){var e=u.direction;"alternate"!==e&&(u.direction="normal"!==e?"normal":"reverse"),u.reversed=!u.reversed,t.forEach((function(e){return e.reversed=u.reversed}));}function l(e){return u.reversed?u.duration-e:e}function g(){n=0,r=l(u.currentTime)*(1/anime.speed);}function f(e,t){t&&t.seek(e-t.timelineOffset);}function m(e){for(var t=0,n=u.animations,r=n.length;t<r;){var a=n[t],i=a.animatable,o=a.tweens,s=o.length-1,c=o[s];s&&(c=filterArray(o,(function(t){return e<t.end}))[0]||c);for(var l=minMax(e-c.start-c.delay,0,c.duration)/c.duration,g=isNaN(l)?1:c.easing(l),f=c.to.strings,m=c.round,d=[],p=c.to.numbers.length,v=void 0,h=0;h<p;h++){var y=void 0,b=c.to.numbers[h],T=c.from.numbers[h]||0;y=c.isPath?getPathProgress(c.value,g*b,c.isPathTargetInsideSVG):T+g*(b-T),m&&(c.isColor&&h>2||(y=Math.round(y*m)/m)),d.push(y);}var x=f.length;if(x){v=f[0];for(var M=0;M<x;M++){f[M];var A=f[M+1],P=d[M];isNaN(P)||(v+=A?P+A:P+" ");}}else v=d[0];setProgressValue[a.type](i.target,a.property,v,i.transforms),a.currentValue=v,t++;}}function d(e){u[e]&&!u.passThrough&&u[e](u);}function p(e){var g=u.duration,p=u.delay,v=g-u.endDelay,h=l(e);u.progress=minMax(h/g*100,0,100),u.reversePlayback=h<u.currentTime,t&&function(e){if(u.reversePlayback)for(var n=i;n--;)f(e,t[n]);else for(var r=0;r<i;r++)f(e,t[r]);}(h),!u.began&&u.currentTime>0&&(u.began=!0,d("begin")),!u.loopBegan&&u.currentTime>0&&(u.loopBegan=!0,d("loopBegin")),h<=p&&0!==u.currentTime&&m(0),(h>=v&&u.currentTime!==g||!g)&&m(g),h>p&&h<v?(u.changeBegan||(u.changeBegan=!0,u.changeCompleted=!1,d("changeBegin")),d("change"),m(h)):u.changeBegan&&(u.changeCompleted=!0,u.changeBegan=!1,d("changeComplete")),u.currentTime=minMax(h,0,g),u.began&&d("update"),e>=g&&(r=0,u.remaining&&!0!==u.remaining&&u.remaining--,u.remaining?(n=a,d("loopComplete"),u.loopBegan=!1,"alternate"===u.direction&&c()):(u.paused=!0,u.completed||(u.completed=!0,d("loopComplete"),d("complete"),!u.passThrough&&"Promise"in window&&(o(),s(u)))));}return u.reset=function(){var e=u.direction;u.passThrough=!1,u.currentTime=0,u.progress=0,u.paused=!0,u.began=!1,u.loopBegan=!1,u.changeBegan=!1,u.completed=!1,u.changeCompleted=!1,u.reversePlayback=!1,u.reversed="reverse"===e,u.remaining=u.loop,t=u.children;for(var n=i=t.length;n--;)u.children[n].reset();(u.reversed&&!0!==u.loop||"alternate"===e&&1===u.loop)&&u.remaining++,m(u.reversed?u.duration:0);},u._onDocumentVisibility=g,u.set=function(e,t){return setTargetsValue(e,t),u},u.tick=function(e){a=e,n||(n=a),p((a+(r-n))*anime.speed);},u.seek=function(e){p(l(e));},u.pause=function(){u.paused=!0,g();},u.play=function(){u.paused&&(u.completed&&u.reset(),u.paused=!1,activeInstances.push(u),g(),engine());},u.reverse=function(){c(),u.completed=!u.reversed,g();},u.restart=function(){u.reset(),u.play();},u.remove=function(e){removeTargetsFromInstance(parseTargets(e),u);},u.reset(),u.autoplay&&u.play(),u}function removeTargetsFromAnimations(e,t){for(var n=t.length;n--;)arrayContains(e,t[n].animatable.target)&&t.splice(n,1);}function removeTargetsFromInstance(e,t){var n=t.animations,r=t.children;removeTargetsFromAnimations(e,n);for(var a=r.length;a--;){var i=r[a],o=i.animations;removeTargetsFromAnimations(e,o),o.length||i.children.length||r.splice(a,1);}n.length||r.length||t.pause();}function removeTargetsFromActiveInstances(e){for(var t=parseTargets(e),n=activeInstances.length;n--;){removeTargetsFromInstance(t,activeInstances[n]);}}function stagger(e,t){void 0===t&&(t={});var n=t.direction||"normal",r=t.easing?parseEasings(t.easing):null,a=t.grid,i=t.axis,o=t.from||0,s="first"===o,u="center"===o,c="last"===o,l=is.arr(e),g=l?parseFloat(e[0]):parseFloat(e),f=l?parseFloat(e[1]):0,m=getUnit(l?e[1]:e)||0,d=t.start||0+(l?g:0),p=[],v=0;return function(e,t,h){if(s&&(o=0),u&&(o=(h-1)/2),c&&(o=h-1),!p.length){for(var y=0;y<h;y++){if(a){var b=u?(a[0]-1)/2:o%a[0],T=u?(a[1]-1)/2:Math.floor(o/a[0]),x=b-y%a[0],M=T-Math.floor(y/a[0]),A=Math.sqrt(x*x+M*M);"x"===i&&(A=-x),"y"===i&&(A=-M),p.push(A);}else p.push(Math.abs(o-y));v=Math.max.apply(Math,p);}r&&(p=p.map((function(e){return r(e/v)*v}))),"reverse"===n&&(p=p.map((function(e){return i?e<0?-1*e:-e:Math.abs(v-e)})));}return d+(l?(f-g)/v:g)*(Math.round(100*p[t])/100)+m}}function timeline(e){void 0===e&&(e={});var t=anime(e);return t.duration=0,t.add=function(n,r){var a=activeInstances.indexOf(t),i=t.children;function o(e){e.passThrough=!0;}a>-1&&activeInstances.splice(a,1);for(var s=0;s<i.length;s++)o(i[s]);var u=mergeObjects(n,replaceObjectProps(defaultTweenSettings,e));u.targets=u.targets||e.targets;var c=t.duration;u.autoplay=!1,u.direction=t.direction,u.timelineOffset=is.und(r)?c:getRelativeValue(r,c),o(t),t.seek(u.timelineOffset);var l=anime(u);o(l),i.push(l);var g=getInstanceTimings(i,e);return t.delay=g.delay,t.endDelay=g.endDelay,t.duration=g.duration,t.seek(0),t.reset(),t.autoplay&&t.play(),t},t}anime.version="3.2.1",anime.speed=1,anime.suspendWhenDocumentHidden=!0,anime.running=activeInstances,anime.remove=removeTargetsFromActiveInstances,anime.get=getOriginalTargetValue,anime.set=setTargetsValue,anime.convertPx=convertPxToUnit,anime.path=getPath,anime.setDashoffset=setDashoffset,anime.stagger=stagger,anime.timeline=timeline,anime.easing=parseEasings,anime.penner=penner,anime.random=function(e,t){return Math.floor(Math.random()*(t-e+1))+e};

    const AnimeDefault={duration:800,easing:"easeInOutSine"};const documentScrollTo=(e,o)=>{const t=("object"==typeof o?o:{}).complete,n=window.document.scrollingElement||window.document.body||window.document.documentElement,l=n.style.scrollBehavior;o={scrollTop:e||0,...AnimeDefault,..."object"==typeof o?o:{}},n.style.scrollBehavior="auto",o.complete=e=>{n.style.scrollBehavior=l,"function"==typeof t&&t(e);},anime({targets:n,...o});};

    const NAME$u="navscroll",SELECTOR_NAVSCROLL="[data-bs-navscroll]",SELECTOR_LIST$1="ul.link-list",SELECTOR_LINK_CONTAINER="li.nav-link, li.nav-item",SELECTOR_CONTAINER=".it-page-sections-container",SELECTOR_TOGGLER$1=".custom-navbar-toggler",SELECTOR_COLLAPSIBLE=".navbar-collapsable",SELECTOR_PROGRESS_BAR=".it-navscroll-progressbar",Default$k={scrollPadding:10,duration:800,easing:"easeInOutSine"};class NavScroll extends BaseComponent{constructor(e,t){super(e),this._config=this._getConfig(t),this._togglerElement=SelectorEngine$1.findOne(SELECTOR_TOGGLER$1,this._element),this._sectionContainer=SelectorEngine$1.findOne(SELECTOR_CONTAINER),this._collapsible=this._getCollapsible(),this._isCollapseOpened=!1,this._callbackQueue=[],this._scrollCb=null,this._bindEvents();}static get NAME(){return NAME$u}setScrollPadding(e){this._config.scrollPadding=e;}dispose(){this._scrollCb&&this._scrollCb.dispose(),super.dispose();}_getConfig(e){return e={...Default$k,...Manipulator.getDataAttributes(this._element),..."object"==typeof e?e:{}}}_bindEvents(){this._scrollCb=onDocumentScroll$1((()=>this._onScroll())),this._collapsible&&(EventHandler$1.on(this._collapsible._element,"shown.bs.navbarcollapsible",(()=>this._onCollapseOpened())),EventHandler$1.on(this._collapsible._element,"hidden.bs.navbarcollapsible",(()=>this._onCollapseClosed()))),SelectorEngine$1.find('a.nav-link[href^="#"]',this._element).forEach((e=>{e.addEventListener("click",(t=>{t.preventDefault();const n=()=>this._scrollToHash(e.hash);this._isCollapseOpened?(this._callbackQueue.push(n),this._collapsible.hide()):n();}));})),EventHandler$1.on(window,"load",(()=>{setTimeout((()=>this._onScroll()),150);}));}_onCollapseOpened(){this._isCollapseOpened=!0;}_onCollapseClosed(){for(;this._callbackQueue.length>0;){const e=this._callbackQueue.shift();"function"==typeof e&&e();}this._isCollapseOpened=!1;}_getParentLinks(e){const t=[];let n=e.closest(SELECTOR_LIST$1),l=null,o=!1;for(;n&&!o;){const e=n.closest(SELECTOR_LINK_CONTAINER);if(e){const n=e.querySelector("a.nav-link");n&&t.push(n);}l=n,n=(n.parentElement||n).closest(SELECTOR_LIST$1),n===l&&(o=!0);}return t}_decorateToggler(e){if(this._togglerElement){const t=SelectorEngine$1.findOne(".it-list",this._togglerElement);this._togglerElement.innerText="",this._togglerElement.textContent="",this._togglerElement.append(t),this._togglerElement.append(e);}}_scrollToHash(e){const t=SelectorEngine$1.findOne(e,this._sectionContainer);t&&(documentScrollTo(t.offsetTop-this._getScrollPadding(),{duration:this._config.duration,easing:this._config.easing}),history.pushState?history.pushState(null,null,e):location.hash=e);}_updateProgress(e){const t=SelectorEngine$1.find(SELECTOR_PROGRESS_BAR);if(t){const n=Math.abs(e.getBoundingClientRect().top)/e.getBoundingClientRect().height*100,l=Math.min(100,Math.max(0,n));t.forEach((t=>{e.getBoundingClientRect().top<=0?(t.style.width=l+"%",t.setAttribute("aria-valuenow",l)):(t.style.width="0%",t.setAttribute("aria-valuenow",0));}));}}_onScroll(){const e=this._sectionContainer?this._sectionContainer.offsetTop:0,t=document.scrollingElement.scrollTop-e,n=SelectorEngine$1.find("a.nav-link",this._element),l=this._getScrollPadding();SelectorEngine$1.find(".it-page-section").forEach(((o,i)=>{if(o.offsetTop-e<=t+l&&(SelectorEngine$1.find("a.nav-link.active",this._element).forEach((e=>{e.classList.remove("active");})),i<n.length)){const e=n[i];this._getParentLinks(e).forEach((e=>{e.classList.add("active");})),e.classList.add("active"),this._decorateToggler(e.innerText);}})),this._updateProgress(this._sectionContainer);}_getCollapsible(){const e=SelectorEngine$1.findOne(SELECTOR_COLLAPSIBLE,this._element);return e?NavBarCollapsible$1.getOrCreateInstance(e):null}_getScrollPadding(){return "function"==typeof this._config.scrollPadding?this._config.scrollPadding():this._config.scrollPadding}}onDocumentScroll$1((()=>{SelectorEngine$1.find(SELECTOR_NAVSCROLL).map((e=>{NavScroll.getOrCreateInstance(e);}));}));const NavScroll$1 = NavScroll;

    const NAME$t="sticky",DATA_KEY$j="bs.sticky",EVENT_KEY$k=`.${DATA_KEY$j}`,EVENT_RESIZE$2=`resize${EVENT_KEY$k}`,EVENT_STICKY_ON=`on${EVENT_KEY$k}`,EVENT_STICKY_OFF=`off${EVENT_KEY$k}`,CLASS_NAME_WRAPPER="bs-it-sticky-wrapper",DATA_TARGET_MOBILE="data-bs-target-mobile",SELECTOR_DATA_TOGGLE$8='[data-bs-toggle="sticky"]',Default$j={positionType:"sticky",stickyClassName:"",stackable:!1,paddingTop:0};class Sticky extends BaseComponent{constructor(t,e){super(t),this._config=this._getConfig(e),this._isSticky=!1,this._wrapper=null,this._stickyTarget=SelectorEngine$1.findOne(getSelectorFromElement(this._element),this._element)||this._element,this._stickyTargetMobile=SelectorEngine$1.findOne(this._element.getAttribute(DATA_TARGET_MOBILE),this._element)||this._stickyTarget,this._stickyLimit=0,this._stickyLimitMobile=0,this._setLimit(),this._scrollCb=null,this._isMobile=isScreenMobile(),this._prevTop=0,this._onScroll(),this._bindEvents();}dispose(){EventHandler$1.off(window,EVENT_RESIZE$2),this._scrollCb.dispose(),super.dispose();}static get NAME(){return NAME$t}_getConfig(t){return t={...Default$j,...Manipulator.getDataAttributes(this._element),..."object"==typeof t?t:{}}}_bindEvents(){EventHandler$1.on(window,EVENT_RESIZE$2,(()=>this._onResize())),this._scrollCb=onDocumentScroll$1((()=>this._onScroll()));}_onResize(){this._isMobile=isScreenMobile(),this._setLimit();}_onScroll(){this._checkSticky();}_setLimit(){this._stickyLimit=this._cumulativeOffset(this._stickyTarget).top,this._stickyLimitMobile=this._cumulativeOffset(this._stickyTargetMobile).top;}_getLimit(){let t=this._isMobile?this._stickyLimitMobile:this._stickyLimit;return this._config.stackable&&this._getStickySimblings().forEach(((e,i)=>{const s=e.getBoundingClientRect();t-=s.height+(0===i?parseFloat(e.style.top):0);})),t>0?t:0}_cumulativeOffset(t){let e=0,i=0;do{e+=t.offsetTop||0,i+=t.offsetLeft||0,t=t.offsetParent;}while(t);return {top:e,left:i}}_isTypeSticky(){return "sticky"===this._config.positionType}_checkSticky(){this._isSticky||this._setLimit();const t=this._getLimit();window.pageYOffset>t?this._setSticky():this._unsetSticky();}_setSticky(){if(!this._isSticky){this._isSticky=!0;let t="bs-is-sticky";this._isTypeSticky()||(t="bs-is-fixed",this._wrapper=this._createWrapper()),this._element.classList.add(t),this._config.stickyClassName&&this._element.classList.add(this._config.stickyClassName),this._prevTop=this._element.style.top,this._element.style.top=this._getPositionTop()+"px",EventHandler$1.trigger(this._element,EVENT_STICKY_ON);}}_unsetSticky(){if(this._isSticky){let t="bs-is-sticky";this._isTypeSticky()||(t="bs-is-fixed",this._destroyWrapper()),this._element.classList.remove(t),this._config.stickyClassName&&this._element.classList.remove(this._config.stickyClassName),this._element.style.top=this._prevTop,this._isSticky=!1,EventHandler$1.trigger(this._element,EVENT_STICKY_OFF);}}_createWrapper(){const t=document.createElement("div");return t.classList.add(CLASS_NAME_WRAPPER),t.style.width="100%",t.style.height=this._element.getBoundingClientRect().height+"px",t.style.overflow="hidden",this._element.parentNode.insertBefore(t,this._element),t.appendChild(this._element),t}_destroyWrapper(){this._wrapper&&(this._wrapper.parentNode.insertBefore(this._element,this._wrapper),this._wrapper.remove());}_getStickySimblings(){return SelectorEngine$1.find(SELECTOR_DATA_TOGGLE$8).filter((t=>{const e=Sticky.getInstance(t);return !(!e||!e._isSticky||t===this._element)}))}_getPositionTop(){let t=0;return this._config.stackable?(this._getStickySimblings().forEach(((e,i)=>{const s=e.getBoundingClientRect();t+=s.height+(0===i?parseFloat(e.style.top):0);})),t):t+this._config.paddingTop}}onDocumentScroll$1((()=>{SelectorEngine$1.find(SELECTOR_DATA_TOGGLE$8).map((t=>{Sticky.getOrCreateInstance(t);}));}));const Sticky$1 = Sticky;

    const SELECTOR_HEADER=".it-header-sticky",SELECTOR_TOGGLER=".custom-navbar-toggler",SELECTOR_CLONED=".cloned-element",dataSet=new Map;class HeaderSticky{constructor(e){if(dataSet.get(e))return null;this._element=e,this._elementObj=Sticky$1.getOrCreateInstance(e),dataSet.set(e,this._elementObj),this._bindEvents(),this._toggleClonedElement(this._element.classList.contains("is-sticky"));}static getOrCreateInstance(e){return dataSet.get(e)||new this(e)}_bindEvents(){this._element.addEventListener("on.bs.sticky",(()=>this._toggleClonedElement(!0))),this._element.addEventListener("off.bs.sticky",(()=>this._toggleClonedElement(!1)));}_toggleClonedElement(e=!0){if(!isVisible(SelectorEngine$1.findOne(SELECTOR_TOGGLER,this._element))){const t=SelectorEngine$1.findOne(".menu-wrapper",this._element);if(e){const e=SelectorEngine$1.findOne(".it-brand-wrapper",this._element),n=SelectorEngine$1.findOne(".it-search-wrapper",this._element),i=SelectorEngine$1.findOne(".it-user-wrapper",this._element),l=e?e.cloneNode(!0):null,s=n?n.cloneNode(!0):null,r=i?i.cloneNode(!0):null;l&&t.insertBefore(l,t.childNodes[0]).classList.add("cloned-element"),s&&t.appendChild(s).classList.add("cloned-element"),r&&(t.appendChild(r).classList.add("cloned-element"),t.appendChild(r).classList.remove("show"));}else SelectorEngine$1.find(SELECTOR_CLONED,this._element).forEach((e=>{e.parentElement.removeChild(e);}));}}}onDocumentScroll$1((()=>{SelectorEngine$1.find(SELECTOR_HEADER).map((e=>{HeaderSticky.getOrCreateInstance(e);}));}));const HeaderSticky$1 = HeaderSticky;

    var __defProp=Object.defineProperty,__defNormalProp=(e,i,s)=>i in e?__defProp(e,i,{enumerable:!0,configurable:!0,writable:!0,value:s}):e[i]=s,__publicField=(e,i,s)=>(__defNormalProp(e,"symbol"!=typeof i?i+"":i,s),s);const EMAIL_REGEXP=/^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,NUMBER_REGEXP=/^[0-9]+$/,PASSWORD_REGEXP=/^(?=.*[A-Za-z])(?=.*\d).{8,}$/,STRONG_PASSWORD_REGEXP=/^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{8,}$/,isEmpty=e=>{let i=e;return "string"==typeof e&&(i=e.trim()),!i},isLengthMoreThanMax=(e,i)=>e.length>i,isLengthLessThanMin=(e,i)=>e.length<i,isNumber=e=>NUMBER_REGEXP.test(e),isPassword=e=>PASSWORD_REGEXP.test(e),isStrongPassword=e=>STRONG_PASSWORD_REGEXP.test(e),isNumberMoreThanMax=(e,i)=>e>i,isNumberLessThanMin=(e,i)=>e<i;var Rules=(e=>(e.Required="required",e.Email="email",e.MinLength="minLength",e.MaxLength="maxLength",e.Password="password",e.Number="number",e.MaxNumber="maxNumber",e.MinNumber="minNumber",e.StrongPassword="strongPassword",e.CustomRegexp="customRegexp",e.MinFilesCount="minFilesCount",e.MaxFilesCount="maxFilesCount",e.Files="files",e))(Rules||{}),GroupRules=(e=>(e.Required="required",e))(GroupRules||{}),CustomStyleTagIds=(e=>(e.Label="label",e.LabelArrow="labelArrow",e))(CustomStyleTagIds||{});const defaultDictionary=[{key:Rules.Required,dict:{en:"The field is required"}},{key:Rules.Email,dict:{en:"Email has invalid format"}},{key:Rules.MaxLength,dict:{en:"The field must contain a maximum of :value characters"}},{key:Rules.MinLength,dict:{en:"The field must contain a minimum of :value characters"}},{key:Rules.Password,dict:{en:"Password must contain minimum eight characters, at least one letter and one number"}},{key:Rules.StrongPassword,dict:{en:"Password should contain minimum eight characters, at least one uppercase letter, one lowercase letter, one number and one special character"}},{key:Rules.Number,dict:{en:"Value should be a number"}},{key:Rules.MaxNumber,dict:{en:"Number should be less or equal than :value"}},{key:Rules.MinNumber,dict:{en:"Number should be more or equal than :value"}},{key:Rules.MinFilesCount,dict:{en:"Files count should be more or equal than :value"}},{key:Rules.MaxFilesCount,dict:{en:"Files count should be less or equal than :value"}},{key:Rules.Files,dict:{en:"Uploaded files have one or several invalid properties (extension/size/type etc)."}}],isPromise=e=>"object"==typeof e&&null!==e&&"then"in e&&"function"==typeof e.then,getNodeParents=e=>{let i=e;const s=[];for(;i;)s.unshift(i),i=i.parentNode;return s},getClosestParent=(e,i)=>{const s=[...i].reverse();for(let i=0,t=s.length;i<t;++i){const t=s[i];for(const i in e){const s=e[i];if(s.groupElem===t)return [i,s]}}return null},getClassList=e=>Array.isArray(e)?e.filter((e=>e.length>0)):"string"==typeof e&&e.trim()?[...e.split(" ").filter((e=>e.length>0))]:[],isElement$1=e=>e instanceof Element||e instanceof HTMLDocument,errorLabelCss=".just-validate-error-label[data-tooltip=true]{position:fixed;padding:4px 8px;background:#423f3f;color:#fff;white-space:nowrap;z-index:10;border-radius:4px;transform:translateY(-5px)}.just-validate-error-label[data-tooltip=true]:before{content:'';width:0;height:0;border-left:solid 5px transparent;border-right:solid 5px transparent;border-bottom:solid 5px #423f3f;position:absolute;z-index:3;display:block;bottom:-5px;transform:rotate(180deg);left:calc(50% - 5px)}.just-validate-error-label[data-tooltip=true][data-direction=left]{transform:translateX(-5px)}.just-validate-error-label[data-tooltip=true][data-direction=left]:before{right:-7px;bottom:auto;left:auto;top:calc(50% - 2px);transform:rotate(90deg)}.just-validate-error-label[data-tooltip=true][data-direction=right]{transform:translateX(5px)}.just-validate-error-label[data-tooltip=true][data-direction=right]:before{right:auto;bottom:auto;left:-7px;top:calc(50% - 2px);transform:rotate(-90deg)}.just-validate-error-label[data-tooltip=true][data-direction=bottom]{transform:translateY(5px)}.just-validate-error-label[data-tooltip=true][data-direction=bottom]:before{right:auto;bottom:auto;left:calc(50% - 5px);top:-5px;transform:rotate(0)}",defaultGlobalConfig={errorFieldStyle:{color:"#b81111",border:"1px solid #B81111"},errorFieldCssClass:"just-validate-error-field",successFieldCssClass:"just-validate-success-field",errorLabelStyle:{color:"#b81111"},errorLabelCssClass:"just-validate-error-label",successLabelCssClass:"just-validate-success-label",focusInvalidField:!0,lockForm:!0,testingMode:!1,validateBeforeSubmitting:!1};class JustValidate{constructor(e,i,s){__publicField(this,"form",null),__publicField(this,"fields",{}),__publicField(this,"groupFields",{}),__publicField(this,"errors",{}),__publicField(this,"isValid",!1),__publicField(this,"isSubmitted",!1),__publicField(this,"globalConfig",defaultGlobalConfig),__publicField(this,"errorLabels",{}),__publicField(this,"successLabels",{}),__publicField(this,"eventListeners",[]),__publicField(this,"dictLocale",defaultDictionary),__publicField(this,"currentLocale","en"),__publicField(this,"customStyleTags",{}),__publicField(this,"onSuccessCallback"),__publicField(this,"onFailCallback"),__publicField(this,"tooltips",[]),__publicField(this,"lastScrollPosition"),__publicField(this,"isScrollTick"),__publicField(this,"fieldIds",new Map),__publicField(this,"getKeyByFieldSelector",(e=>this.fieldIds.get(e))),__publicField(this,"getFieldSelectorByKey",(e=>{for(const[i,s]of this.fieldIds)if(e===s)return i})),__publicField(this,"setKeyByFieldSelector",(e=>{if(this.fieldIds.has(e))return this.fieldIds.get(e);const i=String(this.fieldIds.size+1);return this.fieldIds.set(e,i),i})),__publicField(this,"refreshAllTooltips",(()=>{this.tooltips.forEach((e=>{e.refresh();}));})),__publicField(this,"handleDocumentScroll",(()=>{this.lastScrollPosition=window.scrollY,this.isScrollTick||(window.requestAnimationFrame((()=>{this.refreshAllTooltips(),this.isScrollTick=!1;})),this.isScrollTick=!0);})),__publicField(this,"formSubmitHandler",(e=>{e.preventDefault(),this.isSubmitted=!0,this.validateHandler(e);})),__publicField(this,"handleFieldChange",(e=>{let i;for(const s in this.fields){if(this.fields[s].elem===e){i=s;break}}i&&this.validateField(i,!0);})),__publicField(this,"handleGroupChange",(e=>{let i,s;for(const t in this.groupFields){const l=this.groupFields[t];if(l.elems.find((i=>i===e))){i=l,s=t;break}}i&&s&&this.validateGroup(s,i);})),__publicField(this,"handlerChange",(e=>{e.target&&(this.handleFieldChange(e.target),this.handleGroupChange(e.target),this.renderErrors());})),this.initialize(e,i,s);}initialize(e,i,s){if(this.form=null,this.errors={},this.isValid=!1,this.isSubmitted=!1,this.globalConfig=defaultGlobalConfig,this.errorLabels={},this.successLabels={},this.eventListeners=[],this.customStyleTags={},this.tooltips=[],this.currentLocale="en","string"==typeof e){const i=document.querySelector(e);if(!i)throw Error(`Form with ${e} selector not found! Please check the form selector`);this.setForm(i);}else {if(!(e instanceof HTMLFormElement))throw Error("Form selector is not valid. Please specify a string selector or a DOM element.");this.setForm(e);}if(this.globalConfig={...defaultGlobalConfig,...i},s&&(this.dictLocale=[...s,...defaultDictionary]),this.isTooltip()){const e=document.createElement("style");e.textContent=errorLabelCss,this.customStyleTags[CustomStyleTagIds.Label]=document.head.appendChild(e),this.addListener("scroll",document,this.handleDocumentScroll);}}getLocalisedString(e,i,s){var t;const l=null!=s?s:e;let r=null==(t=this.dictLocale.find((e=>e.key===l)))?void 0:t.dict[this.currentLocale];if(r||s&&(r=s),r&&void 0!==i)switch(e){case Rules.MaxLength:case Rules.MinLength:case Rules.MaxNumber:case Rules.MinNumber:case Rules.MinFilesCount:case Rules.MaxFilesCount:r=r.replace(":value",String(i));}return r||s||"Value is incorrect"}getFieldErrorMessage(e,i){const s="function"==typeof e.errorMessage?e.errorMessage(this.getElemValue(i),this.fields):e.errorMessage;return this.getLocalisedString(e.rule,e.value,s)}getFieldSuccessMessage(e,i){const s="function"==typeof e?e(this.getElemValue(i),this.fields):e;return this.getLocalisedString(void 0,void 0,s)}getGroupErrorMessage(e){return this.getLocalisedString(e.rule,void 0,e.errorMessage)}getGroupSuccessMessage(e){if(e.successMessage)return this.getLocalisedString(void 0,void 0,e.successMessage)}setFieldInvalid(e,i){this.fields[e].isValid=!1,this.fields[e].errorMessage=this.getFieldErrorMessage(i,this.fields[e].elem);}setFieldValid(e,i){this.fields[e].isValid=!0,void 0!==i&&(this.fields[e].successMessage=this.getFieldSuccessMessage(i,this.fields[e].elem));}setGroupInvalid(e,i){this.groupFields[e].isValid=!1,this.groupFields[e].errorMessage=this.getGroupErrorMessage(i);}setGroupValid(e,i){this.groupFields[e].isValid=!0,this.groupFields[e].successMessage=this.getGroupSuccessMessage(i);}getElemValue(e){switch(e.type){case"checkbox":return e.checked;case"file":return e.files;default:return e.value}}validateGroupRule(e,i,s){if(s.rule===GroupRules.Required)i.every((e=>!e.checked))?this.setGroupInvalid(e,s):this.setGroupValid(e,s);}validateFieldRule(e,i,s,t=!1){const l=s.value,r=this.getElemValue(i);if(s.plugin){s.plugin(r,this.fields)||this.setFieldInvalid(e,s);}else {switch(s.rule){case Rules.Required:isEmpty(r)&&this.setFieldInvalid(e,s);break;case Rules.Email:if("string"!=typeof r){this.setFieldInvalid(e,s);break}o=r,EMAIL_REGEXP.test(o)||this.setFieldInvalid(e,s);break;case Rules.MaxLength:if(void 0===l){console.error(`Value for ${s.rule} rule for [${e}] field is not defined. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("number"!=typeof l){console.error(`Value for ${s.rule} rule for [${e}] should be a number. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;isLengthMoreThanMax(r,l)&&this.setFieldInvalid(e,s);break;case Rules.MinLength:if(void 0===l){console.error(`Value for ${s.rule} rule for [${e}] field is not defined. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("number"!=typeof l){console.error(`Value for ${s.rule} rule for [${e}] should be a number. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;isLengthLessThanMin(r,l)&&this.setFieldInvalid(e,s);break;case Rules.Password:if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;isPassword(r)||this.setFieldInvalid(e,s);break;case Rules.StrongPassword:if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;isStrongPassword(r)||this.setFieldInvalid(e,s);break;case Rules.Number:if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;isNumber(r)||this.setFieldInvalid(e,s);break;case Rules.MaxNumber:{if(void 0===l){console.error(`Value for ${s.rule} rule for [${e}] field is not defined. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("number"!=typeof l){console.error(`Value for ${s.rule} rule for [${e}] field should be a number. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;const i=+r;(Number.isNaN(i)||isNumberMoreThanMax(i,l))&&this.setFieldInvalid(e,s);break}case Rules.MinNumber:{if(void 0===l){console.error(`Value for ${s.rule} rule for [${e}] field is not defined. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("number"!=typeof l){console.error(`Value for ${s.rule} rule for [${e}] field should be a number. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if("string"!=typeof r){this.setFieldInvalid(e,s);break}if(""===r)break;const i=+r;(Number.isNaN(i)||isNumberLessThanMin(i,l))&&this.setFieldInvalid(e,s);break}case Rules.CustomRegexp:{if(void 0===l)return console.error(`Value for ${s.rule} rule for [${e}] field is not defined. This field will be always invalid.`),void this.setFieldInvalid(e,s);let i;try{i=new RegExp(l);}catch(i){console.error(`Value for ${s.rule} rule for [${e}] should be a valid regexp. This field will be always invalid.`),this.setFieldInvalid(e,s);break}const t=String(r);""===t||i.test(t)||this.setFieldInvalid(e,s);break}case Rules.MinFilesCount:if(void 0===l){console.error(`Value for ${s.rule} rule for [${e}] field is not defined. This field will be always invalid.`),this.setFieldInvalid(e,s);break}if("number"!=typeof l){console.error(`Value for ${s.rule} rule for [${e}] field should be a number. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if(Number.isFinite(null==r?void 0:r.length)&&r.length<l){this.setFieldInvalid(e,s);break}break;case Rules.MaxFilesCount:if(void 0===l){console.error(`Value for ${s.rule} rule for [${e}] field is not defined. This field will be always invalid.`),this.setFieldInvalid(e,s);break}if("number"!=typeof l){console.error(`Value for ${s.rule} rule for [${e}] field should be a number. The field will be always invalid.`),this.setFieldInvalid(e,s);break}if(Number.isFinite(null==r?void 0:r.length)&&r.length>l){this.setFieldInvalid(e,s);break}break;case Rules.Files:{if(void 0===l)return console.error(`Value for ${s.rule} rule for [${e}] field is not defined. This field will be always invalid.`),void this.setFieldInvalid(e,s);if("object"!=typeof l)return console.error(`Value for ${s.rule} rule for [${e}] field should be an object. This field will be always invalid.`),void this.setFieldInvalid(e,s);const i=l.files;if("object"!=typeof i)return console.error(`Value for ${s.rule} rule for [${e}] field should be an object with files array. This field will be always invalid.`),void this.setFieldInvalid(e,s);const t=(e,i)=>{const s=Number.isFinite(i.minSize)&&e.size<i.minSize,t=Number.isFinite(i.maxSize)&&e.size>i.maxSize,l=Array.isArray(i.names)&&!i.names.includes(e.name),r=Array.isArray(i.extensions)&&!i.extensions.includes(e.name.split(".")[e.name.split(".").length-1]),o=Array.isArray(i.types)&&!i.types.includes(e.type);return s||t||l||r||o};if("object"==typeof r&&null!==r)for(let l=0,o=r.length;l<o;++l){const o=r.item(l);if(!o){this.setFieldInvalid(e,s);break}if(t(o,i)){this.setFieldInvalid(e,s);break}}break}default:{if("function"!=typeof s.validator)return console.error(`Validator for custom rule for [${e}] field should be a function. This field will be always invalid.`),void this.setFieldInvalid(e,s);const i=s.validator(r,this.fields);if("boolean"!=typeof i&&"function"!=typeof i&&console.error(`Validator return value for [${e}] field should be boolean or function. It will be cast to boolean.`),"function"==typeof i){if(!t){this.fields[e].asyncCheckPending=!1;const t=i();return isPromise(t)?t.then((i=>{i||this.setFieldInvalid(e,s);})).catch((()=>{this.setFieldInvalid(e,s);})):(console.error(`Validator function for custom rule for [${e}] field should return a Promise. This field will be always invalid.`),void this.setFieldInvalid(e,s))}this.fields[e].asyncCheckPending=!0;}i||this.setFieldInvalid(e,s);}}var o;}}validateField(e,i=!1){var s;const t=this.fields[e];t.isValid=!0;const l=[];return [...t.rules].reverse().forEach((s=>{const r=this.validateFieldRule(e,t.elem,s,i);isPromise(r)&&l.push(r);})),t.isValid&&this.setFieldValid(e,null==(s=t.config)?void 0:s.successMessage),Promise.allSettled(l)}revalidateField(e){if("string"!=typeof e&&!isElement$1(e))throw Error("Field selector is not valid. Please specify a string selector or a valid DOM element.");const i=this.getKeyByFieldSelector(e);return i&&this.fields[i]?new Promise((e=>{this.validateField(i,!0).finally((()=>{this.clearFieldStyle(i),this.clearFieldLabel(i),this.renderFieldError(i),e(!!this.fields[i].isValid);}));})):(console.error("Field not found. Check the field selector."),Promise.reject())}validateGroup(e,i){const s=[];return [...i.rules].reverse().forEach((t=>{const l=this.validateGroupRule(e,i.elems,t);isPromise(l)&&s.push(l);})),Promise.allSettled(s)}focusInvalidField(){for(const e in this.fields){const i=this.fields[e];if(!i.isValid){setTimeout((()=>i.elem.focus()),0);break}}}afterSubmitValidation(e=!1){this.renderErrors(e),this.globalConfig.focusInvalidField&&this.focusInvalidField();}validate(e=!1){return new Promise((i=>{const s=[];Object.keys(this.fields).forEach((e=>{const i=this.validateField(e);isPromise(i)&&s.push(i);})),Object.keys(this.groupFields).forEach((e=>{const i=this.groupFields[e],t=this.validateGroup(e,i);isPromise(t)&&s.push(t);})),s.length?Promise.allSettled(s).then((()=>{this.afterSubmitValidation(e),i(!0);})):(this.afterSubmitValidation(e),i(!1));}))}revalidate(){return new Promise((e=>{this.validateHandler(void 0,!0).finally((()=>{this.globalConfig.focusInvalidField&&this.focusInvalidField(),e(this.isValid);}));}))}validateHandler(e,i=!1){return this.globalConfig.lockForm&&this.lockForm(),this.validate(i).finally((()=>{var i,s;this.globalConfig.lockForm&&this.unlockForm(),this.isValid?null==(i=this.onSuccessCallback)||i.call(this,e):null==(s=this.onFailCallback)||s.call(this,this.fields,this.groupFields);}))}setForm(e){this.form=e,this.form.setAttribute("novalidate","novalidate"),this.removeListener("submit",this.form,this.formSubmitHandler),this.addListener("submit",this.form,this.formSubmitHandler);}addListener(e,i,s){i.addEventListener(e,s),this.eventListeners.push({type:e,elem:i,func:s});}removeListener(e,i,s){i.removeEventListener(e,s),this.eventListeners=this.eventListeners.filter((s=>s.type!==e||s.elem!==i));}addField(e,i,s){if("string"!=typeof e&&!isElement$1(e))throw Error("Field selector is not valid. Please specify a string selector or a valid DOM element.");let t;if(t="string"==typeof e?this.form.querySelector(e):e,!t)throw Error("Field doesn't exist in the DOM! Please check the field selector.");if(!Array.isArray(i)||!i.length)throw Error("Rules argument should be an array and should contain at least 1 element.");i.forEach((e=>{if(!("rule"in e||"validator"in e||"plugin"in e))throw Error("Rules argument must contain at least one rule or validator property.");if(!(e.validator||e.plugin||e.rule&&Object.values(Rules).includes(e.rule)))throw Error(`Rule should be one of these types: ${Object.values(Rules).join(", ")}. Provided value: ${e.rule}`)}));const l=this.setKeyByFieldSelector(e);return this.fields[l]={elem:t,rules:i,isValid:void 0,config:s},this.setListeners(t),this.isSubmitted&&this.validate(),this}removeField(e){if("string"!=typeof e&&!isElement$1(e))throw Error("Field selector is not valid. Please specify a string selector or a valid DOM element.");const i=this.getKeyByFieldSelector(e);if(!i||!this.fields[i])return console.error("Field not found. Check the field selector."),this;const s=this.getListenerType(this.fields[i].elem.type);return this.removeListener(s,this.fields[i].elem,this.handlerChange),this.clearErrors(),delete this.fields[i],this}removeGroup(e){if("string"!=typeof e)throw Error("Group selector is not valid. Please specify a string selector.");const i=this.getKeyByFieldSelector(e);return i&&this.groupFields[i]?(this.groupFields[i].elems.forEach((e=>{const i=this.getListenerType(e.type);this.removeListener(i,e,this.handlerChange);})),this.clearErrors(),delete this.groupFields[i],this):(console.error("Group not found. Check the group selector."),this)}addRequiredGroup(e,i,s,t){if("string"!=typeof e)throw Error("Group selector is not valid. Please specify a string selector.");const l=this.form.querySelector(e);if(!l)throw Error(`Group with ${e} selector not found! Please check the group selector.`);const r=l.querySelectorAll("input"),o=Array.from(r).filter((e=>{const i=getClosestParent(this.groupFields,getNodeParents(e));return !i||i[1].elems.find((i=>i!==e))})),a=this.setKeyByFieldSelector(e);return this.groupFields[a]={rules:[{rule:GroupRules.Required,errorMessage:i,successMessage:t}],groupElem:l,elems:o,isDirty:!1,isValid:void 0,config:s},r.forEach((e=>{this.setListeners(e);})),this}getListenerType(e){switch(e){case"checkbox":case"select-one":case"file":case"radio":return "change";default:return "input"}}setListeners(e){const i=this.getListenerType(e.type);this.removeListener(i,e,this.handlerChange),this.addListener(i,e,this.handlerChange);}clearFieldLabel(e){var i,s;null==(i=this.errorLabels[e])||i.remove(),null==(s=this.successLabels[e])||s.remove();}clearFieldStyle(e){var i,s,t,l;const r=this.fields[e],o=(null==(i=r.config)?void 0:i.errorFieldStyle)||this.globalConfig.errorFieldStyle;Object.keys(o).forEach((e=>{r.elem.style[e]="";}));const a=(null==(s=r.config)?void 0:s.successFieldStyle)||this.globalConfig.successFieldStyle||{};Object.keys(a).forEach((e=>{r.elem.style[e]="";})),r.elem.classList.remove(...getClassList((null==(t=r.config)?void 0:t.errorFieldCssClass)||this.globalConfig.errorFieldCssClass),...getClassList((null==(l=r.config)?void 0:l.successFieldCssClass)||this.globalConfig.successFieldCssClass));}clearErrors(){var e,i;Object.keys(this.errorLabels).forEach((e=>this.errorLabels[e].remove())),Object.keys(this.successLabels).forEach((e=>this.successLabels[e].remove()));for(const e in this.fields)this.clearFieldStyle(e);for(const s in this.groupFields){const t=this.groupFields[s],l=(null==(e=t.config)?void 0:e.errorFieldStyle)||this.globalConfig.errorFieldStyle;Object.keys(l).forEach((e=>{t.elems.forEach((i=>{var s;i.style[e]="",i.classList.remove(...getClassList((null==(s=t.config)?void 0:s.errorFieldCssClass)||this.globalConfig.errorFieldCssClass));}));}));const r=(null==(i=t.config)?void 0:i.successFieldStyle)||this.globalConfig.successFieldStyle||{};Object.keys(r).forEach((e=>{t.elems.forEach((i=>{var s;i.style[e]="",i.classList.remove(...getClassList((null==(s=t.config)?void 0:s.successFieldCssClass)||this.globalConfig.successFieldCssClass));}));}));}this.tooltips=[];}isTooltip(){return !!this.globalConfig.tooltip}lockForm(){const e=this.form.querySelectorAll("input, textarea, button, select");for(let i=0,s=e.length;i<s;++i)e[i].setAttribute("data-just-validate-fallback-disabled",e[i].disabled?"true":"false"),e[i].setAttribute("disabled","disabled"),e[i].style.pointerEvents="none",e[i].style.webkitFilter="grayscale(100%)",e[i].style.filter="grayscale(100%)";}unlockForm(){const e=this.form.querySelectorAll("input, textarea, button, select");for(let i=0,s=e.length;i<s;++i)"true"!==e[i].getAttribute("data-just-validate-fallback-disabled")&&e[i].removeAttribute("disabled"),e[i].style.pointerEvents="",e[i].style.webkitFilter="",e[i].style.filter="";}renderTooltip(e,i,s){var t;const{top:l,left:r,width:o,height:a}=e.getBoundingClientRect(),n=i.getBoundingClientRect(),d=s||(null==(t=this.globalConfig.tooltip)?void 0:t.position);switch(d){case"left":i.style.top=l+a/2-n.height/2+"px",i.style.left=r-n.width-5+"px";break;case"top":i.style.top=l-n.height-5+"px",i.style.left=r+o/2-n.width/2+"px";break;case"right":i.style.top=l+a/2-n.height/2+"px",i.style.left=`${r+o+5}px`;break;case"bottom":i.style.top=`${l+a+5}px`,i.style.left=r+o/2-n.width/2+"px";}i.dataset.direction=d;return {refresh:()=>{this.renderTooltip(e,i,s);}}}createErrorLabelElem(e,i,s){const t=document.createElement("div");t.innerHTML=i;const l=this.isTooltip()?null==s?void 0:s.errorLabelStyle:(null==s?void 0:s.errorLabelStyle)||this.globalConfig.errorLabelStyle;return Object.assign(t.style,l),t.classList.add(...getClassList((null==s?void 0:s.errorLabelCssClass)||this.globalConfig.errorLabelCssClass),"just-validate-error-label"),this.isTooltip()&&(t.dataset.tooltip="true"),this.globalConfig.testingMode&&(t.dataset.testId=`error-label-${e}`),this.errorLabels[e]=t,t}createSuccessLabelElem(e,i,s){if(void 0===i)return null;const t=document.createElement("div");t.innerHTML=i;const l=(null==s?void 0:s.successLabelStyle)||this.globalConfig.successLabelStyle;return Object.assign(t.style,l),t.classList.add(...getClassList((null==s?void 0:s.successLabelCssClass)||this.globalConfig.successLabelCssClass),"just-validate-success-label"),this.globalConfig.testingMode&&(t.dataset.testId=`success-label-${e}`),this.successLabels[e]=t,t}renderErrorsContainer(e,i){const s=i||this.globalConfig.errorsContainer;if("string"==typeof s){const i=this.form.querySelector(s);if(i)return i.appendChild(e),!0;console.error(`Error container with ${s} selector not found. Errors will be rendered as usual`);}return s instanceof Element?(s.appendChild(e),!0):(void 0!==s&&console.error("Error container not found. It should be a string or existing Element. Errors will be rendered as usual"),!1)}renderGroupLabel(e,i,s,t){if(!t){if(this.renderErrorsContainer(i,s))return}e.appendChild(i);}renderFieldLabel(e,i,s,t){var l,r,o,a,n,d,u;if(!t){if(this.renderErrorsContainer(i,s))return}if("checkbox"===e.type||"radio"===e.type){const s=document.querySelector(`label[for="${e.getAttribute("id")}"]`);"label"===(null==(r=null==(l=e.parentElement)?void 0:l.tagName)?void 0:r.toLowerCase())?null==(a=null==(o=e.parentElement)?void 0:o.parentElement)||a.appendChild(i):s?null==(n=s.parentElement)||n.appendChild(i):null==(d=e.parentElement)||d.appendChild(i);}else null==(u=e.parentElement)||u.appendChild(i);}showLabels(e,i){Object.keys(e).forEach(((s,t)=>{const l=e[s],r=this.getKeyByFieldSelector(s);if(!r||!this.fields[r])return void console.error("Field not found. Check the field selector.");const o=this.fields[r];o.isValid=!i,this.clearFieldStyle(r),this.clearFieldLabel(r),this.renderFieldError(r,l),0===t&&this.globalConfig.focusInvalidField&&setTimeout((()=>o.elem.focus()),0);}));}showErrors(e){if("object"!=typeof e)throw Error("[showErrors]: Errors should be an object with key: value format");this.showLabels(e,!0);}showSuccessLabels(e){if("object"!=typeof e)throw Error("[showSuccessLabels]: Labels should be an object with key: value format");this.showLabels(e,!1);}renderFieldError(e,i){var s,t,l,r,o,a;const n=this.fields[e];if(void 0===n.isValid)return;if(n.isValid){if(!n.asyncCheckPending){const l=this.createSuccessLabelElem(e,void 0!==i?i:n.successMessage,n.config);l&&this.renderFieldLabel(n.elem,l,null==(s=n.config)?void 0:s.errorsContainer,!0),n.elem.classList.add(...getClassList((null==(t=n.config)?void 0:t.successFieldCssClass)||this.globalConfig.successFieldCssClass));}return}this.isValid=!1,n.elem.classList.add(...getClassList((null==(l=n.config)?void 0:l.errorFieldCssClass)||this.globalConfig.errorFieldCssClass));const d=this.createErrorLabelElem(e,void 0!==i?i:n.errorMessage,n.config);this.renderFieldLabel(n.elem,d,null==(r=n.config)?void 0:r.errorsContainer),this.isTooltip()&&this.tooltips.push(this.renderTooltip(n.elem,d,null==(a=null==(o=n.config)?void 0:o.tooltip)?void 0:a.position));}renderGroupError(e){var i,s,t,l;const r=this.groupFields[e];if(void 0===r.isValid)return;if(r.isValid){r.elems.forEach((e=>{var i,s;Object.assign(e.style,(null==(i=r.config)?void 0:i.successFieldStyle)||this.globalConfig.successFieldStyle),e.classList.add(...getClassList((null==(s=r.config)?void 0:s.successFieldCssClass)||this.globalConfig.successFieldCssClass));}));const s=this.createSuccessLabelElem(e,r.successMessage,r.config);return void(s&&this.renderGroupLabel(r.groupElem,s,null==(i=r.config)?void 0:i.errorsContainer,!0))}this.isValid=!1,r.elems.forEach((e=>{var i,s;Object.assign(e.style,(null==(i=r.config)?void 0:i.errorFieldStyle)||this.globalConfig.errorFieldStyle),e.classList.add(...getClassList((null==(s=r.config)?void 0:s.errorFieldCssClass)||this.globalConfig.errorFieldCssClass));}));const o=this.createErrorLabelElem(e,r.errorMessage,r.config);this.renderGroupLabel(r.groupElem,o,null==(s=r.config)?void 0:s.errorsContainer),this.isTooltip()&&this.tooltips.push(this.renderTooltip(r.groupElem,o,null==(l=null==(t=r.config)?void 0:t.tooltip)?void 0:l.position));}renderErrors(e=!1){if(this.isSubmitted||e||this.globalConfig.validateBeforeSubmitting){this.clearErrors(),this.isValid=!0;for(const e in this.groupFields)this.renderGroupError(e);for(const e in this.fields)this.renderFieldError(e);}}destroy(){this.eventListeners.forEach((e=>{this.removeListener(e.type,e.elem,e.func);})),Object.keys(this.customStyleTags).forEach((e=>{this.customStyleTags[e].remove();})),this.clearErrors(),this.globalConfig.lockForm&&this.unlockForm();}refresh(){this.destroy(),this.form?(this.initialize(this.form,this.globalConfig),Object.keys(this.fields).forEach((e=>{const i=this.getFieldSelectorByKey(e);i&&this.addField(i,[...this.fields[e].rules],this.fields[e].config);}))):console.error("Cannot initialize the library! Form is not defined");}setCurrentLocale(e){"string"==typeof e||void 0===e?(this.currentLocale=e,this.isSubmitted&&this.validate()):console.error("Current locale should be a string");}onSuccess(e){return this.onSuccessCallback=e,this}onFail(e){return this.onFailCallback=e,this}}

    class CssClassObserver{constructor(t,e,s,a,l){this.targetNode=t,this.classToWatch=e,this.classAddedCallback=s,this.classRemovedCallback=a,this.observer=null,this.lastClassState=t.classList.contains(this.classToWatch),this.ignoreToggle=!!l,this.init();}init(){this.observer=new MutationObserver((t=>this.mutationCallback(t))),this.observe();}observe(){this.observer.observe(this.targetNode,{attributes:!0});}disconnect(){this.observer.disconnect();}mutationCallback(t){for(let e of t)if("attributes"===e.type&&"class"===e.attributeName){let t=e.target.classList.contains(this.classToWatch);(this.ignoreToggle||this.lastClassState!==t)&&(this.lastClassState=t,t?"function"==typeof this.classAddedCallback&&this.classAddedCallback():"function"==typeof this.classRemovedCallback&&this.classRemovedCallback());}}}class ContentObserver{constructor(t,e,s,a){this.targetNode=t,this.contentSelector=e,this.contentAddedCallback=s,this.contentRemovedCallback=a,this.observer=null,this.init();}init(){this.observer=new MutationObserver((t=>this.mutationCallback(t))),this.observe();}observe(){this.observer.observe(this.targetNode,{childList:!0,subtree:!0});}disconnect(){this.observer.disconnect();}mutationCallback(t){for(let e of t)"childList"===e.type&&(e.addedNodes.forEach((t=>{this._callbackExec(t);})),e.removedNodes.forEach((t=>{this._callbackExec(t,!0);})));}_callbackExec(t,e){const s=t.matches&&t.matches(this.contentSelector)?[t]:t.querySelectorAll?t.querySelectorAll(this.contentSelector):null,a=e&&"function"==typeof this.contentRemovedCallback?this.contentRemovedCallback:"function"==typeof this.contentAddedCallback?this.contentAddedCallback:null;s&&a&&s.forEach((t=>a(t)));}}

    const CONFIG_DEFAULT={errorFieldCssClass:"is-invalid",errorLabelCssClass:"just-validate-error-label"},NAME$s="justvalidatebi",CLASS_NAME_SRONLY="sr-only-justvalidate-bi",SELECTOR_SPAN_SRONLY=`.${CLASS_NAME_SRONLY}`;class FormValidate{constructor(e,t){return this.formSelector=e,this.target=document.querySelector(e),this.validate=new JustValidate(e,t),this.config=Object.assign({},CONFIG_DEFAULT,this.validate.globalConfig),this.formItems=[],this.init(),this.validate}init(){this.target.querySelectorAll("input, select").forEach((e=>{const t=new CssClassObserver(e,this.config.errorFieldCssClass,(()=>this.onInputError(e)),(()=>this.onInputErrorRemove(e)),!0);e.id||e.setAttribute("id",NAME$s+"-input-"+Math.random()),this.formItems.push({item:e,watcher:t});}));this.target.querySelectorAll("fieldset").forEach((e=>{if(e.querySelectorAll("input[type=radio],input[type=checkbox]").length>0){const t=new ContentObserver(e,"."+this.config.errorLabelCssClass,(()=>this.onFieldsetError(e)),(()=>this.onFieldsetErrorRemove(e)));e.id||e.setAttribute("id",NAME$s+"-fieldset-"+Math.random()),this.formItems.push({item:e,watcher:t});}}));}onInputError(e){const t=this.getErrorMessages(e),r=[];t.forEach(((t,s)=>{const i=e.id+"-error-"+s;t.setAttribute("id",i),r.push(i);})),r.length>0&&(e.setAttribute("aria-describedby",r.join(" ")),e.setAttribute("aria-invalid","true"));}onInputErrorRemove(e){e.removeAttribute("aria-describedby"),e.setAttribute("aria-invalid","false");}onFieldsetError(e){const t=this.getErrorMessages(e),r=[],s=[];if(t.forEach(((t,i)=>{const o=e.id+"-error-"+i;t.setAttribute("id",o),r.push(o),s.push(t.textContent);})),r.length>0){const t=e.querySelector("legend");t&&(t.setAttribute("aria-describedby",r.join(" ")),t.setAttribute("aria-invalid","true"));}}onFieldsetErrorRemove(e){const t=e.querySelector("legend");if(t){t.removeAttribute("aria-describedby"),t.setAttribute("aria-invalid","false");const e=t.querySelector(SELECTOR_SPAN_SRONLY);e&&e.remove();}}getErrorMessages(e){let t=e,r=t.querySelectorAll("."+this.config.errorLabelCssClass);for(;null!=t&&0===r.length;)t=t.parentNode,r=t.querySelectorAll("."+this.config.errorLabelCssClass);return r}}const ValidatorSelectAutocomplete=(e,t={})=>(r,s)=>{let i=!1;const o=s[e];if(!o)throw new Error("ValidatorSelectAutocomplete: "+e+" not found as form field");return t.required||r?document.querySelector("#"+o.elem.id+"-select").querySelectorAll("option").forEach((e=>{e.text===r&&(i=!0);})):i=!0,i};

    const NAME$r="input",DATA_KEY$i="bs.input",EVENT_KEY$j=`.${DATA_KEY$i}`,EVENT_MOUSEDOWN_DATA_API$2=`mousedown${EVENT_KEY$j}.data-api`,EVENT_KEYUP_DATA_API$4=`keyup${EVENT_KEY$j}.data-api`,EVENT_CHANGE=`change${EVENT_KEY$j}`;class Input extends BaseComponent{constructor(e){super(e),this._label=new InputLabel$1(e),this._bindEvents();}static get NAME(){return NAME$r}_bindEvents(){"file"===this._element.getAttribute("type")&&EventHandler$1.on(this._element,EVENT_CHANGE,(()=>{this._handleFileDescription();}));}_handleFileDescription(){const e=[];let t="";Array.from(this._element.files).forEach((t=>{const n=Math.round(parseInt(t.size,10)/1024);e.push(t.name+" ("+n+"kb)");})),this._element.files.length>1&&(t=this._element.files.length+" file da caricare: ");const n=SelectorEngine$1.findOne('label[for="'+this._element.getAttribute("id")+'"] label.form-file-name',this._element);n&&(n.innerText=t+e.join("; "));}}const excludes=["select",'input[data-bs-input][type="password"]',"input.input-password[data-bs-input]",'input[data-bs-autocomplete][type="search"]','input[type="time"]'],createInput$3=e=>{const t=!!excludes.find((t=>e.matches(t))),n=!("number"!==e.getAttribute("type")||!e.parentNode.querySelector('button[class^="input-number-"]'));return t||n?null:Input.getOrCreateInstance(e)};EventHandler$1.on(document,EVENT_MOUSEDOWN_DATA_API$2,"input, textarea, label",(function(){const e=InputLabel$1.getInputFromLabel(this)||this;createInput$3(e);})),EventHandler$1.on(document,EVENT_KEYUP_DATA_API$4,"input, textarea, label",(function(){const e=InputLabel$1.getInputFromLabel(this)||this,t=createInput$3(e);t&&t._label&&t._label._labelOut();}));const Input$1 = Input;

    var accessibleAutocomplete_min=createCommonjsModule((function(e,t){var n;n=function(){return function(e){var t={};function n(r){if(t[r])return t[r].exports;var o=t[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,n),o.l=!0,o.exports}return n.m=e,n.c=t,n.d=function(e,t,r){n.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:r});},n.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0});},n.t=function(e,t){if(1&t&&(e=n(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var r=Object.create(null);if(n.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var o in e)n.d(r,o,function(t){return e[t]}.bind(null,o));return r},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,"a",t),t},n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},n.p="/",n(n.s=37)}([function(e,t,n){var r=n(1),o=n(6),i=n(7),u=n(16),a=n(18),s="prototype",l=function(e,t,n){var c,p,f,d,h=e&l.F,v=e&l.G,m=e&l.S,y=e&l.P,_=e&l.B,g=v?r:m?r[t]||(r[t]={}):(r[t]||{})[s],b=v?o:o[t]||(o[t]={}),w=b[s]||(b[s]={});for(c in v&&(n=t),n)f=((p=!h&&g&&void 0!==g[c])?g:n)[c],d=_&&p?a(f,r):y&&"function"==typeof f?a(Function.call,f):f,g&&u(g,c,f,e&l.U),b[c]!=f&&i(b,c,d),y&&w[c]!=f&&(w[c]=f);};r.core=o,l.F=1,l.G=2,l.S=4,l.P=8,l.B=16,l.W=32,l.U=64,l.R=128,e.exports=l;},function(e,t){var n=e.exports="undefined"!=typeof window&&window.Math==Math?window:"undefined"!=typeof self&&self.Math==Math?self:Function("return this")();"number"==typeof __g&&(__g=n);},function(e,t){e.exports=function(e){return "object"==typeof e?null!==e:"function"==typeof e};},function(e,t,n){e.exports=!n(4)((function(){return 7!=Object.defineProperty({},"a",{get:function(){return 7}}).a}));},function(e,t){e.exports=function(e){try{return !!e()}catch(e){return !0}};},function(e,t,n){n.r(t),n.d(t,"h",(function(){return a})),n.d(t,"createElement",(function(){return a})),n.d(t,"cloneElement",(function(){return c})),n.d(t,"Component",(function(){return L})),n.d(t,"render",(function(){return T})),n.d(t,"rerender",(function(){return h})),n.d(t,"options",(function(){return o}));var r=function(){},o={},i=[],u=[];function a(e,t){var n,a,s,l,c=u;for(l=arguments.length;2<l--;)i.push(arguments[l]);for(t&&null!=t.children&&(i.length||i.push(t.children),delete t.children);i.length;)if((a=i.pop())&&void 0!==a.pop)for(l=a.length;l--;)i.push(a[l]);else "boolean"==typeof a&&(a=null),(s="function"!=typeof e)&&(null==a?a="":"number"==typeof a?a=String(a):"string"!=typeof a&&(s=!1)),s&&n?c[c.length-1]+=a:c===u?c=[a]:c.push(a),n=s;var p=new r;return p.nodeName=e,p.children=c,p.attributes=null==t?void 0:t,p.key=null==t?void 0:t.key,void 0!==o.vnode&&o.vnode(p),p}function s(e,t){for(var n in t)e[n]=t[n];return e}var l="function"==typeof Promise?Promise.resolve().then.bind(Promise.resolve()):setTimeout;function c(e,t){return a(e.nodeName,s(s({},e.attributes),t),2<arguments.length?[].slice.call(arguments,2):e.children)}var p=/acit|ex(?:s|g|n|p|$)|rph|ows|mnc|ntw|ine[ch]|zoo|^ord/i,f=[];function d(e){!e._dirty&&(e._dirty=!0)&&1==f.push(e)&&(o.debounceRendering||l)(h);}function h(){var e,t=f;for(f=[];e=t.pop();)e._dirty&&j(e);}function v(e,t){return e.normalizedNodeName===t||e.nodeName.toLowerCase()===t.toLowerCase()}function m(e){var t=s({},e.attributes);t.children=e.children;var n=e.nodeName.defaultProps;if(void 0!==n)for(var r in n)void 0===t[r]&&(t[r]=n[r]);return t}function y(e){var t=e.parentNode;t&&t.removeChild(e);}function _(e,t,n,r,o){if("className"===t&&(t="class"),"key"===t);else if("ref"===t)n&&n(null),r&&r(e);else if("class"!==t||o)if("style"===t){if(r&&"string"!=typeof r&&"string"!=typeof n||(e.style.cssText=r||""),r&&"object"==typeof r){if("string"!=typeof n)for(var i in n)i in r||(e.style[i]="");for(var i in r)e.style[i]="number"==typeof r[i]&&!1===p.test(i)?r[i]+"px":r[i];}}else if("dangerouslySetInnerHTML"===t)r&&(e.innerHTML=r.__html||"");else if("o"==t[0]&&"n"==t[1]){var u=t!==(t=t.replace(/Capture$/,""));t=t.toLowerCase().substring(2),r?n||e.addEventListener(t,g,u):e.removeEventListener(t,g,u),(e._listeners||(e._listeners={}))[t]=r;}else if("list"!==t&&"type"!==t&&!o&&t in e){try{e[t]=null==r?"":r;}catch(e){}null!=r&&!1!==r||"spellcheck"==t||e.removeAttribute(t);}else {var a=o&&t!==(t=t.replace(/^xlink:?/,""));null==r||!1===r?a?e.removeAttributeNS("http://www.w3.org/1999/xlink",t.toLowerCase()):e.removeAttribute(t):"function"!=typeof r&&(a?e.setAttributeNS("http://www.w3.org/1999/xlink",t.toLowerCase(),r):e.setAttribute(t,r));}else e.className=r||"";}function g(e){return this._listeners[e.type](o.event&&o.event(e)||e)}var b=[],w=0,x=!1,O=!1;function C(){for(var e;e=b.pop();)o.afterMount&&o.afterMount(e),e.componentDidMount&&e.componentDidMount();}function S(e,t,n,r,o){var i=e,u=x;if(null!=t&&"boolean"!=typeof t||(t=""),"string"==typeof t||"number"==typeof t)return e&&void 0!==e.splitText&&e.parentNode&&(!e._component||o)?e.nodeValue!=t&&(e.nodeValue=t):(i=document.createTextNode(t),e&&(e.parentNode&&e.parentNode.replaceChild(i,e),E(e,!0))),i.__preactattr_=!0,i;var a=t.nodeName;if("function"==typeof a)return function(e,t,n,r){for(var o=e&&e._component,i=o,u=e,a=o&&e._componentConstructor===t.nodeName,s=a,l=m(t);o&&!s&&(o=o._parentComponent);)s=o.constructor===t.nodeName;return o&&s&&(!r||o._component)?(k(o,l,3,n,r),e=o.base):(i&&!a&&(P(i),e=u=null),o=I(t.nodeName,l,n),e&&!o.nextBase&&(o.nextBase=e,u=null),k(o,l,1,n,r),e=o.base,u&&e!==u&&(u._component=null,E(u,!1))),e}(e,t,n,r);if(x="svg"===a||"foreignObject"!==a&&x,a=String(a),(!e||!v(e,a))&&(i=function(e,t){var n=t?document.createElementNS("http://www.w3.org/2000/svg",e):document.createElement(e);return n.normalizedNodeName=e,n}(a,x),e)){for(;e.firstChild;)i.appendChild(e.firstChild);e.parentNode&&e.parentNode.replaceChild(i,e),E(e,!0);}var s=i.firstChild,l=i.__preactattr_,c=t.children;if(null==l){l=i.__preactattr_={};for(var p=i.attributes,f=p.length;f--;)l[p[f].name]=p[f].value;}return !O&&c&&1===c.length&&"string"==typeof c[0]&&null!=s&&void 0!==s.splitText&&null==s.nextSibling?s.nodeValue!=c[0]&&(s.nodeValue=c[0]):(c&&c.length||null!=s)&&function(e,t,n,r,o){var i,u,a,s,l,c,p,f,d=e.childNodes,h=[],m={},_=0,g=0,b=d.length,w=0,x=t?t.length:0;if(0!==b)for(var O=0;O<b;O++){var C=d[O],M=C.__preactattr_;null!=(N=x&&M?C._component?C._component.__key:M.key:null)?(_++,m[N]=C):(M||(void 0!==C.splitText?!o||C.nodeValue.trim():o))&&(h[w++]=C);}if(0!==x)for(O=0;O<x;O++){var N;if(l=null,null!=(N=(s=t[O]).key))_&&void 0!==m[N]&&(l=m[N],m[N]=void 0,_--);else if(g<w)for(i=g;i<w;i++)if(void 0!==h[i]&&(c=u=h[i],f=o,"string"==typeof(p=s)||"number"==typeof p?void 0!==c.splitText:"string"==typeof p.nodeName?!c._componentConstructor&&v(c,p.nodeName):f||c._componentConstructor===p.nodeName)){l=u,h[i]=void 0,i===w-1&&w--,i===g&&g++;break}l=S(l,s,n,r),a=d[O],l&&l!==e&&l!==a&&(null==a?e.appendChild(l):l===a.nextSibling?y(a):e.insertBefore(l,a));}if(_)for(var O in m)void 0!==m[O]&&E(m[O],!1);for(;g<=w;)void 0!==(l=h[w--])&&E(l,!1);}(i,c,n,r,O||null!=l.dangerouslySetInnerHTML),function(e,t,n){var r;for(r in n)t&&null!=t[r]||null==n[r]||_(e,r,n[r],n[r]=void 0,x);for(r in t)"children"===r||"innerHTML"===r||r in n&&t[r]===("value"===r||"checked"===r?e[r]:n[r])||_(e,r,n[r],n[r]=t[r],x);}(i,t.attributes,l),x=u,i}function E(e,t){var n=e._component;n?P(n):(null!=e.__preactattr_&&e.__preactattr_.ref&&e.__preactattr_.ref(null),!1!==t&&null!=e.__preactattr_||y(e),M(e));}function M(e){for(e=e.lastChild;e;){var t=e.previousSibling;E(e,!0),e=t;}}var N=[];function I(e,t,n){var r,o=N.length;for(e.prototype&&e.prototype.render?(r=new e(t,n),L.call(r,t,n)):((r=new L(t,n)).constructor=e,r.render=A);o--;)if(N[o].constructor===e)return r.nextBase=N[o].nextBase,N.splice(o,1),r;return r}function A(e,t,n){return this.constructor(e,n)}function k(e,t,n,r,i){e._disable||(e._disable=!0,e.__ref=t.ref,e.__key=t.key,delete t.ref,delete t.key,void 0===e.constructor.getDerivedStateFromProps&&(!e.base||i?e.componentWillMount&&e.componentWillMount():e.componentWillReceiveProps&&e.componentWillReceiveProps(t,r)),r&&r!==e.context&&(e.prevContext||(e.prevContext=e.context),e.context=r),e.prevProps||(e.prevProps=e.props),e.props=t,e._disable=!1,0!==n&&(1!==n&&!1===o.syncComponentUpdates&&e.base?d(e):j(e,1,i)),e.__ref&&e.__ref(e));}function j(e,t,n,r){if(!e._disable){var i,u,a,l=e.props,c=e.state,p=e.context,f=e.prevProps||l,d=e.prevState||c,h=e.prevContext||p,v=e.base,y=e.nextBase,_=v||y,g=e._component,M=!1,N=h;if(e.constructor.getDerivedStateFromProps&&(c=s(s({},c),e.constructor.getDerivedStateFromProps(l,c)),e.state=c),v&&(e.props=f,e.state=d,e.context=h,2!==t&&e.shouldComponentUpdate&&!1===e.shouldComponentUpdate(l,c,p)?M=!0:e.componentWillUpdate&&e.componentWillUpdate(l,c,p),e.props=l,e.state=c,e.context=p),e.prevProps=e.prevState=e.prevContext=e.nextBase=null,e._dirty=!1,!M){i=e.render(l,c,p),e.getChildContext&&(p=s(s({},p),e.getChildContext())),v&&e.getSnapshotBeforeUpdate&&(N=e.getSnapshotBeforeUpdate(f,d));var A,L,T=i&&i.nodeName;if("function"==typeof T){var B=m(i);(u=g)&&u.constructor===T&&B.key==u.__key?k(u,B,1,p,!1):(A=u,e._component=u=I(T,B,p),u.nextBase=u.nextBase||y,u._parentComponent=e,k(u,B,0,p,!1),j(u,1,n,!0)),L=u.base;}else a=_,(A=g)&&(a=e._component=null),(_||1===t)&&(a&&(a._component=null),L=function(e,t,n,r,o,i){w++||(x=null!=o&&void 0!==o.ownerSVGElement,O=null!=e&&!("__preactattr_"in e));var u=S(e,t,n,r,i);return o&&u.parentNode!==o&&o.appendChild(u),--w||(O=!1,i||C()),u}(a,i,p,n||!v,_&&_.parentNode,!0));if(_&&L!==_&&u!==g){var D=_.parentNode;D&&L!==D&&(D.replaceChild(L,_),A||(_._component=null,E(_,!1)));}if(A&&P(A),(e.base=L)&&!r){for(var F=e,R=e;R=R._parentComponent;)(F=R).base=L;L._component=F,L._componentConstructor=F.constructor;}}for(!v||n?b.unshift(e):M||(e.componentDidUpdate&&e.componentDidUpdate(f,d,N),o.afterUpdate&&o.afterUpdate(e));e._renderCallbacks.length;)e._renderCallbacks.pop().call(e);w||r||C();}}function P(e){o.beforeUnmount&&o.beforeUnmount(e);var t=e.base;e._disable=!0,e.componentWillUnmount&&e.componentWillUnmount(),e.base=null;var n=e._component;n?P(n):t&&(t.__preactattr_&&t.__preactattr_.ref&&t.__preactattr_.ref(null),y(e.nextBase=t),N.push(e),M(t)),e.__ref&&e.__ref(null);}function L(e,t){this._dirty=!0,this.context=t,this.props=e,this.state=this.state||{},this._renderCallbacks=[];}function T(e,t,n){return function(e,t,n,r,o,i){w++||(x=null!=o&&void 0!==o.ownerSVGElement,O=null!=e&&!("__preactattr_"in e));var u=S(e,t,n,r,i);return o&&u.parentNode!==o&&o.appendChild(u),--w||(O=!1,i||C()),u}(n,e,{},!1,t,!1)}s(L.prototype,{setState:function(e,t){this.prevState||(this.prevState=this.state),this.state=s(s({},this.state),"function"==typeof e?e(this.state,this.props):e),t&&this._renderCallbacks.push(t),d(this);},forceUpdate:function(e){e&&this._renderCallbacks.push(e),j(this,2);},render:function(){}});var B={h:a,createElement:a,cloneElement:c,Component:L,render:T,rerender:h,options:o};t.default=B;},function(e,t){var n=e.exports={version:"2.5.7"};"number"==typeof __e&&(__e=n);},function(e,t,n){var r=n(8),o=n(40);e.exports=n(3)?function(e,t,n){return r.f(e,t,o(1,n))}:function(e,t,n){return e[t]=n,e};},function(e,t,n){var r=n(9),o=n(38),i=n(39),u=Object.defineProperty;t.f=n(3)?Object.defineProperty:function(e,t,n){if(r(e),t=i(t,!0),r(n),o)try{return u(e,t,n)}catch(e){}if("get"in n||"set"in n)throw TypeError("Accessors not supported!");return "value"in n&&(e[t]=n.value),e};},function(e,t,n){var r=n(2);e.exports=function(e){if(!r(e))throw TypeError(e+" is not an object!");return e};},function(e,t){var n=0,r=Math.random();e.exports=function(e){return "Symbol(".concat(void 0===e?"":e,")_",(++n+r).toString(36))};},function(e,t,n){var r=n(22);e.exports=Object("z").propertyIsEnumerable(0)?Object:function(e){return "String"==r(e)?e.split(""):Object(e)};},function(e,t){e.exports=function(e){if(null==e)throw TypeError("Can't call method on  "+e);return e};},function(e,t,n){var r=n(4);e.exports=function(e,t){return !!e&&r((function(){t?e.call(null,(function(){}),1):e.call(null);}))};},function(e,t,n){var r=n(0);r(r.S+r.F,"Object",{assign:n(41)});},function(e,t,n){var r=n(2),o=n(1).document,i=r(o)&&r(o.createElement);e.exports=function(e){return i?o.createElement(e):{}};},function(e,t,n){var r=n(1),o=n(7),i=n(17),u=n(10)("src"),a="toString",s=Function[a],l=(""+s).split(a);n(6).inspectSource=function(e){return s.call(e)},(e.exports=function(e,t,n,a){var s="function"==typeof n;s&&(i(n,"name")||o(n,"name",t)),e[t]!==n&&(s&&(i(n,u)||o(n,u,e[t]?""+e[t]:l.join(String(t)))),e===r?e[t]=n:a?e[t]?e[t]=n:o(e,t,n):(delete e[t],o(e,t,n)));})(Function.prototype,a,(function(){return "function"==typeof this&&this[u]||s.call(this)}));},function(e,t){var n={}.hasOwnProperty;e.exports=function(e,t){return n.call(e,t)};},function(e,t,n){var r=n(19);e.exports=function(e,t,n){if(r(e),void 0===t)return e;switch(n){case 1:return function(n){return e.call(t,n)};case 2:return function(n,r){return e.call(t,n,r)};case 3:return function(n,r,o){return e.call(t,n,r,o)}}return function(){return e.apply(t,arguments)}};},function(e,t){e.exports=function(e){if("function"!=typeof e)throw TypeError(e+" is not a function!");return e};},function(e,t,n){var r=n(42),o=n(28);e.exports=Object.keys||function(e){return r(e,o)};},function(e,t,n){var r=n(11),o=n(12);e.exports=function(e){return r(o(e))};},function(e,t){var n={}.toString;e.exports=function(e){return n.call(e).slice(8,-1)};},function(e,t,n){var r=n(21),o=n(24),i=n(43);e.exports=function(e){return function(t,n,u){var a,s=r(t),l=o(s.length),c=i(u,l);if(e&&n!=n){for(;c<l;)if((a=s[c++])!=a)return !0}else for(;c<l;c++)if((e||c in s)&&s[c]===n)return e||c||0;return !e&&-1}};},function(e,t,n){var r=n(25),o=Math.min;e.exports=function(e){return 0<e?o(r(e),9007199254740991):0};},function(e,t){var n=Math.ceil,r=Math.floor;e.exports=function(e){return isNaN(e=+e)?0:(0<e?r:n)(e)};},function(e,t,n){var r=n(27)("keys"),o=n(10);e.exports=function(e){return r[e]||(r[e]=o(e))};},function(e,t,n){var r=n(6),o=n(1),i="__core-js_shared__",u=o[i]||(o[i]={});(e.exports=function(e,t){return u[e]||(u[e]=void 0!==t?t:{})})("versions",[]).push({version:r.version,mode:n(44)?"pure":"global",copyright:"© 2018 Denis Pushkarev (zloirock.ru)"});},function(e,t){e.exports="constructor,hasOwnProperty,isPrototypeOf,propertyIsEnumerable,toLocaleString,toString,valueOf".split(",");},function(e,t,n){var r=n(12);e.exports=function(e){return Object(r(e))};},function(e,t,n){var r=n(8).f,o=Function.prototype,i=/^\s*function ([^ (]*)/;"name"in o||n(3)&&r(o,"name",{configurable:!0,get:function(){try{return (""+this).match(i)[1]}catch(e){return ""}}});},function(e,t,n){var r=n(0),o=n(32)(1);r(r.P+r.F*!n(13)([].map,!0),"Array",{map:function(e){return o(this,e,arguments[1])}});},function(e,t,n){var r=n(18),o=n(11),i=n(29),u=n(24),a=n(47);e.exports=function(e,t){var n=1==e,s=2==e,l=3==e,c=4==e,p=6==e,f=5==e||p,d=t||a;return function(t,a,h){for(var v,m,y=i(t),_=o(y),g=r(a,h,3),b=u(_.length),w=0,x=n?d(t,b):s?d(t,0):void 0;w<b;w++)if((f||w in _)&&(m=g(v=_[w],w,y),e))if(n)x[w]=m;else if(m)switch(e){case 3:return !0;case 5:return v;case 6:return w;case 2:x.push(v);}else if(c)return !1;return p?-1:l||c?c:x}};},function(e,t,n){var r=n(22);e.exports=Array.isArray||function(e){return "Array"==r(e)};},function(e,t,n){var r=n(27)("wks"),o=n(10),i=n(1).Symbol,u="function"==typeof i;(e.exports=function(e){return r[e]||(r[e]=u&&i[e]||(u?i:o)("Symbol."+e))}).store=r;},function(e,t,n){var r=n(0),o=n(23)(!1),i=[].indexOf,u=!!i&&1/[1].indexOf(1,-0)<0;r(r.P+r.F*(u||!n(13)(i)),"Array",{indexOf:function(e){return u?i.apply(this,arguments)||0:o(this,e,arguments[1])}});},function(e,t,n){var r=n(0);r(r.S,"Object",{create:n(52)});},function(e,t,n){t.__esModule=!0,t.default=void 0,n(14),n(30),n(31),n(35),n(49),n(50);var r=n(5),o=function(e){return e&&e.__esModule?e:{default:e}}(n(51));function i(e){if(!e.element)throw new Error("element is not defined");if(!e.id)throw new Error("id is not defined");if(!e.source)throw new Error("source is not defined");Array.isArray(e.source)&&(e.source=u(e.source)),(0, r.render)((0, r.createElement)(o.default,e),e.element);}var u=function(e){return function(t,n){n(e.filter((function(e){return -1!==e.toLowerCase().indexOf(t.toLowerCase())})));}};i.enhanceSelectElement=function(e){if(!e.selectElement)throw new Error("selectElement is not defined");if(!e.source){var t=[].filter.call(e.selectElement.options,(function(t){return t.value||e.preserveNullOptions}));e.source=t.map((function(e){return e.textContent||e.innerText}));}if(e.onConfirm=e.onConfirm||function(t){var n=[].filter.call(e.selectElement.options,(function(e){return (e.textContent||e.innerText)===t}))[0];n&&(n.selected=!0);},e.selectElement.value||void 0===e.defaultValue){var n=e.selectElement.options[e.selectElement.options.selectedIndex];e.defaultValue=n.textContent||n.innerText;}void 0===e.name&&(e.name=""),void 0===e.id&&(void 0===e.selectElement.id?e.id="":e.id=e.selectElement.id),void 0===e.autoselect&&(e.autoselect=!0);var r=document.createElement("div");e.selectElement.parentNode.insertBefore(r,e.selectElement),i(Object.assign({},e,{element:r})),e.selectElement.style.display="none",e.selectElement.id=e.selectElement.id+"-select";};var a=i;t.default=a;},function(e,t,n){e.exports=!n(3)&&!n(4)((function(){return 7!=Object.defineProperty(n(15)("div"),"a",{get:function(){return 7}}).a}));},function(e,t,n){var r=n(2);e.exports=function(e,t){if(!r(e))return e;var n,o;if(t&&"function"==typeof(n=e.toString)&&!r(o=n.call(e)))return o;if("function"==typeof(n=e.valueOf)&&!r(o=n.call(e)))return o;if(!t&&"function"==typeof(n=e.toString)&&!r(o=n.call(e)))return o;throw TypeError("Can't convert object to primitive value")};},function(e,t){e.exports=function(e,t){return {enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}};},function(e,t,n){var r=n(20),o=n(45),i=n(46),u=n(29),a=n(11),s=Object.assign;e.exports=!s||n(4)((function(){var e={},t={},n=Symbol(),r="abcdefghijklmnopqrst";return e[n]=7,r.split("").forEach((function(e){t[e]=e;})),7!=s({},e)[n]||Object.keys(s({},t)).join("")!=r}))?function(e,t){for(var n=u(e),s=arguments.length,l=1,c=o.f,p=i.f;l<s;)for(var f,d=a(arguments[l++]),h=c?r(d).concat(c(d)):r(d),v=h.length,m=0;m<v;)p.call(d,f=h[m++])&&(n[f]=d[f]);return n}:s;},function(e,t,n){var r=n(17),o=n(21),i=n(23)(!1),u=n(26)("IE_PROTO");e.exports=function(e,t){var n,a=o(e),s=0,l=[];for(n in a)n!=u&&r(a,n)&&l.push(n);for(;t.length>s;)r(a,n=t[s++])&&(~i(l,n)||l.push(n));return l};},function(e,t,n){var r=n(25),o=Math.max,i=Math.min;e.exports=function(e,t){return (e=r(e))<0?o(e+t,0):i(e,t)};},function(e,t){e.exports=!1;},function(e,t){t.f=Object.getOwnPropertySymbols;},function(e,t){t.f={}.propertyIsEnumerable;},function(e,t,n){var r=n(48);e.exports=function(e,t){return new(r(e))(t)};},function(e,t,n){var r=n(2),o=n(33),i=n(34)("species");e.exports=function(e){var t;return o(e)&&("function"!=typeof(t=e.constructor)||t!==Array&&!o(t.prototype)||(t=void 0),r(t)&&null===(t=t[i])&&(t=void 0)),void 0===t?Array:t};},function(e,t,n){var r=n(0),o=n(32)(2);r(r.P+r.F*!n(13)([].filter,!0),"Array",{filter:function(e){return o(this,e,arguments[1])}});},function(e,t,n){var r=n(0);r(r.S,"Array",{isArray:n(33)});},function(e,t,n){t.__esModule=!0,t.default=void 0,n(14),n(36),n(30),n(31),n(35),n(55),n(58);var r=n(5),o=u(n(60)),i=u(n(61));function u(e){return e&&e.__esModule?e:{default:e}}function a(){return (a=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r]);}return e}).apply(this,arguments)}function s(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}var l={13:"enter",27:"escape",32:"space",38:"up",40:"down"};function c(){return "undefined"!=typeof navigator&&!(!navigator.userAgent.match(/(iPod|iPhone|iPad)/g)||!navigator.userAgent.match(/AppleWebKit/g))}var p=function(e){function t(t){var n;return (n=e.call(this,t)||this).elementReferences={},n.state={focused:null,hovered:null,menuOpen:!1,options:t.defaultValue?[t.defaultValue]:[],query:t.defaultValue,validChoiceMade:!1,selected:null,ariaHint:!0},n.handleComponentBlur=n.handleComponentBlur.bind(s(s(n))),n.handleKeyDown=n.handleKeyDown.bind(s(s(n))),n.handleUpArrow=n.handleUpArrow.bind(s(s(n))),n.handleDownArrow=n.handleDownArrow.bind(s(s(n))),n.handleEnter=n.handleEnter.bind(s(s(n))),n.handlePrintableKey=n.handlePrintableKey.bind(s(s(n))),n.handleListMouseLeave=n.handleListMouseLeave.bind(s(s(n))),n.handleOptionBlur=n.handleOptionBlur.bind(s(s(n))),n.handleOptionClick=n.handleOptionClick.bind(s(s(n))),n.handleOptionFocus=n.handleOptionFocus.bind(s(s(n))),n.handleOptionMouseDown=n.handleOptionMouseDown.bind(s(s(n))),n.handleOptionMouseEnter=n.handleOptionMouseEnter.bind(s(s(n))),n.handleInputBlur=n.handleInputBlur.bind(s(s(n))),n.handleInputChange=n.handleInputChange.bind(s(s(n))),n.handleInputFocus=n.handleInputFocus.bind(s(s(n))),n.pollInputElement=n.pollInputElement.bind(s(s(n))),n.getDirectInputChanges=n.getDirectInputChanges.bind(s(s(n))),n}!function(e,t){e.prototype=Object.create(t.prototype),(e.prototype.constructor=e).__proto__=t;}(t,e);var n=t.prototype;return n.isQueryAnOption=function(e,t){var n=this;return -1!==t.map((function(e){return n.templateInputValue(e).toLowerCase()})).indexOf(e.toLowerCase())},n.componentDidMount=function(){this.pollInputElement();},n.componentWillUnmount=function(){clearTimeout(this.$pollInput);},n.pollInputElement=function(){var e=this;this.getDirectInputChanges(),this.$pollInput=setTimeout((function(){e.pollInputElement();}),100);},n.getDirectInputChanges=function(){var e=this.elementReferences[-1];e&&e.value!==this.state.query&&this.handleInputChange({target:{value:e.value}});},n.componentDidUpdate=function(e,t){var n=this.state.focused,r=null===n,o=t.focused!==n;o&&!r&&this.elementReferences[n].focus();var i=-1===n,u=o&&null===t.focused;if(i&&u){var a=this.elementReferences[n];a.setSelectionRange(0,a.value.length);}},n.hasAutoselect=function(){return !c()&&this.props.autoselect},n.templateInputValue=function(e){var t=this.props.templates&&this.props.templates.inputValue;return t?t(e):e},n.templateSuggestion=function(e){var t=this.props.templates&&this.props.templates.suggestion;return t?t(e):e},n.handleComponentBlur=function(e){var t,n=this.state,r=n.options,o=n.query,i=n.selected;this.props.confirmOnBlur?(t=e.query||o,this.props.onConfirm(r[i])):t=o,this.setState({focused:null,menuOpen:e.menuOpen||!1,query:t,selected:null,validChoiceMade:this.isQueryAnOption(t,r)});},n.handleListMouseLeave=function(e){this.setState({hovered:null});},n.handleOptionBlur=function(e,t){var n=this.state,r=n.focused,o=n.menuOpen,i=n.options,u=n.selected,a=null===e.relatedTarget,s=e.relatedTarget===this.elementReferences[-1],l=r!==t&&-1!==r;if(!l&&a||!l&&!s){var p=o&&c();this.handleComponentBlur({menuOpen:p,query:this.templateInputValue(i[u])});}},n.handleInputBlur=function(e){var t=this.state,n=t.focused,r=t.menuOpen,o=t.options,i=t.query,u=t.selected;if(-1===n){var a=r&&c(),s=c()?i:this.templateInputValue(o[u]);this.handleComponentBlur({menuOpen:a,query:s});}},n.handleInputChange=function(e){var t=this,n=this.props,r=n.minLength,o=n.source,i=n.showAllValues,u=this.hasAutoselect(),a=e.target.value,s=0===a.length,l=this.state.query.length!==a.length,c=a.length>=r;this.setState({query:a,ariaHint:s}),i||!s&&l&&c?o(a,(function(e){var n=0<e.length;t.setState({menuOpen:n,options:e,selected:u&&n?0:-1,validChoiceMade:!1});})):!s&&c||this.setState({menuOpen:!1,options:[]});},n.handleInputClick=function(e){this.handleInputChange(e);},n.handleInputFocus=function(e){var t=this.state,n=t.query,r=t.validChoiceMade,o=t.options,i=this.props.minLength,u=!r&&n.length>=i&&0<o.length;u?this.setState((function(e){var t=e.menuOpen;return {focused:-1,menuOpen:u||t,selected:-1}})):this.setState({focused:-1});},n.handleOptionFocus=function(e){this.setState({focused:e,hovered:null,selected:e});},n.handleOptionMouseEnter=function(e,t){c()||this.setState({hovered:t});},n.handleOptionClick=function(e,t){var n=this.state.options[t],r=this.templateInputValue(n);this.props.onConfirm(n),this.setState({focused:-1,hovered:null,menuOpen:!1,query:r,selected:-1,validChoiceMade:!0}),this.forceUpdate();},n.handleOptionMouseDown=function(e){e.preventDefault();},n.handleUpArrow=function(e){e.preventDefault();var t=this.state,n=t.menuOpen,r=t.selected;-1!==r&&n&&this.handleOptionFocus(r-1);},n.handleDownArrow=function(e){var t=this;if(e.preventDefault(),this.props.showAllValues&&!1===this.state.menuOpen)e.preventDefault(),this.props.source("",(function(e){t.setState({menuOpen:!0,options:e,selected:0,focused:0,hovered:null});}));else if(!0===this.state.menuOpen){var n=this.state,r=n.menuOpen,o=n.options,i=n.selected;i!==o.length-1&&r&&this.handleOptionFocus(i+1);}},n.handleSpace=function(e){var t=this;this.props.showAllValues&&!1===this.state.menuOpen&&""===this.state.query&&(e.preventDefault(),this.props.source("",(function(e){t.setState({menuOpen:!0,options:e});}))),-1!==this.state.focused&&(e.preventDefault(),this.handleOptionClick(e,this.state.focused));},n.handleEnter=function(e){this.state.menuOpen&&(e.preventDefault(),0<=this.state.selected&&this.handleOptionClick(e,this.state.selected));},n.handlePrintableKey=function(e){var t=this.elementReferences[-1];e.target===t||t.focus();},n.handleKeyDown=function(e){switch(l[e.keyCode]){case"up":this.handleUpArrow(e);break;case"down":this.handleDownArrow(e);break;case"space":this.handleSpace(e);break;case"enter":this.handleEnter(e);break;case"escape":this.handleComponentBlur({query:this.state.query});break;default:(function(e){return 47<e&&e<58||32===e||8===e||64<e&&e<91||95<e&&e<112||185<e&&e<193||218<e&&e<223})(e.keyCode)&&this.handlePrintableKey(e);}},n.render=function(){var e,t=this,n=this.props,i=n.cssNamespace,u=n.displayMenu,s=n.id,l=n.minLength,p=n.name,f=n.placeholder,d=n.required,h=n.showAllValues,v=n.tNoResults,m=n.tStatusQueryTooShort,y=n.tStatusNoResults,_=n.tStatusSelectedOption,g=n.tStatusResults,b=n.tAssistiveHint,w=n.dropdownArrow,x=this.state,O=x.focused,C=x.hovered,S=x.menuOpen,E=x.options,M=x.query,N=x.selected,I=x.ariaHint,A=x.validChoiceMade,k=this.hasAutoselect(),j=-1===O,P=0===E.length,L=0!==M.length,T=M.length>=l,B=this.props.showNoOptionsFound&&j&&P&&L&&T,D=i+"__wrapper",F=i+"__input",R=null!==O?" "+F+"--focused":"",U=this.props.showAllValues?" "+F+"--show-all-values":" "+F+"--default",V=i+"__dropdown-arrow-down",q=-1!==O&&null!==O,H=i+"__menu",W=H+"--"+u,K=H+"--"+(S||B?"visible":"hidden"),Q=i+"__option",z=i+"__hint",G=this.templateInputValue(E[N]),$=G&&0===G.toLowerCase().indexOf(M.toLowerCase())&&k?M+G.substr(M.length):"",J=s+"__assistiveHint",X=I?{"aria-describedby":J}:null;return h&&"string"==typeof(e=w({className:V}))&&(e=(0, r.createElement)("div",{className:i+"__dropdown-arrow-down-wrapper",dangerouslySetInnerHTML:{__html:e}})),(0, r.createElement)("div",{className:D,onKeyDown:this.handleKeyDown},(0, r.createElement)(o.default,{id:s,length:E.length,queryLength:M.length,minQueryLength:l,selectedOption:this.templateInputValue(E[N]),selectedOptionIndex:N,validChoiceMade:A,isInFocus:null!==this.state.focused,tQueryTooShort:m,tNoResults:y,tSelectedOption:_,tResults:g}),$&&(0, r.createElement)("span",null,(0, r.createElement)("input",{className:z,readonly:!0,tabIndex:"-1",value:$})),(0, r.createElement)("input",a({"aria-expanded":S?"true":"false","aria-activedescendant":!!q&&s+"__option--"+O,"aria-owns":s+"__listbox","aria-autocomplete":this.hasAutoselect()?"both":"list"},X,{autoComplete:"off",className:""+F+R+U,id:s,onClick:function(e){return t.handleInputClick(e)},onBlur:this.handleInputBlur},function(e){return {onInput:e}}(this.handleInputChange),{onFocus:this.handleInputFocus,name:p,placeholder:f,ref:function(e){t.elementReferences[-1]=e;},type:"text",role:"combobox",required:d,value:M})),e,(0, r.createElement)("ul",{className:H+" "+W+" "+K,onMouseLeave:function(e){return t.handleListMouseLeave(e)},id:s+"__listbox",role:"listbox"},E.map((function(e,n){var o=(-1===O?N===n:O===n)&&null===C?" "+Q+"--focused":"",i=n%2?" "+Q+"--odd":"",u=c()?"<span id="+s+"__option-suffix--"+n+' style="border:0;clip:rect(0 0 0 0);height:1px;marginBottom:-1px;marginRight:-1px;overflow:hidden;padding:0;position:absolute;whiteSpace:nowrap;width:1px"> '+(n+1)+" of "+E.length+"</span>":"";return (0, r.createElement)("li",{"aria-selected":O===n?"true":"false",className:""+Q+o+i,dangerouslySetInnerHTML:{__html:t.templateSuggestion(e)+u},id:s+"__option--"+n,key:n,onBlur:function(e){return t.handleOptionBlur(e,n)},onClick:function(e){return t.handleOptionClick(e,n)},onMouseDown:t.handleOptionMouseDown,onMouseEnter:function(e){return t.handleOptionMouseEnter(e,n)},ref:function(e){t.elementReferences[n]=e;},role:"option",tabIndex:"-1","aria-posinset":n+1,"aria-setsize":E.length})})),B&&(0, r.createElement)("li",{className:Q+" "+Q+"--no-results"},v())),(0, r.createElement)("span",{id:J,style:{display:"none"}},b()))},t}(r.Component);(t.default=p).defaultProps={autoselect:!1,cssNamespace:"autocomplete",defaultValue:"",displayMenu:"inline",minLength:0,name:"input-autocomplete",placeholder:"",onConfirm:function(){},confirmOnBlur:!0,showNoOptionsFound:!0,showAllValues:!1,required:!1,tNoResults:function(){return "No results found"},tAssistiveHint:function(){return "When autocomplete results are available use up and down arrows to review and enter to select.  Touch device users, explore by touch or with swipe gestures."},dropdownArrow:i.default};},function(e,t,n){var r=n(9),o=n(53),i=n(28),u=n(26)("IE_PROTO"),a=function(){},s="prototype",l=function(){var e,t=n(15)("iframe"),r=i.length;for(t.style.display="none",n(54).appendChild(t),t.src="javascript:",(e=t.contentWindow.document).open(),e.write("<script>document.F=Object<\/script>"),e.close(),l=e.F;r--;)delete l[s][i[r]];return l()};e.exports=Object.create||function(e,t){var n;return null!==e?(a[s]=r(e),n=new a,a[s]=null,n[u]=e):n=l(),void 0===t?n:o(n,t)};},function(e,t,n){var r=n(8),o=n(9),i=n(20);e.exports=n(3)?Object.defineProperties:function(e,t){o(e);for(var n,u=i(t),a=u.length,s=0;s<a;)r.f(e,n=u[s++],t[n]);return e};},function(e,t,n){var r=n(1).document;e.exports=r&&r.documentElement;},function(e,t,n){var r=n(0);r(r.P,"Function",{bind:n(56)});},function(e,t,n){var r=n(19),o=n(2),i=n(57),u=[].slice,a={};e.exports=Function.bind||function(e){var t=r(this),n=u.call(arguments,1),s=function(){var r=n.concat(u.call(arguments));return this instanceof s?function(e,t,n){if(!(t in a)){for(var r=[],o=0;o<t;o++)r[o]="a["+o+"]";a[t]=Function("F,a","return new F("+r.join(",")+")");}return a[t](e,n)}(t,r.length,r):i(t,r,e)};return o(t.prototype)&&(s.prototype=t.prototype),s};},function(e,t){e.exports=function(e,t,n){var r=void 0===n;switch(t.length){case 0:return r?e():e.call(n);case 1:return r?e(t[0]):e.call(n,t[0]);case 2:return r?e(t[0],t[1]):e.call(n,t[0],t[1]);case 3:return r?e(t[0],t[1],t[2]):e.call(n,t[0],t[1],t[2]);case 4:return r?e(t[0],t[1],t[2],t[3]):e.call(n,t[0],t[1],t[2],t[3])}return e.apply(n,t)};},function(e,t,n){n(59)("match",1,(function(e,t,n){return [function(n){var r=e(this),o=null==n?void 0:n[t];return void 0!==o?o.call(n,r):new RegExp(n)[t](String(r))},n]}));},function(e,t,n){var r=n(7),o=n(16),i=n(4),u=n(12),a=n(34);e.exports=function(e,t,n){var s=a(e),l=n(u,s,""[e]),c=l[0],p=l[1];i((function(){var t={};return t[s]=function(){return 7},7!=""[e](t)}))&&(o(String.prototype,e,c),r(RegExp.prototype,s,2==t?function(e,t){return p.call(e,this,t)}:function(e){return p.call(e,this)}));};},function(e,t,n){t.__esModule=!0,t.default=void 0,n(36);var r=n(5),o=function(e){function t(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return (t=e.call.apply(e,[this].concat(r))||this).state={bump:!1,debounced:!1},t}!function(e,t){e.prototype=Object.create(t.prototype),(e.prototype.constructor=e).__proto__=t;}(t,e);var n=t.prototype;return n.componentWillMount=function(){var e=this;this.debounceStatusUpdate=function(e,t,n){var r;return function(){var o=this,i=arguments,u=n&&!r;clearTimeout(r),r=setTimeout((function(){r=null,n||e.apply(o,i);}),t),u&&e.apply(o,i);}}((function(){if(!e.state.debounced){var t=!e.props.isInFocus||e.props.validChoiceMade;e.setState((function(e){return {bump:!e.bump,debounced:!0,silenced:t}}));}}),1400);},n.componentWillReceiveProps=function(e){e.queryLength,this.setState({debounced:!1});},n.render=function(){var e,t=this.props,n=t.id,o=t.length,i=t.queryLength,u=t.minQueryLength,a=t.selectedOption,s=t.selectedOptionIndex,l=t.tQueryTooShort,c=t.tNoResults,p=t.tSelectedOption,f=t.tResults,d=this.state,h=d.bump,v=d.debounced,m=d.silenced,y=i<u,_=0===o,g=a?p(a,o,s):"";return e=y?l(u):_?c():f(o,g),this.debounceStatusUpdate(),(0, r.createElement)("div",{style:{border:"0",clip:"rect(0 0 0 0)",height:"1px",marginBottom:"-1px",marginRight:"-1px",overflow:"hidden",padding:"0",position:"absolute",whiteSpace:"nowrap",width:"1px"}},(0, r.createElement)("div",{id:n+"__status--A",role:"status","aria-atomic":"true","aria-live":"polite"},!m&&v&&h?e:""),(0, r.createElement)("div",{id:n+"__status--B",role:"status","aria-atomic":"true","aria-live":"polite"},m||!v||h?"":e))},t}(r.Component);(t.default=o).defaultProps={tQueryTooShort:function(e){return "Type in "+e+" or more characters for results"},tNoResults:function(){return "No search results"},tSelectedOption:function(e,t,n){return e+" "+(n+1)+" of "+t+" is highlighted"},tResults:function(e,t){return e+" "+(1===e?"result":"results")+" "+(1===e?"is":"are")+" available. "+t}};},function(e,t,n){t.__esModule=!0,t.default=void 0;var r=n(5);t.default=function(e){var t=e.className;return (0, r.createElement)("svg",{version:"1.1",xmlns:"http://www.w3.org/2000/svg",className:t,focusable:"false"},(0, r.createElement)("g",{stroke:"none",fill:"none","fill-rule":"evenodd"},(0, r.createElement)("polygon",{fill:"#000000",points:"0 0 22 0 11 17"})))};}]).default},e.exports=n();}));const accessibleAutocomplete = unwrapExports(accessibleAutocomplete_min);

    const NAME$q="selectautocomplete";class SelectAutocomplete extends BaseComponent{constructor(e,t){super(e),this._config=t,this._enhance();}static get NAME(){return NAME$q}_enhance(){accessibleAutocomplete.enhanceSelectElement(Object.assign({},{selectElement:this._element},this._config));}}const SelectAutocomplete$1 = SelectAutocomplete;

    const NAME$p="inputsearchautocomplete",DATA_KEY$h="bs.inputsearchautocomplete",EVENT_KEY$i=`.${DATA_KEY$h}`,Default$i={autocomplete:[]},EVENT_KEYUP$1=`keyup${EVENT_KEY$i}`,EVENT_KEYUP_DATA_API$3=`keyup${EVENT_KEY$i}.data-api`,EVENT_MOUSEDOWN_DATA_API$1=`mousedown${EVENT_KEY$i}.data-api`,CLASS_NAME_SHOW$1="autocomplete-list-show",DATA_AUTOCOMPLETE="data-bs-autocomplete",SELECTOR_SEARCH='input[data-bs-autocomplete][type="search"]';class InputSearch extends BaseComponent{constructor(e,t){super(e),this._config=this._getConfig(t),this._items=[],this._autocompleteElement=null,this._label=new InputLabel$1(e),this._init(),this._bindEvents();}static get NAME(){return NAME$p}search(){const e=this._element.value;
    //!!! $autocomplete.empty()
    this._autocompleteElement.innerHTML="",e?this._items.forEach((t=>{let n=new RegExp("("+e+")","gi"),a=t.text.replace(n,"<mark>$1</mark>"),o=t.label?"<em>"+t.label+"</em>":"",s=t.icon?t.icon:"",l=t.link?t.link:"#";-1!==a.toLowerCase().indexOf(e.toLowerCase())&&(this._autocompleteElement.classList.add(CLASS_NAME_SHOW$1),this._autocompleteElement.appendChild(this._createOption(l,a,o,s)));})):this._autocompleteElement.classList.remove(CLASS_NAME_SHOW$1);}_getConfig(e){return e={...Default$i,..."object"==typeof e?e:{}}}_getItems(){try{return JSON.parse(this._element.getAttribute(DATA_AUTOCOMPLETE))}catch(e){return console.error("[InputSearchAutocomplete] invalid data provided for data-bs-autocomplete attribute",e),[]}}_init(){this._element.classList.contains("autocomplete")&&(this._items=this._getItems(),this._autocompleteElement=document.createElement("ul"),this._autocompleteElement.classList.add("autocomplete-list"),this._element.parentNode.insertBefore(this._autocompleteElement,this._element.nextSibling));}_bindEvents(){EventHandler$1.on(this._element,EVENT_KEYUP$1,(()=>this.search()));}_createOption(e,t,n,a){const o=document.createElement("li");return o.innerHTML=`<a href="${e}">\n        ${a}\n        <span class="autocomplete-list-text">\n          <span>${t}</span>\n          ${n}\n        </span>\n      </a>`,o}}const createInput$2=e=>e&&e.matches(SELECTOR_SEARCH)?InputSearch.getOrCreateInstance(e):null;EventHandler$1.on(document,EVENT_MOUSEDOWN_DATA_API$1,SELECTOR_SEARCH+", label",(function(){const e=InputLabel$1.getInputFromLabel(this)||this;createInput$2(e);})),EventHandler$1.on(document,EVENT_KEYUP_DATA_API$3,SELECTOR_SEARCH+", label",(function(){const e=InputLabel$1.getInputFromLabel(this)||this,t=createInput$2(e);t&&t._label&&t._label._labelOut();}));const InputSearchAutocomplete = InputSearch;

    const NAME$o="inputpassword",DATA_KEY$g="bs.inputpassword",EVENT_KEY$h=`.${DATA_KEY$g}`,Default$h={shortPass:"Password molto debole",badPass:"Password debole",goodPass:"Password sicura",strongPass:"Password molto sicura",enterPass:"Inserisci almeno 8 caratteri e una lettera maiuscola",alertCaps:"CAPS LOCK inserito",showText:!0,minimumLength:4},EVENT_CLICK$6=`click${EVENT_KEY$h}`,EVENT_KEYUP=`keyup${EVENT_KEY$h}`,EVENT_KEYDOWN$2=`keydown${EVENT_KEY$h}`,EVENT_KEYPRESS=`keypress${EVENT_KEY$h}`,EVENT_SCORE=`score${EVENT_KEY$h}`,EVENT_TEXT=`text${EVENT_KEY$h}`,EVENT_CLICK_DATA_API$b=`click${EVENT_KEY$h}.data-api`,EVENT_MOUSEDOWN_DATA_API=`mousedown${EVENT_KEY$h}.data-api`,EVENT_KEYUP_DATA_API$2=`keyup${EVENT_KEY$h}.data-api`,SELECTOR_PASSWORD='input[data-bs-input][type="password"]',SELECTOR_METER=".password-strength-meter",SELECTOR_CAPS=".password-caps";class InputPassword extends BaseComponent{constructor(t,e){super(t),this._config=this._getConfig(e),this._isCustom=this._element.classList.contains("input-password"),this._meter=this._element.parentNode.querySelector(SELECTOR_METER),this._isShiftPressed=!1,this._isCapsOn=!1,this._grayBarElement=null,this._colorBarElement=null,this._textElement=null,this._capsElement=null,this._showPwdElement=null,this._text={},this._label=new InputLabel$1(t),this._init(),this._bindEvents();}static get NAME(){return NAME$o}_getConfig(t){return t={...Default$h,...Manipulator.getDataAttributes(this._element),..."object"==typeof t?t:{}}}_init(){this._meter&&(this._grayBarElement=this._meter.querySelector(".password-meter"),this._colorBarElement=this._meter.querySelector(".progress-bar"),this._textElement=this._meter.querySelector(".form-text"),this._textElement&&(this._config=Object.assign({},this._config,{...Manipulator.getDataAttributes(this._textElement)},{enterPass:this._textElement.innerText}))),this._isCustom&&(this._capsElement=this._element.parentNode.querySelector(SELECTOR_CAPS)),this._showPwdElement=SelectorEngine$1.findOne(".password-icon",this._element.parentNode);}_bindEvents(){this._meter&&EventHandler$1.on(this._element,EVENT_KEYUP,(()=>this._checkPassword())),this._isCustom&&(EventHandler$1.on(this._element,EVENT_KEYDOWN$2,(t=>{"Shift"===t.key&&(this._isShiftPressed=!0);})),EventHandler$1.on(this._element,EVENT_KEYUP,(t=>{"Shift"===t.key&&(this._isShiftPressed=!1),"CapsLock"===t.key&&(this._isCapsOn=!this._isCapsOn,this._isCapsOn?this._showCapsMsg():this._hideCapsMsg());})),EventHandler$1.on(this._element,EVENT_KEYPRESS,(t=>{(t.key.match(/[A-Z]$/)||[]).length>0&&!this._isShiftPressed?(this._isCapsOn=!0,this._showCapsMsg()):this._isCapsOn&&(this._isCapsOn=!1,this._hideCapsMsg());}))),this._showPwdElement&&EventHandler$1.on(this._showPwdElement,EVENT_CLICK$6,(()=>this._toggleShowPassword()));}_showCapsMsg(){this._capsElement&&this._capsElement.classList.add("show");}_hideCapsMsg(){this._capsElement&&this._capsElement.classList.remove("show");}_toggleShowPassword(){const t="password"===this._element.getAttribute("type");SelectorEngine$1.find('[class^="password-icon"]',this._showPwdElement).forEach((t=>t.classList.toggle("d-none"))),t?this._element.setAttribute("type","text"):this._element.setAttribute("type","password");}_checkPassword(){const t=this._calculateScore(this._element.value),e=t<0?0:t;if(this._colorBarElement.classList.forEach((t=>{t.match(/(^|\s)bg-\S+/g)&&this._colorBarElement.classList.remove(t);})),this._colorBarElement.classList.add("bg-"+this._scoreColor(t)),this._colorBarElement.style.width=e+"%",this._colorBarElement.setAttribute("aria-valuenow",e),EventHandler$1.trigger(this._element,EVENT_SCORE),this._textElement){let e=this._scoreText(t);0===this._element.value.length&&t<=0&&(e=this._config.enterPass),-1===this._textElement.innerHTML.search(e)&&(this._textElement.innerHTML=e,this._textElement.classList.forEach((t=>{t.match(/(^|\s)text-\S+/g)&&this._textElement.classList.remove(t);})),this._textElement.classList.add("text-"+this._scoreColor(t)),EventHandler$1.trigger(this._element,EVENT_TEXT));}}_scoreText(t){return -1===t||(t=t<0?0:t)<26?this._config.shortPass:t<51?this._config.badPass:t<76?this._config.goodPass:this._config.strongPass}_scoreColor(t){return -1===t?"danger":-2===t?"muted":(t=t<0?0:t)<26?"danger":t<51?"warning":"success"}_calculateScore(t){var e=0;if(0===t.trim().length)return -2;if(t.length<this._config.minimumLength)return -1;e+=4*t.length,e+=this._checkRepetition(1,t).length-t.length,e+=this._checkRepetition(2,t).length-t.length,e+=this._checkRepetition(3,t).length-t.length,e+=this._checkRepetition(4,t).length-t.length,t.match(/(.*[0-9].*[0-9].*[0-9])/)&&(e+=5);var s=".*[!,@,#,$,%,^,&,*,?,_,~]";return s=new RegExp("("+s+s+")"),t.match(s)&&(e+=5),t.match(/([a-z].*[A-Z])|([A-Z].*[a-z])/)&&(e+=10),t.match(/([a-zA-Z])/)&&t.match(/([0-9])/)&&(e+=15),t.match(/([!,@,#,$,%,^,&,*,?,_,~])/)&&t.match(/([0-9])/)&&(e+=15),t.match(/([!,@,#,$,%,^,&,*,?,_,~])/)&&t.match(/([a-zA-Z])/)&&(e+=15),(t.match(/^\w+$/)||t.match(/^\d+$/))&&(e-=10),e>100&&(e=100),e<0&&(e=0),e}_checkRepetition(t,e){for(var s="",n=!1,i=0;i<e.length;i++){n=!0;for(var a=0;a<t&&a+i+t<e.length;a++)n=n&&e.charAt(a+i)===e.charAt(a+i+t);a<t&&(n=!1),n?(i+=t-1,n=!1):s+=e.charAt(i);}return s}}const createInput$1=t=>t&&t.matches(SELECTOR_PASSWORD)?InputPassword.getOrCreateInstance(t):null;EventHandler$1.on(document,EVENT_MOUSEDOWN_DATA_API,SELECTOR_PASSWORD+", label",(function(){const t=InputLabel$1.getInputFromLabel(this)||this;createInput$1(t);})),EventHandler$1.on(document,EVENT_KEYUP_DATA_API$2,SELECTOR_PASSWORD+", label",(function(){const t=InputLabel$1.getInputFromLabel(this)||this,e=createInput$1(t);e&&e._label&&e._label._labelOut();})),EventHandler$1.on(document,EVENT_CLICK_DATA_API$b,".password-icon",(function(){const t=this.parentNode&&this.parentNode.querySelector(SELECTOR_PASSWORD);t&&InputPassword.getOrCreateInstance(t);}));const InputPassword$1 = InputPassword;

    var shifty_node=createCommonjsModule((function(t,e){
    /*! Shifty 2.20.4 - https://github.com/jeremyckahn/shifty */
    var n;n=function(){return (()=>{var t={720:(t,e,n)=>{n.r(e),n.d(e,{Scene:()=>ue,Tweenable:()=>wt,interpolate:()=>ee,processTweens:()=>pt,setBezierFunction:()=>U,shouldScheduleUpdate:()=>_t,tween:()=>Ot,unsetBezierFunction:()=>G});var r={};n.r(r),n.d(r,{bounce:()=>D,bouncePast:()=>q,easeFrom:()=>B,easeFromTo:()=>Q,easeInBack:()=>E,easeInCirc:()=>j,easeInCubic:()=>c,easeInExpo:()=>w,easeInOutBack:()=>T,easeInOutCirc:()=>P,easeInOutCubic:()=>l,easeInOutExpo:()=>S,easeInOutQuad:()=>s,easeInOutQuart:()=>v,easeInOutQuint:()=>m,easeInOutSine:()=>b,easeInQuad:()=>a,easeInQuart:()=>h,easeInQuint:()=>y,easeInSine:()=>d,easeOutBack:()=>A,easeOutBounce:()=>M,easeOutCirc:()=>k,easeOutCubic:()=>f,easeOutExpo:()=>O,easeOutQuad:()=>u,easeOutQuart:()=>p,easeOutQuint:()=>_,easeOutSine:()=>g,easeTo:()=>H,elastic:()=>I,linear:()=>o,swingFrom:()=>F,swingFromTo:()=>x,swingTo:()=>C});var i={};n.r(i),n.d(i,{afterTween:()=>Kt,beforeTween:()=>Jt,doesApply:()=>Vt,tweenCreated:()=>Wt});
    /*!
     * All equations are adapted from Thomas Fuchs'
     * [Scripty2](https://github.com/madrobby/scripty2/blob/master/src/effects/transitions/penner.js).
     *
     * Based on Easing Equations (c) 2003 [Robert
     * Penner](http://www.robertpenner.com/), all rights reserved. This work is
     * [subject to terms](http://www.robertpenner.com/easing_terms_of_use.html).
     */
    /*!
     *  TERMS OF USE - EASING EQUATIONS
     *  Open source under the BSD License.
     *  Easing Equations (c) 2003 Robert Penner, all rights reserved.
     */
    var o=function(t){return t},a=function(t){return Math.pow(t,2)},u=function(t){return -(Math.pow(t-1,2)-1)},s=function(t){return (t/=.5)<1?.5*Math.pow(t,2):-.5*((t-=2)*t-2)},c=function(t){return Math.pow(t,3)},f=function(t){return Math.pow(t-1,3)+1},l=function(t){return (t/=.5)<1?.5*Math.pow(t,3):.5*(Math.pow(t-2,3)+2)},h=function(t){return Math.pow(t,4)},p=function(t){return -(Math.pow(t-1,4)-1)},v=function(t){return (t/=.5)<1?.5*Math.pow(t,4):-.5*((t-=2)*Math.pow(t,3)-2)},y=function(t){return Math.pow(t,5)},_=function(t){return Math.pow(t-1,5)+1},m=function(t){return (t/=.5)<1?.5*Math.pow(t,5):.5*(Math.pow(t-2,5)+2)},d=function(t){return 1-Math.cos(t*(Math.PI/2))},g=function(t){return Math.sin(t*(Math.PI/2))},b=function(t){return -.5*(Math.cos(Math.PI*t)-1)},w=function(t){return 0===t?0:Math.pow(2,10*(t-1))},O=function(t){return 1===t?1:1-Math.pow(2,-10*t)},S=function(t){return 0===t?0:1===t?1:(t/=.5)<1?.5*Math.pow(2,10*(t-1)):.5*(2-Math.pow(2,-10*--t))},j=function(t){return -(Math.sqrt(1-t*t)-1)},k=function(t){return Math.sqrt(1-Math.pow(t-1,2))},P=function(t){return (t/=.5)<1?-.5*(Math.sqrt(1-t*t)-1):.5*(Math.sqrt(1-(t-=2)*t)+1)},M=function(t){return t<1/2.75?7.5625*t*t:t<2/2.75?7.5625*(t-=1.5/2.75)*t+.75:t<2.5/2.75?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375},E=function(t){var e=1.70158;return t*t*((e+1)*t-e)},A=function(t){var e=1.70158;return (t-=1)*t*((e+1)*t+e)+1},T=function(t){var e=1.70158;return (t/=.5)<1?t*t*((1+(e*=1.525))*t-e)*.5:.5*((t-=2)*t*((1+(e*=1.525))*t+e)+2)},I=function(t){return -1*Math.pow(4,-8*t)*Math.sin((6*t-1)*(2*Math.PI)/2)+1},x=function(t){var e=1.70158;return (t/=.5)<1?t*t*((1+(e*=1.525))*t-e)*.5:.5*((t-=2)*t*((1+(e*=1.525))*t+e)+2)},F=function(t){var e=1.70158;return t*t*((e+1)*t-e)},C=function(t){var e=1.70158;return (t-=1)*t*((e+1)*t+e)+1},D=function(t){return t<1/2.75?7.5625*t*t:t<2/2.75?7.5625*(t-=1.5/2.75)*t+.75:t<2.5/2.75?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375},q=function(t){return t<1/2.75?7.5625*t*t:t<2/2.75?2-(7.5625*(t-=1.5/2.75)*t+.75):t<2.5/2.75?2-(7.5625*(t-=2.25/2.75)*t+.9375):2-(7.5625*(t-=2.625/2.75)*t+.984375)},Q=function(t){return (t/=.5)<1?.5*Math.pow(t,4):-.5*((t-=2)*Math.pow(t,3)-2)},B=function(t){return Math.pow(t,4)},H=function(t){return Math.pow(t,.25)};function N(t,e,n,r,i,o){var a,u,s=0,c=0,f=0,l=0,h=0,p=0,v=function(t){return ((s*t+c)*t+f)*t},y=function(t){return (3*s*t+2*c)*t+f},_=function(t){return t>=0?t:0-t};return s=1-(f=3*e)-(c=3*(r-e)-f),l=1-(p=3*n)-(h=3*(i-n)-p),a=t,u=function(t){return 1/(200*t)}(o),function(t){return ((l*t+h)*t+p)*t}(function(t,e){var n,r,i,o,a,u;for(i=t,u=0;u<8;u++){if(o=v(i)-t,_(o)<e)return i;if(a=y(i),_(a)<1e-6)break;i-=o/a;}if((i=t)<(n=0))return n;if(i>(r=1))return r;for(;n<r;){if(o=v(i),_(o-t)<e)return i;t>o?n=i:r=i,i=.5*(r-n)+n;}return i}(a,u))}var R,z=function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:.25,e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:.25,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:.75,r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:.75;return function(i){return N(i,t,e,n,r,1)}},U=function(t,e,n,r,i){var o=z(e,n,r,i);return o.displayName=t,o.x1=e,o.y1=n,o.x2=r,o.y2=i,wt.formulas[t]=o},G=function(t){return delete wt.formulas[t]};function $(t,e){for(var n=0;n<e.length;n++){var r=e[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(t,r.key,r);}}function L(t){return L="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},L(t)}function V(t){return function(t){if(Array.isArray(t))return W(t)}(t)||function(t){if("undefined"!=typeof Symbol&&Symbol.iterator in Object(t))return Array.from(t)}(t)||function(t,e){if(t){if("string"==typeof t)return W(t,e);var n=Object.prototype.toString.call(t).slice(8,-1);return "Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Array.from(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?W(t,e):void 0}}(t)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function W(t,e){(null==e||e>t.length)&&(e=t.length);for(var n=0,r=new Array(e);n<e;n++)r[n]=t[n];return r}function J(t,e){var n=Object.keys(t);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(t);e&&(r=r.filter((function(e){return Object.getOwnPropertyDescriptor(t,e).enumerable}))),n.push.apply(n,r);}return n}function K(t){for(var e=1;e<arguments.length;e++){var n=null!=arguments[e]?arguments[e]:{};e%2?J(Object(n),!0).forEach((function(e){X(t,e,n[e]);})):Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):J(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e));}));}return t}function X(t,e,n){return e in t?Object.defineProperty(t,e,{value:n,enumerable:!0,configurable:!0,writable:!0}):t[e]=n,t}var Y,Z,tt,et="linear",nt="undefined"!=typeof window?window:commonjsGlobal,rt="afterTween",it="beforeTween",ot="string",at=nt.requestAnimationFrame||nt.webkitRequestAnimationFrame||nt.oRequestAnimationFrame||nt.msRequestAnimationFrame||nt.mozCancelRequestAnimationFrame&&nt.mozRequestAnimationFrame||setTimeout,ut=function(){},st=null,ct=null,ft=K({},r),lt=function(t,e,n,r,i,o,a){var u,s,c,f=t<o?0:(t-o)/i,l=!1;for(var h in a&&a.call&&(l=!0,u=a(f)),e)l||(u=((s=a[h]).call?s:ft[s])(f)),c=n[h],e[h]=c+(r[h]-c)*u;return e},ht=function(t,e){var n=t._timestamp,r=t._currentState,i=t._delay;if(!(e<n+i)){var o=t._duration,a=t._targetState,u=n+i+o,s=e>u?u:e;t._hasEnded=s>=u;var c=o-(u-s),f=t._filters.length>0;if(t._hasEnded)return t._render(a,t._data,c),t.stop(!0);f&&t._applyFilter(it),s<n+i?n=o=s=1:n+=i,lt(s,r,t._originalState,a,o,n,t._easing),f&&t._applyFilter(rt),t._render(r,t._data,c);}},pt=function(){for(var t,e=wt.now(),n=st;n;)t=n._next,ht(n,e),n=t;},vt=Date.now||function(){return +new Date},yt=!1,_t=function(t){t&&yt||(yt=t,t&&mt());},mt=function t(){Y=vt(),yt&&at.call(nt,t,16.666666666666668),pt();},dt=function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:et,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};if(Array.isArray(e))return z.apply(void 0,V(e));var r=L(e);if(ft[e])return ft[e];if(r===ot||"function"===r)for(var i in t)n[i]=e;else for(var o in t)n[o]=e[o]||et;return n},gt=function(t){t===st?(st=t._next)?st._previous=null:ct=null:t===ct?(ct=t._previous)?ct._next=null:st=null:(Z=t._previous,tt=t._next,Z._next=tt,tt._previous=Z),t._previous=t._next=null;},bt="function"==typeof Promise?Promise:null;R=Symbol.toStringTag;var wt=function(){function t(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:void 0;!function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}(this,t),X(this,R,"Promise"),this._config={},this._data={},this._delay=0,this._filters=[],this._next=null,this._previous=null,this._timestamp=null,this._hasEnded=!1,this._resolve=null,this._reject=null,this._currentState=e||{},this._originalState={},this._targetState={},this._start=ut,this._render=ut,this._promiseCtor=bt,n&&this.setConfig(n);}var e,n;return e=t,n=[{key:"_applyFilter",value:function(t){for(var e=this._filters.length;e>0;e--){var n=this._filters[e-e][t];n&&n(this);}}},{key:"tween",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:void 0;return this._isPlaying&&this.stop(),!e&&this._config||this.setConfig(e),this._pausedAtTime=null,this._timestamp=t.now(),this._start(this.get(),this._data),this._delay&&this._render(this._currentState,this._data,0),this._resume(this._timestamp)}},{key:"setConfig",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=this._config;for(var r in e)n[r]=e[r];var i=n.promise,o=void 0===i?this._promiseCtor:i,a=n.start,u=void 0===a?ut:a,s=n.finish,c=n.render,f=void 0===c?this._config.step||ut:c,l=n.step,h=void 0===l?ut:l;this._data=n.data||n.attachment||this._data,this._isPlaying=!1,this._pausedAtTime=null,this._scheduleId=null,this._delay=e.delay||0,this._start=u,this._render=f||h,this._duration=n.duration||500,this._promiseCtor=o,s&&(this._resolve=s);var p=e.from,v=e.to,y=void 0===v?{}:v,_=this._currentState,m=this._originalState,d=this._targetState;for(var g in p)_[g]=p[g];var b=!1;for(var w in _){var O=_[w];b||L(O)!==ot||(b=!0),m[w]=O,d[w]=y.hasOwnProperty(w)?y[w]:O;}if(this._easing=dt(this._currentState,n.easing,this._easing),this._filters.length=0,b){for(var S in t.filters)t.filters[S].doesApply(this)&&this._filters.push(t.filters[S]);this._applyFilter("tweenCreated");}return this}},{key:"then",value:function(t,e){var n=this;return this._promise=new this._promiseCtor((function(t,e){n._resolve=t,n._reject=e;})),this._promise.then(t,e)}},{key:"catch",value:function(t){return this.then().catch(t)}},{key:"finally",value:function(t){return this.then().finally(t)}},{key:"get",value:function(){return K({},this._currentState)}},{key:"set",value:function(t){this._currentState=t;}},{key:"pause",value:function(){if(this._isPlaying)return this._pausedAtTime=t.now(),this._isPlaying=!1,gt(this),this}},{key:"resume",value:function(){return this._resume()}},{key:"_resume",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:t.now();return null===this._timestamp?this.tween():this._isPlaying?this._promise:(this._pausedAtTime&&(this._timestamp+=e-this._pausedAtTime,this._pausedAtTime=null),this._isPlaying=!0,null===st?(st=this,ct=this):(this._previous=ct,ct._next=this,ct=this),this)}},{key:"seek",value:function(e){e=Math.max(e,0);var n=t.now();return this._timestamp+e===0||(this._timestamp=n-e,ht(this,n)),this}},{key:"stop",value:function(){var t=arguments.length>0&&void 0!==arguments[0]&&arguments[0];if(!this._isPlaying)return this;this._isPlaying=!1,gt(this);var e=this._filters.length>0;return t&&(e&&this._applyFilter(it),lt(1,this._currentState,this._originalState,this._targetState,1,0,this._easing),e&&(this._applyFilter(rt),this._applyFilter("afterTweenEnd"))),this._resolve&&this._resolve({data:this._data,state:this._currentState,tweenable:this}),this._resolve=null,this._reject=null,this}},{key:"cancel",value:function(){var t=arguments.length>0&&void 0!==arguments[0]&&arguments[0],e=this._currentState,n=this._data;return this._isPlaying?(this._reject&&this._reject({data:n,state:e,tweenable:this}),this._resolve=null,this._reject=null,this.stop(t)):this}},{key:"isPlaying",value:function(){return this._isPlaying}},{key:"hasEnded",value:function(){return this._hasEnded}},{key:"setScheduleFunction",value:function(e){t.setScheduleFunction(e);}},{key:"data",value:function(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;return t&&(this._data=K({},t)),this._data}},{key:"dispose",value:function(){for(var t in this)delete this[t];}}],n&&$(e.prototype,n),t}();function Ot(){var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},e=new wt;return e.tween(t),e.tweenable=e,e}X(wt,"now",(function(){return Y})),X(wt,"setScheduleFunction",(function(t){return at=t})),X(wt,"filters",{}),X(wt,"formulas",ft),_t(!0);var St,jt,kt=/(\d|-|\.)/,Pt=/([^\-0-9.]+)/g,Mt=/[0-9.-]+/g,Et=(St=Mt.source,jt=/,\s*/.source,new RegExp("rgba?\\(".concat(St).concat(jt).concat(St).concat(jt).concat(St,"(").concat(jt).concat(St,")?\\)"),"g")),At=/^.*\(/,Tt=/#([0-9]|[a-f]){3,6}/gi,It="VAL",xt=function(t,e){return t.map((function(t,n){return "_".concat(e,"_").concat(n)}))};function Ft(t){return parseInt(t,16)}var Ct=function(t){return "rgb(".concat((e=t,3===(e=e.replace(/#/,"")).length&&(e=(e=e.split(""))[0]+e[0]+e[1]+e[1]+e[2]+e[2]),[Ft(e.substr(0,2)),Ft(e.substr(2,2)),Ft(e.substr(4,2))]).join(","),")");var e;},Dt=function(t,e,n){var r=e.match(t),i=e.replace(t,It);return r&&r.forEach((function(t){return i=i.replace(It,n(t))})),i},qt=function(t){for(var e in t){var n=t[e];"string"==typeof n&&n.match(Tt)&&(t[e]=Dt(Tt,n,Ct));}},Qt=function(t){var e=t.match(Mt),n=e.slice(0,3).map(Math.floor),r=t.match(At)[0];if(3===e.length)return "".concat(r).concat(n.join(","),")");if(4===e.length)return "".concat(r).concat(n.join(","),",").concat(e[3],")");throw new Error("Invalid rgbChunk: ".concat(t))},Bt=function(t){return t.match(Mt)},Ht=function(t){var e,n,r={};for(var i in t){var o=t[i];"string"==typeof o&&(r[i]={formatString:(e=o,n=void 0,n=e.match(Pt),n?(1===n.length||e.charAt(0).match(kt))&&n.unshift(""):n=["",""],n.join(It)),chunkNames:xt(Bt(o),i)});}return r},Nt=function(t,e){var n=function(n){Bt(t[n]).forEach((function(r,i){return t[e[n].chunkNames[i]]=+r})),delete t[n];};for(var r in e)n(r);},Rt=function(t,e){var n={};return e.forEach((function(e){n[e]=t[e],delete t[e];})),n},zt=function(t,e){return e.map((function(e){return t[e]}))},Ut=function(t,e){return e.forEach((function(e){return t=t.replace(It,+e.toFixed(4))})),t},Gt=function(t,e){for(var n in e){var r=e[n],i=r.chunkNames,o=r.formatString,a=Ut(o,zt(Rt(t,i),i));t[n]=Dt(Et,a,Qt);}},$t=function(t,e){var n=function(n){var r=e[n].chunkNames,i=t[n];if("string"==typeof i){var o=i.split(" "),a=o[o.length-1];r.forEach((function(e,n){return t[e]=o[n]||a}));}else r.forEach((function(e){return t[e]=i}));delete t[n];};for(var r in e)n(r);},Lt=function(t,e){for(var n in e){var r=e[n].chunkNames,i=t[r[0]];t[n]="string"==typeof i?r.map((function(e){var n=t[e];return delete t[e],n})).join(" "):i;}},Vt=function(t){for(var e in t._currentState)if("string"==typeof t._currentState[e])return !0;return !1};function Wt(t){var e=t._currentState;[e,t._originalState,t._targetState].forEach(qt),t._tokenData=Ht(e);}function Jt(t){var e=t._currentState,n=t._originalState,r=t._targetState,i=t._easing,o=t._tokenData;$t(i,o),[e,n,r].forEach((function(t){return Nt(t,o)}));}function Kt(t){var e=t._currentState,n=t._originalState,r=t._targetState,i=t._easing,o=t._tokenData;[e,n,r].forEach((function(t){return Gt(t,o)})),Lt(i,o);}function Xt(t,e){var n=Object.keys(t);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(t);e&&(r=r.filter((function(e){return Object.getOwnPropertyDescriptor(t,e).enumerable}))),n.push.apply(n,r);}return n}function Yt(t,e,n){return e in t?Object.defineProperty(t,e,{value:n,enumerable:!0,configurable:!0,writable:!0}):t[e]=n,t}var Zt=new wt,te=wt.filters,ee=function(t,e,n,r){var i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:0,o=function(t){for(var e=1;e<arguments.length;e++){var n=null!=arguments[e]?arguments[e]:{};e%2?Xt(Object(n),!0).forEach((function(e){Yt(t,e,n[e]);})):Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):Xt(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e));}));}return t}({},t),a=dt(t,r);for(var u in Zt._filters.length=0,Zt.set({}),Zt._currentState=o,Zt._originalState=t,Zt._targetState=e,Zt._easing=a,te)te[u].doesApply(Zt)&&Zt._filters.push(te[u]);Zt._applyFilter("tweenCreated"),Zt._applyFilter("beforeTween");var s=lt(n,o,t,e,1,i,a);return Zt._applyFilter("afterTween"),s};function ne(t){return function(t){if(Array.isArray(t))return re(t)}(t)||function(t){if("undefined"!=typeof Symbol&&Symbol.iterator in Object(t))return Array.from(t)}(t)||function(t,e){if(t){if("string"==typeof t)return re(t,e);var n=Object.prototype.toString.call(t).slice(8,-1);return "Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Array.from(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?re(t,e):void 0}}(t)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function re(t,e){(null==e||e>t.length)&&(e=t.length);for(var n=0,r=new Array(e);n<e;n++)r[n]=t[n];return r}function ie(t,e){for(var n=0;n<e.length;n++){var r=e[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(t,r.key,r);}}function oe(t,e){var n=e.get(t);if(!n)throw new TypeError("attempted to get private field on non-instance");return n.get?n.get.call(t):n.value}var ae=new WeakMap,ue=function(){function t(){!function(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}(this,t),ae.set(this,{writable:!0,value:[]});for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];n.forEach(this.add.bind(this));}var e,n;return e=t,(n=[{key:"add",value:function(t){return oe(this,ae).push(t),t}},{key:"remove",value:function(t){var e=oe(this,ae).indexOf(t);return ~e&&oe(this,ae).splice(e,1),t}},{key:"empty",value:function(){return this.tweenables.map(this.remove.bind(this))}},{key:"isPlaying",value:function(){return oe(this,ae).some((function(t){return t.isPlaying()}))}},{key:"play",value:function(){return oe(this,ae).forEach((function(t){return t.tween()})),this}},{key:"pause",value:function(){return oe(this,ae).forEach((function(t){return t.pause()})),this}},{key:"resume",value:function(){return this.playingTweenables.forEach((function(t){return t.resume()})),this}},{key:"stop",value:function(t){return oe(this,ae).forEach((function(e){return e.stop(t)})),this}},{key:"tweenables",get:function(){return ne(oe(this,ae))}},{key:"playingTweenables",get:function(){return oe(this,ae).filter((function(t){return !t.hasEnded()}))}},{key:"promises",get:function(){return oe(this,ae).map((function(t){return t.then()}))}}])&&ie(e.prototype,n),t}();wt.filters.token=i;}},e={};function n(r){if(e[r])return e[r].exports;var i=e[r]={exports:{}};return t[r](i,i.exports,n),i.exports}return n.d=(t,e)=>{for(var r in e)n.o(e,r)&&!n.o(t,r)&&Object.defineProperty(t,r,{enumerable:!0,get:e[r]});},n.o=(t,e)=>Object.prototype.hasOwnProperty.call(t,e),n.r=t=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0});},n(720)})()},t.exports=n();}));unwrapExports(shifty_node);

    var PREFIXES="Webkit Moz O ms".split(" "),FLOAT_COMPARISON_EPSILON=.001;function extend(t,e,i){for(var r in t=t||{},i=i||!1,e=e||{})if(e.hasOwnProperty(r)){var s=t[r],l=e[r];i&&isObject(s)&&isObject(l)?t[r]=extend(s,l,i):t[r]=l;}return t}function render(t,e){var i=t;for(var r in e)if(e.hasOwnProperty(r)){var s=e[r],l=new RegExp("\\{"+r+"\\}","g");i=i.replace(l,s);}return i}function setStyle(t,e,i){for(var r=t.style,s=0;s<PREFIXES.length;++s){r[PREFIXES[s]+capitalize(e)]=i;}r[e]=i;}function setStyles(t,e){forEachObject(e,(function(e,i){null!=e&&(isObject(e)&&!0===e.prefix?setStyle(t,i,e.value):t.style[i]=e);}));}function capitalize(t){return t.charAt(0).toUpperCase()+t.slice(1)}function isString(t){return "string"==typeof t||t instanceof String}function isFunction(t){return "function"==typeof t}function isArray(t){return "[object Array]"===Object.prototype.toString.call(t)}function isObject(t){return !isArray(t)&&("object"===typeof t&&!!t)}function forEachObject(t,e){for(var i in t){if(t.hasOwnProperty(i))e(t[i],i);}}function floatEquals(t,e){return Math.abs(t-e)<FLOAT_COMPARISON_EPSILON}function removeChildren(t){for(;t.firstChild;)t.removeChild(t.firstChild);}var utils$1={extend:extend,render:render,setStyle:setStyle,setStyles:setStyles,capitalize:capitalize,isString:isString,isFunction:isFunction,isObject:isObject,forEachObject:forEachObject,floatEquals:floatEquals,removeChildren:removeChildren};

    var Tweenable=shifty_node.Tweenable,EASING_ALIASES={easeIn:"easeInCubic",easeOut:"easeOutCubic",easeInOut:"easeInOutCubic"},Path=function t(e,s){if(!(this instanceof t))throw new Error("Constructor was called without new keyword");var o;s=utils$1.extend({delay:0,duration:800,easing:"linear",from:{},to:{},step:function(){}},s),o=utils$1.isString(e)?document.querySelector(e):e,this.path=o,this._opts=s,this._tweenable=null;var i=this.path.getTotalLength();this.path.style.strokeDasharray=i+" "+i,this.set(0);};Path.prototype.value=function(){var t=this._getComputedDashOffset(),e=this.path.getTotalLength();return parseFloat((1-t/e).toFixed(6),10)},Path.prototype.set=function(t){this.stop(),this.path.style.strokeDashoffset=this._progressToOffset(t);var e=this._opts.step;if(utils$1.isFunction(e)){var s=this._easing(this._opts.easing);e(this._calculateTo(t,s),this._opts.shape||this,this._opts.attachment);}},Path.prototype.stop=function(){this._stopTween(),this.path.style.strokeDashoffset=this._getComputedDashOffset();},Path.prototype.animate=function(t,e,s){e=e||{},utils$1.isFunction(e)&&(s=e,e={});var o=utils$1.extend({},e),i=utils$1.extend({},this._opts);e=utils$1.extend(i,e);var a=this._easing(e.easing),n=this._resolveFromAndTo(t,a,o);this.stop(),this.path.getBoundingClientRect();var r=this._getComputedDashOffset(),h=this._progressToOffset(t),p=this;this._tweenable=new Tweenable,this._tweenable.tween({from:utils$1.extend({offset:r},n.from),to:utils$1.extend({offset:h},n.to),duration:e.duration,delay:e.delay,easing:a,step:function(t){p.path.style.strokeDashoffset=t.offset;var s=e.shape||p;e.step(t,s,e.attachment);}}).then((function(t){utils$1.isFunction(s)&&s();}));},Path.prototype._getComputedDashOffset=function(){var t=window.getComputedStyle(this.path,null);return parseFloat(t.getPropertyValue("stroke-dashoffset"),10)},Path.prototype._progressToOffset=function(t){var e=this.path.getTotalLength();return e-t*e},Path.prototype._resolveFromAndTo=function(t,e,s){return s.from&&s.to?{from:s.from,to:s.to}:{from:this._calculateFrom(e),to:this._calculateTo(t,e)}},Path.prototype._calculateFrom=function(t){return shifty_node.interpolate(this._opts.from,this._opts.to,this.value(),t)},Path.prototype._calculateTo=function(t,e){return shifty_node.interpolate(this._opts.from,this._opts.to,t,e)},Path.prototype._stopTween=function(){null!==this._tweenable&&(this._tweenable.stop(),this._tweenable=null);},Path.prototype._easing=function(t){return EASING_ALIASES.hasOwnProperty(t)?EASING_ALIASES[t]:t};var path=Path;

    var DESTROYED_ERROR="Object is destroyed",Shape=function t(e,r){if(!(this instanceof t))throw new Error("Constructor was called without new keyword");if(0!==arguments.length){this._opts=utils$1.extend({color:"#555",strokeWidth:1,trailColor:null,trailWidth:null,fill:null,text:{style:{color:null,position:"absolute",left:"50%",top:"50%",padding:0,margin:0,transform:{prefix:!0,value:"translate(-50%, -50%)"}},autoStyleContainer:!0,alignToBottom:!0,value:null,className:"progressbar-text"},svgStyle:{display:"block",width:"100%"},warnings:!1},r,!0),utils$1.isObject(r)&&void 0!==r.svgStyle&&(this._opts.svgStyle=r.svgStyle),utils$1.isObject(r)&&utils$1.isObject(r.text)&&void 0!==r.text.style&&(this._opts.text.style=r.text.style);var i,s=this._createSvgView(this._opts);if(!(i=utils$1.isString(e)?document.querySelector(e):e))throw new Error("Container does not exist: "+e);this._container=i,this._container.appendChild(s.svg),this._opts.warnings&&this._warnContainerAspectRatio(this._container),this._opts.svgStyle&&utils$1.setStyles(s.svg,this._opts.svgStyle),this.svg=s.svg,this.path=s.path,this.trail=s.trail,this.text=null;var o=utils$1.extend({attachment:void 0,shape:this},this._opts);this._progressPath=new path(s.path,o),utils$1.isObject(this._opts.text)&&null!==this._opts.text.value&&this.setText(this._opts.text.value);}};Shape.prototype.animate=function(t,e,r){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);this._progressPath.animate(t,e,r);},Shape.prototype.stop=function(){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);void 0!==this._progressPath&&this._progressPath.stop();},Shape.prototype.pause=function(){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);void 0!==this._progressPath&&this._progressPath._tweenable&&this._progressPath._tweenable.pause();},Shape.prototype.resume=function(){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);void 0!==this._progressPath&&this._progressPath._tweenable&&this._progressPath._tweenable.resume();},Shape.prototype.destroy=function(){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);this.stop(),this.svg.parentNode.removeChild(this.svg),this.svg=null,this.path=null,this.trail=null,this._progressPath=null,null!==this.text&&(this.text.parentNode.removeChild(this.text),this.text=null);},Shape.prototype.set=function(t){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);this._progressPath.set(t);},Shape.prototype.value=function(){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);return void 0===this._progressPath?0:this._progressPath.value()},Shape.prototype.setText=function(t){if(null===this._progressPath)throw new Error(DESTROYED_ERROR);null===this.text&&(this.text=this._createTextContainer(this._opts,this._container),this._container.appendChild(this.text)),utils$1.isObject(t)?(utils$1.removeChildren(this.text),this.text.appendChild(t)):this.text.innerHTML=t;},Shape.prototype._createSvgView=function(t){var e=document.createElementNS("http://www.w3.org/2000/svg","svg");this._initializeSvg(e,t);var r=null;(t.trailColor||t.trailWidth)&&(r=this._createTrail(t),e.appendChild(r));var i=this._createPath(t);return e.appendChild(i),{svg:e,path:i,trail:r}},Shape.prototype._initializeSvg=function(t,e){t.setAttribute("viewBox","0 0 100 100");},Shape.prototype._createPath=function(t){var e=this._pathString(t);return this._createPathElement(e,t)},Shape.prototype._createTrail=function(t){var e=this._trailString(t),r=utils$1.extend({},t);return r.trailColor||(r.trailColor="#eee"),r.trailWidth||(r.trailWidth=r.strokeWidth),r.color=r.trailColor,r.strokeWidth=r.trailWidth,r.fill=null,this._createPathElement(e,r)},Shape.prototype._createPathElement=function(t,e){var r=document.createElementNS("http://www.w3.org/2000/svg","path");return r.setAttribute("d",t),r.setAttribute("stroke",e.color),r.setAttribute("stroke-width",e.strokeWidth),e.fill?r.setAttribute("fill",e.fill):r.setAttribute("fill-opacity","0"),r},Shape.prototype._createTextContainer=function(t,e){var r=document.createElement("div");r.className=t.text.className;var i=t.text.style;return i&&(t.text.autoStyleContainer&&(e.style.position="relative"),utils$1.setStyles(r,i),i.color||(r.style.color=t.color)),this._initializeTextContainer(t,e,r),r},Shape.prototype._initializeTextContainer=function(t,e,r){},Shape.prototype._pathString=function(t){throw new Error("Override this function for each progress bar")},Shape.prototype._trailString=function(t){throw new Error("Override this function for each progress bar")},Shape.prototype._warnContainerAspectRatio=function(t){if(this.containerAspectRatio){var e=window.getComputedStyle(t,null),r=parseFloat(e.getPropertyValue("width"),10),i=parseFloat(e.getPropertyValue("height"),10);utils$1.floatEquals(this.containerAspectRatio,r/i)||(console.warn("Incorrect aspect ratio of container","#"+t.id,"detected:",e.getPropertyValue("width")+"(width)","/",e.getPropertyValue("height")+"(height)","=",r/i),console.warn("Aspect ratio of should be",this.containerAspectRatio));}};var shape=Shape;

    var Line=function(t,e){this._pathTemplate="M 0,{center} L 100,{center}",shape.apply(this,arguments);};Line.prototype=new shape,Line.prototype.constructor=Line,Line.prototype._initializeSvg=function(t,e){t.setAttribute("viewBox","0 0 100 "+e.strokeWidth),t.setAttribute("preserveAspectRatio","none");},Line.prototype._pathString=function(t){return utils$1.render(this._pathTemplate,{center:t.strokeWidth/2})},Line.prototype._trailString=function(t){return this._pathString(t)};var line=Line;

    var Circle=function(r,t){this._pathTemplate="M 50,50 m 0,-{radius} a {radius},{radius} 0 1 1 0,{2radius} a {radius},{radius} 0 1 1 0,-{2radius}",this.containerAspectRatio=1,shape.apply(this,arguments);};Circle.prototype=new shape,Circle.prototype.constructor=Circle,Circle.prototype._pathString=function(r){var t=r.strokeWidth;r.trailWidth&&r.trailWidth>r.strokeWidth&&(t=r.trailWidth);var i=50-t/2;return utils$1.render(this._pathTemplate,{radius:i,"2radius":2*i})},Circle.prototype._trailString=function(r){return this._pathString(r)};var circle=Circle;

    var SemiCircle=function(t,i){this._pathTemplate="M 50,50 m -{radius},0 a {radius},{radius} 0 1 1 {2radius},0",this.containerAspectRatio=2,shape.apply(this,arguments);};SemiCircle.prototype=new shape,SemiCircle.prototype.constructor=SemiCircle,SemiCircle.prototype._initializeSvg=function(t,i){t.setAttribute("viewBox","0 0 100 50");},SemiCircle.prototype._initializeTextContainer=function(t,i,e){t.text.style&&(e.style.top="auto",e.style.bottom="0",t.text.alignToBottom?utils$1.setStyle(e,"transform","translate(-50%, 0)"):utils$1.setStyle(e,"transform","translate(-50%, 50%)"));},SemiCircle.prototype._pathString=circle.prototype._pathString,SemiCircle.prototype._trailString=circle.prototype._trailString;var semicircle=SemiCircle;

    var Square=function(t,r){this._pathTemplate="M 0,{halfOfStrokeWidth} L {width},{halfOfStrokeWidth} L {width},{width} L {halfOfStrokeWidth},{width} L {halfOfStrokeWidth},{strokeWidth}",this._trailTemplate="M {startMargin},{halfOfStrokeWidth} L {width},{halfOfStrokeWidth} L {width},{width} L {halfOfStrokeWidth},{width} L {halfOfStrokeWidth},{halfOfStrokeWidth}",shape.apply(this,arguments);};Square.prototype=new shape,Square.prototype.constructor=Square,Square.prototype._pathString=function(t){var r=100-t.strokeWidth/2;return utils$1.render(this._pathTemplate,{width:r,strokeWidth:t.strokeWidth,halfOfStrokeWidth:t.strokeWidth/2})},Square.prototype._trailString=function(t){var r=100-t.strokeWidth/2;return utils$1.render(this._trailTemplate,{width:r,strokeWidth:t.strokeWidth,halfOfStrokeWidth:t.strokeWidth/2,startMargin:t.strokeWidth/2-t.trailWidth/2})};var square=Square;

    var main$1={Line:line,Circle:circle,SemiCircle:semicircle,Square:square,Path:path,Shape:shape,utils:utils$1};

    const NAME$n="progressdonut",SELECTOR_DONUT$1="[data-bs-progress-donut]",Default$g={color:"#5C6F82",trailColor:"#D9DADB",strokeWidth:24,trailWidth:12,easing:"easeInOut",duration:1400,text:{autoStyleContainer:!1},animate:!0,value:0};class ProgressDonut extends BaseComponent{constructor(t,e){super(t),this._config=this._getConfig(e),this._bar=null,this._init();}static get NAME(){return NAME$n}set(t){this._config.animate?this._bar.animate(t):this._bar.set(t);}dispose(){this._bar.destroy(),super.dispose();}_getConfig(t){return t={...Default$g,step:this._getStepCallback(),...Manipulator.getDataAttributes(this._element),..."object"==typeof t?t:{}}}_getStepCallback(){return (t,e)=>{const s=Math.round(100*e.value());e.setText(s+"%");}}_init(){this._bar=new main$1.Circle(this._element,this._config),this._config.value>0&&this.set(this._config.value);}}SelectorEngine$1.find(SELECTOR_DONUT$1).forEach((t=>{ProgressDonut.getOrCreateInstance(t);}));const ProgressDonut$1 = ProgressDonut;

    const NAME$m="upload",DATA_KEY$f="bs.upload",EVENT_KEY$g=`.${DATA_KEY$f}`,EVENT_CLICK_DATA_API$a=`click${EVENT_KEY$g}.data-api`,SELECTOR_FORM="[data-bs-upload-dragdrop]",SELECTOR_DONUT="[data-bs-progress-donut]";class UploadDragDrop extends BaseComponent{constructor(e){super(e);const t=SelectorEngine$1.findOne(SELECTOR_DONUT,this._element);t&&(this._donut=ProgressDonut$1.getOrCreateInstance(t)),this._bindEvents();}static get NAME(){return NAME$m}progress(e){this._donut.set(e);}start(){this.reset(),this._element.classList.add("loading");}success(){this._element.classList.remove("loading"),this._element.classList.add("success");}reset(){this._element.classList.remove("loading"),this._element.classList.remove("success"),this._donut.set(0);}dispose(){this._donut.dispose(),super.dispose();}_bindEvents(){EventHandler$1.on(this._element,"drag",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"dragstart",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"dragend",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"dragover",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"dragenter",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"dragleave",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"drop",(e=>this._preventEvent(e))),EventHandler$1.on(this._element,"dragover",(()=>this._dropIn())),EventHandler$1.on(this._element,"dragenter",(()=>this._dropIn())),EventHandler$1.on(this._element,"dragleave",(()=>this._dropOut())),EventHandler$1.on(this._element,"dragend",(()=>this._dropOut())),EventHandler$1.on(this._element,"drop",(()=>this._dropOut())),EventHandler$1.on(this._element,"drop",(()=>this._drop()));}_preventEvent(e){e.preventDefault(),e.stopPropagation();}_dropIn(){this._isSuccess()||this._element.classList.add("dragover");}_dropOut(){this._isSuccess()||this._element.classList.remove("dragover");}_drop(){this._isSuccess()||this.start();}_isSuccess(){return this._element.classList.contains("success")}}const createInput=e=>{let t=e.matches&&e.matches(SELECTOR_FORM)?e:e.closest?e.closest(SELECTOR_FORM):null;return t&&UploadDragDrop.getOrCreateInstance(t),null};document.addEventListener("dragenter",(function(e){createInput(e.target);})),EventHandler$1.on(document,EVENT_CLICK_DATA_API$a,SELECTOR_FORM+" label",(function(){createInput(this);}));const UploadDragDrop$1 = UploadDragDrop;

    const NAME$l="backtotop",DATA_KEY$e="bs.backtotop",EVENT_KEY$f=`.${DATA_KEY$e}`,EVENT_CLICK$5=`click${EVENT_KEY$f}`,CLASS_NAME_SHOW="back-to-top-show",SELECTOR_TOGGLE$2='[data-bs-toggle="backtotop"]',Default$f={positionTop:0,scrollLimit:100,duration:800,easing:"easeInOutSine"};class BackToTop extends BaseComponent{constructor(t,o){super(t),this._config=this._getConfig(o),this._scrollCb=null,this._isAnim=!1,this._prevScrollBehavior="",this._bindEvents();}static get NAME(){return NAME$l}show(){this._element.classList.contains(CLASS_NAME_SHOW)||this._element.classList.add(CLASS_NAME_SHOW);}hide(){this._element.classList.contains(CLASS_NAME_SHOW)&&this._element.classList.remove(CLASS_NAME_SHOW);}toggleShow(){document.scrollingElement.scrollTop>this._config.scrollLimit?this.show():this.hide();}scrollToTop(){this._isAnim||(this._isAnim=!0,documentScrollTo(this._config.positionTop,{duration:this._config.duration,easing:this._config.easing,complete:()=>{this._isAnim=!1;}}));}dispose(){this._scrollCb&&this._scrollCb.dispose(),super.dispose();}_getConfig(t){return t={...Default$f,...Manipulator.getDataAttributes(this._element),..."object"==typeof t?t:{}}}_bindEvents(){this._scrollCb=onDocumentScroll$1((()=>this.toggleShow())),EventHandler$1.on(this._element,EVENT_CLICK$5,(t=>{t.preventDefault(),this.scrollToTop();}));}}onDocumentScroll$1((()=>{SelectorEngine$1.find(SELECTOR_TOGGLE$2).map((t=>{BackToTop.getOrCreateInstance(t);}));}));const BackToTop$1 = BackToTop;

    const NAME$k="historyback",DATA_KEY$d="bs.historyback",EVENT_KEY$e=`.${DATA_KEY$d}`,EVENT_CLICK$4=`click${EVENT_KEY$e}`,EVENT_CLICK_DATA_API$9=`click${EVENT_KEY$e}.data-api`,SELECTOR_TOGGLE$1='[data-bs-toggle="historyback"]';class HistoryBack extends BaseComponent{constructor(t){super(t),this._bindEvents();}static get NAME(){return NAME$k}back(){window.history.back();}_bindEvents(){EventHandler$1.on(this._element,EVENT_CLICK$4,(t=>{t.preventDefault(),this.back();}));}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$9,SELECTOR_TOGGLE$1,(function(t){t.preventDefault();HistoryBack.getOrCreateInstance(this).back();}));const HistoryBack$1 = HistoryBack;

    const NAME$j="historyback",DATA_KEY$c="bs.historyback",EVENT_KEY$d=`.${DATA_KEY$c}`,EVENT_CLICK$3=`click${EVENT_KEY$d}`,EVENT_CLICK_DATA_API$8=`click${EVENT_KEY$d}.data-api`,SELECTOR_TOGGLE='[data-bs-toggle="forward"]',Default$e={duration:800,easing:"easeInOutSine"};class Forward extends BaseComponent{constructor(t,e){super(t),this._config=this._getConfig(e),this._bindEvents();}static get NAME(){return NAME$j}goToTarget(){const t=getElementFromSelector(this._element);t&&documentScrollTo(t.offsetTop,{duration:this._config.duration,easing:this._config.easing});}_getConfig(t){return t={...Default$e,...Manipulator.getDataAttributes(this._element),..."object"==typeof t?t:{}}}_bindEvents(){EventHandler$1.on(this._element,EVENT_CLICK$3,(t=>{t.preventDefault(),this.goToTarget();}));}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$8,SELECTOR_TOGGLE,(function(t){t.preventDefault();Forward.getOrCreateInstance(this).goToTarget();}));const Forward$1 = Forward;

    var evEmitter=createCommonjsModule((function(e){var t,n;t="undefined"!=typeof window?window:commonjsGlobal,n=function(){function e(){}var t=e.prototype;return t.on=function(e,t){if(e&&t){var n=this._events=this._events||{},s=n[e]=n[e]||[];return -1==s.indexOf(t)&&s.push(t),this}},t.once=function(e,t){if(e&&t){this.on(e,t);var n=this._onceEvents=this._onceEvents||{};return (n[e]=n[e]||{})[t]=!0,this}},t.off=function(e,t){var n=this._events&&this._events[e];if(n&&n.length){var s=n.indexOf(t);return -1!=s&&n.splice(s,1),this}},t.emitEvent=function(e,t){var n=this._events&&this._events[e];if(n&&n.length){n=n.slice(0),t=t||[];for(var s=this._onceEvents&&this._onceEvents[e],o=0;o<n.length;o++){var i=n[o];s&&s[i]&&(this.off(e,i),delete s[i]),i.apply(this,t);}return this}},t.allOff=function(){delete this._events,delete this._onceEvents;},e},e.exports?e.exports=n():t.EvEmitter=n();}));

    var getSize=createCommonjsModule((function(t){
    /*!
     * getSize v2.0.3
     * measure size of elements
     * MIT license
     */
    !function(e,i){t.exports?t.exports=i():e.getSize=i();}(window,(function(){function t(t){var e=parseFloat(t);return -1==t.indexOf("%")&&!isNaN(e)&&e}var e="undefined"==typeof console?function(){}:function(t){console.error(t);},i=["paddingLeft","paddingRight","paddingTop","paddingBottom","marginLeft","marginRight","marginTop","marginBottom","borderLeftWidth","borderRightWidth","borderTopWidth","borderBottomWidth"],o=i.length;function r(t){var i=getComputedStyle(t);return i||e("Style returned "+i+". Are you running this code in a hidden iframe on Firefox? See https://bit.ly/getsizebug1"),i}var n,d=!1;function h(e){if(function(){if(!d){d=!0;var e=document.createElement("div");e.style.width="200px",e.style.padding="1px 2px 3px 4px",e.style.borderStyle="solid",e.style.borderWidth="1px 2px 3px 4px",e.style.boxSizing="border-box";var i=document.body||document.documentElement;i.appendChild(e);var o=r(e);n=200==Math.round(t(o.width)),h.isBoxSizeOuter=n,i.removeChild(e);}}(),"string"==typeof e&&(e=document.querySelector(e)),e&&"object"==typeof e&&e.nodeType){var a=r(e);if("none"==a.display)return function(){for(var t={width:0,height:0,innerWidth:0,innerHeight:0,outerWidth:0,outerHeight:0},e=0;e<o;e++)t[i[e]]=0;return t}();var p={};p.width=e.offsetWidth,p.height=e.offsetHeight;for(var g=p.isBorderBox="border-box"==a.boxSizing,u=0;u<o;u++){var s=i[u],m=a[s],f=parseFloat(m);p[s]=isNaN(f)?0:f;}var l=p.paddingLeft+p.paddingRight,c=p.paddingTop+p.paddingBottom,x=p.marginLeft+p.marginRight,b=p.marginTop+p.marginBottom,v=p.borderLeftWidth+p.borderRightWidth,y=p.borderTopWidth+p.borderBottomWidth,W=g&&n,S=t(a.width);!1!==S&&(p.width=S+(W?0:l+v));var w=t(a.height);return !1!==w&&(p.height=w+(W?0:c+y)),p.innerWidth=p.width-(l+v),p.innerHeight=p.height-(c+y),p.outerWidth=p.width+x,p.outerHeight=p.height+b,p}}return h}));}));

    var matchesSelector=createCommonjsModule((function(e){!function(t,r){e.exports?e.exports=r():t.matchesSelector=r();}(window,(function(){var e=function(){var e=window.Element.prototype;if(e.matches)return "matches";if(e.matchesSelector)return "matchesSelector";for(var t=["webkit","moz","ms","o"],r=0;r<t.length;r++){var o=t[r]+"MatchesSelector";if(e[o])return o}}();return function(t,r){return t[e](r)}}));}));

    var utils=createCommonjsModule((function(e){!function(t,r){e.exports?e.exports=r(t,matchesSelector):t.fizzyUIUtils=r(t,t.matchesSelector);}(window,(function(e,t){var r={extend:function(e,t){for(var r in t)e[r]=t[r];return e},modulo:function(e,t){return (e%t+t)%t}},o=Array.prototype.slice;r.makeArray=function(e){return Array.isArray(e)?e:null==e?[]:"object"==typeof e&&"number"==typeof e.length?o.call(e):[e]},r.removeFrom=function(e,t){var r=e.indexOf(t);-1!=r&&e.splice(r,1);},r.getParent=function(e,r){for(;e.parentNode&&e!=document.body;)if(e=e.parentNode,t(e,r))return e},r.getQueryElement=function(e){return "string"==typeof e?document.querySelector(e):e},r.handleEvent=function(e){var t="on"+e.type;this[t]&&this[t](e);},r.filterFindElements=function(e,o){e=r.makeArray(e);var n=[];return e.forEach((function(e){if(e instanceof HTMLElement)if(o){t(e,o)&&n.push(e);for(var r=e.querySelectorAll(o),u=0;u<r.length;u++)n.push(r[u]);}else n.push(e);})),n},r.debounceMethod=function(e,t,r){r=r||100;var o=e.prototype[t],n=t+"Timeout";e.prototype[t]=function(){var e=this[n];clearTimeout(e);var t=arguments,u=this;this[n]=setTimeout((function(){o.apply(u,t),delete u[n];}),r);};},r.docReady=function(e){var t=document.readyState;"complete"==t||"interactive"==t?setTimeout(e):document.addEventListener("DOMContentLoaded",e);},r.toDashed=function(e){return e.replace(/(.)([A-Z])/g,(function(e,t,r){return t+"-"+r})).toLowerCase()};var n=e.console;return r.htmlInit=function(t,o){r.docReady((function(){var u=r.toDashed(o),a="data-"+u,i=document.querySelectorAll("["+a+"]"),c=document.querySelectorAll(".js-"+u),s=r.makeArray(i).concat(r.makeArray(c)),l=a+"-options",m=e.jQuery;s.forEach((function(e){var r,u=e.getAttribute(a)||e.getAttribute(l);try{r=u&&JSON.parse(u);}catch(t){return void(n&&n.error("Error parsing "+a+" on "+e.className+": "+t))}var i=new t(e,r);m&&m.data(e,o,i);}));}));},r}));}));

    var item=createCommonjsModule((function(t){!function(i,n){t.exports?t.exports=n(evEmitter,getSize):(i.Outlayer={},i.Outlayer.Item=n(i.EvEmitter,i.getSize));}(window,(function(t,i){var n=document.documentElement.style,o="string"==typeof n.transition?"transition":"WebkitTransition",e="string"==typeof n.transform?"transform":"WebkitTransform",s={WebkitTransition:"webkitTransitionEnd",transition:"transitionend"}[o],r={transform:e,transition:o,transitionDuration:o+"Duration",transitionProperty:o+"Property",transitionDelay:o+"Delay"};function a(t,i){t&&(this.element=t,this.layout=i,this.position={x:0,y:0},this._create());}var h=a.prototype=Object.create(t.prototype);h.constructor=a,h._create=function(){this._transn={ingProperties:{},clean:{},onEnd:{}},this.css({position:"absolute"});},h.handleEvent=function(t){var i="on"+t.type;this[i]&&this[i](t);},h.getSize=function(){this.size=i(this.element);},h.css=function(t){var i=this.element.style;for(var n in t){i[r[n]||n]=t[n];}},h.getPosition=function(){var t=getComputedStyle(this.element),i=this.layout._getOption("originLeft"),n=this.layout._getOption("originTop"),o=t[i?"left":"right"],e=t[n?"top":"bottom"],s=parseFloat(o),r=parseFloat(e),a=this.layout.size;-1!=o.indexOf("%")&&(s=s/100*a.width),-1!=e.indexOf("%")&&(r=r/100*a.height),s=isNaN(s)?0:s,r=isNaN(r)?0:r,s-=i?a.paddingLeft:a.paddingRight,r-=n?a.paddingTop:a.paddingBottom,this.position.x=s,this.position.y=r;},h.layoutPosition=function(){var t=this.layout.size,i={},n=this.layout._getOption("originLeft"),o=this.layout._getOption("originTop"),e=n?"paddingLeft":"paddingRight",s=n?"left":"right",r=n?"right":"left",a=this.position.x+t[e];i[s]=this.getXValue(a),i[r]="";var h=o?"paddingTop":"paddingBottom",l=o?"top":"bottom",p=o?"bottom":"top",u=this.position.y+t[h];i[l]=this.getYValue(u),i[p]="",this.css(i),this.emitEvent("layout",[this]);},h.getXValue=function(t){var i=this.layout._getOption("horizontal");return this.layout.options.percentPosition&&!i?t/this.layout.size.width*100+"%":t+"px"},h.getYValue=function(t){var i=this.layout._getOption("horizontal");return this.layout.options.percentPosition&&i?t/this.layout.size.height*100+"%":t+"px"},h._transitionTo=function(t,i){this.getPosition();var n=this.position.x,o=this.position.y,e=t==this.position.x&&i==this.position.y;if(this.setPosition(t,i),!e||this.isTransitioning){var s=t-n,r=i-o,a={};a.transform=this.getTranslate(s,r),this.transition({to:a,onTransitionEnd:{transform:this.layoutPosition},isCleaning:!0});}else this.layoutPosition();},h.getTranslate=function(t,i){return "translate3d("+(t=this.layout._getOption("originLeft")?t:-t)+"px, "+(i=this.layout._getOption("originTop")?i:-i)+"px, 0)"},h.goTo=function(t,i){this.setPosition(t,i),this.layoutPosition();},h.moveTo=h._transitionTo,h.setPosition=function(t,i){this.position.x=parseFloat(t),this.position.y=parseFloat(i);},h._nonTransition=function(t){for(var i in this.css(t.to),t.isCleaning&&this._removeStyles(t.to),t.onTransitionEnd)t.onTransitionEnd[i].call(this);},h.transition=function(t){if(parseFloat(this.layout.options.transitionDuration)){var i=this._transn;for(var n in t.onTransitionEnd)i.onEnd[n]=t.onTransitionEnd[n];for(n in t.to)i.ingProperties[n]=!0,t.isCleaning&&(i.clean[n]=!0);if(t.from){this.css(t.from);this.element.offsetHeight;}this.enableTransition(t.to),this.css(t.to),this.isTransitioning=!0;}else this._nonTransition(t);};var l="opacity,"+e.replace(/([A-Z])/g,(function(t){return "-"+t.toLowerCase()}));h.enableTransition=function(){if(!this.isTransitioning){var t=this.layout.options.transitionDuration;t="number"==typeof t?t+"ms":t,this.css({transitionProperty:l,transitionDuration:t,transitionDelay:this.staggerDelay||0}),this.element.addEventListener(s,this,!1);}},h.onwebkitTransitionEnd=function(t){this.ontransitionend(t);},h.onotransitionend=function(t){this.ontransitionend(t);};var p={"-webkit-transform":"transform"};h.ontransitionend=function(t){if(t.target===this.element){var i=this._transn,n=p[t.propertyName]||t.propertyName;if(delete i.ingProperties[n],function(t){for(var i in t)return !1;return !0}(i.ingProperties)&&this.disableTransition(),n in i.clean&&(this.element.style[t.propertyName]="",delete i.clean[n]),n in i.onEnd)i.onEnd[n].call(this),delete i.onEnd[n];this.emitEvent("transitionEnd",[this]);}},h.disableTransition=function(){this.removeTransitionStyles(),this.element.removeEventListener(s,this,!1),this.isTransitioning=!1;},h._removeStyles=function(t){var i={};for(var n in t)i[n]="";this.css(i);};var u={transitionProperty:"",transitionDuration:"",transitionDelay:""};return h.removeTransitionStyles=function(){this.css(u);},h.stagger=function(t){t=isNaN(t)?0:t,this.staggerDelay=t+"ms";},h.removeElem=function(){this.element.parentNode.removeChild(this.element),this.css({display:""}),this.emitEvent("remove",[this]);},h.remove=function(){o&&parseFloat(this.layout.options.transitionDuration)?(this.once("transitionEnd",(function(){this.removeElem();})),this.hide()):this.removeElem();},h.reveal=function(){delete this.isHidden,this.css({display:""});var t=this.layout.options,i={};i[this.getHideRevealTransitionEndProperty("visibleStyle")]=this.onRevealTransitionEnd,this.transition({from:t.hiddenStyle,to:t.visibleStyle,isCleaning:!0,onTransitionEnd:i});},h.onRevealTransitionEnd=function(){this.isHidden||this.emitEvent("reveal");},h.getHideRevealTransitionEndProperty=function(t){var i=this.layout.options[t];if(i.opacity)return "opacity";for(var n in i)return n},h.hide=function(){this.isHidden=!0,this.css({display:""});var t=this.layout.options,i={};i[this.getHideRevealTransitionEndProperty("hiddenStyle")]=this.onHideTransitionEnd,this.transition({from:t.visibleStyle,to:t.hiddenStyle,isCleaning:!0,onTransitionEnd:i});},h.onHideTransitionEnd=function(){this.isHidden&&(this.css({display:"none"}),this.emitEvent("hide"));},h.destroy=function(){this.css({position:"",left:"",right:"",top:"",bottom:"",transition:"",transform:""});},a}));}));

    var outlayer=createCommonjsModule((function(t){
    /*!
     * Outlayer v2.1.1
     * the brains and guts of a layout library
     * MIT license
     */
    !function(e,i){t.exports?t.exports=i(e,evEmitter,getSize,utils,item):e.Outlayer=i(e,e.EvEmitter,e.getSize,e.fizzyUIUtils,e.Outlayer.Item);}(window,(function(t,e,i,n,o){var s=t.console,r=t.jQuery,a=function(){},h=0,u={};function m(t,e){var i=n.getQueryElement(t);if(i){this.element=i,r&&(this.$element=r(this.element)),this.options=n.extend({},this.constructor.defaults),this.option(e);var o=++h;this.element.outlayerGUID=o,u[o]=this,this._create(),this._getOption("initLayout")&&this.layout();}else s&&s.error("Bad element for "+this.constructor.namespace+": "+(i||t));}m.namespace="outlayer",m.Item=o,m.defaults={containerStyle:{position:"relative"},initLayout:!0,originLeft:!0,originTop:!0,resize:!0,resizeContainer:!0,transitionDuration:"0.4s",hiddenStyle:{opacity:0,transform:"scale(0.001)"},visibleStyle:{opacity:1,transform:"scale(1)"}};var c=m.prototype;function l(t){function e(){t.apply(this,arguments);}return e.prototype=Object.create(t.prototype),e.prototype.constructor=e,e}n.extend(c,e.prototype),c.option=function(t){n.extend(this.options,t);},c._getOption=function(t){var e=this.constructor.compatOptions[t];return e&&void 0!==this.options[e]?this.options[e]:this.options[t]},m.compatOptions={initLayout:"isInitLayout",horizontal:"isHorizontal",layoutInstant:"isLayoutInstant",originLeft:"isOriginLeft",originTop:"isOriginTop",resize:"isResizeBound",resizeContainer:"isResizingContainer"},c._create=function(){this.reloadItems(),this.stamps=[],this.stamp(this.options.stamp),n.extend(this.element.style,this.options.containerStyle),this._getOption("resize")&&this.bindResize();},c.reloadItems=function(){this.items=this._itemize(this.element.children);},c._itemize=function(t){for(var e=this._filterFindItemElements(t),i=this.constructor.Item,n=[],o=0;o<e.length;o++){var s=new i(e[o],this);n.push(s);}return n},c._filterFindItemElements=function(t){return n.filterFindElements(t,this.options.itemSelector)},c.getItemElements=function(){return this.items.map((function(t){return t.element}))},c.layout=function(){this._resetLayout(),this._manageStamps();var t=this._getOption("layoutInstant"),e=void 0!==t?t:!this._isLayoutInited;this.layoutItems(this.items,e),this._isLayoutInited=!0;},c._init=c.layout,c._resetLayout=function(){this.getSize();},c.getSize=function(){this.size=i(this.element);},c._getMeasurement=function(t,e){var n,o=this.options[t];o?("string"==typeof o?n=this.element.querySelector(o):o instanceof HTMLElement&&(n=o),this[t]=n?i(n)[e]:o):this[t]=0;},c.layoutItems=function(t,e){t=this._getItemsForLayout(t),this._layoutItems(t,e),this._postLayout();},c._getItemsForLayout=function(t){return t.filter((function(t){return !t.isIgnored}))},c._layoutItems=function(t,e){if(this._emitCompleteOnItems("layout",t),t&&t.length){var i=[];t.forEach((function(t){var n=this._getItemLayoutPosition(t);n.item=t,n.isInstant=e||t.isLayoutInstant,i.push(n);}),this),this._processLayoutQueue(i);}},c._getItemLayoutPosition=function(){return {x:0,y:0}},c._processLayoutQueue=function(t){this.updateStagger(),t.forEach((function(t,e){this._positionItem(t.item,t.x,t.y,t.isInstant,e);}),this);},c.updateStagger=function(){var t=this.options.stagger;if(null!=t)return this.stagger=function(t){if("number"==typeof t)return t;var e=t.match(/(^\d*\.?\d*)(\w*)/),i=e&&e[1],n=e&&e[2];if(!i.length)return 0;i=parseFloat(i);var o=f[n]||1;return i*o}(t),this.stagger;this.stagger=0;},c._positionItem=function(t,e,i,n,o){n?t.goTo(e,i):(t.stagger(o*this.stagger),t.moveTo(e,i));},c._postLayout=function(){this.resizeContainer();},c.resizeContainer=function(){if(this._getOption("resizeContainer")){var t=this._getContainerSize();t&&(this._setContainerMeasure(t.width,!0),this._setContainerMeasure(t.height,!1));}},c._getContainerSize=a,c._setContainerMeasure=function(t,e){if(void 0!==t){var i=this.size;i.isBorderBox&&(t+=e?i.paddingLeft+i.paddingRight+i.borderLeftWidth+i.borderRightWidth:i.paddingBottom+i.paddingTop+i.borderTopWidth+i.borderBottomWidth),t=Math.max(t,0),this.element.style[e?"width":"height"]=t+"px";}},c._emitCompleteOnItems=function(t,e){var i=this;function n(){i.dispatchEvent(t+"Complete",null,[e]);}var o=e.length;if(e&&o){var s=0;e.forEach((function(e){e.once(t,r);}));}else n();function r(){++s==o&&n();}},c.dispatchEvent=function(t,e,i){var n=e?[e].concat(i):i;if(this.emitEvent(t,n),r)if(this.$element=this.$element||r(this.element),e){var o=r.Event(e);o.type=t,this.$element.trigger(o,i);}else this.$element.trigger(t,i);},c.ignore=function(t){var e=this.getItem(t);e&&(e.isIgnored=!0);},c.unignore=function(t){var e=this.getItem(t);e&&delete e.isIgnored;},c.stamp=function(t){(t=this._find(t))&&(this.stamps=this.stamps.concat(t),t.forEach(this.ignore,this));},c.unstamp=function(t){(t=this._find(t))&&t.forEach((function(t){n.removeFrom(this.stamps,t),this.unignore(t);}),this);},c._find=function(t){if(t)return "string"==typeof t&&(t=this.element.querySelectorAll(t)),t=n.makeArray(t)},c._manageStamps=function(){this.stamps&&this.stamps.length&&(this._getBoundingRect(),this.stamps.forEach(this._manageStamp,this));},c._getBoundingRect=function(){var t=this.element.getBoundingClientRect(),e=this.size;this._boundingRect={left:t.left+e.paddingLeft+e.borderLeftWidth,top:t.top+e.paddingTop+e.borderTopWidth,right:t.right-(e.paddingRight+e.borderRightWidth),bottom:t.bottom-(e.paddingBottom+e.borderBottomWidth)};},c._manageStamp=a,c._getElementOffset=function(t){var e=t.getBoundingClientRect(),n=this._boundingRect,o=i(t);return {left:e.left-n.left-o.marginLeft,top:e.top-n.top-o.marginTop,right:n.right-e.right-o.marginRight,bottom:n.bottom-e.bottom-o.marginBottom}},c.handleEvent=n.handleEvent,c.bindResize=function(){t.addEventListener("resize",this),this.isResizeBound=!0;},c.unbindResize=function(){t.removeEventListener("resize",this),this.isResizeBound=!1;},c.onresize=function(){this.resize();},n.debounceMethod(m,"onresize",100),c.resize=function(){this.isResizeBound&&this.needsResizeLayout()&&this.layout();},c.needsResizeLayout=function(){var t=i(this.element);return this.size&&t&&t.innerWidth!==this.size.innerWidth},c.addItems=function(t){var e=this._itemize(t);return e.length&&(this.items=this.items.concat(e)),e},c.appended=function(t){var e=this.addItems(t);e.length&&(this.layoutItems(e,!0),this.reveal(e));},c.prepended=function(t){var e=this._itemize(t);if(e.length){var i=this.items.slice(0);this.items=e.concat(i),this._resetLayout(),this._manageStamps(),this.layoutItems(e,!0),this.reveal(e),this.layoutItems(i);}},c.reveal=function(t){if(this._emitCompleteOnItems("reveal",t),t&&t.length){var e=this.updateStagger();t.forEach((function(t,i){t.stagger(i*e),t.reveal();}));}},c.hide=function(t){if(this._emitCompleteOnItems("hide",t),t&&t.length){var e=this.updateStagger();t.forEach((function(t,i){t.stagger(i*e),t.hide();}));}},c.revealItemElements=function(t){var e=this.getItems(t);this.reveal(e);},c.hideItemElements=function(t){var e=this.getItems(t);this.hide(e);},c.getItem=function(t){for(var e=0;e<this.items.length;e++){var i=this.items[e];if(i.element==t)return i}},c.getItems=function(t){t=n.makeArray(t);var e=[];return t.forEach((function(t){var i=this.getItem(t);i&&e.push(i);}),this),e},c.remove=function(t){var e=this.getItems(t);this._emitCompleteOnItems("remove",e),e&&e.length&&e.forEach((function(t){t.remove(),n.removeFrom(this.items,t);}),this);},c.destroy=function(){var t=this.element.style;t.height="",t.position="",t.width="",this.items.forEach((function(t){t.destroy();})),this.unbindResize();var e=this.element.outlayerGUID;delete u[e],delete this.element.outlayerGUID,r&&r.removeData(this.element,this.constructor.namespace);},m.data=function(t){var e=(t=n.getQueryElement(t))&&t.outlayerGUID;return e&&u[e]},m.create=function(t,e){var i=l(m);return i.defaults=n.extend({},m.defaults),n.extend(i.defaults,e),i.compatOptions=n.extend({},m.compatOptions),i.namespace=t,i.data=m.data,i.Item=l(o),n.htmlInit(i,t),r&&r.bridget&&r.bridget(t,i),i};var f={ms:1,s:1e3};return m.Item=o,m}));}));

    var masonry=createCommonjsModule((function(t){
    /*!
     * Masonry v4.2.2
     * Cascading grid layout library
     * https://masonry.desandro.com
     * MIT License
     * by David DeSandro
     */
    !function(i,o){t.exports?t.exports=o(outlayer,getSize):i.Masonry=o(i.Outlayer,i.getSize);}(window,(function(t,i){var o=t.create("masonry");o.compatOptions.fitWidth="isFitWidth";var e=o.prototype;return e._resetLayout=function(){this.getSize(),this._getMeasurement("columnWidth","outerWidth"),this._getMeasurement("gutter","outerWidth"),this.measureColumns(),this.colYs=[];for(var t=0;t<this.cols;t++)this.colYs.push(0);this.maxY=0,this.horizontalColIndex=0;},e.measureColumns=function(){if(this.getContainerWidth(),!this.columnWidth){var t=this.items[0],o=t&&t.element;this.columnWidth=o&&i(o).outerWidth||this.containerWidth;}var e=this.columnWidth+=this.gutter,r=this.containerWidth+this.gutter,s=r/e,n=e-r%e;s=Math[n&&n<1?"round":"floor"](s),this.cols=Math.max(s,1);},e.getContainerWidth=function(){var t=this._getOption("fitWidth")?this.element.parentNode:this.element,o=i(t);this.containerWidth=o&&o.innerWidth;},e._getItemLayoutPosition=function(t){t.getSize();var i=t.size.outerWidth%this.columnWidth,o=Math[i&&i<1?"round":"ceil"](t.size.outerWidth/this.columnWidth);o=Math.min(o,this.cols);for(var e=this[this.options.horizontalOrder?"_getHorizontalColPosition":"_getTopColPosition"](o,t),r={x:this.columnWidth*e.col,y:e.y},s=e.y+t.size.outerHeight,n=o+e.col,h=e.col;h<n;h++)this.colYs[h]=s;return r},e._getTopColPosition=function(t){var i=this._getTopColGroup(t),o=Math.min.apply(Math,i);return {col:i.indexOf(o),y:o}},e._getTopColGroup=function(t){if(t<2)return this.colYs;for(var i=[],o=this.cols+1-t,e=0;e<o;e++)i[e]=this._getColGroupY(e,t);return i},e._getColGroupY=function(t,i){if(i<2)return this.colYs[t];var o=this.colYs.slice(t,t+i);return Math.max.apply(Math,o)},e._getHorizontalColPosition=function(t,i){var o=this.horizontalColIndex%this.cols;o=t>1&&o+t>this.cols?0:o;var e=i.size.outerWidth&&i.size.outerHeight;return this.horizontalColIndex=e?o+t:this.horizontalColIndex,{col:o,y:this._getColGroupY(o,t)}},e._manageStamp=function(t){var o=i(t),e=this._getElementOffset(t),r=this._getOption("originLeft")?e.left:e.right,s=r+o.outerWidth,n=Math.floor(r/this.columnWidth);n=Math.max(0,n);var h=Math.floor(s/this.columnWidth);h-=s%this.columnWidth?0:1,h=Math.min(this.cols-1,h);for(var a=(this._getOption("originTop")?e.top:e.bottom)+o.outerHeight,l=n;l<=h;l++)this.colYs[l]=Math.max(a,this.colYs[l]);},e._getContainerSize=function(){this.maxY=Math.max.apply(Math,this.colYs);var t={height:this.maxY};return this._getOption("fitWidth")&&(t.width=this._getContainerFitWidth()),t},e._getContainerFitWidth=function(){for(var t=0,i=this.cols;--i&&0===this.colYs[i];)t++;return (this.cols-t)*this.columnWidth-this.gutter},e.needsResizeLayout=function(){var t=this.containerWidth;return this.getContainerWidth(),t!=this.containerWidth},o}));}));

    const NAME$i="masonry",SELECTOR_DATA_TOGGLE$7='[data-bs-toggle="masonry"]',SELECTOR_LOADER=".masonry-loader",Default$d={percentPosition:!0};class Masonry extends BaseComponent{constructor(e,t){super(e),this._config=this._getConfig(t),this._masonry=null,this._images=SelectorEngine$1.find("img",this._element),this._loadCounter=0,this._init();}static get NAME(){return NAME$i}dispose(){this._masonry&&(this._masonry.destroy(),this._masonry=null),super.dispose();}_getConfig(e){return e={...Default$d,...Manipulator.getDataAttributes(this._element),..."object"==typeof e?e:{}}}_init(){this._images.length>0?this._images.forEach((e=>{const t=new Image;t.onload=()=>this._onLoadEnd(),t.src=e.src;})):this._initMasonry();}_onLoadEnd(){this._loadCounter++,this._loadCounter>=this._images.length&&this._initMasonry();}_initMasonry(){this._masonry=new masonry(this._element,this._config);}_createLoader(){const e=document.createElement("div");return e.classList.add("masonry-loader","fade","d-flex","justify-content-center","align-items-center"),e.innerHTML='<div class="progress-spinner progress-spinner-active"><span class="visually-hidden">Caricamento...</span></div>',this._element.appendChild(e),e}_getOrCreateLoader(){const e=SelectorEngine$1.findOne(SELECTOR_LOADER,this._element);return e||this._createLoader()}_destroyLoader(){const e=SelectorEngine$1.findOne(SELECTOR_LOADER,this._element);e&&e.remove();}_showLoader(){this._getOrCreateLoader().classList.add("show");}_hideLoader(){this._destroyLoader();}}const masonries=SelectorEngine$1.find(SELECTOR_DATA_TOGGLE$7);masonries.length>0&&masonries.forEach((e=>{Masonry.getOrCreateInstance(e);}));const Masonry$1 = Masonry;

    const NAME$h="list",DATA_KEY$b="bs.list",EVENT_KEY$c=`.${DATA_KEY$b}`,EVENT_CLICK$2=`click${EVENT_KEY$c}`,EVENT_CLICK_DATA_API$7=`click${EVENT_KEY$c}.data-api`,SELECTOR_LIST="[data-bs-list-checkbox]";class List extends BaseComponent{constructor(e){super(e),this._init();}static get NAME(){return NAME$h}toggleCheckbox(e){const t=SelectorEngine$1.findOne("input",e);t&&(t.checked?(t.checked=!1,e.classList.remove("active")):(t.checked=!0,e.classList.add("active")));}_init(){this._initCheckbox();}_initCheckbox(){SelectorEngine$1.find("input[type=checkbox]",this._element).forEach((e=>{EventHandler$1.on(e.closest("a"),EVENT_CLICK$2,(t=>{t.preventDefault(),this.toggleCheckbox(e.closest("a"));}));}));}}SelectorEngine$1.find(SELECTOR_LIST).forEach((e=>{SelectorEngine$1.find("input[type=checkbox]",e).forEach((t=>{EventHandler$1.one(t.closest("a"),EVENT_CLICK_DATA_API$7,(t=>{if(!List.getInstance(e)){t.preventDefault();List.getOrCreateInstance(e).toggleCheckbox(t.currentTarget);}}));}));}));const List$1 = List;

    const NAME$g="transfer",DATA_KEY$a="bs.transfer",EVENT_KEY$b=`.${DATA_KEY$a}`,EVENT_CLICK_DATA_API$6=`click${EVENT_KEY$b}.data-api`,EVENT_KEYUP_DATA_API$1=`keyup${EVENT_KEY$b}.data-api`,EVENT_CLICK$1=`click${EVENT_KEY$b}`,SELECTOR_BLOCK="[data-bs-transfer]",SELECTOR_HEAD=".transfer-header",SELECTOR_HEAD_INPUT=".transfer-header input",SELECTOR_HEAD_LABEL=".transfer-header span.num",SELECTOR_LIST_INPUT=".transfer-group input",SELECTOR_SOURCE=".it-transfer-wrapper.source",SELECTOR_TARGET=".it-transfer-wrapper.target";class Transfer extends BaseComponent{constructor(e){super(e),this._addBtnElement=SelectorEngine$1.findOne("a.transfer",this._element),this._invBtnElement=SelectorEngine$1.findOne("a.backtransfer",this._element),this._resetBtnElement=SelectorEngine$1.findOne("a.reset",this._element),this._listDefault={source:SelectorEngine$1.find(SELECTOR_SOURCE+" .transfer-group .form-check",this._element),target:SelectorEngine$1.find(SELECTOR_TARGET+" .transfer-group .form-check",this._element)},this._bindEvents();}static get NAME(){return NAME$g}_bindEvents(){SelectorEngine$1.find(SELECTOR_HEAD_INPUT,this._element).forEach((e=>{EventHandler$1.on(e,EVENT_CLICK$1,(()=>{this._checkListHeader(e.closest(".it-transfer-wrapper"));}));})),SelectorEngine$1.find(SELECTOR_LIST_INPUT,this._element).forEach((e=>{EventHandler$1.on(e,EVENT_CLICK$1,(()=>{this._checkList(e.closest(".it-transfer-wrapper"));}));})),EventHandler$1.on(this._addBtnElement,EVENT_CLICK$1,(e=>{e.preventDefault(),this._disableElement(this._addBtnElement),this._addItems();})),EventHandler$1.on(this._invBtnElement,EVENT_CLICK$1,(e=>{e.preventDefault(),this._disableElement(this._invBtnElement),this._addItems(!0);})),EventHandler$1.on(this._resetBtnElement,EVENT_CLICK$1,(e=>{e.preventDefault(),this._disableElement(this._addBtnElement),this._disableElement(this._invBtnElement),this._disableElement(this._resetBtnElement),this._resetAll();}));}_disableElement(e){e.classList.remove("active"),e.setAttribute("disabled","disabled"),e.setAttribute("aria-disabled","true");}_enableElement(e){e.classList.add("active"),e.removeAttribute("disabled"),e.removeAttribute("aria-disabled");}_getScopeData(e){return {scope:e,list:SelectorEngine$1.find(SELECTOR_LIST_INPUT,e),listChecked:SelectorEngine$1.find(SELECTOR_LIST_INPUT+":checked",e),head:SelectorEngine$1.findOne(SELECTOR_HEAD,e),inputHead:SelectorEngine$1.findOne(SELECTOR_HEAD_INPUT,e),labelNumHead:SelectorEngine$1.findOne(SELECTOR_HEAD_LABEL,e),group:SelectorEngine$1.findOne(".transfer-group",e)}}_checkList(e){const t=this._getScopeData(e);0==t.listChecked.length?(t.inputHead.classList.remove("semi-checked"),t.inputHead.checked=!0,e.classList.contains("source")?this._disableElement(this._addBtnElement):this._disableElement(this._invBtnElement)):(t.listChecked.length==t.list.length?(t.inputHead.classList.remove("semi-checked"),t.inputHead.checked=!0):(t.inputHead.classList.add("semi-checked"),t.inputHead.checked=!1),e.classList.contains("source")?this._enableElement(this._addBtnElement):this._enableElement(this._invBtnElement));}_checkListHeader(e){const t=this._getScopeData(e);t.listChecked.length>0?(t.list.forEach((e=>{e.checked=!1;})),t.inputHead.classList.remove("semi-checked"),t.inputHead.checked=!1,e.classList.contains("source")?this._disableElement(this._addBtnElement):this._disableElement(this._invBtnElement)):(t.list.forEach((e=>{e.checked=!0;})),e.classList.contains("source")?this._enableElement(this._addBtnElement):this._enableElement(this._invBtnElement));}_addItems(e){const t=this._getScopeData(SelectorEngine$1.findOne(e?SELECTOR_TARGET:SELECTOR_SOURCE,this._element)),n=this._getScopeData(SelectorEngine$1.findOne(e?SELECTOR_SOURCE:SELECTOR_TARGET,this._element)),s=t.listChecked,i=t.inputHead,E=t.labelNumHead,a=s.length,r=t.list.length,l=n.group,c=n.list.length+a,_=n.labelNumHead,d=n.inputHead;s.forEach((e=>{const t=e.closest(".form-check");t.remove(),l.appendChild(t),e.checked=!1;}));const o=r-a,h=c;E.innerText=o,_.innerText=h,0==o&&i.setAttribute("disabled",!0),h>0&&d.removeAttribute("disabled"),i.classList.remove("semi-checked"),i.checked=!1,this._enableElement(this._resetBtnElement);}_resetAll(){const e={source:this._getScopeData(SelectorEngine$1.findOne(SELECTOR_SOURCE,this._element)),target:this._getScopeData(SelectorEngine$1.findOne(SELECTOR_TARGET,this._element))};Object.keys(e).forEach((t=>{e[t].list.forEach((e=>e.closest(".form-check").remove()));})),Object.keys(e).forEach((t=>{this._listDefault[t].forEach((n=>{n.checked=!1,e[t].group.appendChild(n);})),e[t].labelNumHead.innerText=this._listDefault[t].length,e[t].inputHead.removeAttribute("disabled"),e[t].inputHead.classList.remove("semi-checked"),e[t].inputHead.checked=!1;}));}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$6,SELECTOR_BLOCK+" .form-check label",(function(){Transfer.getOrCreateInstance(this.closest(SELECTOR_BLOCK));})),EventHandler$1.on(document,EVENT_KEYUP_DATA_API$1,SELECTOR_BLOCK+" .form-check label",(function(){Transfer.getOrCreateInstance(this.closest(SELECTOR_BLOCK));}));const Transfer$1 = Transfer;

    const NAME$f="alert",DATA_KEY$9="bs.alert",EVENT_KEY$a=`.${DATA_KEY$9}`,EVENT_CLOSE=`close${EVENT_KEY$a}`,EVENT_CLOSED=`closed${EVENT_KEY$a}`;class Alert$2 extends BaseComponent{static get NAME(){return NAME$f}close(){if(EventHandler$1.trigger(this._element,EVENT_CLOSE).defaultPrevented)return;this._element.classList.remove("show");const e=this._element.classList.contains("fade");this._queueCallback((()=>this._destroyElement()),this._element,e);}_destroyElement(){this._element.remove(),EventHandler$1.trigger(this._element,EVENT_CLOSED),this.dispose();}static jQueryInterface(e){return this.each((function(){const t=Alert$2.getOrCreateInstance(this);if("string"==typeof e){if(void 0===t[e]||e.startsWith("_")||"constructor"===e)throw new TypeError(`No method named "${e}"`);t[e](this);}}))}}enableDismissTrigger(Alert$2,"close"),defineJQueryPlugin(Alert$2);

    class Alert extends Alert$2{}const Alert$1 = Alert;

    const NAME$e="button",DATA_KEY$8="bs.button",EVENT_KEY$9=`.${DATA_KEY$8}`,SELECTOR_DATA_TOGGLE$6='[data-bs-toggle="button"]',EVENT_CLICK_DATA_API$5=`click${EVENT_KEY$9}.data-api`;class Button$2 extends BaseComponent{static get NAME(){return NAME$e}toggle(){this._element.setAttribute("aria-pressed",this._element.classList.toggle("active"));}static jQueryInterface(t){return this.each((function(){const e=Button$2.getOrCreateInstance(this);"toggle"===t&&e[t]();}))}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$5,SELECTOR_DATA_TOGGLE$6,(t=>{t.preventDefault();const e=t.target.closest(SELECTOR_DATA_TOGGLE$6);Button$2.getOrCreateInstance(e).toggle();})),defineJQueryPlugin(Button$2);

    class Button extends Button$2{}const Button$1 = Button;

    const NAME$d="swipe",EVENT_KEY$8=".bs.swipe",EVENT_TOUCHSTART=`touchstart${EVENT_KEY$8}`,EVENT_TOUCHMOVE=`touchmove${EVENT_KEY$8}`,EVENT_TOUCHEND=`touchend${EVENT_KEY$8}`,EVENT_POINTERDOWN=`pointerdown${EVENT_KEY$8}`,EVENT_POINTERUP=`pointerup${EVENT_KEY$8}`,Default$c={endCallback:null,leftCallback:null,rightCallback:null},DefaultType$c={endCallback:"(function|null)",leftCallback:"(function|null)",rightCallback:"(function|null)"};class Swipe extends Config{constructor(t,e){super(),this._element=t,t&&Swipe.isSupported()&&(this._config=this._getConfig(e),this._deltaX=0,this._supportPointerEvents=Boolean(window.PointerEvent),this._initEvents());}static get Default(){return Default$c}static get DefaultType(){return DefaultType$c}static get NAME(){return NAME$d}dispose(){EventHandler$1.off(this._element,EVENT_KEY$8);}_start(t){this._supportPointerEvents?this._eventIsPointerPenTouch(t)&&(this._deltaX=t.clientX):this._deltaX=t.touches[0].clientX;}_end(t){this._eventIsPointerPenTouch(t)&&(this._deltaX=t.clientX-this._deltaX),this._handleSwipe(),execute(this._config.endCallback);}_move(t){this._deltaX=t.touches&&t.touches.length>1?0:t.touches[0].clientX-this._deltaX;}_handleSwipe(){const t=Math.abs(this._deltaX);if(t<=40)return;const e=t/this._deltaX;this._deltaX=0,e&&execute(e>0?this._config.rightCallback:this._config.leftCallback);}_initEvents(){this._supportPointerEvents?(EventHandler$1.on(this._element,EVENT_POINTERDOWN,(t=>this._start(t))),EventHandler$1.on(this._element,EVENT_POINTERUP,(t=>this._end(t))),this._element.classList.add("pointer-event")):(EventHandler$1.on(this._element,EVENT_TOUCHSTART,(t=>this._start(t))),EventHandler$1.on(this._element,EVENT_TOUCHMOVE,(t=>this._move(t))),EventHandler$1.on(this._element,EVENT_TOUCHEND,(t=>this._end(t))));}_eventIsPointerPenTouch(t){return this._supportPointerEvents&&("pen"===t.pointerType||"touch"===t.pointerType)}static isSupported(){return "ontouchstart"in document.documentElement||navigator.maxTouchPoints>0}}

    const NAME$c="carousel",DATA_KEY$7="bs.carousel",EVENT_KEY$7=`.${DATA_KEY$7}`,EVENT_SLIDE=`slide${EVENT_KEY$7}`,EVENT_SLID=`slid${EVENT_KEY$7}`,EVENT_KEYDOWN$1=`keydown${EVENT_KEY$7}`,EVENT_MOUSEENTER=`mouseenter${EVENT_KEY$7}`,EVENT_MOUSELEAVE=`mouseleave${EVENT_KEY$7}`,EVENT_DRAG_START=`dragstart${EVENT_KEY$7}`,EVENT_LOAD_DATA_API$2=`load${EVENT_KEY$7}.data-api`,EVENT_CLICK_DATA_API$4=`click${EVENT_KEY$7}.data-api`,CLASS_NAME_END="carousel-item-end",CLASS_NAME_START="carousel-item-start",CLASS_NAME_NEXT="carousel-item-next",CLASS_NAME_PREV="carousel-item-prev",SELECTOR_ITEM=".carousel-item",SELECTOR_ACTIVE_ITEM=".active.carousel-item",SELECTOR_ITEM_IMG=".carousel-item img",SELECTOR_INDICATORS=".carousel-indicators",SELECTOR_DATA_SLIDE="[data-bs-slide], [data-bs-slide-to]",SELECTOR_DATA_RIDE='[data-bs-ride="carousel"]',KEY_TO_DIRECTION={ArrowLeft:"right",ArrowRight:"left"},Default$b={interval:5e3,keyboard:!0,pause:"hover",ride:!1,touch:!0,wrap:!0},DefaultType$b={interval:"(number|boolean)",keyboard:"boolean",pause:"(string|boolean)",ride:"(boolean|string)",touch:"boolean",wrap:"boolean"};class Carousel$2 extends BaseComponent{constructor(e,t){super(e,t),this._interval=null,this._activeElement=null,this._isSliding=!1,this.touchTimeout=null,this._swipeHelper=null,this._indicatorsElement=SelectorEngine$1.findOne(SELECTOR_INDICATORS,this._element),this._addEventListeners(),"carousel"===this._config.ride&&this.cycle();}static get Default(){return Default$b}static get DefaultType(){return DefaultType$b}static get NAME(){return NAME$c}next(){this._slide("next");}nextWhenVisible(){!document.hidden&&isVisible(this._element)&&this.next();}prev(){this._slide("prev");}pause(){this._isSliding&&triggerTransitionEnd(this._element),this._clearInterval();}cycle(){this._clearInterval(),this._updateInterval(),this._interval=setInterval((()=>this.nextWhenVisible()),this._config.interval);}_maybeEnableCycle(){this._config.ride&&(this._isSliding?EventHandler$1.one(this._element,EVENT_SLID,(()=>this.cycle())):this.cycle());}to(e){const t=this._getItems();if(e>t.length-1||e<0)return;if(this._isSliding)return void EventHandler$1.one(this._element,EVENT_SLID,(()=>this.to(e)));const i=this._getItemIndex(this._getActive());if(i===e)return;const n=e>i?"next":"prev";this._slide(n,t[e]);}dispose(){this._swipeHelper&&this._swipeHelper.dispose(),super.dispose();}_configAfterMerge(e){return e.defaultInterval=e.interval,e}_addEventListeners(){this._config.keyboard&&EventHandler$1.on(this._element,EVENT_KEYDOWN$1,(e=>this._keydown(e))),"hover"===this._config.pause&&(EventHandler$1.on(this._element,EVENT_MOUSEENTER,(()=>this.pause())),EventHandler$1.on(this._element,EVENT_MOUSELEAVE,(()=>this._maybeEnableCycle()))),this._config.touch&&Swipe.isSupported()&&this._addTouchEventListeners();}_addTouchEventListeners(){for(const e of SelectorEngine$1.find(SELECTOR_ITEM_IMG,this._element))EventHandler$1.on(e,EVENT_DRAG_START,(e=>e.preventDefault()));const e={leftCallback:()=>this._slide(this._directionToOrder("left")),rightCallback:()=>this._slide(this._directionToOrder("right")),endCallback:()=>{"hover"===this._config.pause&&(this.pause(),this.touchTimeout&&clearTimeout(this.touchTimeout),this.touchTimeout=setTimeout((()=>this._maybeEnableCycle()),500+this._config.interval));}};this._swipeHelper=new Swipe(this._element,e);}_keydown(e){if(/input|textarea/i.test(e.target.tagName))return;const t=KEY_TO_DIRECTION[e.key];t&&(e.preventDefault(),this._slide(this._directionToOrder(t)));}_getItemIndex(e){return this._getItems().indexOf(e)}_setActiveIndicatorElement(e){if(!this._indicatorsElement)return;const t=SelectorEngine$1.findOne(".active",this._indicatorsElement);t.classList.remove("active"),t.removeAttribute("aria-current");const i=SelectorEngine$1.findOne(`[data-bs-slide-to="${e}"]`,this._indicatorsElement);i&&(i.classList.add("active"),i.setAttribute("aria-current","true"));}_updateInterval(){const e=this._activeElement||this._getActive();if(!e)return;const t=Number.parseInt(e.getAttribute("data-bs-interval"),10);this._config.interval=t||this._config.defaultInterval;}_slide(e,t=null){if(this._isSliding)return;const i=this._getActive(),n="next"===e,s=t||getNextActiveElement(this._getItems(),i,n,this._config.wrap);if(s===i)return;const r=this._getItemIndex(s),a=t=>EventHandler$1.trigger(this._element,t,{relatedTarget:s,direction:this._orderToDirection(e),from:this._getItemIndex(i),to:r});if(a(EVENT_SLIDE).defaultPrevented)return;if(!i||!s)return;const l=Boolean(this._interval);this.pause(),this._isSliding=!0,this._setActiveIndicatorElement(r),this._activeElement=s;const o=n?CLASS_NAME_START:CLASS_NAME_END,E=n?CLASS_NAME_NEXT:CLASS_NAME_PREV;s.classList.add(E),reflow(s),i.classList.add(o),s.classList.add(o);this._queueCallback((()=>{s.classList.remove(o,E),s.classList.add("active"),i.classList.remove("active",E,o),this._isSliding=!1,a(EVENT_SLID);}),i,this._isAnimated()),l&&this.cycle();}_isAnimated(){return this._element.classList.contains("slide")}_getActive(){return SelectorEngine$1.findOne(SELECTOR_ACTIVE_ITEM,this._element)}_getItems(){return SelectorEngine$1.find(SELECTOR_ITEM,this._element)}_clearInterval(){this._interval&&(clearInterval(this._interval),this._interval=null);}_directionToOrder(e){return isRTL()?"left"===e?"prev":"next":"left"===e?"next":"prev"}_orderToDirection(e){return isRTL()?"prev"===e?"left":"right":"prev"===e?"right":"left"}static jQueryInterface(e){return this.each((function(){const t=Carousel$2.getOrCreateInstance(this,e);if("number"!=typeof e){if("string"==typeof e){if(void 0===t[e]||e.startsWith("_")||"constructor"===e)throw new TypeError(`No method named "${e}"`);t[e]();}}else t.to(e);}))}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$4,SELECTOR_DATA_SLIDE,(function(e){const t=getElementFromSelector(this);if(!t||!t.classList.contains("carousel"))return;e.preventDefault();const i=Carousel$2.getOrCreateInstance(t),n=this.getAttribute("data-bs-slide-to");return n?(i.to(n),void i._maybeEnableCycle()):"next"===Manipulator.getDataAttribute(this,"slide")?(i.next(),void i._maybeEnableCycle()):(i.prev(),void i._maybeEnableCycle())})),EventHandler$1.on(window,EVENT_LOAD_DATA_API$2,(()=>{const e=SelectorEngine$1.find(SELECTOR_DATA_RIDE);for(const t of e)Carousel$2.getOrCreateInstance(t);})),defineJQueryPlugin(Carousel$2);

    class Carousel extends Carousel$2{}const Carousel$1 = Carousel;

    const NAME$b="collapse",DATA_KEY$6="bs.collapse",EVENT_KEY$6=`.${DATA_KEY$6}`,EVENT_SHOW$5=`show${EVENT_KEY$6}`,EVENT_SHOWN$5=`shown${EVENT_KEY$6}`,EVENT_HIDE$5=`hide${EVENT_KEY$6}`,EVENT_HIDDEN$5=`hidden${EVENT_KEY$6}`,EVENT_CLICK_DATA_API$3=`click${EVENT_KEY$6}.data-api`,CLASS_NAME_DEEPER_CHILDREN=":scope .collapse .collapse",WIDTH="width",HEIGHT="height",SELECTOR_ACTIVES=".collapse.show, .collapse.collapsing",SELECTOR_DATA_TOGGLE$5='[data-bs-toggle="collapse"]',Default$a={parent:null,toggle:!0},DefaultType$a={parent:"(null|element)",toggle:"boolean"};class Collapse$2 extends BaseComponent{constructor(e,t){super(e,t),this._isTransitioning=!1,this._triggerArray=[];const s=SelectorEngine$1.find(SELECTOR_DATA_TOGGLE$5);for(const e of s){const t=getSelectorFromElement(e),s=SelectorEngine$1.find(t).filter((e=>e===this._element));null!==t&&s.length&&this._triggerArray.push(e);}this._initializeChildren(),this._config.parent||this._addAriaAndCollapsedClass(this._triggerArray,this._isShown()),this._config.toggle&&this.toggle();}static get Default(){return Default$a}static get DefaultType(){return DefaultType$a}static get NAME(){return NAME$b}toggle(){this._isShown()?this.hide():this.show();}show(){if(this._isTransitioning||this._isShown())return;let e=[];if(this._config.parent&&(e=this._getFirstLevelChildren(SELECTOR_ACTIVES).filter((e=>e!==this._element)).map((e=>Collapse$2.getOrCreateInstance(e,{toggle:!1})))),e.length&&e[0]._isTransitioning)return;if(EventHandler$1.trigger(this._element,EVENT_SHOW$5).defaultPrevented)return;for(const t of e)t.hide();const t=this._getDimension();this._element.classList.remove("collapse"),this._element.classList.add("collapsing"),this._element.style[t]=0,this._addAriaAndCollapsedClass(this._triggerArray,!0),this._isTransitioning=!0;const s=`scroll${t[0].toUpperCase()+t.slice(1)}`;this._queueCallback((()=>{this._isTransitioning=!1,this._element.classList.remove("collapsing"),this._element.classList.add("collapse","show"),this._element.style[t]="",EventHandler$1.trigger(this._element,EVENT_SHOWN$5);}),this._element,!0),this._element.style[t]=`${this._element[s]}px`;}hide(){if(this._isTransitioning||!this._isShown())return;if(EventHandler$1.trigger(this._element,EVENT_HIDE$5).defaultPrevented)return;const e=this._getDimension();this._element.style[e]=`${this._element.getBoundingClientRect()[e]}px`,reflow(this._element),this._element.classList.add("collapsing"),this._element.classList.remove("collapse","show");for(const e of this._triggerArray){const t=getElementFromSelector(e);t&&!this._isShown(t)&&this._addAriaAndCollapsedClass([e],!1);}this._isTransitioning=!0;this._element.style[e]="",this._queueCallback((()=>{this._isTransitioning=!1,this._element.classList.remove("collapsing"),this._element.classList.add("collapse"),EventHandler$1.trigger(this._element,EVENT_HIDDEN$5);}),this._element,!0);}_isShown(e=this._element){return e.classList.contains("show")}_configAfterMerge(e){return e.toggle=Boolean(e.toggle),e.parent=getElement(e.parent),e}_getDimension(){return this._element.classList.contains("collapse-horizontal")?WIDTH:HEIGHT}_initializeChildren(){if(!this._config.parent)return;const e=this._getFirstLevelChildren(SELECTOR_DATA_TOGGLE$5);for(const t of e){const e=getElementFromSelector(t);e&&this._addAriaAndCollapsedClass([t],this._isShown(e));}}_getFirstLevelChildren(e){const t=SelectorEngine$1.find(CLASS_NAME_DEEPER_CHILDREN,this._config.parent);return SelectorEngine$1.find(e,this._config.parent).filter((e=>!t.includes(e)))}_addAriaAndCollapsedClass(e,t){if(e.length)for(const s of e)s.classList.toggle("collapsed",!t),s.setAttribute("aria-expanded",t);}static jQueryInterface(e){const t={};return "string"==typeof e&&/show|hide/.test(e)&&(t.toggle=!1),this.each((function(){const s=Collapse$2.getOrCreateInstance(this,t);if("string"==typeof e){if(void 0===s[e])throw new TypeError(`No method named "${e}"`);s[e]();}}))}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$3,SELECTOR_DATA_TOGGLE$5,(function(e){("A"===e.target.tagName||e.delegateTarget&&"A"===e.delegateTarget.tagName)&&e.preventDefault();const t=getSelectorFromElement(this),s=SelectorEngine$1.find(t);for(const e of s)Collapse$2.getOrCreateInstance(e,{toggle:!1}).toggle();})),defineJQueryPlugin(Collapse$2);

    class Collapse extends Collapse$2{}const Collapse$1 = Collapse;

    var top="top";var bottom="bottom";var right="right";var left="left";var auto="auto";var basePlacements=[top,bottom,right,left];var start="start";var end="end";var clippingParents="clippingParents";var viewport="viewport";var popper="popper";var reference="reference";var variationPlacements=basePlacements.reduce((function(e,r){return e.concat([r+"-"+start,r+"-"+end])}),[]);var placements=[].concat(basePlacements,[auto]).reduce((function(e,r){return e.concat([r,r+"-"+start,r+"-"+end])}),[]);var beforeRead="beforeRead";var read="read";var afterRead="afterRead";var beforeMain="beforeMain";var main="main";var afterMain="afterMain";var beforeWrite="beforeWrite";var write="write";var afterWrite="afterWrite";var modifierPhases=[beforeRead,read,afterRead,beforeMain,main,afterMain,beforeWrite,write,afterWrite];

    function getNodeName(e){return e?(e.nodeName||"").toLowerCase():null}

    function getWindow(n){if(null==n)return window;if("[object Window]"!==n.toString()){var e=n.ownerDocument;return e&&e.defaultView||window}return n}

    function isElement(n){return n instanceof getWindow(n).Element||n instanceof Element}function isHTMLElement(n){return n instanceof getWindow(n).HTMLElement||n instanceof HTMLElement}function isShadowRoot(n){return "undefined"!=typeof ShadowRoot&&(n instanceof getWindow(n).ShadowRoot||n instanceof ShadowRoot)}

    function applyStyles(e){var t=e.state;Object.keys(t.elements).forEach((function(e){var s=t.styles[e]||{},r=t.attributes[e]||{},n=t.elements[e];isHTMLElement(n)&&getNodeName(n)&&(Object.assign(n.style,s),Object.keys(r).forEach((function(e){var t=r[e];!1===t?n.removeAttribute(e):n.setAttribute(e,!0===t?"":t);})));}));}function effect$2(e){var t=e.state,s={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(t.elements.popper.style,s.popper),t.styles=s,t.elements.arrow&&Object.assign(t.elements.arrow.style,s.arrow),function(){Object.keys(t.elements).forEach((function(e){var r=t.elements[e],n=t.attributes[e]||{},o=Object.keys(t.styles.hasOwnProperty(e)?t.styles[e]:s[e]).reduce((function(e,t){return e[t]="",e}),{});isHTMLElement(r)&&getNodeName(r)&&(Object.assign(r.style,o),Object.keys(n).forEach((function(e){r.removeAttribute(e);})));}));}}const applyStyles$1 = {name:"applyStyles",enabled:!0,phase:"write",fn:applyStyles,effect:effect$2,requires:["computeStyles"]};

    function getBasePlacement(e){return e.split("-")[0]}

    var max=Math.max;var min=Math.min;var round=Math.round;

    function getUAString(){var r=navigator.userAgentData;return null!=r&&r.brands&&Array.isArray(r.brands)?r.brands.map((function(r){return r.brand+"/"+r.version})).join(" "):navigator.userAgent}

    function isLayoutViewport(){return !/^((?!chrome|android).)*safari/i.test(getUAString())}

    function getBoundingClientRect(t,i,e){void 0===i&&(i=!1),void 0===e&&(e=!1);var o=t.getBoundingClientRect(),n=1,r=1;i&&isHTMLElement(t)&&(n=t.offsetWidth>0&&round(o.width)/t.offsetWidth||1,r=t.offsetHeight>0&&round(o.height)/t.offsetHeight||1);var f=(isElement(t)?getWindow(t):window).visualViewport,s=!isLayoutViewport()&&e,d=(o.left+(s&&f?f.offsetLeft:0))/n,p=(o.top+(s&&f?f.offsetTop:0))/r,h=o.width/n,m=o.height/r;return {width:h,height:m,top:p,right:d+h,bottom:p+m,left:d,x:d,y:p}}

    function getLayoutRect(t){var e=getBoundingClientRect(t),i=t.offsetWidth,o=t.offsetHeight;return Math.abs(e.width-i)<=1&&(i=e.width),Math.abs(e.height-o)<=1&&(o=e.height),{x:t.offsetLeft,y:t.offsetTop,width:i,height:o}}

    function contains(o,t){var e=t.getRootNode&&t.getRootNode();if(o.contains(t))return !0;if(e&&isShadowRoot(e)){var i=t;do{if(i&&o.isSameNode(i))return !0;i=i.parentNode||i.host;}while(i)}return !1}

    function getComputedStyle$1(t){return getWindow(t).getComputedStyle(t)}

    function isTableElement(e){return ["table","td","th"].indexOf(getNodeName(e))>=0}

    function getDocumentElement(e){return ((isElement(e)?e.ownerDocument:e.document)||window.document).documentElement}

    function getParentNode(e){return "html"===getNodeName(e)?e:e.assignedSlot||e.parentNode||(isShadowRoot(e)?e.host:null)||getDocumentElement(e)}

    function getTrueOffsetParent(e){return isHTMLElement(e)&&"fixed"!==getComputedStyle$1(e).position?e.offsetParent:null}function getContainingBlock(e){var t=/firefox/i.test(getUAString());if(/Trident/i.test(getUAString())&&isHTMLElement(e)&&"fixed"===getComputedStyle$1(e).position)return null;var o=getParentNode(e);for(isShadowRoot(o)&&(o=o.host);isHTMLElement(o)&&["html","body"].indexOf(getNodeName(o))<0;){var n=getComputedStyle$1(o);if("none"!==n.transform||"none"!==n.perspective||"paint"===n.contain||-1!==["transform","perspective"].indexOf(n.willChange)||t&&"filter"===n.willChange||t&&n.filter&&"none"!==n.filter)return o;o=o.parentNode;}return null}function getOffsetParent(e){for(var t=getWindow(e),o=getTrueOffsetParent(e);o&&isTableElement(o)&&"static"===getComputedStyle$1(o).position;)o=getTrueOffsetParent(o);return o&&("html"===getNodeName(o)||"body"===getNodeName(o)&&"static"===getComputedStyle$1(o).position)?t:o||getContainingBlock(e)||t}

    function getMainAxisFromPlacement(t){return ["top","bottom"].indexOf(t)>=0?"x":"y"}

    function within(t,i,n){return max(t,min(i,n))}function withinMaxClamp(t,i,n){var a=within(t,i,n);return a>n?n:a}

    function getFreshSideObject(){return {top:0,right:0,bottom:0,left:0}}

    function mergePaddingObject(e){return Object.assign({},getFreshSideObject(),e)}

    function expandToHashMap(e,n){return n.reduce((function(n,r){return n[r]=e,n}),{})}

    var toPaddingObject=function(e,t){return e="function"==typeof e?e(Object.assign({},t.rects,{placement:t.placement})):e,mergePaddingObject("number"!=typeof e?e:expandToHashMap(e,basePlacements))};function arrow(e){var t,r=e.state,o=e.name,n=e.options,i=r.elements.arrow,s=r.modifiersData.popperOffsets,a=getBasePlacement(r.placement),m=getMainAxisFromPlacement(a),p=[left,right].indexOf(a)>=0?"height":"width";if(i&&s){var c=toPaddingObject(n.padding,r),f=getLayoutRect(i),l="y"===m?top:left,d="y"===m?bottom:right,u=r.rects.reference[p]+r.rects.reference[m]-s[m]-r.rects.popper[p],g=s[m]-r.rects.reference[m],h=getOffsetParent(i),j=h?"y"===m?h.clientHeight||0:h.clientWidth||0:0,P=u/2-g/2,w=c[l],O=j-f[p]-c[d],b=j/2-f[p]/2+P,v=within(w,b,O),y=m;r.modifiersData[o]=((t={})[y]=v,t.centerOffset=v-b,t);}}function effect$1(e){var t=e.state,r=e.options.element,o=void 0===r?"[data-popper-arrow]":r;null!=o&&("string"!=typeof o||(o=t.elements.popper.querySelector(o)))&&("production"!==process.env.NODE_ENV&&(isHTMLElement(o)||console.error(['Popper: "arrow" element must be an HTMLElement (not an SVGElement).',"To use an SVG arrow, wrap it in an HTMLElement that will be used as","the arrow."].join(" "))),contains(t.elements.popper,o)?t.elements.arrow=o:"production"!==process.env.NODE_ENV&&console.error(['Popper: "arrow" modifier\'s `element` must be a child of the popper',"element."].join(" ")));}const arrow$1 = {name:"arrow",enabled:!0,phase:"main",fn:arrow,effect:effect$1,requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};

    function getVariation(t){return t.split("-")[1]}

    var unsetSides={top:"auto",right:"auto",bottom:"auto",left:"auto"};function roundOffsetsByDPR(t,e){var o=t.x,i=t.y,r=e.devicePixelRatio||1;return {x:round(o*r)/r||0,y:round(i*r)/r||0}}function mapToStyles(t){var e,o=t.popper,i=t.popperRect,r=t.placement,s=t.variation,n=t.offsets,a=t.position,p=t.gpuAcceleration,l=t.adaptive,m=t.roundOffsets,f=t.isFixed,d=n.x,u=void 0===d?0:d,c=n.y,g=void 0===c?0:c,y="function"==typeof m?m({x:u,y:g}):{x:u,y:g};u=y.x,g=y.y;var v=n.hasOwnProperty("x"),h=n.hasOwnProperty("y"),x=left,O=top,b=window;if(l){var w=getOffsetParent(o),S="clientHeight",j="clientWidth";if(w===getWindow(o)&&(w=getDocumentElement(o),"static"!==getComputedStyle$1(w).position&&"absolute"===a&&(S="scrollHeight",j="scrollWidth")),r===top||(r===left||r===right)&&s===end)O=bottom,g-=(f&&w===b&&b.visualViewport?b.visualViewport.height:w[S])-i.height,g*=p?1:-1;if(r===left||(r===top||r===bottom)&&s===end)x=right,u-=(f&&w===b&&b.visualViewport?b.visualViewport.width:w[j])-i.width,u*=p?1:-1;}var P,D=Object.assign({position:a},l&&unsetSides),C=!0===m?roundOffsetsByDPR({x:u,y:g},getWindow(o)):{x:u,y:g};return u=C.x,g=C.y,p?Object.assign({},D,((P={})[O]=h?"0":"",P[x]=v?"0":"",P.transform=(b.devicePixelRatio||1)<=1?"translate("+u+"px, "+g+"px)":"translate3d("+u+"px, "+g+"px, 0)",P)):Object.assign({},D,((e={})[O]=h?g+"px":"",e[x]=v?u+"px":"",e.transform="",e))}function computeStyles(t){var e=t.state,o=t.options,i=o.gpuAcceleration,r=void 0===i||i,s=o.adaptive,n=void 0===s||s,a=o.roundOffsets,p=void 0===a||a;if("production"!==process.env.NODE_ENV){var l=getComputedStyle$1(e.elements.popper).transitionProperty||"";n&&["transform","top","right","bottom","left"].some((function(t){return l.indexOf(t)>=0}))&&console.warn(["Popper: Detected CSS transitions on at least one of the following",'CSS properties: "transform", "top", "right", "bottom", "left".',"\n\n",'Disable the "computeStyles" modifier\'s `adaptive` option to allow',"for smooth transitions, or remove these properties from the CSS","transition declaration on the popper element if only transitioning","opacity or background-color for example.","\n\n","We recommend using the popper element as a wrapper around an inner","element that can have any CSS property transitioned for animations."].join(" "));}var m={placement:getBasePlacement(e.placement),variation:getVariation(e.placement),popper:e.elements.popper,popperRect:e.rects.popper,gpuAcceleration:r,isFixed:"fixed"===e.options.strategy};null!=e.modifiersData.popperOffsets&&(e.styles.popper=Object.assign({},e.styles.popper,mapToStyles(Object.assign({},m,{offsets:e.modifiersData.popperOffsets,position:e.options.strategy,adaptive:n,roundOffsets:p})))),null!=e.modifiersData.arrow&&(e.styles.arrow=Object.assign({},e.styles.arrow,mapToStyles(Object.assign({},m,{offsets:e.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:p})))),e.attributes.popper=Object.assign({},e.attributes.popper,{"data-popper-placement":e.placement});}const computeStyles$1 = {name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:computeStyles,data:{}};

    var passive={passive:!0};function effect(e){var t=e.state,n=e.instance,s=e.options,r=s.scroll,i=void 0===r||r,o=s.resize,a=void 0===o||o,p=getWindow(t.elements.popper),c=[].concat(t.scrollParents.reference,t.scrollParents.popper);return i&&c.forEach((function(e){e.addEventListener("scroll",n.update,passive);})),a&&p.addEventListener("resize",n.update,passive),function(){i&&c.forEach((function(e){e.removeEventListener("scroll",n.update,passive);})),a&&p.removeEventListener("resize",n.update,passive);}}const eventListeners = {name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:effect,data:{}};

    var hash$1={left:"right",right:"left",bottom:"top",top:"bottom"};function getOppositePlacement(t){return t.replace(/left|right|bottom|top/g,(function(t){return hash$1[t]}))}

    var hash={start:"end",end:"start"};function getOppositeVariationPlacement(t){return t.replace(/start|end/g,(function(t){return hash[t]}))}

    function getWindowScroll(e){var o=getWindow(e);return {scrollLeft:o.pageXOffset,scrollTop:o.pageYOffset}}

    function getWindowScrollBarX(e){return getBoundingClientRect(getDocumentElement(e)).left+getWindowScroll(e).scrollLeft}

    function getViewportRect(t,e){var o=getWindow(t),i=getDocumentElement(t),r=o.visualViewport,n=i.clientWidth,l=i.clientHeight,m=0,p=0;if(r){n=r.width,l=r.height;var g=isLayoutViewport();(g||!g&&"fixed"===e)&&(m=r.offsetLeft,p=r.offsetTop);}return {width:n,height:l,x:m+getWindowScrollBarX(t),y:p}}

    function getDocumentRect(t){var e,o=getDocumentElement(t),l=getWindowScroll(t),i=null==(e=t.ownerDocument)?void 0:e.body,r=max(o.scrollWidth,o.clientWidth,i?i.scrollWidth:0,i?i.clientWidth:0),n=max(o.scrollHeight,o.clientHeight,i?i.scrollHeight:0,i?i.clientHeight:0),c=-l.scrollLeft+getWindowScrollBarX(t),m=-l.scrollTop;return "rtl"===getComputedStyle$1(i||o).direction&&(c+=max(o.clientWidth,i?i.clientWidth:0)-r),{width:r,height:n,x:c,y:m}}

    function isScrollParent(e){var o=getComputedStyle$1(e),t=o.overflow,r=o.overflowX,l=o.overflowY;return /auto|scroll|overlay|hidden/.test(t+l+r)}

    function getScrollParent(e){return ["html","body","#document"].indexOf(getNodeName(e))>=0?e.ownerDocument.body:isHTMLElement(e)&&isScrollParent(e)?e:getScrollParent(getParentNode(e))}

    function listScrollParents(r,t){var o;void 0===t&&(t=[]);var e=getScrollParent(r),n=e===(null==(o=r.ownerDocument)?void 0:o.body),l=getWindow(e),i=n?[l].concat(l.visualViewport||[],isScrollParent(e)?e:[]):e,a=t.concat(i);return n?a:a.concat(listScrollParents(getParentNode(i)))}

    function rectToClientRect(t){return Object.assign({},t,{left:t.x,top:t.y,right:t.x+t.width,bottom:t.y+t.height})}

    function getInnerBoundingClientRect(t,e){var o=getBoundingClientRect(t,!1,"fixed"===e);return o.top=o.top+t.clientTop,o.left=o.left+t.clientLeft,o.bottom=o.top+t.clientHeight,o.right=o.left+t.clientWidth,o.width=t.clientWidth,o.height=t.clientHeight,o.x=o.left,o.y=o.top,o}function getClientRectFromMixedType(t,e,o){return e===viewport?rectToClientRect(getViewportRect(t,o)):isElement(e)?getInnerBoundingClientRect(e,o):rectToClientRect(getDocumentRect(getDocumentElement(t)))}function getClippingParents(t){var e=listScrollParents(getParentNode(t)),o=["absolute","fixed"].indexOf(getComputedStyle$1(t).position)>=0&&isHTMLElement(t)?getOffsetParent(t):t;return isElement(o)?e.filter((function(t){return isElement(t)&&contains(t,o)&&"body"!==getNodeName(t)})):[]}function getClippingRect(t,e,o,n){var i="clippingParents"===e?getClippingParents(t):[].concat(e),r=[].concat(i,[o]),m=r[0],l=r.reduce((function(e,o){var i=getClientRectFromMixedType(t,o,n);return e.top=max(i.top,e.top),e.right=min(i.right,e.right),e.bottom=min(i.bottom,e.bottom),e.left=max(i.left,e.left),e}),getClientRectFromMixedType(t,m,n));return l.width=l.right-l.left,l.height=l.bottom-l.top,l.x=l.left,l.y=l.top,l}

    function computeOffsets(e){var t,a=e.reference,i=e.element,r=e.placement,n=r?getBasePlacement(r):null,o=r?getVariation(r):null,s=a.x+a.width/2-i.width/2,m=a.y+a.height/2-i.height/2;switch(n){case top:t={x:s,y:a.y-i.height};break;case bottom:t={x:s,y:a.y+a.height};break;case right:t={x:a.x+a.width,y:m};break;case left:t={x:a.x-i.width,y:m};break;default:t={x:a.x,y:a.y};}var l=n?getMainAxisFromPlacement(n):null;if(null!=l){var c="y"===l?"height":"width";switch(o){case start:t[l]=t[l]-(a[c]/2-i[c]/2);break;case end:t[l]=t[l]+(a[c]/2-i[c]/2);}}return t}

    function detectOverflow(e,t){void 0===t&&(t={});var o=t,r=o.placement,p=void 0===r?e.placement:r,n=o.strategy,i=void 0===n?e.strategy:n,m=o.boundary,s=void 0===m?clippingParents:m,c=o.rootBoundary,l=void 0===c?viewport:c,a=o.elementContext,f=void 0===a?popper:a,g=o.altBoundary,d=void 0!==g&&g,u=o.padding,b=void 0===u?0:u,j=mergePaddingObject("number"!=typeof b?b:expandToHashMap(b,basePlacements)),v=f===popper?reference:popper,O=e.rects.popper,h=e.elements[d?v:f],C=getClippingRect(isElement(h)?h:h.contextElement||getDocumentElement(e.elements.popper),s,l,i),x=getBoundingClientRect(e.elements.reference),y=computeOffsets({reference:x,element:O,strategy:"absolute",placement:p}),R=rectToClientRect(Object.assign({},O,y)),E=f===popper?R:x,P={top:C.top-E.top+j.top,bottom:E.bottom-C.bottom+j.bottom,left:C.left-E.left+j.left,right:E.right-C.right+j.right},T=e.modifiersData.offset;if(f===popper&&T){var B=T[p];Object.keys(P).forEach((function(e){var t=[right,bottom].indexOf(e)>=0?1:-1,o=[top,bottom].indexOf(e)>=0?"y":"x";P[e]+=B[o]*t;}));}return P}

    function computeAutoPlacement(e,t){void 0===t&&(t={});var o=t,a=o.placement,n=o.boundary,r=o.rootBoundary,l=o.padding,i=o.flipVariations,s=o.allowedAutoPlacements,c=void 0===s?placements:s,m=getVariation(a),u=m?i?variationPlacements:variationPlacements.filter((function(e){return getVariation(e)===m})):basePlacements,p=u.filter((function(e){return c.indexOf(e)>=0}));0===p.length&&(p=u,"production"!==process.env.NODE_ENV&&console.error(["Popper: The `allowedAutoPlacements` option did not allow any","placements. Ensure the `placement` option matches the variation","of the allowed placements.",'For example, "auto" cannot be used to allow "bottom-start".','Use "auto-start" instead.'].join(" ")));var d=p.reduce((function(t,o){return t[o]=detectOverflow(e,{placement:o,boundary:n,rootBoundary:r,padding:l})[getBasePlacement(o)],t}),{});return Object.keys(d).sort((function(e,t){return d[e]-d[t]}))}

    function getExpandedFallbackPlacements(e){if(getBasePlacement(e)===auto)return [];var t=getOppositePlacement(e);return [getOppositeVariationPlacement(e),t,getOppositeVariationPlacement(t)]}function flip(e){var t=e.state,a=e.options,o=e.name;if(!t.modifiersData[o]._skip){for(var i=a.mainAxis,n=void 0===i||i,r=a.altAxis,l=void 0===r||r,p=a.fallbackPlacements,s=a.padding,m=a.boundary,c=a.rootBoundary,u=a.altBoundary,f=a.flipVariations,d=void 0===f||f,g=a.allowedAutoPlacements,P=t.options.placement,v=getBasePlacement(P),b=p||(v===P||!d?[getOppositePlacement(P)]:getExpandedFallbackPlacements(P)),O=[P].concat(b).reduce((function(e,a){return e.concat(getBasePlacement(a)===auto?computeAutoPlacement(t,{placement:a,boundary:m,rootBoundary:c,padding:s,flipVariations:d,allowedAutoPlacements:g}):a)}),[]),B=t.rects.reference,k=t.rects.popper,y=new Map,h=!0,V=O[0],j=0;j<O.length;j++){var w=O[j],x=getBasePlacement(w),A=getVariation(w)===start,E=[top,bottom].indexOf(x)>=0,_=E?"width":"height",D=detectOverflow(t,{placement:w,boundary:m,rootBoundary:c,altBoundary:u,padding:s}),F=E?A?right:left:A?bottom:top;B[_]>k[_]&&(F=getOppositePlacement(F));var q=getOppositePlacement(F),I=[];if(n&&I.push(D[x]<=0),l&&I.push(D[F]<=0,D[q]<=0),I.every((function(e){return e}))){V=w,h=!1;break}y.set(w,I);}if(h)for(var M=function(e){var t=O.find((function(t){var a=y.get(t);if(a)return a.slice(0,e).every((function(e){return e}))}));if(t)return V=t,"break"},z=d?3:1;z>0;z--){if("break"===M(z))break}t.placement!==V&&(t.modifiersData[o]._skip=!0,t.placement=V,t.reset=!0);}}const flip$1 = {name:"flip",enabled:!0,phase:"main",fn:flip,requiresIfExists:["offset"],data:{_skip:!1}};

    function getSideOffsets(e,t,r){return void 0===r&&(r={x:0,y:0}),{top:e.top-t.height-r.y,right:e.right-t.width+r.x,bottom:e.bottom-t.height+r.y,left:e.left-t.width-r.x}}function isAnySideFullyClipped(e){return [top,right,bottom,left].some((function(t){return e[t]>=0}))}function hide(e){var t=e.state,r=e.name,i=t.rects.reference,p=t.rects.popper,o=t.modifiersData.preventOverflow,s=detectOverflow(t,{elementContext:"reference"}),n=detectOverflow(t,{altBoundary:!0}),f=getSideOffsets(s,i),d=getSideOffsets(n,p,o),l=isAnySideFullyClipped(f),a=isAnySideFullyClipped(d);t.modifiersData[r]={referenceClippingOffsets:f,popperEscapeOffsets:d,isReferenceHidden:l,hasPopperEscaped:a},t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-reference-hidden":l,"data-popper-escaped":a});}const hide$1 = {name:"hide",enabled:!0,phase:"main",requiresIfExists:["preventOverflow"],fn:hide};

    function distanceAndSkiddingToXY(e,t,n){var s=getBasePlacement(e),f=[left,top].indexOf(s)>=0?-1:1,i="function"==typeof n?n(Object.assign({},t,{placement:e})):n,o=i[0],a=i[1];return o=o||0,a=(a||0)*f,[left,right].indexOf(s)>=0?{x:a,y:o}:{x:o,y:a}}function offset(e){var t=e.state,n=e.options,s=e.name,f=n.offset,i=void 0===f?[0,0]:f,o=placements.reduce((function(e,n){return e[n]=distanceAndSkiddingToXY(n,t.rects,i),e}),{}),a=o[t.placement],p=a.x,r=a.y;null!=t.modifiersData.popperOffsets&&(t.modifiersData.popperOffsets.x+=p,t.modifiersData.popperOffsets.y+=r),t.modifiersData[s]=o;}const offset$1 = {name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:offset};

    function popperOffsets(e){var t=e.state,p=e.name;t.modifiersData[p]=computeOffsets({reference:t.rects.reference,element:t.rects.popper,strategy:"absolute",placement:t.placement});}const popperOffsets$1 = {name:"popperOffsets",enabled:!0,phase:"read",fn:popperOffsets,data:{}};

    function getAltAxis(t){return "x"===t?"y":"x"}

    function preventOverflow(t){var e=t.state,i=t.options,a=t.name,r=i.mainAxis,o=void 0===r||r,s=i.altAxis,n=void 0!==s&&s,m=i.boundary,l=i.rootBoundary,f=i.altBoundary,p=i.padding,d=i.tether,g=void 0===d||d,c=i.tetherOffset,u=void 0===c?0:c,h=detectOverflow(e,{boundary:m,rootBoundary:l,padding:p,altBoundary:f}),x=getBasePlacement(e.placement),w=getVariation(e.placement),A=!w,v=getMainAxisFromPlacement(x),j=getAltAxis(v),y=e.modifiersData.popperOffsets,O=e.rects.reference,b=e.rects.popper,M="function"==typeof u?u(Object.assign({},e.rects,{placement:e.placement})):u,P="number"==typeof M?{mainAxis:M,altAxis:M}:Object.assign({mainAxis:0,altAxis:0},M),B=e.modifiersData.offset?e.modifiersData.offset[e.placement]:null,D={x:0,y:0};if(y){if(o){var F,L="y"===v?top:left,R="y"===v?bottom:right,S="y"===v?"height":"width",V=y[v],C=V+h[L],q=V-h[R],E=g?-b[S]/2:0,I=w===start?O[S]:b[S],T=w===start?-b[S]:-O[S],k=e.elements.arrow,z=g&&k?getLayoutRect(k):{width:0,height:0},G=e.modifiersData["arrow#persistent"]?e.modifiersData["arrow#persistent"].padding:getFreshSideObject(),H=G[L],J=G[R],K=within(0,O[S],z[S]),N=A?O[S]/2-E-K-H-P.mainAxis:I-K-H-P.mainAxis,Q=A?-O[S]/2+E+K+J+P.mainAxis:T+K+J+P.mainAxis,U=e.elements.arrow&&getOffsetParent(e.elements.arrow),W=U?"y"===v?U.clientTop||0:U.clientLeft||0:0,X=null!=(F=null==B?void 0:B[v])?F:0,Y=V+Q-X,Z=within(g?min(C,V+N-X-W):C,V,g?max(q,Y):q);y[v]=Z,D[v]=Z-V;}if(n){var $,_="x"===v?top:left,tt="x"===v?bottom:right,et=y[j],it="y"===j?"height":"width",at=et+h[_],rt=et-h[tt],ot=-1!==[top,left].indexOf(x),st=null!=($=null==B?void 0:B[j])?$:0,nt=ot?at:et-O[it]-b[it]-st+P.altAxis,mt=ot?et+O[it]+b[it]-st-P.altAxis:rt,lt=g&&ot?withinMaxClamp(nt,et,mt):within(g?nt:at,et,g?mt:rt);y[j]=lt,D[j]=lt-et;}e.modifiersData[a]=D;}}const preventOverflow$1 = {name:"preventOverflow",enabled:!0,phase:"main",fn:preventOverflow,requiresIfExists:["offset"]};

    function getHTMLElementScroll(l){return {scrollLeft:l.scrollLeft,scrollTop:l.scrollTop}}

    function getNodeScroll(e){return e!==getWindow(e)&&isHTMLElement(e)?getHTMLElementScroll(e):getWindowScroll(e)}

    function isElementScaled(e){var t=e.getBoundingClientRect(),o=round(t.width)/e.offsetWidth||1,l=round(t.height)/e.offsetHeight||1;return 1!==o||1!==l}function getCompositeRect(e,t,o){void 0===o&&(o=!1);var l=isHTMLElement(t),i=isHTMLElement(t)&&isElementScaled(t),n=getDocumentElement(t),r=getBoundingClientRect(e,i,o),m={scrollLeft:0,scrollTop:0},c={x:0,y:0};return (l||!l&&!o)&&(("body"!==getNodeName(t)||isScrollParent(n))&&(m=getNodeScroll(t)),isHTMLElement(t)?((c=getBoundingClientRect(t,!0)).x+=t.clientLeft,c.y+=t.clientTop):n&&(c.x=getWindowScrollBarX(n))),{x:r.left+m.scrollLeft-c.x,y:r.top+m.scrollTop-c.y,width:r.width,height:r.height}}

    function order(r){var e=new Map,n=new Set,o=[];function t(r){n.add(r.name),[].concat(r.requires||[],r.requiresIfExists||[]).forEach((function(r){if(!n.has(r)){var o=e.get(r);o&&t(o);}})),o.push(r);}return r.forEach((function(r){e.set(r.name,r);})),r.forEach((function(r){n.has(r.name)||t(r);})),o}function orderModifiers(r){var e=order(r);return modifierPhases.reduce((function(r,n){return r.concat(e.filter((function(r){return r.phase===n})))}),[])}

    function debounce(n){var e;return function(){return e||(e=new Promise((function(o){Promise.resolve().then((function(){e=void 0,o(n());}));}))),e}}

    function format(r){for(var e=arguments.length,n=new Array(e>1?e-1:0),t=1;t<e;t++)n[t-1]=arguments[t];return [].concat(n).reduce((function(r,e){return r.replace(/%s/,e)}),r)}

    var INVALID_MODIFIER_ERROR='Popper: modifier "%s" provided an invalid %s property, expected %s but got %s',MISSING_DEPENDENCY_ERROR='Popper: modifier "%s" requires "%s", but "%s" modifier is not available',VALID_PROPERTIES=["name","enabled","phase","fn","effect","requires","options"];function validateModifiers(e){e.forEach((function(r){[].concat(Object.keys(r),VALID_PROPERTIES).filter((function(e,r,n){return n.indexOf(e)===r})).forEach((function(n){switch(n){case"name":"string"!=typeof r.name&&console.error(format(INVALID_MODIFIER_ERROR,String(r.name),'"name"','"string"','"'+String(r.name)+'"'));break;case"enabled":"boolean"!=typeof r.enabled&&console.error(format(INVALID_MODIFIER_ERROR,r.name,'"enabled"','"boolean"','"'+String(r.enabled)+'"'));break;case"phase":modifierPhases.indexOf(r.phase)<0&&console.error(format(INVALID_MODIFIER_ERROR,r.name,'"phase"',"either "+modifierPhases.join(", "),'"'+String(r.phase)+'"'));break;case"fn":"function"!=typeof r.fn&&console.error(format(INVALID_MODIFIER_ERROR,r.name,'"fn"','"function"','"'+String(r.fn)+'"'));break;case"effect":null!=r.effect&&"function"!=typeof r.effect&&console.error(format(INVALID_MODIFIER_ERROR,r.name,'"effect"','"function"','"'+String(r.fn)+'"'));break;case"requires":null==r.requires||Array.isArray(r.requires)||console.error(format(INVALID_MODIFIER_ERROR,r.name,'"requires"','"array"','"'+String(r.requires)+'"'));break;case"requiresIfExists":Array.isArray(r.requiresIfExists)||console.error(format(INVALID_MODIFIER_ERROR,r.name,'"requiresIfExists"','"array"','"'+String(r.requiresIfExists)+'"'));break;case"options":case"data":break;default:console.error('PopperJS: an invalid property has been provided to the "'+r.name+'" modifier, valid properties are '+VALID_PROPERTIES.map((function(e){return '"'+e+'"'})).join(", ")+'; but "'+n+'" was provided.');}r.requires&&r.requires.forEach((function(n){null==e.find((function(e){return e.name===n}))&&console.error(format(MISSING_DEPENDENCY_ERROR,String(r.name),n,n));}));}));}));}

    function uniqueBy(e,n){var r=new Set;return e.filter((function(e){var t=n(e);if(!r.has(t))return r.add(t),!0}))}

    function mergeByName(e){var n=e.reduce((function(e,n){var t=e[n.name];return e[n.name]=t?Object.assign({},t,n,{options:Object.assign({},t.options,n.options),data:Object.assign({},t.data,n.data)}):n,e}),{});return Object.keys(n).map((function(e){return n[e]}))}

    var INVALID_ELEMENT_ERROR="Popper: Invalid reference or popper argument provided. They must be either a DOM element or virtual element.",INFINITE_LOOP_ERROR="Popper: An infinite loop in the modifiers cycle has been detected! The cycle has been interrupted to prevent a browser crash.",DEFAULT_OPTIONS={placement:"bottom",modifiers:[],strategy:"absolute"};function areValidElements(){for(var e=arguments.length,t=new Array(e),o=0;o<e;o++)t[o]=arguments[o];return !t.some((function(e){return !(e&&"function"==typeof e.getBoundingClientRect)}))}function popperGenerator(e){void 0===e&&(e={});var t=e,o=t.defaultModifiers,r=void 0===o?[]:o,n=t.defaultOptions,i=void 0===n?DEFAULT_OPTIONS:n;return function(e,t,o){void 0===o&&(o=i);var n={placement:"bottom",orderedModifiers:[],options:Object.assign({},DEFAULT_OPTIONS,i),modifiersData:{},elements:{reference:e,popper:t},attributes:{},styles:{}},s=[],a=!1,p={state:n,setOptions:function(o){var a="function"==typeof o?o(n.options):o;f(),n.options=Object.assign({},i,n.options,a),n.scrollParents={reference:isElement(e)?listScrollParents(e):e.contextElement?listScrollParents(e.contextElement):[],popper:listScrollParents(t)};var d=orderModifiers(mergeByName([].concat(r,n.options.modifiers)));if(n.orderedModifiers=d.filter((function(e){return e.enabled})),"production"!==process.env.NODE_ENV){var c=uniqueBy([].concat(d,n.options.modifiers),(function(e){return e.name}));if(validateModifiers(c),getBasePlacement(n.options.placement)===auto)n.orderedModifiers.find((function(e){return "flip"===e.name}))||console.error(['Popper: "auto" placements require the "flip" modifier be',"present and enabled to work."].join(" "));var m=getComputedStyle$1(t);[m.marginTop,m.marginRight,m.marginBottom,m.marginLeft].some((function(e){return parseFloat(e)}))&&console.warn(['Popper: CSS "margin" styles cannot be used to apply padding',"between the popper and its reference element or boundary.","To replicate margin, use the `offset` modifier, as well as","the `padding` option in the `preventOverflow` and `flip`","modifiers."].join(" "));}return n.orderedModifiers.forEach((function(e){var t=e.name,o=e.options,r=void 0===o?{}:o,i=e.effect;if("function"==typeof i){var a=i({state:n,name:t,instance:p,options:r}),f=function(){};s.push(a||f);}})),p.update()},forceUpdate:function(){if(!a){var e=n.elements,t=e.reference,o=e.popper;if(areValidElements(t,o)){n.rects={reference:getCompositeRect(t,getOffsetParent(o),"fixed"===n.options.strategy),popper:getLayoutRect(o)},n.reset=!1,n.placement=n.options.placement,n.orderedModifiers.forEach((function(e){return n.modifiersData[e.name]=Object.assign({},e.data)}));for(var r=0,i=0;i<n.orderedModifiers.length;i++){if("production"!==process.env.NODE_ENV&&(r+=1)>100){console.error(INFINITE_LOOP_ERROR);break}if(!0!==n.reset){var s=n.orderedModifiers[i],f=s.fn,d=s.options,c=void 0===d?{}:d,m=s.name;"function"==typeof f&&(n=f({state:n,options:c,name:m,instance:p})||n);}else n.reset=!1,i=-1;}}else "production"!==process.env.NODE_ENV&&console.error(INVALID_ELEMENT_ERROR);}},update:debounce((function(){return new Promise((function(e){p.forceUpdate(),e(n);}))})),destroy:function(){f(),a=!0;}};if(!areValidElements(e,t))return "production"!==process.env.NODE_ENV&&console.error(INVALID_ELEMENT_ERROR),p;function f(){s.forEach((function(e){return e()})),s=[];}return p.setOptions(o).then((function(e){!a&&o.onFirstUpdate&&o.onFirstUpdate(e);})),p}}var createPopper$2=popperGenerator();

    var defaultModifiers$1=[eventListeners,popperOffsets$1,computeStyles$1,applyStyles$1],createPopper$1=popperGenerator({defaultModifiers:defaultModifiers$1});

    var defaultModifiers=[eventListeners,popperOffsets$1,computeStyles$1,applyStyles$1,offset$1,flip$1,preventOverflow$1,arrow$1,hide$1],createPopper=popperGenerator({defaultModifiers:defaultModifiers});

    const Popper = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
        __proto__: null,
        popperGenerator,
        detectOverflow,
        createPopperBase: createPopper$2,
        createPopper,
        createPopperLite: createPopper$1,
        top,
        bottom,
        right,
        left,
        auto,
        basePlacements,
        start,
        end,
        clippingParents,
        viewport,
        popper,
        reference,
        variationPlacements,
        placements,
        beforeRead,
        read,
        afterRead,
        beforeMain,
        main,
        afterMain,
        beforeWrite,
        write,
        afterWrite,
        modifierPhases,
        applyStyles: applyStyles$1,
        arrow: arrow$1,
        computeStyles: computeStyles$1,
        eventListeners,
        flip: flip$1,
        hide: hide$1,
        offset: offset$1,
        popperOffsets: popperOffsets$1,
        preventOverflow: preventOverflow$1
    }, Symbol.toStringTag, { value: 'Module' }));

    const NAME$a="dropdown",DATA_KEY$5="bs.dropdown",EVENT_KEY$5=`.${DATA_KEY$5}`,ARROW_UP_KEY$2="ArrowUp",ARROW_DOWN_KEY$2="ArrowDown",EVENT_HIDE$4=`hide${EVENT_KEY$5}`,EVENT_HIDDEN$4=`hidden${EVENT_KEY$5}`,EVENT_SHOW$4=`show${EVENT_KEY$5}`,EVENT_SHOWN$4=`shown${EVENT_KEY$5}`,EVENT_CLICK_DATA_API$2=`click${EVENT_KEY$5}.data-api`,EVENT_KEYDOWN_DATA_API=`keydown${EVENT_KEY$5}.data-api`,EVENT_KEYUP_DATA_API=`keyup${EVENT_KEY$5}.data-api`,SELECTOR_DATA_TOGGLE$4='[data-bs-toggle="dropdown"]:not(.disabled):not(:disabled)',SELECTOR_DATA_TOGGLE_SHOWN=`${SELECTOR_DATA_TOGGLE$4}.show`,SELECTOR_MENU=".dropdown-menu",SELECTOR_VISIBLE_ITEMS=".dropdown-menu .dropdown-item:not(.disabled):not(:disabled)",PLACEMENT_TOP=isRTL()?"top-end":"top-start",PLACEMENT_TOPEND=isRTL()?"top-start":"top-end",PLACEMENT_BOTTOM=isRTL()?"bottom-end":"bottom-start",PLACEMENT_BOTTOMEND=isRTL()?"bottom-start":"bottom-end",PLACEMENT_RIGHT=isRTL()?"left-start":"right-start",PLACEMENT_LEFT=isRTL()?"right-start":"left-start",Default$9={autoClose:!0,boundary:"clippingParents",display:"dynamic",offset:[0,2],popperConfig:null,reference:"toggle"},DefaultType$9={autoClose:"(boolean|string)",boundary:"(string|element)",display:"string",offset:"(array|string|function)",popperConfig:"(null|object|function)",reference:"(string|element|object)"};class Dropdown$2 extends BaseComponent{constructor(e,t){super(e,t),this._popper=null,this._parent=this._element.parentNode,this._menu=SelectorEngine$1.next(this._element,SELECTOR_MENU)[0]||SelectorEngine$1.prev(this._element,SELECTOR_MENU)[0]||SelectorEngine$1.findOne(SELECTOR_MENU,this._parent),this._inNavbar=this._detectNavbar();}static get Default(){return Default$9}static get DefaultType(){return DefaultType$9}static get NAME(){return NAME$a}toggle(){return this._isShown()?this.hide():this.show()}show(){if(isDisabled(this._element)||this._isShown())return;const e={relatedTarget:this._element};if(!EventHandler$1.trigger(this._element,EVENT_SHOW$4,e).defaultPrevented){if(this._createPopper(),"ontouchstart"in document.documentElement&&!this._parent.closest(".navbar-nav"))for(const e of [].concat(...document.body.children))EventHandler$1.on(e,"mouseover",noop);this._element.focus(),this._element.setAttribute("aria-expanded",!0),this._menu.classList.add("show"),this._element.classList.add("show"),EventHandler$1.trigger(this._element,EVENT_SHOWN$4,e);}}hide(){if(isDisabled(this._element)||!this._isShown())return;const e={relatedTarget:this._element};this._completeHide(e);}dispose(){this._popper&&this._popper.destroy(),super.dispose();}update(){this._inNavbar=this._detectNavbar(),this._popper&&this._popper.update();}_completeHide(e){if(!EventHandler$1.trigger(this._element,EVENT_HIDE$4,e).defaultPrevented){if("ontouchstart"in document.documentElement)for(const e of [].concat(...document.body.children))EventHandler$1.off(e,"mouseover",noop);this._popper&&this._popper.destroy(),this._menu.classList.remove("show"),this._element.classList.remove("show"),this._element.setAttribute("aria-expanded","false"),Manipulator.removeDataAttribute(this._menu,"popper"),EventHandler$1.trigger(this._element,EVENT_HIDDEN$4,e);}}_getConfig(e){if("object"==typeof(e=super._getConfig(e)).reference&&!isElement$2(e.reference)&&"function"!=typeof e.reference.getBoundingClientRect)throw new TypeError(`${NAME$a.toUpperCase()}: Option "reference" provided type "object" without a required "getBoundingClientRect" method.`);return e}_createPopper(){if(void 0===Popper)throw new TypeError("Bootstrap's dropdowns require Popper (https://popper.js.org)");let e=this._element;"parent"===this._config.reference?e=this._parent:isElement$2(this._config.reference)?e=getElement(this._config.reference):"object"==typeof this._config.reference&&(e=this._config.reference);const t=this._getPopperConfig();this._popper=createPopper(e,this._menu,t);}_isShown(){return this._menu.classList.contains("show")}_getPlacement(){const e=this._parent;if(e.classList.contains("dropend"))return PLACEMENT_RIGHT;if(e.classList.contains("dropstart"))return PLACEMENT_LEFT;if(e.classList.contains("dropup-center"))return "top";if(e.classList.contains("dropdown-center"))return "bottom";const t="end"===getComputedStyle(this._menu).getPropertyValue("--bs-position").trim();return e.classList.contains("dropup")?t?PLACEMENT_TOPEND:PLACEMENT_TOP:t?PLACEMENT_BOTTOMEND:PLACEMENT_BOTTOM}_detectNavbar(){return null!==this._element.closest(".navbar")}_getOffset(){const{offset:e}=this._config;return "string"==typeof e?e.split(",").map((e=>Number.parseInt(e,10))):"function"==typeof e?t=>e(t,this._element):e}_getPopperConfig(){const e={placement:this._getPlacement(),modifiers:[{name:"preventOverflow",options:{boundary:this._config.boundary}},{name:"offset",options:{offset:this._getOffset()}}]};return (this._inNavbar||"static"===this._config.display)&&(Manipulator.setDataAttribute(this._menu,"popper","static"),e.modifiers=[{name:"applyStyles",enabled:!1}]),{...e,..."function"==typeof this._config.popperConfig?this._config.popperConfig(e):this._config.popperConfig}}_selectMenuItem({key:e,target:t}){const n=SelectorEngine$1.find(SELECTOR_VISIBLE_ITEMS,this._menu).filter((e=>isVisible(e)));n.length&&getNextActiveElement(n,t,e===ARROW_DOWN_KEY$2,!n.includes(t)).focus();}static jQueryInterface(e){return this.each((function(){const t=Dropdown$2.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===t[e])throw new TypeError(`No method named "${e}"`);t[e]();}}))}static clearMenus(e){if(2===e.button||"keyup"===e.type&&"Tab"!==e.key)return;const t=SelectorEngine$1.find(SELECTOR_DATA_TOGGLE_SHOWN);for(const n of t){const t=Dropdown$2.getInstance(n);if(!t||!1===t._config.autoClose)continue;const o=e.composedPath(),r=o.includes(t._menu);if(o.includes(t._element)||"inside"===t._config.autoClose&&!r||"outside"===t._config.autoClose&&r)continue;if(t._menu.contains(e.target)&&("keyup"===e.type&&"Tab"===e.key||/input|select|option|textarea|form/i.test(e.target.tagName)))continue;const i={relatedTarget:t._element};"click"===e.type&&(i.clickEvent=e),t._completeHide(i);}}static dataApiKeydownHandler(e){const t=/input|textarea/i.test(e.target.tagName),n="Escape"===e.key,o=[ARROW_UP_KEY$2,ARROW_DOWN_KEY$2].includes(e.key);if(!o&&!n)return;if(t&&!n)return;e.preventDefault();const r=this.matches(SELECTOR_DATA_TOGGLE$4)?this:SelectorEngine$1.prev(this,SELECTOR_DATA_TOGGLE$4)[0]||SelectorEngine$1.next(this,SELECTOR_DATA_TOGGLE$4)[0]||SelectorEngine$1.findOne(SELECTOR_DATA_TOGGLE$4,e.delegateTarget.parentNode),i=Dropdown$2.getOrCreateInstance(r);if(o)return e.stopPropagation(),i.show(),void i._selectMenuItem(e);i._isShown()&&(e.stopPropagation(),i.hide(),r.focus());}}EventHandler$1.on(document,EVENT_KEYDOWN_DATA_API,SELECTOR_DATA_TOGGLE$4,Dropdown$2.dataApiKeydownHandler),EventHandler$1.on(document,EVENT_KEYDOWN_DATA_API,SELECTOR_MENU,Dropdown$2.dataApiKeydownHandler),EventHandler$1.on(document,EVENT_CLICK_DATA_API$2,Dropdown$2.clearMenus),EventHandler$1.on(document,EVENT_KEYUP_DATA_API,Dropdown$2.clearMenus),EventHandler$1.on(document,EVENT_CLICK_DATA_API$2,SELECTOR_DATA_TOGGLE$4,(function(e){e.preventDefault(),Dropdown$2.getOrCreateInstance(this).toggle();})),defineJQueryPlugin(Dropdown$2);

    class Dropdown extends Dropdown$2{}const Dropdown$1 = Dropdown;

    const SELECTOR_FIXED_CONTENT=".fixed-top, .fixed-bottom, .is-fixed, .sticky-top";class ScrollBarHelper{constructor(){this._element=document.body;}getWidth(){const t=document.documentElement.clientWidth;return Math.abs(window.innerWidth-t)}hide(){const t=this.getWidth();this._disableOverFlow(),this._setElementAttributes(this._element,"padding-right",(e=>e+t)),this._setElementAttributes(SELECTOR_FIXED_CONTENT,"padding-right",(e=>e+t)),this._setElementAttributes(".sticky-top","margin-right",(e=>e-t));}reset(){this._resetElementAttributes(this._element,"overflow"),this._resetElementAttributes(this._element,"padding-right"),this._resetElementAttributes(SELECTOR_FIXED_CONTENT,"padding-right"),this._resetElementAttributes(".sticky-top","margin-right");}isOverflowing(){return this.getWidth()>0}_disableOverFlow(){this._saveInitialAttribute(this._element,"overflow"),this._element.style.overflow="hidden";}_setElementAttributes(t,e,i){const r=this.getWidth();this._applyManipulationCallback(t,(t=>{if(t!==this._element&&window.innerWidth>t.clientWidth+r)return;this._saveInitialAttribute(t,e);const n=window.getComputedStyle(t).getPropertyValue(e);t.style.setProperty(e,`${i(Number.parseFloat(n))}px`);}));}_saveInitialAttribute(t,e){const i=t.style.getPropertyValue(e);i&&Manipulator.setDataAttribute(t,e,i);}_resetElementAttributes(t,e){this._applyManipulationCallback(t,(t=>{const i=Manipulator.getDataAttribute(t,e);null!==i?(Manipulator.removeDataAttribute(t,e),t.style.setProperty(e,i)):t.style.removeProperty(e);}));}_applyManipulationCallback(t,e){if(isElement$2(t))e(t);else for(const i of SelectorEngine$1.find(t,this._element))e(i);}}

    const NAME$9="backdrop",EVENT_MOUSEDOWN=`mousedown.bs.${NAME$9}`,Default$8={className:"modal-backdrop",clickCallback:null,isAnimated:!1,isVisible:!0,rootElement:"body"},DefaultType$8={className:"string",clickCallback:"(function|null)",isAnimated:"boolean",isVisible:"boolean",rootElement:"(element|string)"};class Backdrop extends Config{constructor(e){super(),this._config=this._getConfig(e),this._isAppended=!1,this._element=null;}static get Default(){return Default$8}static get DefaultType(){return DefaultType$8}static get NAME(){return NAME$9}show(e){if(!this._config.isVisible)return void execute(e);this._append();const t=this._getElement();this._config.isAnimated&&reflow(t),t.classList.add("show"),this._emulateAnimation((()=>{execute(e);}));}hide(e){this._config.isVisible?(this._getElement().classList.remove("show"),this._emulateAnimation((()=>{this.dispose(),execute(e);}))):execute(e);}dispose(){this._isAppended&&(EventHandler$1.off(this._element,EVENT_MOUSEDOWN),this._element.remove(),this._isAppended=!1);}_getElement(){if(!this._element){const e=document.createElement("div");e.className=this._config.className,this._config.isAnimated&&e.classList.add("fade"),this._element=e;}return this._element}_configAfterMerge(e){return e.rootElement=getElement(e.rootElement),e}_append(){if(this._isAppended)return;const e=this._getElement();this._config.rootElement.append(e),EventHandler$1.on(e,EVENT_MOUSEDOWN,(()=>{execute(this._config.clickCallback);})),this._isAppended=!0;}_emulateAnimation(e){executeAfterTransition(e,this._getElement(),this._config.isAnimated);}}

    const NAME$8="focustrap",DATA_KEY$4="bs.focustrap",EVENT_KEY$4=`.${DATA_KEY$4}`,EVENT_FOCUSIN$1=`focusin${EVENT_KEY$4}`,EVENT_KEYDOWN_TAB=`keydown.tab${EVENT_KEY$4}`,Default$7={autofocus:!0,trapElement:null},DefaultType$7={autofocus:"boolean",trapElement:"element"};class FocusTrap extends Config{constructor(t){super(),this._config=this._getConfig(t),this._isActive=!1,this._lastTabNavDirection=null;}static get Default(){return Default$7}static get DefaultType(){return DefaultType$7}static get NAME(){return NAME$8}activate(){this._isActive||(this._config.autofocus&&this._config.trapElement.focus(),EventHandler$1.off(document,EVENT_KEY$4),EventHandler$1.on(document,EVENT_FOCUSIN$1,(t=>this._handleFocusin(t))),EventHandler$1.on(document,EVENT_KEYDOWN_TAB,(t=>this._handleKeydown(t))),this._isActive=!0);}deactivate(){this._isActive&&(this._isActive=!1,EventHandler$1.off(document,EVENT_KEY$4));}_handleFocusin(t){const{trapElement:e}=this._config;if(t.target===document||t.target===e||e.contains(t.target))return;const n=SelectorEngine$1.focusableChildren(e);0===n.length?e.focus():"backward"===this._lastTabNavDirection?n[n.length-1].focus():n[0].focus();}_handleKeydown(t){"Tab"===t.key&&(this._lastTabNavDirection=t.shiftKey?"backward":"forward");}}

    const NAME$7="modal",DATA_KEY$3="bs.modal",EVENT_KEY$3=`.${DATA_KEY$3}`,EVENT_HIDE$3=`hide${EVENT_KEY$3}`,EVENT_HIDE_PREVENTED$1=`hidePrevented${EVENT_KEY$3}`,EVENT_HIDDEN$3=`hidden${EVENT_KEY$3}`,EVENT_SHOW$3=`show${EVENT_KEY$3}`,EVENT_SHOWN$3=`shown${EVENT_KEY$3}`,EVENT_RESIZE$1=`resize${EVENT_KEY$3}`,EVENT_CLICK_DISMISS=`click.dismiss${EVENT_KEY$3}`,EVENT_MOUSEDOWN_DISMISS=`mousedown.dismiss${EVENT_KEY$3}`,EVENT_KEYDOWN_DISMISS$1=`keydown.dismiss${EVENT_KEY$3}`,EVENT_CLICK_DATA_API$1=`click${EVENT_KEY$3}.data-api`,SELECTOR_DATA_TOGGLE$3='[data-bs-toggle="modal"]',Default$6={backdrop:!0,focus:!0,keyboard:!0},DefaultType$6={backdrop:"(boolean|string)",focus:"boolean",keyboard:"boolean"};class Modal$2 extends BaseComponent{constructor(e,t){super(e,t),this._dialog=SelectorEngine$1.findOne(".modal-dialog",this._element),this._backdrop=this._initializeBackDrop(),this._focustrap=this._initializeFocusTrap(),this._isShown=!1,this._isTransitioning=!1,this._scrollBar=new ScrollBarHelper,this._addEventListeners();}static get Default(){return Default$6}static get DefaultType(){return DefaultType$6}static get NAME(){return NAME$7}toggle(e){return this._isShown?this.hide():this.show(e)}show(e){if(this._isShown||this._isTransitioning)return;EventHandler$1.trigger(this._element,EVENT_SHOW$3,{relatedTarget:e}).defaultPrevented||(this._isShown=!0,this._isTransitioning=!0,this._scrollBar.hide(),document.body.classList.add("modal-open"),this._adjustDialog(),this._backdrop.show((()=>this._showElement(e))));}hide(){if(!this._isShown||this._isTransitioning)return;EventHandler$1.trigger(this._element,EVENT_HIDE$3).defaultPrevented||(this._isShown=!1,this._isTransitioning=!0,this._focustrap.deactivate(),this._element.classList.remove("show"),this._queueCallback((()=>this._hideModal()),this._element,this._isAnimated()));}dispose(){for(const e of [window,this._dialog])EventHandler$1.off(e,EVENT_KEY$3);this._backdrop.dispose(),this._focustrap.deactivate(),super.dispose();}handleUpdate(){this._adjustDialog();}_initializeBackDrop(){return new Backdrop({isVisible:Boolean(this._config.backdrop),isAnimated:this._isAnimated()})}_initializeFocusTrap(){return new FocusTrap({trapElement:this._element})}_showElement(e){document.body.contains(this._element)||document.body.append(this._element),this._element.style.display="block",this._element.removeAttribute("aria-hidden"),this._element.setAttribute("aria-modal",!0),this._element.setAttribute("role","dialog"),this._element.scrollTop=0;const t=SelectorEngine$1.findOne(".modal-body",this._dialog);t&&(t.scrollTop=0),reflow(this._element),this._element.classList.add("show");this._queueCallback((()=>{this._config.focus&&this._focustrap.activate(),this._isTransitioning=!1,EventHandler$1.trigger(this._element,EVENT_SHOWN$3,{relatedTarget:e});}),this._dialog,this._isAnimated());}_addEventListeners(){EventHandler$1.on(this._element,EVENT_KEYDOWN_DISMISS$1,(e=>{if("Escape"===e.key)return this._config.keyboard?(e.preventDefault(),void this.hide()):void this._triggerBackdropTransition()})),EventHandler$1.on(window,EVENT_RESIZE$1,(()=>{this._isShown&&!this._isTransitioning&&this._adjustDialog();})),EventHandler$1.on(this._element,EVENT_MOUSEDOWN_DISMISS,(e=>{EventHandler$1.one(this._element,EVENT_CLICK_DISMISS,(t=>{this._element===e.target&&this._element===t.target&&("static"!==this._config.backdrop?this._config.backdrop&&this.hide():this._triggerBackdropTransition());}));}));}_hideModal(){this._element.style.display="none",this._element.setAttribute("aria-hidden",!0),this._element.removeAttribute("aria-modal"),this._element.removeAttribute("role"),this._isTransitioning=!1,this._backdrop.hide((()=>{document.body.classList.remove("modal-open"),this._resetAdjustments(),this._scrollBar.reset(),EventHandler$1.trigger(this._element,EVENT_HIDDEN$3);}));}_isAnimated(){return this._element.classList.contains("fade")}_triggerBackdropTransition(){if(EventHandler$1.trigger(this._element,EVENT_HIDE_PREVENTED$1).defaultPrevented)return;const e=this._element.scrollHeight>document.documentElement.clientHeight,t=this._element.style.overflowY;"hidden"===t||this._element.classList.contains("modal-static")||(e||(this._element.style.overflowY="hidden"),this._element.classList.add("modal-static"),this._queueCallback((()=>{this._element.classList.remove("modal-static"),this._queueCallback((()=>{this._element.style.overflowY=t;}),this._dialog);}),this._dialog),this._element.focus());}_adjustDialog(){const e=this._element.scrollHeight>document.documentElement.clientHeight,t=this._scrollBar.getWidth(),i=t>0;if(i&&!e){const e=isRTL()?"paddingLeft":"paddingRight";this._element.style[e]=`${t}px`;}if(!i&&e){const e=isRTL()?"paddingRight":"paddingLeft";this._element.style[e]=`${t}px`;}}_resetAdjustments(){this._element.style.paddingLeft="",this._element.style.paddingRight="";}static jQueryInterface(e,t){return this.each((function(){const i=Modal$2.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===i[e])throw new TypeError(`No method named "${e}"`);i[e](t);}}))}}EventHandler$1.on(document,EVENT_CLICK_DATA_API$1,SELECTOR_DATA_TOGGLE$3,(function(e){const t=getElementFromSelector(this);["A","AREA"].includes(this.tagName)&&e.preventDefault(),EventHandler$1.one(t,EVENT_SHOW$3,(e=>{e.defaultPrevented||EventHandler$1.one(t,EVENT_HIDDEN$3,(()=>{isVisible(this)&&this.focus();}));}));const i=SelectorEngine$1.findOne(".modal.show");i&&Modal$2.getInstance(i).hide();Modal$2.getOrCreateInstance(t).toggle(this);})),enableDismissTrigger(Modal$2),defineJQueryPlugin(Modal$2);

    class Modal extends Modal$2{}const Modal$1 = Modal;

    const NAME$6="offcanvas",DATA_KEY$2="bs.offcanvas",EVENT_KEY$2=`.${DATA_KEY$2}`,EVENT_LOAD_DATA_API$1=`load${EVENT_KEY$2}.data-api`,CLASS_NAME_BACKDROP="offcanvas-backdrop",OPEN_SELECTOR=".offcanvas.show",EVENT_SHOW$2=`show${EVENT_KEY$2}`,EVENT_SHOWN$2=`shown${EVENT_KEY$2}`,EVENT_HIDE$2=`hide${EVENT_KEY$2}`,EVENT_HIDE_PREVENTED=`hidePrevented${EVENT_KEY$2}`,EVENT_HIDDEN$2=`hidden${EVENT_KEY$2}`,EVENT_RESIZE=`resize${EVENT_KEY$2}`,EVENT_CLICK_DATA_API=`click${EVENT_KEY$2}.data-api`,EVENT_KEYDOWN_DISMISS=`keydown.dismiss${EVENT_KEY$2}`,SELECTOR_DATA_TOGGLE$2='[data-bs-toggle="offcanvas"]',Default$5={backdrop:!0,keyboard:!0,scroll:!1},DefaultType$5={backdrop:"(boolean|string)",keyboard:"boolean",scroll:"boolean"};class Offcanvas$2 extends BaseComponent{constructor(e,t){super(e,t),this._isShown=!1,this._backdrop=this._initializeBackDrop(),this._focustrap=this._initializeFocusTrap(),this._addEventListeners();}static get Default(){return Default$5}static get DefaultType(){return DefaultType$5}static get NAME(){return NAME$6}toggle(e){return this._isShown?this.hide():this.show(e)}show(e){if(this._isShown)return;if(EventHandler$1.trigger(this._element,EVENT_SHOW$2,{relatedTarget:e}).defaultPrevented)return;this._isShown=!0,this._backdrop.show(),this._config.scroll||(new ScrollBarHelper).hide(),this._element.setAttribute("aria-modal",!0),this._element.setAttribute("role","dialog"),this._element.classList.add("showing");this._queueCallback((()=>{this._config.scroll&&!this._config.backdrop||this._focustrap.activate(),this._element.classList.add("show"),this._element.classList.remove("showing"),EventHandler$1.trigger(this._element,EVENT_SHOWN$2,{relatedTarget:e});}),this._element,!0);}hide(){if(!this._isShown)return;if(EventHandler$1.trigger(this._element,EVENT_HIDE$2).defaultPrevented)return;this._focustrap.deactivate(),this._element.blur(),this._isShown=!1,this._element.classList.add("hiding"),this._backdrop.hide();this._queueCallback((()=>{this._element.classList.remove("show","hiding"),this._element.removeAttribute("aria-modal"),this._element.removeAttribute("role"),this._config.scroll||(new ScrollBarHelper).reset(),EventHandler$1.trigger(this._element,EVENT_HIDDEN$2);}),this._element,!0);}dispose(){this._backdrop.dispose(),this._focustrap.deactivate(),super.dispose();}_initializeBackDrop(){const e=Boolean(this._config.backdrop);return new Backdrop({className:CLASS_NAME_BACKDROP,isVisible:e,isAnimated:!0,rootElement:this._element.parentNode,clickCallback:e?()=>{"static"!==this._config.backdrop?this.hide():EventHandler$1.trigger(this._element,EVENT_HIDE_PREVENTED);}:null})}_initializeFocusTrap(){return new FocusTrap({trapElement:this._element})}_addEventListeners(){EventHandler$1.on(this._element,EVENT_KEYDOWN_DISMISS,(e=>{"Escape"===e.key&&(this._config.keyboard?this.hide():EventHandler$1.trigger(this._element,EVENT_HIDE_PREVENTED));}));}static jQueryInterface(e){return this.each((function(){const t=Offcanvas$2.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===t[e]||e.startsWith("_")||"constructor"===e)throw new TypeError(`No method named "${e}"`);t[e](this);}}))}}EventHandler$1.on(document,EVENT_CLICK_DATA_API,SELECTOR_DATA_TOGGLE$2,(function(e){const t=getElementFromSelector(this);if(["A","AREA"].includes(this.tagName)&&e.preventDefault(),isDisabled(this))return;EventHandler$1.one(t,EVENT_HIDDEN$2,(()=>{isVisible(this)&&this.focus();}));const i=SelectorEngine$1.findOne(OPEN_SELECTOR);i&&i!==t&&Offcanvas$2.getInstance(i).hide();Offcanvas$2.getOrCreateInstance(t).toggle(this);})),EventHandler$1.on(window,EVENT_LOAD_DATA_API$1,(()=>{for(const e of SelectorEngine$1.find(OPEN_SELECTOR))Offcanvas$2.getOrCreateInstance(e).show();})),EventHandler$1.on(window,EVENT_RESIZE,(()=>{for(const e of SelectorEngine$1.find("[aria-modal][class*=show][class*=offcanvas-]"))"fixed"!==getComputedStyle(e).position&&Offcanvas$2.getOrCreateInstance(e).hide();})),enableDismissTrigger(Offcanvas$2),defineJQueryPlugin(Offcanvas$2);

    class Offcanvas extends Offcanvas$2{}const Offcanvas$1 = Offcanvas;

    const uriAttributes=new Set(["background","cite","href","itemtype","longdesc","poster","src","xlink:href"]),ARIA_ATTRIBUTE_PATTERN=/^aria-[\w-]*$/i,SAFE_URL_PATTERN=/^(?:(?:https?|mailto|ftp|tel|file|sms):|[^#&/:?]*(?:[#/?]|$))/i,DATA_URL_PATTERN=/^data:(?:image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp)|video\/(?:mpeg|mp4|ogg|webm)|audio\/(?:mp3|oga|ogg|opus));base64,[\d+/a-z]+=*$/i,allowedAttribute=(e,t)=>{const o=e.nodeName.toLowerCase();return t.includes(o)?!uriAttributes.has(o)||Boolean(SAFE_URL_PATTERN.test(e.nodeValue)||DATA_URL_PATTERN.test(e.nodeValue)):t.filter((e=>e instanceof RegExp)).some((e=>e.test(o)))};const DefaultAllowlist={"*":["class","dir","id","lang","role",ARIA_ATTRIBUTE_PATTERN],a:["target","href","title","rel"],area:[],b:[],br:[],col:[],code:[],div:[],em:[],hr:[],h1:[],h2:[],h3:[],h4:[],h5:[],h6:[],i:[],img:["src","srcset","alt","title","width","height"],li:[],ol:[],p:[],pre:[],s:[],small:[],span:[],sub:[],sup:[],strong:[],u:[],ul:[]};function sanitizeHtml(e,t,o){if(!e.length)return e;if(o&&"function"==typeof o)return o(e);const r=(new window.DOMParser).parseFromString(e,"text/html"),i=[].concat(...r.body.querySelectorAll("*"));for(const e of i){const o=e.nodeName.toLowerCase();if(!Object.keys(t).includes(o)){e.remove();continue}const r=[].concat(...e.attributes),i=[].concat(t["*"]||[],t[o]||[]);for(const t of r)allowedAttribute(t,i)||e.removeAttribute(t.nodeName);}return r.body.innerHTML}

    const NAME$5="TemplateFactory",Default$4={allowList:DefaultAllowlist,content:{},extraClass:"",html:!1,sanitize:!0,sanitizeFn:null,template:"<div></div>"},DefaultType$4={allowList:"object",content:"object",extraClass:"(string|function)",html:"boolean",sanitize:"boolean",sanitizeFn:"(null|function)",template:"string"},DefaultContentType={entry:"(string|element|function|null)",selector:"(string|element)"};class TemplateFactory extends Config{constructor(t){super(),this._config=this._getConfig(t);}static get Default(){return Default$4}static get DefaultType(){return DefaultType$4}static get NAME(){return NAME$5}getContent(){return Object.values(this._config.content).map((t=>this._resolvePossibleFunction(t))).filter(Boolean)}hasContent(){return this.getContent().length>0}changeContent(t){return this._checkContent(t),this._config.content={...this._config.content,...t},this}toHtml(){const t=document.createElement("div");t.innerHTML=this._maybeSanitize(this._config.template);for(const[e,n]of Object.entries(this._config.content))this._setContent(t,n,e);const e=t.children[0],n=this._resolvePossibleFunction(this._config.extraClass);return n&&e.classList.add(...n.split(" ")),e}_typeCheckConfig(t){super._typeCheckConfig(t),this._checkContent(t.content);}_checkContent(t){for(const[e,n]of Object.entries(t))super._typeCheckConfig({selector:e,entry:n},DefaultContentType);}_setContent(t,e,n){const i=SelectorEngine$1.findOne(n,t);i&&((e=this._resolvePossibleFunction(e))?isElement$2(e)?this._putElementInTemplate(getElement(e),i):this._config.html?i.innerHTML=this._maybeSanitize(e):i.textContent=e:i.remove());}_maybeSanitize(t){return this._config.sanitize?sanitizeHtml(t,this._config.allowList,this._config.sanitizeFn):t}_resolvePossibleFunction(t){return "function"==typeof t?t(this):t}_putElementInTemplate(t,e){if(this._config.html)return e.innerHTML="",void e.append(t);e.textContent=t.textContent;}}

    const NAME$4="tooltip",DISALLOWED_ATTRIBUTES=new Set(["sanitize","allowList","sanitizeFn"]),AttachmentMap={AUTO:"auto",TOP:"top",RIGHT:isRTL()?"left":"right",BOTTOM:"bottom",LEFT:isRTL()?"right":"left"},Default$3={allowList:DefaultAllowlist,animation:!0,boundary:"clippingParents",container:!1,customClass:"",delay:0,fallbackPlacements:["top","right","bottom","left"],html:!1,offset:[0,0],placement:"top",popperConfig:null,sanitize:!0,sanitizeFn:null,selector:!1,template:'<div class="tooltip" role="tooltip"><div class="tooltip-arrow"></div><div class="tooltip-inner"></div></div>',title:"",trigger:"hover focus"},DefaultType$3={allowList:"object",animation:"boolean",boundary:"(string|element)",container:"(string|element|boolean)",customClass:"(string|function)",delay:"(number|object)",fallbackPlacements:"array",html:"boolean",offset:"(array|string|function)",placement:"(string|function)",popperConfig:"(null|object|function)",sanitize:"boolean",sanitizeFn:"(null|function)",selector:"(string|boolean)",template:"string",title:"(string|element|function)",trigger:"string"};class Tooltip$2 extends BaseComponent{constructor(t,e){if(void 0===Popper)throw new TypeError("Bootstrap's tooltips require Popper (https://popper.js.org)");super(t,e),this._isEnabled=!0,this._timeout=0,this._isHovered=null,this._activeTrigger={},this._popper=null,this._templateFactory=null,this._newContent=null,this.tip=null,this._setListeners(),this._config.selector||this._fixTitle();}static get Default(){return Default$3}static get DefaultType(){return DefaultType$3}static get NAME(){return NAME$4}enable(){this._isEnabled=!0;}disable(){this._isEnabled=!1;}toggleEnabled(){this._isEnabled=!this._isEnabled;}toggle(){this._isEnabled&&(this._activeTrigger.click=!this._activeTrigger.click,this._isShown()?this._leave():this._enter());}dispose(){clearTimeout(this._timeout),EventHandler$1.off(this._element.closest(".modal"),"hide.bs.modal",this._hideModalHandler),this._element.getAttribute("data-bs-original-title")&&this._element.setAttribute("title",this._element.getAttribute("data-bs-original-title")),this._disposePopper(),super.dispose();}show(){if("none"===this._element.style.display)throw new Error("Please use show on visible elements");if(!this._isWithContent()||!this._isEnabled)return;const t=EventHandler$1.trigger(this._element,this.constructor.eventName("show")),e=(findShadowRoot(this._element)||this._element.ownerDocument.documentElement).contains(this._element);if(t.defaultPrevented||!e)return;this._disposePopper();const i=this._getTipElement();this._element.setAttribute("aria-describedby",i.getAttribute("id"));const{container:n}=this._config;if(this._element.ownerDocument.documentElement.contains(this.tip)||(n.append(i),EventHandler$1.trigger(this._element,this.constructor.eventName("inserted"))),this._popper=this._createPopper(i),i.classList.add("show"),"ontouchstart"in document.documentElement)for(const t of [].concat(...document.body.children))EventHandler$1.on(t,"mouseover",noop);this._queueCallback((()=>{EventHandler$1.trigger(this._element,this.constructor.eventName("shown")),!1===this._isHovered&&this._leave(),this._isHovered=!1;}),this.tip,this._isAnimated());}hide(){if(!this._isShown())return;if(EventHandler$1.trigger(this._element,this.constructor.eventName("hide")).defaultPrevented)return;if(this._getTipElement().classList.remove("show"),"ontouchstart"in document.documentElement)for(const t of [].concat(...document.body.children))EventHandler$1.off(t,"mouseover",noop);this._activeTrigger.click=!1,this._activeTrigger.focus=!1,this._activeTrigger.hover=!1,this._isHovered=null;this._queueCallback((()=>{this._isWithActiveTrigger()||(this._isHovered||this._disposePopper(),this._element.removeAttribute("aria-describedby"),EventHandler$1.trigger(this._element,this.constructor.eventName("hidden")));}),this.tip,this._isAnimated());}update(){this._popper&&this._popper.update();}_isWithContent(){return Boolean(this._getTitle())}_getTipElement(){return this.tip||(this.tip=this._createTipElement(this._newContent||this._getContentForTemplate())),this.tip}_createTipElement(t){const e=this._getTemplateFactory(t).toHtml();if(!e)return null;e.classList.remove("fade","show"),e.classList.add(`bs-${this.constructor.NAME}-auto`);const i=getUID(this.constructor.NAME).toString();return e.setAttribute("id",i),this._isAnimated()&&e.classList.add("fade"),e}setContent(t){this._newContent=t,this._isShown()&&(this._disposePopper(),this.show());}_getTemplateFactory(t){return this._templateFactory?this._templateFactory.changeContent(t):this._templateFactory=new TemplateFactory({...this._config,content:t,extraClass:this._resolvePossibleFunction(this._config.customClass)}),this._templateFactory}_getContentForTemplate(){return {".tooltip-inner":this._getTitle()}}_getTitle(){return this._resolvePossibleFunction(this._config.title)||this._element.getAttribute("data-bs-original-title")}_initializeOnDelegatedTarget(t){return this.constructor.getOrCreateInstance(t.delegateTarget,this._getDelegateConfig())}_isAnimated(){return this._config.animation||this.tip&&this.tip.classList.contains("fade")}_isShown(){return this.tip&&this.tip.classList.contains("show")}_createPopper(t){const e="function"==typeof this._config.placement?this._config.placement.call(this,t,this._element):this._config.placement,i=AttachmentMap[e.toUpperCase()];return createPopper(this._element,t,this._getPopperConfig(i))}_getOffset(){const{offset:t}=this._config;return "string"==typeof t?t.split(",").map((t=>Number.parseInt(t,10))):"function"==typeof t?e=>t(e,this._element):t}_resolvePossibleFunction(t){return "function"==typeof t?t.call(this._element):t}_getPopperConfig(t){const e={placement:t,modifiers:[{name:"flip",options:{fallbackPlacements:this._config.fallbackPlacements}},{name:"offset",options:{offset:this._getOffset()}},{name:"preventOverflow",options:{boundary:this._config.boundary}},{name:"arrow",options:{element:`.${this.constructor.NAME}-arrow`}},{name:"preSetPlacement",enabled:!0,phase:"beforeMain",fn:t=>{this._getTipElement().setAttribute("data-popper-placement",t.state.placement);}}]};return {...e,..."function"==typeof this._config.popperConfig?this._config.popperConfig(e):this._config.popperConfig}}_setListeners(){const t=this._config.trigger.split(" ");for(const e of t)if("click"===e)EventHandler$1.on(this._element,this.constructor.eventName("click"),this._config.selector,(t=>{this._initializeOnDelegatedTarget(t).toggle();}));else if("manual"!==e){const t="hover"===e?this.constructor.eventName("mouseenter"):this.constructor.eventName("focusin"),i="hover"===e?this.constructor.eventName("mouseleave"):this.constructor.eventName("focusout");EventHandler$1.on(this._element,t,this._config.selector,(t=>{const e=this._initializeOnDelegatedTarget(t);e._activeTrigger["focusin"===t.type?"focus":"hover"]=!0,e._enter();})),EventHandler$1.on(this._element,i,this._config.selector,(t=>{const e=this._initializeOnDelegatedTarget(t);e._activeTrigger["focusout"===t.type?"focus":"hover"]=e._element.contains(t.relatedTarget),e._leave();}));}this._hideModalHandler=()=>{this._element&&this.hide();},EventHandler$1.on(this._element.closest(".modal"),"hide.bs.modal",this._hideModalHandler);}_fixTitle(){const t=this._element.getAttribute("title");t&&(this._element.getAttribute("aria-label")||this._element.textContent.trim()||this._element.setAttribute("aria-label",t),this._element.setAttribute("data-bs-original-title",t),this._element.removeAttribute("title"));}_enter(){this._isShown()||this._isHovered?this._isHovered=!0:(this._isHovered=!0,this._setTimeout((()=>{this._isHovered&&this.show();}),this._config.delay.show));}_leave(){this._isWithActiveTrigger()||(this._isHovered=!1,this._setTimeout((()=>{this._isHovered||this.hide();}),this._config.delay.hide));}_setTimeout(t,e){clearTimeout(this._timeout),this._timeout=setTimeout(t,e);}_isWithActiveTrigger(){return Object.values(this._activeTrigger).includes(!0)}_getConfig(t){const e=Manipulator.getDataAttributes(this._element);for(const t of Object.keys(e))DISALLOWED_ATTRIBUTES.has(t)&&delete e[t];return t={...e,..."object"==typeof t&&t?t:{}},t=this._mergeConfigObj(t),t=this._configAfterMerge(t),this._typeCheckConfig(t),t}_configAfterMerge(t){return t.container=!1===t.container?document.body:getElement(t.container),"number"==typeof t.delay&&(t.delay={show:t.delay,hide:t.delay}),"number"==typeof t.title&&(t.title=t.title.toString()),"number"==typeof t.content&&(t.content=t.content.toString()),t}_getDelegateConfig(){const t={};for(const e in this._config)this.constructor.Default[e]!==this._config[e]&&(t[e]=this._config[e]);return t.selector=!1,t.trigger="manual",t}_disposePopper(){this._popper&&(this._popper.destroy(),this._popper=null),this.tip&&(this.tip.remove(),this.tip=null);}static jQueryInterface(t){return this.each((function(){const e=Tooltip$2.getOrCreateInstance(this,t);if("string"==typeof t){if(void 0===e[t])throw new TypeError(`No method named "${t}"`);e[t]();}}))}}defineJQueryPlugin(Tooltip$2);

    const NAME$3="popover",SELECTOR_TITLE=".popover-header",Default$2={...Tooltip$2.Default,content:"",offset:[0,8],placement:"right",template:'<div class="popover" role="tooltip"><div class="popover-arrow"></div><h3 class="popover-header"></h3><div class="popover-body"></div></div>',trigger:"click"},DefaultType$2={...Tooltip$2.DefaultType,content:"(null|string|element|function)"};class Popover$2 extends Tooltip$2{static get Default(){return Default$2}static get DefaultType(){return DefaultType$2}static get NAME(){return NAME$3}_isWithContent(){return this._getTitle()||this._getContent()}_getContentForTemplate(){return {[SELECTOR_TITLE]:this._getTitle(),".popover-body":this._getContent()}}_getContent(){return this._resolvePossibleFunction(this._config.content)}static jQueryInterface(t){return this.each((function(){const e=Popover$2.getOrCreateInstance(this,t);if("string"==typeof t){if(void 0===e[t])throw new TypeError(`No method named "${t}"`);e[t]();}}))}}defineJQueryPlugin(Popover$2);

    class Popover extends Popover$2{}const Popover$1 = Popover;

    const NAME$2="scrollspy",DATA_KEY$1="bs.scrollspy",EVENT_KEY$1=`.${DATA_KEY$1}`,EVENT_ACTIVATE=`activate${EVENT_KEY$1}`,EVENT_CLICK=`click${EVENT_KEY$1}`,EVENT_LOAD_DATA_API=`load${EVENT_KEY$1}.data-api`,SELECTOR_DATA_SPY='[data-bs-spy="scroll"]',SELECTOR_LINK_ITEMS=".nav-link, .nav-item > .nav-link, .list-group-item",Default$1={offset:null,rootMargin:"0px 0px -25%",smoothScroll:!1,target:null,threshold:[.1,.5,1]},DefaultType$1={offset:"(number|null)",rootMargin:"string",smoothScroll:"boolean",target:"element",threshold:"array"};class ScrollSpy$2 extends BaseComponent{constructor(e,t){super(e,t),this._targetLinks=new Map,this._observableSections=new Map,this._rootElement="visible"===getComputedStyle(this._element).overflowY?null:this._element,this._activeTarget=null,this._observer=null,this._previousScrollData={visibleEntryTop:0,parentScrollTop:0},this.refresh();}static get Default(){return Default$1}static get DefaultType(){return DefaultType$1}static get NAME(){return NAME$2}refresh(){this._initializeTargetsAndObservables(),this._maybeEnableSmoothScroll(),this._observer?this._observer.disconnect():this._observer=this._getNewObserver();for(const e of this._observableSections.values())this._observer.observe(e);}dispose(){this._observer.disconnect(),super.dispose();}_configAfterMerge(e){return e.target=getElement(e.target)||document.body,e.rootMargin=e.offset?`${e.offset}px 0px -30%`:e.rootMargin,"string"==typeof e.threshold&&(e.threshold=e.threshold.split(",").map((e=>Number.parseFloat(e)))),e}_maybeEnableSmoothScroll(){this._config.smoothScroll&&(EventHandler$1.off(this._config.target,EVENT_CLICK),EventHandler$1.on(this._config.target,EVENT_CLICK,"[href]",(e=>{const t=this._observableSections.get(e.target.hash);if(t){e.preventDefault();const o=this._rootElement||window,s=t.offsetTop-this._element.offsetTop;if(o.scrollTo)return void o.scrollTo({top:s,behavior:"smooth"});o.scrollTop=s;}})));}_getNewObserver(){const e={root:this._rootElement,threshold:this._config.threshold,rootMargin:this._config.rootMargin};return new IntersectionObserver((e=>this._observerCallback(e)),e)}_observerCallback(e){const t=e=>this._targetLinks.get(`#${e.target.id}`),o=e=>{this._previousScrollData.visibleEntryTop=e.target.offsetTop,this._process(t(e));},s=(this._rootElement||document.documentElement).scrollTop,r=s>=this._previousScrollData.parentScrollTop;this._previousScrollData.parentScrollTop=s;for(const i of e){if(!i.isIntersecting){this._activeTarget=null,this._clearActiveClass(t(i));continue}const e=i.target.offsetTop>=this._previousScrollData.visibleEntryTop;if(r&&e){if(o(i),!s)return}else r||e||o(i);}}_initializeTargetsAndObservables(){this._targetLinks=new Map,this._observableSections=new Map;const e=SelectorEngine$1.find("[href]",this._config.target);for(const t of e){if(!t.hash||isDisabled(t))continue;const e=SelectorEngine$1.findOne(t.hash,this._element);isVisible(e)&&(this._targetLinks.set(t.hash,t),this._observableSections.set(t.hash,e));}}_process(e){this._activeTarget!==e&&(this._clearActiveClass(this._config.target),this._activeTarget=e,e.classList.add("active"),this._activateParents(e),EventHandler$1.trigger(this._element,EVENT_ACTIVATE,{relatedTarget:e}));}_activateParents(e){if(e.classList.contains("dropdown-item"))SelectorEngine$1.findOne(".dropdown-toggle",e.closest(".dropdown")).classList.add("active");else for(const t of SelectorEngine$1.parents(e,".nav, .list-group"))for(const e of SelectorEngine$1.prev(t,SELECTOR_LINK_ITEMS))e.classList.add("active");}_clearActiveClass(e){e.classList.remove("active");const t=SelectorEngine$1.find("[href].active",e);for(const e of t)e.classList.remove("active");}static jQueryInterface(e){return this.each((function(){const t=ScrollSpy$2.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===t[e]||e.startsWith("_")||"constructor"===e)throw new TypeError(`No method named "${e}"`);t[e]();}}))}}EventHandler$1.on(window,EVENT_LOAD_DATA_API,(()=>{for(const e of SelectorEngine$1.find(SELECTOR_DATA_SPY))ScrollSpy$2.getOrCreateInstance(e);})),defineJQueryPlugin(ScrollSpy$2);

    class ScrollSpy extends ScrollSpy$2{}const ScrollSpy$1 = ScrollSpy;

    const NAME$1="tab",EVENT_HIDE$1="hide.bs.tab",EVENT_HIDDEN$1="hidden.bs.tab",EVENT_SHOW$1="show.bs.tab",EVENT_SHOWN$1="shown.bs.tab",EVENT_KEYDOWN="keydown.bs.tab",ARROW_LEFT_KEY$1="ArrowLeft",ARROW_RIGHT_KEY$1="ArrowRight",ARROW_UP_KEY$1="ArrowUp",ARROW_DOWN_KEY$1="ArrowDown",SELECTOR_TAB_PANEL='.list-group, .nav, [role="tablist"]',SELECTOR_OUTER=".nav-item, .list-group-item",SELECTOR_INNER='.nav-link:not(.dropdown-toggle), .list-group-item:not(.dropdown-toggle), [role="tab"]:not(.dropdown-toggle)',SELECTOR_DATA_TOGGLE$1='[data-bs-toggle="tab"], [data-bs-toggle="pill"], [data-bs-toggle="list"]',SELECTOR_INNER_ELEM=`${SELECTOR_INNER}, ${SELECTOR_DATA_TOGGLE$1}`,SELECTOR_DATA_TOGGLE_ACTIVE$1='.active[data-bs-toggle="tab"], .active[data-bs-toggle="pill"], .active[data-bs-toggle="list"]';class Tab$2 extends BaseComponent{constructor(t){super(t),this._parent=this._element.closest(SELECTOR_TAB_PANEL),this._parent&&(this._setInitialAttributes(this._parent,this._getChildren()),EventHandler$1.on(this._element,EVENT_KEYDOWN,(t=>this._keydown(t))));}static get NAME(){return NAME$1}show(){const t=this._element;if(this._elemIsActive(t))return;const e=this._getActiveElem(),i=e?EventHandler$1.trigger(e,EVENT_HIDE$1,{relatedTarget:t}):null;EventHandler$1.trigger(t,EVENT_SHOW$1,{relatedTarget:e}).defaultPrevented||i&&i.defaultPrevented||(this._deactivate(e,t),this._activate(t,e));}_activate(t,e){if(!t)return;t.classList.add("active"),this._activate(getElementFromSelector(t));this._queueCallback((()=>{"tab"===t.getAttribute("role")?(t.removeAttribute("tabindex"),t.setAttribute("aria-selected",!0),this._toggleDropDown(t,!0),EventHandler$1.trigger(t,EVENT_SHOWN$1,{relatedTarget:e})):t.classList.add("show");}),t,t.classList.contains("fade"));}_deactivate(t,e){if(!t)return;t.classList.remove("active"),t.blur(),this._deactivate(getElementFromSelector(t));this._queueCallback((()=>{"tab"===t.getAttribute("role")?(t.setAttribute("aria-selected",!1),t.setAttribute("tabindex","-1"),this._toggleDropDown(t,!1),EventHandler$1.trigger(t,EVENT_HIDDEN$1,{relatedTarget:e})):t.classList.remove("show");}),t,t.classList.contains("fade"));}_keydown(t){if(![ARROW_LEFT_KEY$1,ARROW_RIGHT_KEY$1,ARROW_UP_KEY$1,ARROW_DOWN_KEY$1].includes(t.key))return;t.stopPropagation(),t.preventDefault();const e=[ARROW_RIGHT_KEY$1,ARROW_DOWN_KEY$1].includes(t.key),i=getNextActiveElement(this._getChildren().filter((t=>!isDisabled(t))),t.target,e,!0);i&&(i.focus({preventScroll:!0}),Tab$2.getOrCreateInstance(i).show());}_getChildren(){return SelectorEngine$1.find(SELECTOR_INNER_ELEM,this._parent)}_getActiveElem(){return this._getChildren().find((t=>this._elemIsActive(t)))||null}_setInitialAttributes(t,e){this._setAttributeIfNotExists(t,"role","tablist");for(const t of e)this._setInitialAttributesOnChild(t);}_setInitialAttributesOnChild(t){t=this._getInnerElement(t);const e=this._elemIsActive(t),i=this._getOuterElement(t);t.setAttribute("aria-selected",e),i!==t&&this._setAttributeIfNotExists(i,"role","presentation"),e||t.setAttribute("tabindex","-1"),this._setAttributeIfNotExists(t,"role","tab"),this._setInitialAttributesOnTargetPanel(t);}_setInitialAttributesOnTargetPanel(t){const e=getElementFromSelector(t);e&&(this._setAttributeIfNotExists(e,"role","tabpanel"),t.id&&this._setAttributeIfNotExists(e,"aria-labelledby",`#${t.id}`));}_toggleDropDown(t,e){const i=this._getOuterElement(t);if(!i.classList.contains("dropdown"))return;const s=(t,s)=>{const n=SelectorEngine$1.findOne(t,i);n&&n.classList.toggle(s,e);};s(".dropdown-toggle","active"),s(".dropdown-menu","show"),i.setAttribute("aria-expanded",e);}_setAttributeIfNotExists(t,e,i){t.hasAttribute(e)||t.setAttribute(e,i);}_elemIsActive(t){return t.classList.contains("active")}_getInnerElement(t){return t.matches(SELECTOR_INNER_ELEM)?t:SelectorEngine$1.findOne(SELECTOR_INNER_ELEM,t)}_getOuterElement(t){return t.closest(SELECTOR_OUTER)||t}static jQueryInterface(t){return this.each((function(){const e=Tab$2.getOrCreateInstance(this);if("string"==typeof t){if(void 0===e[t]||t.startsWith("_")||"constructor"===t)throw new TypeError(`No method named "${t}"`);e[t]();}}))}}EventHandler$1.on(document,"click.bs.tab",SELECTOR_DATA_TOGGLE$1,(function(t){["A","AREA"].includes(this.tagName)&&t.preventDefault(),isDisabled(this)||Tab$2.getOrCreateInstance(this).show();})),EventHandler$1.on(window,"load.bs.tab",(()=>{for(const t of SelectorEngine$1.find(SELECTOR_DATA_TOGGLE_ACTIVE$1))Tab$2.getOrCreateInstance(t);})),defineJQueryPlugin(Tab$2);

    const ARROW_LEFT_KEY="ArrowLeft",ARROW_RIGHT_KEY="ArrowRight",ARROW_UP_KEY="ArrowUp",ARROW_DOWN_KEY="ArrowDown",ENTER_KEY="Enter",SPACE_BAR_KEY=" ",SELECTOR_DATA_TOGGLE='[data-bs-toggle="tab"], [data-bs-toggle="pill"], [data-bs-toggle="list"]',SELECTOR_DATA_TOGGLE_ACTIVE='.active[data-bs-toggle="tab"], .active[data-bs-toggle="pill"], .active[data-bs-toggle="list"]';class Tab extends Tab$2{constructor(e){super(e);}_keydown(e){if(![ARROW_LEFT_KEY,ARROW_RIGHT_KEY,ARROW_UP_KEY,ARROW_DOWN_KEY,ENTER_KEY,SPACE_BAR_KEY].includes(e.key))return;if(e.stopPropagation(),e.preventDefault(),e.key===ENTER_KEY||e.key===SPACE_BAR_KEY)return void Tab.getOrCreateInstance(e.target).show();const t=[ARROW_RIGHT_KEY,ARROW_DOWN_KEY].includes(e.key),a=getNextActiveElement(this._getChildren().filter((e=>!isDisabled(e))),e.target,t,!0);a&&a.focus({preventScroll:!0});}}EventHandler$1.on(document,"click.bs.tab",SELECTOR_DATA_TOGGLE,(function(e){if(["A","AREA"].includes(this.tagName)&&e.preventDefault(),isDisabled(this))return;Tab.getOrCreateInstance(this).dispose(),Tab.getOrCreateInstance(this).show();})),EventHandler$1.on(window,"load.bs.tab",(()=>{for(const e of SelectorEngine$1.find(SELECTOR_DATA_TOGGLE_ACTIVE)){Tab.getOrCreateInstance(e).dispose(),Tab.getOrCreateInstance(e);}})),defineJQueryPlugin(Tab);const Tab$1 = Tab;

    const NAME="toast",DATA_KEY="bs.toast",EVENT_KEY=`.${DATA_KEY}`,EVENT_MOUSEOVER=`mouseover${EVENT_KEY}`,EVENT_MOUSEOUT=`mouseout${EVENT_KEY}`,EVENT_FOCUSIN=`focusin${EVENT_KEY}`,EVENT_FOCUSOUT=`focusout${EVENT_KEY}`,EVENT_HIDE=`hide${EVENT_KEY}`,EVENT_HIDDEN=`hidden${EVENT_KEY}`,EVENT_SHOW=`show${EVENT_KEY}`,EVENT_SHOWN=`shown${EVENT_KEY}`,DefaultType={animation:"boolean",autohide:"boolean",delay:"number"},Default={animation:!0,autohide:!0,delay:5e3};class Toast$2 extends BaseComponent{constructor(e,t){super(e,t),this._timeout=null,this._hasMouseInteraction=!1,this._hasKeyboardInteraction=!1,this._setListeners();}static get Default(){return Default}static get DefaultType(){return DefaultType}static get NAME(){return NAME}show(){if(EventHandler$1.trigger(this._element,EVENT_SHOW).defaultPrevented)return;this._clearTimeout(),this._config.animation&&this._element.classList.add("fade");this._element.classList.remove("hide"),reflow(this._element),this._element.classList.add("show","showing"),this._queueCallback((()=>{this._element.classList.remove("showing"),EventHandler$1.trigger(this._element,EVENT_SHOWN),this._maybeScheduleHide();}),this._element,this._config.animation);}hide(){if(!this.isShown())return;if(EventHandler$1.trigger(this._element,EVENT_HIDE).defaultPrevented)return;this._element.classList.add("showing"),this._queueCallback((()=>{this._element.classList.add("hide"),this._element.classList.remove("showing","show"),EventHandler$1.trigger(this._element,EVENT_HIDDEN);}),this._element,this._config.animation);}dispose(){this._clearTimeout(),this.isShown()&&this._element.classList.remove("show"),super.dispose();}isShown(){return this._element.classList.contains("show")}_maybeScheduleHide(){this._config.autohide&&(this._hasMouseInteraction||this._hasKeyboardInteraction||(this._timeout=setTimeout((()=>{this.hide();}),this._config.delay)));}_onInteraction(e,t){switch(e.type){case"mouseover":case"mouseout":this._hasMouseInteraction=t;break;case"focusin":case"focusout":this._hasKeyboardInteraction=t;}if(t)return void this._clearTimeout();const i=e.relatedTarget;this._element===i||this._element.contains(i)||this._maybeScheduleHide();}_setListeners(){EventHandler$1.on(this._element,EVENT_MOUSEOVER,(e=>this._onInteraction(e,!0))),EventHandler$1.on(this._element,EVENT_MOUSEOUT,(e=>this._onInteraction(e,!1))),EventHandler$1.on(this._element,EVENT_FOCUSIN,(e=>this._onInteraction(e,!0))),EventHandler$1.on(this._element,EVENT_FOCUSOUT,(e=>this._onInteraction(e,!1)));}_clearTimeout(){clearTimeout(this._timeout),this._timeout=null;}static jQueryInterface(e){return this.each((function(){const t=Toast$2.getOrCreateInstance(this,e);if("string"==typeof e){if(void 0===t[e])throw new TypeError(`No method named "${e}"`);t[e](this);}}))}}enableDismissTrigger(Toast$2),defineJQueryPlugin(Toast$2);

    class Toast extends Toast$2{}const Toast$1 = Toast;

    class Tooltip extends Tooltip$2{}const Tooltip$1 = Tooltip;

    loadPlugin(),init$1();const bootstrapLombardia_entry = {Alert:Alert$1,Button:Button$1,Carousel:Carousel$1,Collapse:Collapse$1,Dropdown:Dropdown$1,Modal:Modal$1,Offcanvas:Offcanvas$1,Popover:Popover$1,ScrollSpy:ScrollSpy$1,Tab:Tab$1,Toast:Toast$1,Tooltip:Tooltip$1,Accordion:Accordion$1,BackToTop:BackToTop$1,CarouselBI:CarouselBI$1,Cookiebar:Cookiebar$1,Dimmer:Dimmer$1,FormValidate:FormValidate,Forward:Forward$1,HistoryBack:HistoryBack$1,Input:Input$1,InputNumber:InputNumber$1,InputPassword:InputPassword$1,InputSearchAutocomplete:InputSearchAutocomplete,List:List$1,Masonry:Masonry$1,NavBarCollapsible:NavBarCollapsible$1,NavScroll:NavScroll$1,Notification:Notification$1,ProgressDonut:ProgressDonut$1,SelectAutocomplete:SelectAutocomplete$1,Sticky:Sticky$1,HeaderSticky:HeaderSticky$1,Transfer:Transfer$1,UploadDragDrop:UploadDragDrop$1,ValidatorSelectAutocomplete:ValidatorSelectAutocomplete,loadFonts:loadFonts,it25Header:it25Header,it25:it25$1,flatpickr:flatpickr,it:it$1};

    return bootstrapLombardia_entry;

}));
